/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2022-08-22 11:14:36Z
 *****************************************************************************/

#include "rsfpl.h"
#include "rsfpl_internal.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

ViInt32 rsfpl_RsCoreRepCapTableCount = 23;

RsCoreRepCap rsfpl_RsCoreRepCapTable[23] =
  { /*
    {
      repCapName  ... Repeated capability name, e.g. "Channel"
      identifiers ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
      cmdValues   ... Command values (comma separated values), e.g. "1,2,3"
    } */
    {
      "Window",
      "Win0,Win1,Win2,Win3,Win4,Win5,Win6,Win7,Win8,Win9,Win10,Win11,Win12,Win13,Win14,Win15,Win16",
      ",1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16"
    }, {
      "Marker",
      "M1,M2,M3,M4,M5,M6,M7,M8,M9,M10,M11,M12,M13,M14,M15,M16",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16"
    }, {
      "Trace",
      "TR1,TR2,TR3,TR4,TR5,TR6",
      "1,2,3,4,5,6"
    }, {
      "PowerSensor",
      "PMET1,PMET2,PMET3,PMET4",
      "1,2,3,4"
    }, {
      "Subblock",
      "SB1,SB2,SB3",
      "1,2,3"
    }, {
      "Channel",
      "CH1,CH2,CH3,CH4,CH5,CH6,CH7,CH8,CH9,CH10,CH11,CH12,CH13,CH14,CH15,CH16,CH17,CH18",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18"
    }, {
      "AlternateChannel",
      "ALT1,ALT2,ALT3,ALT4,ALT5,ALT6,ALT7,ALT8,ALT9,ALT10,ALT11",
      "1,2,3,4,5,6,7,8,9,10,11"
    }, {
      "Range",
      "R1,R2,R3,R4,R5,R6,R7,R8,R9,R10,R11,R12,R13,R14,R15,R16,R17,R18,R19,R20,R21,R22,R23,R24,R25,R26,R27,R28,R29,R30",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30"
    }, {
      "PowerClass",
      "PCL1,PCL2,PCL3,PCL4",
      "1,2,3,4"
    }, {
      "ZoomWindow",
      "Z1,Z2,Z3,Z4",
      "1,2,3,4"
    }, {
      "DisplayLine",
      "DL1,DL2",
      "1,2"
    }, {
      "LimitLine",
      "LL1,LL2,LL3,LL4,LL5,LL6,LL7,LL8",
      "1,2,3,4,5,6,7,8"
    }, {
      "ADEMDetector",
      "DetPositivePeak,DetNegativePeak,DetAverage,DetRMS",
      "1,2,3,4"
    }, {
      "StartStop",
      "SS1,SS2",
      "1,2"
    }, {
      "EGateRange",
      "ER1,ER2,ER3",
      "1,2,3"
    }, {
      "Subwindow",
      "SW0,SW1,SW2,SW3,SW4,SW5,SW6,SW7,SW8,SW9,SW10,SW11,SW12,SW13,SW14,SW15,SW16,SW17,SW18,SW19,SW20,SW21,SW22,SW23,SW24,SW25,SW26,SW27,SW28,SW29,SW30,SW31,SW32,SW33,SW34,SW35,SW36,SW37,SW38,SW39,SW40,SW41,SW42,SW43,SW44,SW45,SW46,SW47,SW48,SW49,SW50,"
      "SW51,SW52,SW53,SW54,SW55,SW56,SW57,SW58,SW59,SW60,SW61,SW62,SW63,SW64",
      ",1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35,36,37,38,39,40,41,42,43,44,45,46,47,48,49,50,"
      "51,52,53,54,55,56,57,58,59,60,61,62,63,64"
    }, {
      "TriggerPort",
      "Port1,Port2",
      "1,2"
    }, {
      "HeaderLine",
      "HLine1,HLine2,HLine3,HLine4,HLine5,HLine6",
      "1,2,3,4,5,6"
    }, {
      "PNRange",
      "PNR1_3,PNR3_10,PNR10_30,PNR30_100,PNR100_300,PNR300_1k,PNR1k_3k,PNR3k_10k,PNR10k_30k,PNR30k_100k,PNR100k_300k,PNR300k_1M,PNR1M_3M,PNR3M_10M,PNR10M_30M,PNR30M_100M,PNR100M_300M,PNR300M_1G,PNR1G_3G,PNR3G_10G,PNR10G_30G,PNR30G_100G,PNR100G_300G",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23"
    }, {
      "PNLimSeg",
      "PNLimSeg1,PNLimSeg2,PNLimSeg3,PNLimSeg4,PNLimSeg5",
      "1,2,3,4,5"
    }, {
      "SNMarker",
      "SNM1,SNM2,SNM3,SNM4,SNM5",
      "1,2,3,4,5"
    }, {
      "RNRange",
      "RNRange1,RNRange2,RNRange3,RNRange4,RNRange5,RNRange6,RNRange7,RNRange8,RNRange9,RNRange10",
      "1,2,3,4,5,6,7,8,9,10"
    }, {
      "DeltaMarker",
      "DM1,DM2,DM3,DM4,DM5,DM6,DM7,DM8,DM9,DM10,DM11,DM12,DM13,DM14,DM15,DM16",
      "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16"
    }
  };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

static RsCoreRangeTableDiscreteEntry RsFpl_rngTraceDetectorEntries[9] =
  {
    { RSFPL_VAL_DETECTOR_APEAK, "APE" },
    { RSFPL_VAL_DETECTOR_NEGATIVE, "NEG" },
    { RSFPL_VAL_DETECTOR_POSITIVE, "POS" },
    { RSFPL_VAL_DETECTOR_SAMPLE, "SAMP" },
    { RSFPL_VAL_DETECTOR_RMS, "RMS" },
    { RSFPL_VAL_DETECTOR_AVERAGE, "AVER" },
    { RSFPL_VAL_DETECTOR_QPE, "QPE" },
    { RSFPL_VAL_DETECTOR_CAV, "CAV" },
    { RSFPL_VAL_DETECTOR_CRMS, "CRMS" }
  };
RsCoreRangeTableDiscrete RsFpl_rngTraceDetector = { 9, RsFpl_rngTraceDetectorEntries };

RsCoreRangeTableRanged RsFpl_rngLevelHysteresis = { 0, 200, "dB" };

RsCoreRangeTableRanged RsFpl_rngAdjustLengthOfMeasurement = { 0.001, 16000, "s" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngAutoManEntries[2] =
  {
    { RSFPL_VAL_AUTO, "AUTO" },
    { RSFPL_VAL_MANUAL, "MAN" }
  };
RsCoreRangeTableDiscrete RsFpl_rngAutoMan = { 2, RsFpl_rngAutoManEntries };

RsCoreRangeTableRanged RsFpl_rngTraceAverageCount = { 0, 200000, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngTraceAverageModeEntries[3] =
  {
    { RSFPL_VAL_TRACE_AVERAGE_LINEAR, "LIN" },
    { RSFPL_VAL_TRACE_AVERAGE_POWER, "POW" },
    { RSFPL_VAL_TRACE_AVERAGE_LOG, "LOG" }
  };
RsCoreRangeTableDiscrete RsFpl_rngTraceAverageMode = { 3, RsFpl_rngTraceAverageModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngLinLogEntries[2] =
  {
    { RSFPL_VAL_LIN, "LIN" },
    { RSFPL_VAL_LOG, "LOG" }
  };
RsCoreRangeTableDiscrete RsFpl_rngLinLog = { 2, RsFpl_rngLinLogEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngFilterTypeEntries[6] =
  {
    { RSFPL_VAL_FILTER_NORMAL, "NORM" },
    { RSFPL_VAL_FILTER_CFILTER, "CFIL" },
    { RSFPL_VAL_FILTER_P5, "P5" },
    { RSFPL_VAL_FILTER_RRC, "RRC" },
    { RSFPL_VAL_FILTER_PULSE, "PULS" },
    { RSFPL_VAL_FILTER_MIL, "MIL" }
  };
RsCoreRangeTableDiscrete RsFpl_rngFilterType = { 6, RsFpl_rngFilterTypeEntries };

RsCoreRangeTableRanged RsFpl_rngRBWToSpanRatio = { 0.0001, 1, "" };

RsCoreRangeTableRanged RsFpl_rngSelectiveDemodulationThreshold = { 0, 100, "" };

RsCoreRangeTableRanged RsFpl_rngRRCFilterAlpha = { 0, 1, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngSweepListInsertModeEntries[2] =
  {
    { RSFPL_VAL_INSERT_AFTER, "AFT" },
    { RSFPL_VAL_INSERT_BEFORE, "BEF" }
  };
RsCoreRangeTableDiscrete RsFpl_rngSweepListInsertMode = { 2, RsFpl_rngSweepListInsertModeEntries };

RsCoreRangeTableRanged RsFpl_rngRangeLimitAbsolute = { -400, 400, "dBm" };

RsCoreRangeTableRanged RsFpl_rngPowerClassLimitRelative = { -400, 400, "dBc" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngStartStopFunctionEntries[2] =
  {
    { RSFPL_VAL_STOP_FUNCTION_OFF, "OFF" },
    { RSFPL_VAL_STOP_FUNCTION_MAX, "MAX" }
  };
RsCoreRangeTableDiscrete RsFpl_rngStartStopFunction = { 2, RsFpl_rngStartStopFunctionEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPCLLimitCheckModeEntries[4] =
  {
    { RSFPL_VAL_PCL_LIMIT_CHECK_ABSOLUTE, "ABS" },
    { RSFPL_VAL_PCL_LIMIT_CHECK_RELATIVE, "REL" },
    { RSFPL_VAL_PCL_LIMIT_CHECK_AND, "AND" },
    { RSFPL_VAL_PCL_LIMIT_CHECK_OR, "OR" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPCLLimitCheckMode = { 4, RsFpl_rngPCLLimitCheckModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngMLCalculationEntries[3] =
  {
    { RSFPL_VAL_MLC_NONE, "NONE" },
    { RSFPL_VAL_MLC_MAX, "MAX" },
    { RSFPL_VAL_MLC_SUM, "SUM" }
  };
RsCoreRangeTableDiscrete RsFpl_rngMLCalculation = { 3, RsFpl_rngMLCalculationEntries };

RsCoreRangeTableRanged RsFpl_rngSweepListRangeMinSweepPoints = { 1, 32001, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPowerReferenceTypeEntries[2] =
  {
    { RSFPL_VAL_POWER_REFERENCE_PEAK, "PEAK" },
    { RSFPL_VAL_POWER_REFERENCE_CPOWER, "CPOW" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPowerReferenceType = { 2, RsFpl_rngPowerReferenceTypeEntries };

RsCoreRangeTableRanged RsFpl_rngSubblocks = { 1, 3, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngStepSizeCouplingEntries[3] =
  {
    { RSFPL_VAL_STEP_SIZE_COUPLING_SPAN, "SPAN" },
    { RSFPL_VAL_STEP_SIZE_COUPLING_RBW, "RBW" },
    { RSFPL_VAL_STEP_SIZE_COUPLING_OFF, "OFF" }
  };
RsCoreRangeTableDiscrete RsFpl_rngStepSizeCoupling = { 3, RsFpl_rngStepSizeCouplingEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngDetectorEntries[6] =
  {
    { RSFPL_VAL_DETECTOR_APEAK, "APE" },
    { RSFPL_VAL_DETECTOR_NEGATIVE, "NEG" },
    { RSFPL_VAL_DETECTOR_POSITIVE, "POS" },
    { RSFPL_VAL_DETECTOR_SAMPLE, "SAMP" },
    { RSFPL_VAL_DETECTOR_RMS, "RMS" },
    { RSFPL_VAL_DETECTOR_AVERAGE, "AVER" }
  };
RsCoreRangeTableDiscrete RsFpl_rngDetector = { 6, RsFpl_rngDetectorEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPulsePowerDetectorEntries[2] =
  {
    { RSFPL_VAL_PULSE_POWER_DETECTOR_MEAN, "MEAN" },
    { RSFPL_VAL_PULSE_POWER_DETECTOR_PEAK, "PEAK" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPulsePowerDetector = { 2, RsFpl_rngPulsePowerDetectorEntries };

RsCoreRangeTableRanged RsFpl_rngPowerSensorDutyCycle = { 0.001, 99.999, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPowerSensorFrequencyCouplingEntries[3] =
  {
    { RSFPL_VAL_PMET_COUPLING_OFF, "OFF" },
    { RSFPL_VAL_PMET_COUPLING_CENTER, "CENT" },
    { RSFPL_VAL_PMET_COUPLING_MARKER1, "MARK" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPowerSensorFrequencyCoupling = { 3, RsFpl_rngPowerSensorFrequencyCouplingEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPowerSensorMeasTimeEntries[3] =
  {
    { RSFPL_VAL_PMET_MEAS_TIME_SHORT, "SHOR" },
    { RSFPL_VAL_PMET_MEAS_TIME_NORMAL, "NORM" },
    { RSFPL_VAL_PMET_MEAS_TIME_LONG, "LONG" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPowerSensorMeasTime = { 3, RsFpl_rngPowerSensorMeasTimeEntries };

RsCoreRangeTableRanged RsFpl_rngPowerSensorNumberOfReadings = { 0, 256, "" };

RsCoreRangeTableRanged RsFpl_rngChannelPairs = { 0, 12, "" };

RsCoreRangeTableRanged RsFpl_rngPowerChannelBandwidth = { 100, 1e9, "Hz" };

RsCoreRangeTableRanged RsFpl_rngFilterAlpha = { 0, 1, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPowerMeasurementEntries[5] =
  {
    { RSFPL_VAL_POWER_MEAS_ACLR, "ACP" },
    { RSFPL_VAL_POWER_MEAS_CHANNEL, "CPOW" },
    { RSFPL_VAL_POWER_MEAS_OBW, "OBAN" },
    { RSFPL_VAL_POWER_MEAS_CN, "CN" },
    { RSFPL_VAL_POWER_MEAS_CN0, "CN0" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPowerMeasurement = { 5, RsFpl_rngPowerMeasurementEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngReferenceChannelAutoTypeEntries[3] =
  {
    { RSFPL_VAL_REFERENCE_MINIMUM, "MIN" },
    { RSFPL_VAL_REFERENCE_MAXIMUM, "MAX" },
    { RSFPL_VAL_REFERENCE_LHIGHEST, "LHIG" }
  };
RsCoreRangeTableDiscrete RsFpl_rngReferenceChannelAutoType = { 3, RsFpl_rngReferenceChannelAutoTypeEntries };

RsCoreRangeTableRanged RsFpl_rngReferenceChannelNumber = { 1, 18, "" };

RsCoreRangeTableRanged RsFpl_rngPowerChannelSpacing = { 14e3, 2e9, "Hz" };

RsCoreRangeTableRanged RsFpl_rngNumbeOfTransmissionChannels = { 1, 18, "" };

RsCoreRangeTableRanged RsFpl_rngOBWPercent = { 10, 99.9, "%" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngROSCSourceEntries[2] =
  {
    { RSFPL_VAL_ROSC_INTERNAL, "INT" },
    { RSFPL_VAL_ROSC_EXTERNAL, "EXT" }
  };
RsCoreRangeTableDiscrete RsFpl_rngROSCSource = { 2, RsFpl_rngROSCSourceEntries };

RsCoreRangeTableRanged RsFpl_rngSweepCount = { 0, 200000, "" };

RsCoreRangeTableRanged RsFpl_rngGateDelay = { 0, 30, "s" };

RsCoreRangeTableRanged RsFpl_rngGateLength = { 125e-9, 30, "s" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPosNegEntries[2] =
  {
    { RSFPL_VAL_POSITIVE, "POS" },
    { RSFPL_VAL_NEGATIVE, "NEG" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPosNeg = { 2, RsFpl_rngPosNegEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngGateSourceEntries[3] =
  {
    { RSFPL_VAL_GATE_EXTERNAL, "EXT" },
    { RSFPL_VAL_GATE_IFPOWER, "IFP" },
    { RSFPL_VAL_GATE_IMMEDIATE, "TIME" }
  };
RsCoreRangeTableDiscrete RsFpl_rngGateSource = { 3, RsFpl_rngGateSourceEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngGateModeEntries[2] =
  {
    { RSFPL_VAL_GATE_LEVEL, "LEV" },
    { RSFPL_VAL_GATE_EDGE, "EDGE" }
  };
RsCoreRangeTableDiscrete RsFpl_rngGateMode = { 2, RsFpl_rngGateModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngMeasurementModeEntries[3] =
  {
    { RSFPL_VAL_MEASUREMENT_BASIC, "AUTO" },
    { RSFPL_VAL_MEASUREMENT_SEM, "ESPectrum" },
    { RSFPL_VAL_MEASUREMENT_SPURIOUS_EMISSION, "LIST" }
  };
RsCoreRangeTableDiscrete RsFpl_rngMeasurementMode = { 3, RsFpl_rngMeasurementModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPartialSpanOptimizationModeEntries[3] =
  {
    { RSFPL_VAL_OPTIMIZATION_AUTO, "AUTO" },
    { RSFPL_VAL_OPTIMIZATION_DYNAMIC, "DYN" },
    { RSFPL_VAL_OPTIMIZATION_SPEED, "SPE" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPartialSpanOptimizationMode = { 3, RsFpl_rngPartialSpanOptimizationModeEntries };

RsCoreRangeTableRanged RsFpl_rngSweepPoints = { 101, 100001, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngBandPowerModeEntries[3] =
  {
    { RSFPL_VAL_BAND_POWER_POWER, "POW" },
    { RSFPL_VAL_BAND_POWER_REL_POWER, "RPOW" },
    { RSFPL_VAL_BAND_POWER_DENSITY, "DENS" }
  };
RsCoreRangeTableDiscrete RsFpl_rngBandPowerMode = { 3, RsFpl_rngBandPowerModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngSpectrogramMarkerSearchAreaEntries[2] =
  {
    { RSFPL_VAL_SGR_AREA_VISIBLE, "VIS" },
    { RSFPL_VAL_SGR_AREA_MEMORY, "MEM" }
  };
RsCoreRangeTableDiscrete RsFpl_rngSpectrogramMarkerSearchArea = { 2, RsFpl_rngSpectrogramMarkerSearchAreaEntries };

RsCoreRangeTableRanged RsFpl_rngListEvaluationThreshold = { -200, 200, "dB" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngLimitLineDomainEntries[2] =
  {
    { RSFPL_VAL_DOMAIN_FREQUENCY, "FREQ" },
    { RSFPL_VAL_DOMAIN_TIME, "TIME" }
  };
RsCoreRangeTableDiscrete RsFpl_rngLimitLineDomain = { 2, RsFpl_rngLimitLineDomainEntries };

RsCoreRangeTableRanged RsFpl_rngPowerClassMax = { -199.9, 200, "dBm" };

RsCoreRangeTableRanged RsFpl_rngPowerClassMin = { -200, 199.9, "dBm" };

RsCoreRangeTableRanged RsFpl_rngPowerClassesLimit = { -200, 199, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngLimitLineUnitEntries[19] =
  {
    { RSFPL_VAL_UNIT_DBM, "DBM" },
    { RSFPL_VAL_UNIT_V, "VOLT" },
    { RSFPL_VAL_UNIT_A, "AMP" },
    { RSFPL_VAL_UNIT_W, "WATT" },
    { RSFPL_VAL_UNIT_DBPW, "DBPW" },
    { RSFPL_VAL_UNIT_DBUV, "DBUV" },
    { RSFPL_VAL_UNIT_DBMV, "DBMV" },
    { RSFPL_VAL_UNIT_DBUA, "DBUA" },
    { RSFPL_VAL_UNIT_DB, "DB" },
    { RSFPL_VAL_UNIT_DBUV_MHZ, "DBUV_M" },
    { RSFPL_VAL_UNIT_DBUA_MHZ, "DBUA_M" },
    { RSFPL_VAL_UNIT_PCT, "PCT" },
    { RSFPL_VAL_UNIT_DBM_MHZ, "DBM_M" },
    { RSFPL_VAL_UNIT_DBMV_MHZ, "DBMV_M" },
    { RSFPL_VAL_UNIT_DBUV_MMHZ, "DBUV_MM" },
    { RSFPL_VAL_UNIT_DBUA_MMHZ, "DBUA_MM" },
    { RSFPL_VAL_UNIT_DBPW_MHZ, "DBPW_M" },
    { RSFPL_VAL_UNIT_DBPT_MHZ, "DBPT_M" },
    { RSFPL_VAL_UNIT_DBPT, "DBPT" }
  };
RsCoreRangeTableDiscrete RsFpl_rngLimitLineUnit = { 19, RsFpl_rngLimitLineUnitEntries };

RsCoreRangeTableRanged RsFpl_rngDemodulationStopTime = { 10e-3, 1000, "s" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngDemodulationModeEntries[5] =
  {
    { RSFPL_VAL_DEMODULATION_AM, "AM" },
    { RSFPL_VAL_DEMODULATION_FM, "FM" },
    { RSFPL_VAL_DEMODULATION_PM, "PM" },
    { RSFPL_VAL_DEMODULATION_AC, "AC" },
    { RSFPL_VAL_DEMODULATION_AUDIO, "AUD" }
  };
RsCoreRangeTableDiscrete RsFpl_rngDemodulationMode = { 5, RsFpl_rngDemodulationModeEntries };

RsCoreRangeTableRanged RsFpl_rngMaxNoPeaks = { 1, 500, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPeakListSortModeEntries[2] =
  {
    { RSFPL_VAL_SORT_X, "X" },
    { RSFPL_VAL_SORT_Y, "Y" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPeakListSortMode = { 2, RsFpl_rngPeakListSortModeEntries };

RsCoreRangeTableRanged RsFpl_rngHarmonicDistortionNumberOfHarmonics = { 1, 26, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPowerMeasurementTraceDisplayModeEntries[2] =
  {
    { RSFPL_VAL_TRACE_DISPLAY_WRITE, "WRIT" },
    { RSFPL_VAL_TRACE_DISPLAY_MAXHOLD, "MAXH" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPowerMeasurementTraceDisplayMode = { 2, RsFpl_rngPowerMeasurementTraceDisplayModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPowerMeasurementResultTypeEntries[6] =
  {
    { RSFPL_VAL_POWER_RESULT_CHANNEL, "CPOW" },
    { RSFPL_VAL_POWER_RESULT_OBW, "OBW" },
    { RSFPL_VAL_POWER_RESULT_CN, "CN" },
    { RSFPL_VAL_POWER_RESULT_CN0, "CN0" },
    { RSFPL_VAL_POWER_RESULT_PPOWER, "PPOW" },
    { RSFPL_VAL_POWER_RESULT_ACLR, "ACP" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPowerMeasurementResultType = { 6, RsFpl_rngPowerMeasurementResultTypeEntries };

RsCoreRangeTableRanged RsFpl_rngSignalTrackingThreshold = { -130, 30, "dBm" };

RsCoreRangeTableRanged RsFpl_rngTrace = { 1, 6, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngMarkerStepsizeEntries[2] =
  {
    { RSFPL_VAL_STEPSIZE_STANDARD, "STAN" },
    { RSFPL_VAL_STEPSIZE_POINTS, "POIN" }
  };
RsCoreRangeTableDiscrete RsFpl_rngMarkerStepsize = { 2, RsFpl_rngMarkerStepsizeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngTraceMathematicsModeEntries[3] =
  {
    { RSFPL_VAL_TRACE_MATH_LINEAR, "LIN" },
    { RSFPL_VAL_TRACE_MATH_LOGARITHMIC, "LOG" },
    { RSFPL_VAL_TRACE_MATH_POWER, "POW" }
  };
RsCoreRangeTableDiscrete RsFpl_rngTraceMathematicsMode = { 3, RsFpl_rngTraceMathematicsModeEntries };

RsCoreRangeTableRanged RsFpl_rngTraceMathematicsPosition = { -100, 200, "%" };

RsCoreRangeTableRanged RsFpl_rngSpuriousEmissionsNumberOfPeaks = { 1, 50, "" };

RsCoreRangeTableRanged RsFpl_rngSpectrogramHistoryDepth = { 781, 20000, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngSpectrogramLayoutEntries[2] =
  {
    { RSFPL_VAL_SGR_LAYOUT_OFF, "OFF" },
    { RSFPL_VAL_SGR_LAYOUT_SPLIT, "ON" }
  };
RsCoreRangeTableDiscrete RsFpl_rngSpectrogramLayout = { 2, RsFpl_rngSpectrogramLayoutEntries };

RsCoreRangeTableRanged RsFpl_rngTimeLinePosition = { 0, 1600, "s" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngAbsolutePowerUnitEntries[8] =
  {
    { RSFPL_VAL_UNIT_DBM, "DBM" },
    { RSFPL_VAL_UNIT_V, "V" },
    { RSFPL_VAL_UNIT_A, "A" },
    { RSFPL_VAL_UNIT_W, "W" },
    { RSFPL_VAL_UNIT_DBPW, "DBPW" },
    { RSFPL_VAL_UNIT_DBUV, "DBUV" },
    { RSFPL_VAL_UNIT_DBMV, "DBMV" },
    { RSFPL_VAL_UNIT_DBUA, "DBUA" }
  };
RsCoreRangeTableDiscrete RsFpl_rngAbsolutePowerUnit = { 8, RsFpl_rngAbsolutePowerUnitEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngCalibrationSignalBandwidthEntries[2] =
  {
    { RSFPL_VAL_CAL_SIGNAL_BWID_NARROWBAND, "NARR" },
    { RSFPL_VAL_CAL_SIGNAL_BWID_BROADBAND, "BRO" }
  };
RsCoreRangeTableDiscrete RsFpl_rngCalibrationSignalBandwidth = { 2, RsFpl_rngCalibrationSignalBandwidthEntries };

RsCoreRangeTableRanged RsFpl_rngDisplayBrightness = { 0, 7, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngDisplayTouchEnabledEntries[3] =
  {
    { RSFPL_VAL_TOUCH_OFF, "OFF" },
    { RSFPL_VAL_TOUCH_ON, "ON" },
    { RSFPL_VAL_TOUCH_FRAME, "FRAM" }
  };
RsCoreRangeTableDiscrete RsFpl_rngDisplayTouchEnabled = { 3, RsFpl_rngDisplayTouchEnabledEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngDateTimeFormatEntries[2] =
  {
    { RSFPL_VAL_DATE_TIME_US, "US" },
    { RSFPL_VAL_DATE_TIME_DE, "DE" }
  };
RsCoreRangeTableDiscrete RsFpl_rngDateTimeFormat = { 2, RsFpl_rngDateTimeFormatEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngMarkerTableDisplayModeEntries[3] =
  {
    { RSFPL_VAL_MARKER_TABLE_OFF, "OFF" },
    { RSFPL_VAL_MARKER_TABLE_ON, "ON" },
    { RSFPL_VAL_MARKER_TABLE_AUTO, "AUTO" }
  };
RsCoreRangeTableDiscrete RsFpl_rngMarkerTableDisplayMode = { 3, RsFpl_rngMarkerTableDisplayModeEntries };

RsCoreRangeTableRanged RsFpl_rngSpectrogramColorMap = { 0, 66, "%" };

RsCoreRangeTableRanged RsFpl_rngSpectrogramColorCurveShape = { -1, 1, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngSpectrogramColorSchemeEntries[4] =
  {
    { RSFPL_VAL_SGR_SCHEME_HOT, "HOT" },
    { RSFPL_VAL_SGR_SCHEME_COLD, "COLD" },
    { RSFPL_VAL_SGR_SCHEME_RADAR, "RAD" },
    { RSFPL_VAL_SGR_SCHEME_GRAYSCALE, "GRAY" }
  };
RsCoreRangeTableDiscrete RsFpl_rngSpectrogramColorScheme = { 4, RsFpl_rngSpectrogramColorSchemeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngTraceModeEntries[7] =
  {
    { RSFPL_VAL_TRACE_BLANK, "BLAN" },
    { RSFPL_VAL_TRACE_WRITE, "WRIT" },
    { RSFPL_VAL_TRACE_MAX_HOLD, "MAXH" },
    { RSFPL_VAL_TRACE_MIN_HOLD, "MINH" },
    { RSFPL_VAL_TRACE_AVERAGE, "AVER" },
    { RSFPL_VAL_TRACE_VIEW, "VIEW" },
    { RSFPL_VAL_TRACE_DENSITY, "DENS" }
  };
RsCoreRangeTableDiscrete RsFpl_rngTraceMode = { 7, RsFpl_rngTraceModeEntries };

RsCoreRangeTableRanged RsFpl_rngTraceSmoothing = { 1, 50, "%" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngAbsRelEntries[2] =
  {
    { RSFPL_VAL_ABS, "ABS" },
    { RSFPL_VAL_REL, "REL" }
  };
RsCoreRangeTableDiscrete RsFpl_rngAbsRel = { 2, RsFpl_rngAbsRelEntries };

RsCoreRangeTableRanged RsFpl_rngYAxisRange = { 1, 200, "dB" };

RsCoreRangeTableRanged RsFpl_rngReferenceLevelOffset = { -200, 200, "dB" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngDecimalSeparatorEntries[2] =
  {
    { RSFPL_VAL_SEPARATOR_POINT, "POIN" },
    { RSFPL_VAL_SEPARATOR_COMMA, "COMM" }
  };
RsCoreRangeTableDiscrete RsFpl_rngDecimalSeparator = { 2, RsFpl_rngDecimalSeparatorEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngResultsFileFormatEntries[2] =
  {
    { RSFPL_VAL_RESULT_FILE_CSV, "CSV" },
    { RSFPL_VAL_RESULT_FILE_DAT, "DAT" }
  };
RsCoreRangeTableDiscrete RsFpl_rngResultsFileFormat = { 2, RsFpl_rngResultsFileFormatEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngIncludedDataEntries[2] =
  {
    { RSFPL_VAL_INCLUDED_DATA_SINGLE, "SING" },
    { RSFPL_VAL_INCLUDED_DATA_ALL, "ALL" }
  };
RsCoreRangeTableDiscrete RsFpl_rngIncludedData = { 2, RsFpl_rngIncludedDataEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngHcopyContentEntries[2] =
  {
    { RSFPL_VAL_HCOPY_WINDOWS, "WIND" },
    { RSFPL_VAL_HCOPY_HCOPY, "HCOP" }
  };
RsCoreRangeTableDiscrete RsFpl_rngHcopyContent = { 2, RsFpl_rngHcopyContentEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngHcopyFileFormatEntries[8] =
  {
    { RSFPL_VAL_HCOPY_FORMAT_GDI, "GDI" },
    { RSFPL_VAL_HCOPY_FORMAT_BMP, "BMP" },
    { RSFPL_VAL_HCOPY_FORMAT_PNG, "PNG" },
    { RSFPL_VAL_HCOPY_FORMAT_JPG, "JPEG" },
    { RSFPL_VAL_HCOPY_FORMAT_PDF, "PDF" },
    { RSFPL_VAL_HCOPY_FORMAT_SVG, "SVG" },
    { RSFPL_VAL_HCOPY_FORMAT_DOC, "DOC" },
    { RSFPL_VAL_HCOPY_FORMAT_RTF, "RTF" }
  };
RsCoreRangeTableDiscrete RsFpl_rngHcopyFileFormat = { 8, RsFpl_rngHcopyFileFormatEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPageMarginUnitEntries[2] =
  {
    { RSFPL_VAL_PAGE_MARGIN_MM, "MM" },
    { RSFPL_VAL_PAGE_MARGIN_IN, "IN" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPageMarginUnit = { 2, RsFpl_rngPageMarginUnitEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPageOrientationEntries[2] =
  {
    { RSFPL_VAL_PAGE_ORIENTATION_LANDSCAPE, "LAND" },
    { RSFPL_VAL_PAGE_ORIENTATION_PORTRAIT, "PORT" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPageOrientation = { 2, RsFpl_rngPageOrientationEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngSequencerModeEntries[3] =
  {
    { RSFPL_VAL_SEQUENCER_MODE_SINGLE, "SING" },
    { RSFPL_VAL_SEQUENCER_MODE_CONTINUOUS, "CONT" },
    { RSFPL_VAL_SEQUENCER_MODE_CDEFINED, "CDEF" }
  };
RsCoreRangeTableDiscrete RsFpl_rngSequencerMode = { 3, RsFpl_rngSequencerModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngInstrumentSettingsModeEntries[2] =
  {
    { RSFPL_VAL_SETTINGS_INSTRUMENT, "INST" },
    { RSFPL_VAL_SETTINGS_CHANNEL, "CHAN" }
  };
RsCoreRangeTableDiscrete RsFpl_rngInstrumentSettingsMode = { 2, RsFpl_rngInstrumentSettingsModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngOutputSourceEntries[2] =
  {
    { RSFPL_VAL_OUTPUT_SOURCE_IF, "IF" },
    { RSFPL_VAL_OUTPUT_SOURCE_VIDEO, "VID" }
  };
RsCoreRangeTableDiscrete RsFpl_rngOutputSource = { 2, RsFpl_rngOutputSourceEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngOutputSignalPolarityEntries[2] =
  {
    { RSFPL_VAL_POLARITY_HIGH, "HIGH" },
    { RSFPL_VAL_POLARITY_LOW, "LOW" }
  };
RsCoreRangeTableDiscrete RsFpl_rngOutputSignalPolarity = { 2, RsFpl_rngOutputSignalPolarityEntries };

RsCoreRangeTableRanged RsFpl_rngUserPortOutputValue = { 0, 63, "" };

RsCoreRangeTableRanged RsFpl_rngLoudspeakerVolume = { 0, 1, "" };

RsCoreRangeTableRanged RsFpl_rngTriggerDropOutTime = { 0, 10, "s" };

RsCoreRangeTableRanged RsFpl_rngTriggerHoldoff = { 0, 10, "s" };

RsCoreRangeTableRanged RsFpl_rngTriggerHysteresis = { 3, 50, "dB" };

RsCoreRangeTableRanged RsFpl_rngTriggerLevelIQPower = { -130, 30, "dBm" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngTriggerSourceEntries[18] =
  {
    { RSFPL_VAL_TRIGGER_IMMEDIATE, "IMM" },
    { RSFPL_VAL_TRIGGER_EXTERNAL, "EXT" },
    { RSFPL_VAL_TRIGGER_VIDEO, "VID" },
    { RSFPL_VAL_TRIGGER_IFPOWER, "IFP" },
    { RSFPL_VAL_TRIGGER_TIME, "TIME" },
    { RSFPL_VAL_TRIGGER_IQP, "IQP" },
    { RSFPL_VAL_TRIGGER_AF, "AF" },
    { RSFPL_VAL_TRIGGER_FM, "FM" },
    { RSFPL_VAL_TRIGGER_AM, "AM" },
    { RSFPL_VAL_TRIGGER_AMR, "AMR" },
    { RSFPL_VAL_TRIGGER_PM, "PM" },
    { RSFPL_VAL_TRIGGER_BB_PWR, "BBP" },
    { RSFPL_VAL_TRIGGER_LINE, "LINE" },
    { RSFPL_VAL_TRIGGER_RFPOWER, "RFP" },
    { RSFPL_VAL_TRIGGER_EXTERNAL2, "EXT2" },
    { RSFPL_VAL_TRIGGER_EXTERNAL3, "EXT3" },
    { RSFPL_VAL_TRIGGER_EXTERNAL4, "EXT4" },
    { RSFPL_VAL_TRIGGER_LXI, "LXI" }
  };
RsCoreRangeTableDiscrete RsFpl_rngTriggerSource = { 18, RsFpl_rngTriggerSourceEntries };

RsCoreRangeTableRanged RsFpl_rngTriggerRepetitionInterval = { 2e-9, 5000, "s" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPowerSensorAbsolutePowerUnitEntries[4] =
  {
    { RSFPL_VAL_UNIT_DBM, "DBM" },
    { RSFPL_VAL_UNIT_W, "WATT" },
    { RSFPL_VAL_UNIT_DB, "DB" },
    { RSFPL_VAL_UNIT_PCT, "PCT" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPowerSensorAbsolutePowerUnit = { 4, RsFpl_rngPowerSensorAbsolutePowerUnitEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPowerSensorRelativePowerUnitEntries[2] =
  {
    { RSFPL_VAL_SENSOR_UNIT_DB, "DB" },
    { RSFPL_VAL_SENSOR_UNIT_PCT, "PCT" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPowerSensorRelativePowerUnit = { 2, RsFpl_rngPowerSensorRelativePowerUnitEntries };

RsCoreRangeTableRanged RsFpl_rngStepSizeFactor = { 1, 100, "%" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngSweepTypeEntries[2] =
  {
    { RSFPL_VAL_SWEEP_TYPE_NORMAL, "SWE" },
    { RSFPL_VAL_SWEEP_TYPE_FFT, "FFT" }
  };
RsCoreRangeTableDiscrete RsFpl_rngSweepType = { 2, RsFpl_rngSweepTypeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngYAxisScalingEntries[4] =
  {
    { RSFPL_VAL_SCALING_LOG, "LOG" },
    { RSFPL_VAL_SCALING_LIN, "LIN" },
    { RSFPL_VAL_SCALING_LDB, "LDB" },
    { RSFPL_VAL_SCALING_PERC, "PERC" }
  };
RsCoreRangeTableDiscrete RsFpl_rngYAxisScaling = { 4, RsFpl_rngYAxisScalingEntries };

static ViReal64 RsFpl_rngRFInputImpedanceEntries[2] = { 50, 75 };
RsCoreRangeTableCoerced RsFpl_rngRFInputImpedance = { 2, RsFpl_rngRFInputImpedanceEntries, "" };

RsCoreRangeTableRanged RsFpl_rngReferenceMarker = { 2, 16, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngTraceResultTypeEntries[9] =
  {
    { RSFPL_VAL_TRACE_RESULT_TRACE1, "TRACE1" },
    { RSFPL_VAL_TRACE_RESULT_TRACE2, "TRACE2" },
    { RSFPL_VAL_TRACE_RESULT_TRACE3, "TRACE3" },
    { RSFPL_VAL_TRACE_RESULT_TRACE4, "TRACE4" },
    { RSFPL_VAL_TRACE_RESULT_TRACE5, "TRACE5" },
    { RSFPL_VAL_TRACE_RESULT_TRACE6, "TRACE6" },
    { RSFPL_VAL_TRACE_RESULT_LIST, "LIST" },
    { RSFPL_VAL_TRACE_RESULT_SPURIOUS, "SPUR" },
    { RSFPL_VAL_TRACE_RESULT_SPECTROGRAM, "SPEC" }
  };
RsCoreRangeTableDiscrete RsFpl_rngTraceResultType = { 9, RsFpl_rngTraceResultTypeEntries };

RsCoreRangeTableRanged RsFpl_rngSEMPowerClassesNumberOfClasses = { 1, 4, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngLayoutDirectionEntries[5] =
  {
    { RSFPL_VAL_DIRECTION_LEFT, "LEFT" },
    { RSFPL_VAL_DIRECTION_RIGHT, "RIGH" },
    { RSFPL_VAL_DIRECTION_ABOVE, "ABOV" },
    { RSFPL_VAL_DIRECTION_BELOW, "BEL" },
    { RSFPL_VAL_DIRECTION_REPLACE, "REPL" }
  };
RsCoreRangeTableDiscrete RsFpl_rngLayoutDirection = { 5, RsFpl_rngLayoutDirectionEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngLayoutWindowTypeEntries[5] =
  {
    { RSFPL_VAL_LAYOUT_TYPE_DIAGRAM, "DIAG" },
    { RSFPL_VAL_LAYOUT_TYPE_MTABLE, "MTAB" },
    { RSFPL_VAL_LAYOUT_TYPE_PEAKLIST, "PEAK" },
    { RSFPL_VAL_LAYOUT_TYPE_RSUMMARY, "RSUM" },
    { RSFPL_VAL_LAYOUT_TYPE_SGRAM, "SGR" }
  };
RsCoreRangeTableDiscrete RsFpl_rngLayoutWindowType = { 5, RsFpl_rngLayoutWindowTypeEntries };

RsCoreRangeTableRanged RsFpl_rngLimitLine = { 1, 8, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngHcopyDeviceEntries[3] =
  {
    { RSFPL_VAL_HCOPY_DEVICE_MEM, "\'MMEM\'" },
    { RSFPL_VAL_HCOPY_DEVICE_PRN, "\'SYST:COMM:PRIN\'" },
    { RSFPL_VAL_HCOPY_DEVICE_CLP, "\'SYST:COMM:CLIP\'" }
  };
RsCoreRangeTableDiscrete RsFpl_rngHcopyDevice = { 3, RsFpl_rngHcopyDeviceEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngStatusRegisterOperationEntries[2] =
  {
    { RSFPL_VAL_STAT_REG_QUESTIONABLE, "QUES" },
    { RSFPL_VAL_STAT_REG_OPERATION, "OPER" }
  };
RsCoreRangeTableDiscrete RsFpl_rngStatusRegisterOperation = { 2, RsFpl_rngStatusRegisterOperationEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngStatusRegisterEntries[15] =
  {
    { RSFPL_VAL_STAT_REG_MAIN, "" },
    { RSFPL_VAL_STAT_REG_POWER, "POW" },
    { RSFPL_VAL_STAT_REG_LIMIT, "LIM" },
    { RSFPL_VAL_STAT_REG_LMARGIN, "LMAR" },
    { RSFPL_VAL_STAT_REG_SYNC, "SYNC" },
    { RSFPL_VAL_STAT_REG_ACP_LIMIT, "ACPL" },
    { RSFPL_VAL_STAT_REG_FREQUENCY, "FREQ" },
    { RSFPL_VAL_STAT_REG_DIQ, "DIQ" },
    { RSFPL_VAL_STAT_REG_EXTENDED, "EXT" },
    { RSFPL_VAL_STAT_REG_EXTENDED_INFO, "EXT:INFO" },
    { RSFPL_VAL_STAT_REG_TEMP, "TEMP" },
    { RSFPL_VAL_STAT_REG_TIME, "TIME" },
    { RSFPL_VAL_STAT_REG_POW_DCPN, "POW:DCPN" },
    { RSFPL_VAL_STAT_REG_PNOISE, "PNO" },
    { RSFPL_VAL_STAT_REG_CORRECTION, "CORR" }
  };
RsCoreRangeTableDiscrete RsFpl_rngStatusRegister = { 15, RsFpl_rngStatusRegisterEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngStatusRegisterQueryEntries[5] =
  {
    { RSFPL_VAL_STAT_REG_QUERY_COND, "COND" },
    { RSFPL_VAL_STAT_REG_QUERY_EVENT, "EVEN" },
    { RSFPL_VAL_STAT_REG_QUERY_ENABLE, "ENAB" },
    { RSFPL_VAL_STAT_REG_QUERY_PTRANSITION, "PTR" },
    { RSFPL_VAL_STAT_REG_QUERY_NTRANSITION, "NTR" }
  };
RsCoreRangeTableDiscrete RsFpl_rngStatusRegisterQuery = { 5, RsFpl_rngStatusRegisterQueryEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngTFacUnitEntries[9] =
  {
    { RSFPL_VAL_TFAC_UNIT_DB, "DB" },
    { RSFPL_VAL_TFAC_UNIT_DBM, "DBM" },
    { RSFPL_VAL_TFAC_UNIT_DBMV, "DBMV" },
    { RSFPL_VAL_TFAC_UNIT_DBUV, "DBUV" },
    { RSFPL_VAL_TFAC_UNIT_DBUVM, "DBUV/M" },
    { RSFPL_VAL_TFAC_UNIT_DBUA, "DBUA" },
    { RSFPL_VAL_TFAC_UNIT_DBUAM, "DBUA/M" },
    { RSFPL_VAL_TFAC_UNIT_DBPW, "DBPW" },
    { RSFPL_VAL_TFAC_UNIT_DBPT, "DBPT" }
  };
RsCoreRangeTableDiscrete RsFpl_rngTFacUnit = { 9, RsFpl_rngTFacUnitEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngCalibrationInputSourceEntries[2] =
  {
    { RSFPL_VAL_INPUT_RF, "RF" },
    { RSFPL_VAL_INPUT_CAL, "CAL" }
  };
RsCoreRangeTableDiscrete RsFpl_rngCalibrationInputSource = { 2, RsFpl_rngCalibrationInputSourceEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngGeneralDisplayLanguageEntries[6] =
  {
    { RSFPL_VAL_DISPLAY_LANGUAGE_EN, "EN" },
    { RSFPL_VAL_DISPLAY_LANGUAGE_ZH_CH, "ZH_CH" },
    { RSFPL_VAL_DISPLAY_LANGUAGE_ZH_TW, "ZH_TW" },
    { RSFPL_VAL_DISPLAY_LANGUAGE_JA, "JA" },
    { RSFPL_VAL_DISPLAY_LANGUAGE_KO, "KO" },
    { RSFPL_VAL_DISPLAY_LANGUAGE_RU, "RU" }
  };
RsCoreRangeTableDiscrete RsFpl_rngGeneralDisplayLanguage = { 6, RsFpl_rngGeneralDisplayLanguageEntries };

RsCoreRangeTableRanged RsFpl_rngPowerSensorExternalTriggerLevel = { -20, 20, "dBm" };

RsCoreRangeTableRanged RsFpl_rngPowerSensorExternalTriggerTime = { 0, 1, "s" };

RsCoreRangeTableRanged RsFpl_rngColorMapEndPoint = { 10, 100, "%" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngACLRMeasurementConfigurationEntries[9] =
  {
    { RSFPL_VAL_ACLR_CONFIG_NONE, "NONE" },
    { RSFPL_VAL_ACLR_CONFIG_EUTRA, "EUTR" },
    { RSFPL_VAL_ACLR_CONFIG_REUT, "REUT" },
    { RSFPL_VAL_ACLR_CONFIG_WCDMA_FWD, "FW3G" },
    { RSFPL_VAL_ACLR_CONFIG_WCDMA_REV, "RW3G" },
    { RSFPL_VAL_ACLR_CONFIG_WLAN_A, "AWLAN" },
    { RSFPL_VAL_ACLR_CONFIG_WLAN_B, "BWLAN" },
    { RSFPL_VAL_ACLR_CONFIG_RFID, "RFID14443" },
    { RSFPL_VAL_ACLR_CONFIG_TETRA, "TETRA" }
  };
RsCoreRangeTableDiscrete RsFpl_rngACLRMeasurementConfiguration = { 9, RsFpl_rngACLRMeasurementConfigurationEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngChannelTypeEntries[5] =
  {
    { RSFPL_VAL_CHAN_TYPE_SANALYZER, "SANALYZER" },
    { RSFPL_VAL_CHAN_TYPE_ADEM, "ADEM" },
    { RSFPL_VAL_CHAN_TYPE_IQ, "IQ" },
    { RSFPL_VAL_CHAN_TYPE_NOISE, "NOISE" },
    { RSFPL_VAL_CHAN_TYPE_VSA, "DDEM" }
  };
RsCoreRangeTableDiscrete RsFpl_rngChannelType = { 5, RsFpl_rngChannelTypeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngIQRBWModeEntries[3] =
  {
    { RSFPL_VAL_IQ_RBW_MODE_AUTO, "AUTO" },
    { RSFPL_VAL_IQ_RBW_MODE_MANUAL, "MAN" },
    { RSFPL_VAL_IQ_RBW_MODE_FFT, "FFT" }
  };
RsCoreRangeTableDiscrete RsFpl_rngIQRBWMode = { 3, RsFpl_rngIQRBWModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngTransformationAlgorithmEntries[2] =
  {
    { RSFPL_VAL_FFT_SINGLE, "SING" },
    { RSFPL_VAL_FFT_AVERAGE, "AVER" }
  };
RsCoreRangeTableDiscrete RsFpl_rngTransformationAlgorithm = { 2, RsFpl_rngTransformationAlgorithmEntries };

RsCoreRangeTableRanged RsFpl_rngFFTLength = { 3, 524288, "" };

RsCoreRangeTableRanged RsFpl_rngFFTWindowLength = { 3, 1001, "" };

RsCoreRangeTableRanged RsFpl_rngWindowOverlap = { 0, 1, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngWindowFunctionEntries[5] =
  {
    { RSFPL_VAL_WINDOW_BLACKHARRIS, "BLAC" },
    { RSFPL_VAL_WINDOW_FLATTOP, "FLAT" },
    { RSFPL_VAL_WINDOW_GAUSSIAN, "GAUS" },
    { RSFPL_VAL_WINDOW_RECTANGULAR, "RECT" },
    { RSFPL_VAL_WINDOW_P5, "P5" }
  };
RsCoreRangeTableDiscrete RsFpl_rngWindowFunction = { 5, RsFpl_rngWindowFunctionEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngBranchForPeaksearchEntries[3] =
  {
    { RSFPL_VAL_BRANCH_REAL, "REAL" },
    { RSFPL_VAL_BRANCH_IMAG, "IMAG" },
    { RSFPL_VAL_BRANCH_MAGN, "MAGN" }
  };
RsCoreRangeTableDiscrete RsFpl_rngBranchForPeaksearch = { 3, RsFpl_rngBranchForPeaksearchEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngDisplaySizeEntries[2] =
  {
    { RSFPL_VAL_DISPLAY_LARGE, "LARG" },
    { RSFPL_VAL_DISPLAY_SMALL, "SMAL" }
  };
RsCoreRangeTableDiscrete RsFpl_rngDisplaySize = { 2, RsFpl_rngDisplaySizeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngIQFormatEntries[2] =
  {
    { RSFPL_VAL_IQ_FORMAT_FLOAT32, "FLOat32" },
    { RSFPL_VAL_IQ_FORMAT_INT32, "INT32" }
  };
RsCoreRangeTableDiscrete RsFpl_rngIQFormat = { 2, RsFpl_rngIQFormatEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngIQDataFormatEntries[2] =
  {
    { RSFPL_VAL_IQ_DATA_COMPLEX, "COMP" },
    { RSFPL_VAL_IQ_DATA_REAL, "REAL" }
  };
RsCoreRangeTableDiscrete RsFpl_rngIQDataFormat = { 2, RsFpl_rngIQDataFormatEntries };

RsCoreRangeTableRanged RsFpl_rngNumberOfGatePeriods = { 1, 1023, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngIQAnalyzerGatingModeEntries[2] =
  {
    { RSFPL_VAL_IQ_ANALYZER_GATING_LEVEL, "LEV" },
    { RSFPL_VAL_IQ_ANALYZER_GATING_EDGE, "EDGE" }
  };
RsCoreRangeTableDiscrete RsFpl_rngIQAnalyzerGatingMode = { 2, RsFpl_rngIQAnalyzerGatingModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngIQAnalyzerLayoutWindowTypeEntries[6] =
  {
    { RSFPL_VAL_IQ_ANALYZER_LAYOUT_TYPE_SPECTRUM, "FREQ" },
    { RSFPL_VAL_IQ_ANALYZER_LAYOUT_TYPE_MTABLE, "MTAB" },
    { RSFPL_VAL_IQ_ANALYZER_LAYOUT_TYPE_PEAKLIST, "PEAK" },
    { RSFPL_VAL_IQ_ANALYZER_LAYOUT_TYPE_MAGNITUDE, "MAGN" },
    { RSFPL_VAL_IQ_ANALYZER_LAYOUT_TYPE_RIMAG, "RIMAG" },
    { RSFPL_VAL_IQ_ANALYZER_LAYOUT_TYPE_VECTOR, "VECT" }
  };
RsCoreRangeTableDiscrete RsFpl_rngIQAnalyzerLayoutWindowType = { 6, RsFpl_rngIQAnalyzerLayoutWindowTypeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngNoisePowerMeasurementEntries[2] =
  {
    { RSFPL_VAL_NOISE_MEASUREMENT_HOT, "HOT" },
    { RSFPL_VAL_NOISE_MEASUREMENT_COLD, "COLD" }
  };
RsCoreRangeTableDiscrete RsFpl_rngNoisePowerMeasurement = { 2, RsFpl_rngNoisePowerMeasurementEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngNoiseDUTTypeEntries[3] =
  {
    { RSFPL_VAL_NOISE_DUT_DIRECT, "AMPL" },
    { RSFPL_VAL_NOISE_DUT_DOWNCONV, "DOWN" },
    { RSFPL_VAL_NOISE_DUT_UPCONV, "UPC" }
  };
RsCoreRangeTableDiscrete RsFpl_rngNoiseDUTType = { 3, RsFpl_rngNoiseDUTTypeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngNoiseSourceModeEntries[2] =
  {
    { RSFPL_VAL_NOISE_SOURCE_MODE_SPOT, "SPOT" },
    { RSFPL_VAL_NOISE_SOURCE_MODE_TABLE, "TABL" }
  };
RsCoreRangeTableDiscrete RsFpl_rngNoiseSourceMode = { 2, RsFpl_rngNoiseSourceModeEntries };

RsCoreRangeTableRanged RsFpl_rngNoiseConstantENR = { -999.99, 999.99, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngENRNoiseSourceEntries[3] =
  {
    { RSFPL_VAL_ENR_NOISE_SOURCE_DIODE, "DIOD" },
    { RSFPL_VAL_ENR_NOISE_SOURCE_RESISTOR, "RES" },
    { RSFPL_VAL_ENR_NOISE_SOURCE_SMART, "SMAR" }
  };
RsCoreRangeTableDiscrete RsFpl_rngENRNoiseSource = { 3, RsFpl_rngENRNoiseSourceEntries };

RsCoreRangeTableRanged RsFpl_rngNoiseImageRejection = { 0, 999.99, "dB" };

RsCoreRangeTableRanged RsFpl_rngAdditionalLoss = { -999.99, 999.99, "" };

RsCoreRangeTableRanged RsFpl_rngNoiseRoomTemperature = { 278.15, 318.15, "K" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngNoiseResultTypeEntries[10] =
  {
    { RSFPL_VAL_NOISE_RESULT_NOISE, "NOIS" },
    { RSFPL_VAL_NOISE_RESULT_GAIN, "GAIN" },
    { RSFPL_VAL_NOISE_RESULT_TEMPERATURE, "TEMP" },
    { RSFPL_VAL_NOISE_RESULT_YFACTOR, "YFAC" },
    { RSFPL_VAL_NOISE_RESULT_PHOT, "PHOT" },
    { RSFPL_VAL_NOISE_RESULT_PCOLD, "PCOL" },
    { RSFPL_VAL_NOISE_RESULT_CYF, "CYF" },
    { RSFPL_VAL_NOISE_RESULT_CPH, "CPH" },
    { RSFPL_VAL_NOISE_RESULT_CPC, "CPC" },
    { RSFPL_VAL_NOISE_RESULT_NUNC, "NUNC" }
  };
RsCoreRangeTableDiscrete RsFpl_rngNoiseResultType = { 10, RsFpl_rngNoiseResultTypeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngNoiseDisplayFrequencyTypeEntries[2] =
  {
    { RSFPL_VAL_FREQUENCY_RF, "RF" },
    { RSFPL_VAL_FREQUENCY_IF, "IF" }
  };
RsCoreRangeTableDiscrete RsFpl_rngNoiseDisplayFrequencyType = { 2, RsFpl_rngNoiseDisplayFrequencyTypeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngNoiseLayoutWindowTypeEntries[11] =
  {
    { RSFPL_VAL_NOISE_LAYOUT_TYPE_NOISE, "NOIS" },
    { RSFPL_VAL_NOISE_LAYOUT_TYPE_GAIN, "GAIN" },
    { RSFPL_VAL_NOISE_LAYOUT_TYPE_TEMPERATURE, "TEMP" },
    { RSFPL_VAL_NOISE_LAYOUT_TYPE_YFACTOR, "YFAC" },
    { RSFPL_VAL_NOISE_LAYOUT_TYPE_PHOT, "PHOT" },
    { RSFPL_VAL_NOISE_LAYOUT_TYPE_PCOLD, "PCOL" },
    { RSFPL_VAL_NOISE_LAYOUT_TYPE_CYFACTOR, "CYF" },
    { RSFPL_VAL_NOISE_LAYOUT_TYPE_CPHOT, "CPH" },
    { RSFPL_VAL_NOISE_LAYOUT_TYPE_CPCOLD, "CPC" },
    { RSFPL_VAL_NOISE_LAYOUT_TYPE_RESULTS, "RES" },
    { RSFPL_VAL_NOISE_LAYOUT_TYPE_MTABLE, "MTAB" }
  };
RsCoreRangeTableDiscrete RsFpl_rngNoiseLayoutWindowType = { 11, RsFpl_rngNoiseLayoutWindowTypeEntries };

RsCoreRangeTableRanged RsFpl_rngNoiseDUTGain = { 10, 1000, "dB" };

RsCoreRangeTableRanged RsFpl_rngNoiseSettlingTime = { 0, 20, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngADEMSummaryResultTypeEntries[2] =
  {
    { RSFPL_VAL_ADEM_SUMMARY_RESULT_IMMEDIATE, "IMM" },
    { RSFPL_VAL_ADEM_SUMMARY_RESULT_AVERAGE, "AVER" }
  };
RsCoreRangeTableDiscrete RsFpl_rngADEMSummaryResultType = { 2, RsFpl_rngADEMSummaryResultTypeEntries };

RsCoreRangeTableRanged RsFpl_rngADEMSquelchLevel = { -150, 30, "dBm" };

RsCoreRangeTableRanged RsFpl_rngADEMCutoffFrequency = { 0, 3000000, "Hz" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngADEMModeEntries[3] =
  {
    { RSFPL_VAL_ADEM_DEMOD_RESULT_MODE_WRITE, "WRITe" },
    { RSFPL_VAL_ADEM_DEMOD_RESULT_MODE_AVERAGE, "AVERage" },
    { RSFPL_VAL_ADEM_DEMOD_RESULT_MODE_MAXHOLD, "MAXHold" }
  };
RsCoreRangeTableDiscrete RsFpl_rngADEMMode = { 3, RsFpl_rngADEMModeEntries };

RsCoreRangeTableRanged RsFpl_rngADEMTriggerLevelAM = { -100, 100, "%" };

RsCoreRangeTableRanged RsFpl_rngADEMTriggerLevelRF = { -100, 30, "dBm" };

RsCoreRangeTableRanged RsFpl_rngADEMTriggerLevelFM = { -10000000, 10000000, "Hz" };

RsCoreRangeTableRanged RsFpl_rngADEMTriggerLevelPM = { -1000, 1000, "RAD" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngADEMFilterTypeEntries[2] =
  {
    { RSFPL_VAL_ADEM_FILTER_FLAT, "FLAT" },
    { RSFPL_VAL_ADEM_FILTER_GAUSS, "GAUS" }
  };
RsCoreRangeTableDiscrete RsFpl_rngADEMFilterType = { 2, RsFpl_rngADEMFilterTypeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngADEMAFCouplingEntries[2] =
  {
    { RSFPL_VAL_COUPLING_AC, "AC" },
    { RSFPL_VAL_COUPLING_DC, "DC" }
  };
RsCoreRangeTableDiscrete RsFpl_rngADEMAFCoupling = { 2, RsFpl_rngADEMAFCouplingEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngADEMAFHighPassFilterTypeEntries[3] =
  {
    { RSFPL_VAL_ADEM_HP_20HZ, "20" },
    { RSFPL_VAL_ADEM_HP_50HZ, "50" },
    { RSFPL_VAL_ADEM_HP_300HZ, "300" }
  };
RsCoreRangeTableDiscrete RsFpl_rngADEMAFHighPassFilterType = { 3, RsFpl_rngADEMAFHighPassFilterTypeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngADEMAFLowPassFilterTypeRelativeEntries[3] =
  {
    { RSFPL_VAL_ADEM_LP_RELATIVE_5PCT, "5" },
    { RSFPL_VAL_ADEM_LP_RELATIVE_10PCT, "10" },
    { RSFPL_VAL_ADEM_LP_RELATIVE_25PCT, "25" }
  };
RsCoreRangeTableDiscrete RsFpl_rngADEMAFLowPassFilterTypeRelative = { 3, RsFpl_rngADEMAFLowPassFilterTypeRelativeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngADEMAFLowPassFilterTypeAbsoluteEntries[3] =
  {
    { RSFPL_VAL_ADEM_LP_ABSOLUTE_3KHZ, "3000" },
    { RSFPL_VAL_ADEM_LP_ABSOLUTE_15KHZ, "15000" },
    { RSFPL_VAL_ADEM_LP_ABSOLUTE_150KHZ, "150000" }
  };
RsCoreRangeTableDiscrete RsFpl_rngADEMAFLowPassFilterTypeAbsolute = { 3, RsFpl_rngADEMAFLowPassFilterTypeAbsoluteEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngADEMAFDeemphasisFilterTypeEntries[4] =
  {
    { RSFPL_VAL_ADEM_DEEMPHASIS_25US, "0.000025" },
    { RSFPL_VAL_ADEM_DEEMPHASIS_50US, "0.00005" },
    { RSFPL_VAL_ADEM_DEEMPHASIS_75US, "0.000075" },
    { RSFPL_VAL_ADEM_DEEMPHASIS_750US, "0.00075" }
  };
RsCoreRangeTableDiscrete RsFpl_rngADEMAFDeemphasisFilterType = { 4, RsFpl_rngADEMAFDeemphasisFilterTypeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngADEMEvaluationMethodEntries[11] =
  {
    { RSFPL_VAL_ADEM_EVAL_RF_TIME_DOMAIN, "AM" },
    { RSFPL_VAL_ADEM_EVAL_RF_SPECTRUM, "SPEC" },
    { RSFPL_VAL_ADEM_EVAL_AM_TIME_DOMAIN, "AM:REL" },
    { RSFPL_VAL_ADEM_EVAL_AM_SPECTRUM, "AM:REL:AFSP" },
    { RSFPL_VAL_ADEM_EVAL_FM_TIME_DOMAIN, "FM" },
    { RSFPL_VAL_ADEM_EVAL_FM_SPECTRUM, "FM:AFSP" },
    { RSFPL_VAL_ADEM_EVAL_PM_TIME_DOMAIN, "PM" },
    { RSFPL_VAL_ADEM_EVAL_PM_SPECTRUM, "PM:AFSP" },
    { RSFPL_VAL_ADEM_EVAL_RF_AM_ABS_SPECTRUM, "AM:AFSP" },
    { RSFPL_VAL_ADEM_EVAL_RF_AF_SPECTRUM, "ACV:AFSP" },
    { RSFPL_VAL_ADEM_EVAL_RF_ACV_TIMEDOMAIN, "ACV" }
  };
RsCoreRangeTableDiscrete RsFpl_rngADEMEvaluationMethod = { 11, RsFpl_rngADEMEvaluationMethodEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngADEMTraceModeEntries[6] =
  {
    { RSFPL_VAL_TRACE_BLANK, "OFF" },
    { RSFPL_VAL_TRACE_WRITE, "WRIT" },
    { RSFPL_VAL_TRACE_MAX_HOLD, "MAXH" },
    { RSFPL_VAL_TRACE_MIN_HOLD, "MINH" },
    { RSFPL_VAL_TRACE_AVERAGE, "AVER" },
    { RSFPL_VAL_TRACE_VIEW, "VIEW" }
  };
RsCoreRangeTableDiscrete RsFpl_rngADEMTraceMode = { 6, RsFpl_rngADEMTraceModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngADEMRelativeDemodulationResultsUnitEntries[2] =
  {
    { RSFPL_VAL_ADEM_UNIT_PCT, "PCT" },
    { RSFPL_VAL_ADEM_UNIT_DB, "DB" }
  };
RsCoreRangeTableDiscrete RsFpl_rngADEMRelativeDemodulationResultsUnit = { 2, RsFpl_rngADEMRelativeDemodulationResultsUnitEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngADEMTypeEntries[3] =
  {
    { RSFPL_VAL_ADEM_AM, "AM" },
    { RSFPL_VAL_ADEM_FM, "FM" },
    { RSFPL_VAL_ADEM_PM, "PM" }
  };
RsCoreRangeTableDiscrete RsFpl_rngADEMType = { 3, RsFpl_rngADEMTypeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngADEMSummaryMeasTypeEntries[4] =
  {
    { RSFPL_VAL_ADEM_SUMMARY_TYPE_PPE, "PPE" },
    { RSFPL_VAL_ADEM_SUMMARY_TYPE_NPE, "NPE" },
    { RSFPL_VAL_ADEM_SUMMARY_TYPE_AVERAGE, "MIDD" },
    { RSFPL_VAL_ADEM_SUMMARY_TYPE_RMS, "RMS" }
  };
RsCoreRangeTableDiscrete RsFpl_rngADEMSummaryMeasType = { 4, RsFpl_rngADEMSummaryMeasTypeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngADEMLayoutWindowTypeEntries[11] =
  {
    { RSFPL_VAL_ADEM_LAYOUT_TYPE_RSUM, "RSUM" },
    { RSFPL_VAL_ADEM_LAYOUT_TYPE_MTABLE, "MTAB" },
    { RSFPL_VAL_ADEM_LAYOUT_TYPE_PEAKLIST, "PEAK" },
    { RSFPL_VAL_ADEM_LAYOUT_TYPE_RF_TDOM, "\'XTIM:AM\'" },
    { RSFPL_VAL_ADEM_LAYOUT_TYPE_AM_TDOM, "\'XTIM:AM:REL\'" },
    { RSFPL_VAL_ADEM_LAYOUT_TYPE_AM_SPECTRUM, "\'XTIM:AM:REL:AFSP\'" },
    { RSFPL_VAL_ADEM_LAYOUT_TYPE_FM_TDOM, "\'XTIM:FM\'" },
    { RSFPL_VAL_ADEM_LAYOUT_TYPE_FM_SPECTRUM, "\'XTIM:FM:AFSP\'" },
    { RSFPL_VAL_ADEM_LAYOUT_TYPE_PM_TDOM, "\'XTIM:PM\'" },
    { RSFPL_VAL_ADEM_LAYOUT_TYPE_PM_SPECTRUM, "\'XTIM:PM:AFSP\'" },
    { RSFPL_VAL_ADEM_LAYOUT_TYPE_RF_SPECTRUM, "\'XTIM:SPEC\'" }
  };
RsCoreRangeTableDiscrete RsFpl_rngADEMLayoutWindowType = { 11, RsFpl_rngADEMLayoutWindowTypeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngADEMUnitAngleEntries[2] =
  {
    { RSFPL_VAL_UNIT_ANGLE_RAD, "RAD" },
    { RSFPL_VAL_UNIT_ANGLE_DEG, "DEG" }
  };
RsCoreRangeTableDiscrete RsFpl_rngADEMUnitAngle = { 2, RsFpl_rngADEMUnitAngleEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngADEMUnitTHDEntries[2] =
  {
    { RSFPL_VAL_UNIT_THD_DB, "DB" },
    { RSFPL_VAL_UNIT_THD_PCT, "PCT" }
  };
RsCoreRangeTableDiscrete RsFpl_rngADEMUnitTHD = { 2, RsFpl_rngADEMUnitTHDEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSANormalizeEvmEntries[4] =
  {
    { RSFPL_VAL_VSA_NORMALIZE_EVM_SIGNAL, "SIGN" },
    { RSFPL_VAL_VSA_NORMALIZE_EVM_SYMBOL, "SYMB" },
    { RSFPL_VAL_VSA_NORMALIZE_EVM_MECPOWER, "MECP" },
    { RSFPL_VAL_VSA_NORMALIZE_EVM_MACPOWER, "MACP" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSANormalizeEvm = { 4, RsFpl_rngVSANormalizeEvmEntries };

static ViReal64 RsFpl_rngVSAEstOverSmplgEntries[6] = { 1, 2, 4, 8, 16, 32 };
RsCoreRangeTableCoerced RsFpl_rngVSAEstOverSmplg = { 6, RsFpl_rngVSAEstOverSmplgEntries, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAEqFileFormatEntries[2] =
  {
    { RSFPL_VAL_VSA_EQ_FILE_FORMAT_VAE, "VAE" },
    { RSFPL_VAL_VSA_EQ_FILE_FORMAT_FRES, "FRES" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAEqFileFormat = { 2, RsFpl_rngVSAEqFileFormatEntries };

RsCoreRangeTableRanged RsFpl_rngVSAEQFilterLength = { 1, 256, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSADemodulationEQModeEntries[5] =
  {
    { RSFPL_VAL_VSA_DEMODULATION_EQ_MODE_NORMAL, "NORM" },
    { RSFPL_VAL_VSA_DEMODULATION_EQ_MODE_TRACKING, "TRAC" },
    { RSFPL_VAL_VSA_DEMODULATION_EQ_MODE_FREEZE, "FRE" },
    { RSFPL_VAL_VSA_DEMODULATION_EQ_MODE_USER, "USER" },
    { RSFPL_VAL_VSA_DEMODULATION_EQ_MODE_AVERAGING, "AVER" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSADemodulationEQMode = { 5, RsFpl_rngVSADemodulationEQModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSARestoresFactoryEntries[3] =
  {
    { RSFPL_VAL_VSA_RESTORES_FACTORY_ALL, "ALL" },
    { RSFPL_VAL_VSA_RESTORES_FACTORY_STANDARD, "STAN" },
    { RSFPL_VAL_VSA_RESTORES_FACTORY_PATTERN, "PATT" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSARestoresFactory = { 3, RsFpl_rngVSARestoresFactoryEntries };

RsCoreRangeTableRanged RsFpl_rngVSAFilterAlphaBT = { 0.03, 1, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAModulationTypeEntries[8] =
  {
    { RSFPL_VAL_VSA_MODULATION_TYPE_QPSK, "QPSK" },
    { RSFPL_VAL_VSA_MODULATION_TYPE_PSK, "PSK" },
    { RSFPL_VAL_VSA_MODULATION_TYPE_MSK, "MSK" },
    { RSFPL_VAL_VSA_MODULATION_TYPE_QAM, "QAM" },
    { RSFPL_VAL_VSA_MODULATION_TYPE_FSK, "FSK" },
    { RSFPL_VAL_VSA_MODULATION_TYPE_ASK, "ASK" },
    { RSFPL_VAL_VSA_MODULATION_TYPE_APSK, "APSK" },
    { RSFPL_VAL_VSA_MODULATION_TYPE_UQAM, "UQAM" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAModulationType = { 8, RsFpl_rngVSAModulationTypeEntries };

static ViReal64 RsFpl_rngVSAModulationFSKNstateEntries[4] = { 2, 4, 8, 16 };
RsCoreRangeTableCoerced RsFpl_rngVSAModulationFSKNstate = { 4, RsFpl_rngVSAModulationFSKNstateEntries, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAFineSyncModeEntries[3] =
  {
    { RSFPL_VAL_VSA_FINE_SYNC_KDATA, "KDAT" },
    { RSFPL_VAL_VSA_FINE_SYNC_PATTERN, "PATT" },
    { RSFPL_VAL_VSA_FINE_SYNC_DDATA, "DDAT" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAFineSyncMode = { 3, RsFpl_rngVSAFineSyncModeEntries };

RsCoreRangeTableRanged RsFpl_rngVSAMeasFilterAlphaBT = { 0.03, 1, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAModulationMSKFormatEntries[2] =
  {
    { RSFPL_VAL_VSA_MODULATION_MSK_FORMAT_TYPE1, "TYPE1" },
    { RSFPL_VAL_VSA_MODULATION_MSK_FORMAT_TYPE2, "TYPE2" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAModulationMSKFormat = { 2, RsFpl_rngVSAModulationMSKFormatEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSADemodulationOptimizationEntries[2] =
  {
    { RSFPL_VAL_VSA_DEMODULATION_OPTIMIZATION_RMS_MIN, "RMSM" },
    { RSFPL_VAL_VSA_DEMODULATION_OPTIMIZATION_EVM_MIN, "EVMM" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSADemodulationOptimization = { 2, RsFpl_rngVSADemodulationOptimizationEntries };

RsCoreRangeTableRanged RsFpl_rngVSAFrameBoosting = { 0.1, 60, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAFrameModulationEntries[3] =
  {
    { RSFPL_VAL_VSA_FRAME_MODULATION_DATA, "DATA" },
    { RSFPL_VAL_VSA_FRAME_MODULATION_PATTERN, "PATTERN" },
    { RSFPL_VAL_VSA_FRAME_MODULATION_AUTO, "AUTO" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAFrameModulation = { 3, RsFpl_rngVSAFrameModulationEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAFrameModeEntries[2] =
  {
    { RSFPL_VAL_VSA_FRAME_MODE_DEFAULT, "DEF" },
    { RSFPL_VAL_VSA_FRAME_MODE_USER, "USER" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAFrameMode = { 2, RsFpl_rngVSAFrameModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAPSKFormatEntries[2] =
  {
    { RSFPL_VAL_VSA_PSK_FORMAT_NORMAL, "NORM" },
    { RSFPL_VAL_VSA_PSK_FORMAT_DIFFERENTIAL, "DIFF" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAPSKFormat = { 2, RsFpl_rngVSAPSKFormatEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAModulationQAMFormatEntries[4] =
  {
    { RSFPL_VAL_VSA_MODULATION_NORMAL, "NORM" },
    { RSFPL_VAL_VSA_MODULATION_DIFFERENTIAL, "DIFF" },
    { RSFPL_VAL_VSA_MODULATION_NPI4, "NPI4" },
    { RSFPL_VAL_VSA_MODULATION_MNPI4, "MNPI4" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAModulationQAMFormat = { 4, RsFpl_rngVSAModulationQAMFormatEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAModulationQPSKFormatEntries[7] =
  {
    { RSFPL_VAL_VSA_MODULATION_NORMAL, "NORM" },
    { RSFPL_VAL_VSA_MODULATION_DIFFERENTIAL, "DIFF" },
    { RSFPL_VAL_VSA_MODULATION_NPI4, "NPI4" },
    { RSFPL_VAL_VSA_MODULATION_DPI4, "DPI4" },
    { RSFPL_VAL_VSA_MODULATION_OFFSET, "OFFS" },
    { RSFPL_VAL_VSA_MODULATION_N3PI4, "N3PI4" },
    { RSFPL_VAL_VSA_MODULATION_SOFFSET, "SOFF" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAModulationQPSKFormat = { 7, RsFpl_rngVSAModulationQPSKFormatEntries };

RsCoreRangeTableRanged RsFpl_rngVSABurstMinGap = { 1, 15000, "" };

RsCoreRangeTableRanged RsFpl_rngVSAStructureMaxLength = { 0, 128000, "Symbols" };

RsCoreRangeTableRanged RsFpl_rngVSAStructureMinLength = { 10, 32000, "Symbols" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSABurstSearchMeasEntries[2] =
  {
    { RSFPL_VAL_VSA_BURST_SEARCH_MEAS_MEAS, "MEAS" },
    { RSFPL_VAL_VSA_BURST_SEARCH_MEAS_BURST, "BURS" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSABurstSearchMeas = { 2, RsFpl_rngVSABurstSearchMeasEntries };

RsCoreRangeTableRanged RsFpl_rngVSAStructureRunOut = { 0, 31990, "Symbols" };

RsCoreRangeTableRanged RsFpl_rngVSABurstSearchTolerance = { 0, 100000, "" };

RsCoreRangeTableRanged RsFpl_rngVSASelectResultRange = { 1, 1000000, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAStructurePatternsEntries[2] =
  {
    { RSFPL_VAL_VSA_STRUCTURE_PATT_CURRENT, "CURR" },
    { RSFPL_VAL_VSA_STRUCTURE_PATT_ALL, "ALL" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAStructurePatterns = { 2, RsFpl_rngVSAStructurePatternsEntries };

RsCoreRangeTableRanged RsFpl_rngVSAIQCorrelationLevel = { 10, 100, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAPatternSyncModeEntries[2] =
  {
    { RSFPL_VAL_VSA_PATTERN_SYNC_MODE_MEAS, "MEAS" },
    { RSFPL_VAL_VSA_PATTERN_SYNC_MODE_SYNC, "SYNC" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAPatternSyncMode = { 2, RsFpl_rngVSAPatternSyncModeEntries };

RsCoreRangeTableRanged RsFpl_rngVSAStructurePatternOffset = { 0, 15000, "" };

RsCoreRangeTableRanged RsFpl_rngVSAResultLength = { 10, 64000, "" };

RsCoreRangeTableRanged RsFpl_rngVSAEvalRng = { 0, 1000000, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAResultTypeEntries[20] =
  {
    { RSFPL_VAL_VSA_RESULT_TYPE_MAGNITUDE, "MAGN" },
    { RSFPL_VAL_VSA_RESULT_TYPE_PHASE, "PHAS" },
    { RSFPL_VAL_VSA_RESULT_TYPE_UPHASE, "UPH" },
    { RSFPL_VAL_VSA_RESULT_TYPE_RIMAG, "RIM" },
    { RSFPL_VAL_VSA_RESULT_TYPE_FREQUENCY, "FREQ" },
    { RSFPL_VAL_VSA_RESULT_TYPE_COMP, "COMP" },
    { RSFPL_VAL_VSA_RESULT_TYPE_CONS, "CONS" },
    { RSFPL_VAL_VSA_RESULT_TYPE_IEYE, "IEYE" },
    { RSFPL_VAL_VSA_RESULT_TYPE_QEYE, "QEYE" },
    { RSFPL_VAL_VSA_RESULT_TYPE_FEYE, "FEYE" },
    { RSFPL_VAL_VSA_RESULT_TYPE_CONF, "CONF" },
    { RSFPL_VAL_VSA_RESULT_TYPE_COVF, "COVF" },
    { RSFPL_VAL_VSA_RESULT_TYPE_RCONSTELLATION, "RCON" },
    { RSFPL_VAL_VSA_RESULT_TYPE_RSUMMARY, "RSUM" },
    { RSFPL_VAL_VSA_RESULT_TYPE_BERATE, "BER" },
    { RSFPL_VAL_VSA_RESULT_TYPE_GDELAY, "GDEL" },
    { RSFPL_VAL_VSA_RESULT_TYPE_BIN, "BIN" },
    { RSFPL_VAL_VSA_RESULT_TYPE_OCT, "OCT" },
    { RSFPL_VAL_VSA_RESULT_TYPE_DEC, "DEC" },
    { RSFPL_VAL_VSA_RESULT_TYPE_HEX, "HEX" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAResultType = { 20, RsFpl_rngVSAResultTypeEntries };

RsCoreRangeTableRanged RsFpl_rngVSAFSKDeviation = { 0.1, 60, "" };

RsCoreRangeTableRanged RsFpl_rngVSAMACCLimitValue = { 0, 1000000, "" };

RsCoreRangeTableRanged RsFpl_rngVSAMACCFEValue = { 0.0, 100.0, "" };

RsCoreRangeTableRanged RsFpl_rngVSAMACCIQOffset = { -200, 0, "" };

RsCoreRangeTableRanged RsFpl_rngVSAPERValue = { 0, 360, "" };

RsCoreRangeTableRanged RsFpl_rngVSARhoValue = { 0, 1, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAMeasResultTypeEntries[5] =
  {
    { RSFPL_VAL_VSA_MEAS_RESULT_TYPE_NONE, "NONE" },
    { RSFPL_VAL_VSA_MEAS_RESULT_TYPE_AVG, "AVG" },
    { RSFPL_VAL_VSA_MEAS_RESULT_TYPE_RPE, "RPE" },
    { RSFPL_VAL_VSA_MEAS_RESULT_TYPE_SDEV, "SDEV" },
    { RSFPL_VAL_VSA_MEAS_RESULT_TYPE_PCTL, "PCTL" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAMeasResultType = { 5, RsFpl_rngVSAMeasResultTypeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAResultOversamplingEntries[2] =
  {
    { RSFPL_VAL_VSA_RESULT_OVERSAMPLING_SONLY, "SONL" },
    { RSFPL_VAL_VSA_RESULT_OVERSAMPLING_INFINITE, "INF" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAResultOversampling = { 2, RsFpl_rngVSAResultOversamplingEntries };

RsCoreRangeTableRanged RsFpl_rngVSAQuantize = { 2, 1024, "" };

RsCoreRangeTableRanged RsFpl_rngVSAAlignmentOffset = { -8000, 8000, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAResultAlignmentEntries[3] =
  {
    { RSFPL_VAL_VSA_RESULT_ALIGNEMNT_LEFT, "LEFT" },
    { RSFPL_VAL_VSA_RESULT_ALIGNEMNT_CENTER, "CENT" },
    { RSFPL_VAL_VSA_RESULT_ALIGNEMNT_RIGHT, "RIGH" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAResultAlignment = { 3, RsFpl_rngVSAResultAlignmentEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAResultReferenceEntries[3] =
  {
    { RSFPL_VAL_VSA_RESULT_REFERENCE_TRIGGER, "TRIG" },
    { RSFPL_VAL_VSA_RESULT_REFERENCE_BURST, "BURS" },
    { RSFPL_VAL_VSA_RESULT_REFERENCE_PATTERN, "PATT" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAResultReference = { 3, RsFpl_rngVSAResultReferenceEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSATraceSymbolSelectionEntries[3] =
  {
    { RSFPL_VAL_VSA_TRACE_SYMBOL_SEL_ALL, "ALL" },
    { RSFPL_VAL_VSA_TRACE_SYMBOL_SEL_PATTERN, "PATT" },
    { RSFPL_VAL_VSA_TRACE_SYMBOL_SEL_DATA, "DATA" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSATraceSymbolSelection = { 3, RsFpl_rngVSATraceSymbolSelectionEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAResultIndividualEntries[13] =
  {
    { RSFPL_VAL_VSA_RESULT_INDIVIDUAL_ALL, "ALL" },
    { RSFPL_VAL_VSA_RESULT_INDIVIDUAL_EVMR, "EVMR" },
    { RSFPL_VAL_VSA_RESULT_INDIVIDUAL_EVMP, "EVMP" },
    { RSFPL_VAL_VSA_RESULT_INDIVIDUAL_PERM, "PERM" },
    { RSFPL_VAL_VSA_RESULT_INDIVIDUAL_PEP, "PEP" },
    { RSFPL_VAL_VSA_RESULT_INDIVIDUAL_MERM, "MERM" },
    { RSFPL_VAL_VSA_RESULT_INDIVIDUAL_MEP, "MEP" },
    { RSFPL_VAL_VSA_RESULT_INDIVIDUAL_CFER, "CFER" },
    { RSFPL_VAL_VSA_RESULT_INDIVIDUAL_RHO, "RHO" },
    { RSFPL_VAL_VSA_RESULT_INDIVIDUAL_IQOF, "IQOF" },
    { RSFPL_VAL_VSA_RESULT_INDIVIDUAL_FERM, "FERM" },
    { RSFPL_VAL_VSA_RESULT_INDIVIDUAL_FEP, "FEP" },
    { RSFPL_VAL_VSA_RESULT_INDIVIDUAL_FDER, "FDER" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAResultIndividual = { 13, RsFpl_rngVSAResultIndividualEntries };

static ViReal64 RsFpl_rngVSAResultPPSEntries[6] = { 1, 2, 4, 8, 16, 32 };
RsCoreRangeTableCoerced RsFpl_rngVSAResultPPS = { 6, RsFpl_rngVSAResultPPSEntries, "" };

RsCoreRangeTableRanged RsFpl_rngVSASymbNumberAtRefStart = { -100000, 100000, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAOptimizationModeEntries[2] =
  {
    { RSFPL_VAL_VSA_OPTIMIZATION_MODE_LNOISE, "LNO" },
    { RSFPL_VAL_VSA_OPTIMIZATION_MODE_LDISTORTION, "LDIS" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAOptimizationMode = { 2, RsFpl_rngVSAOptimizationModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAPadTypeEntries[2] =
  {
    { RSFPL_VAL_VSA_PAD_TYPE_SRESISTOR, "SRES" },
    { RSFPL_VAL_VSA_PAD_TYPE_MLPAD, "MLP" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAPadType = { 2, RsFpl_rngVSAPadTypeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAIQFormatEntries[2] =
  {
    { RSFPL_VAL_VSA_IQ_FORMAT_FLOAT32, "FLO" },
    { RSFPL_VAL_VSA_IQ_FORMAT_INT32, "INT32" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAIQFormat = { 2, RsFpl_rngVSAIQFormatEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAIQDataFormatEntries[2] =
  {
    { RSFPL_VAL_VSA_IQ_DATA_FORMAT_COMPLEX, "COMP" },
    { RSFPL_VAL_VSA_IQ_DATA_FORMAT_REAL, "REAL" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAIQDataFormat = { 2, RsFpl_rngVSAIQDataFormatEntries };

RsCoreRangeTableRanged RsFpl_rngVSAModulationFSKDevAbs = { 10.0, 256.0e+9, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAModulationAPSKNStateEntries[2] =
  {
    { RSFPL_VAL_VSA_MODULATION_APSKN16, "16" },
    { RSFPL_VAL_VSA_MODULATION_APSKN32, "32" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAModulationAPSKNState = { 2, RsFpl_rngVSAModulationAPSKNStateEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAModulationASKNStateEntries[2] =
  {
    { RSFPL_VAL_VSA_MODULATION_ASKN2, "2" },
    { RSFPL_VAL_VSA_MODULATION_ASKN4, "4" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAModulationASKNState = { 2, RsFpl_rngVSAModulationASKNStateEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAModulationPSKFormatEntries[7] =
  {
    { RSFPL_VAL_VSA_MODULATION_PSK_FORMAT_NORMAL, "NORM" },
    { RSFPL_VAL_VSA_MODULATION_PSK_FORMAT_DIFF, "DIFF" },
    { RSFPL_VAL_VSA_MODULATION_PSK_FORMAT_N3PI8, "N3P" },
    { RSFPL_VAL_VSA_MODULATION_PSK_FORMAT_PI8D8PSK, "PI8D8PSK" },
    { RSFPL_VAL_VSA_MODULATION_PSK_FORMAT_NPI2, "NPI2" },
    { RSFPL_VAL_VSA_MODULATION_PSK_FORMAT_DPI2, "DPI2" },
    { RSFPL_VAL_VSA_MODULATION_PSK_FORMAT_MNPI2, "MNPI2" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAModulationPSKFormat = { 7, RsFpl_rngVSAModulationPSKFormatEntries };

static ViReal64 RsFpl_rngVSAModulationPSKNStateEntries[2] = { 2, 8 };
RsCoreRangeTableCoerced RsFpl_rngVSAModulationPSKNState = { 2, RsFpl_rngVSAModulationPSKNStateEntries, "" };

static ViReal64 RsFpl_rngVSAModulationQAMNStateEntries[7] = { 16, 32, 64, 128, 256, 512, 1024 };
RsCoreRangeTableCoerced RsFpl_rngVSAModulationQAMNState = { 7, RsFpl_rngVSAModulationQAMNStateEntries, "" };

RsCoreRangeTableRanged RsFpl_rngVSAModulationSymbolRate = { 25, 25.0e+6, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSASignalStructureTypeEntries[2] =
  {
    { RSFPL_VAL_VSA_STRUCTURE_TYPE_CONTINUOUS, "CONT" },
    { RSFPL_VAL_VSA_STRUCTURE_TYPE_BURSTED, "BURS" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSASignalStructureType = { 2, RsFpl_rngVSASignalStructureTypeEntries };

static ViReal64 RsFpl_rngVSAKDataPRBSTypeEntries[7] = { 9, 11, 15, 16, 20, 21, 23 };
RsCoreRangeTableCoerced RsFpl_rngVSAKDataPRBSType = { 7, RsFpl_rngVSAKDataPRBSTypeEntries, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAKDataSourceEntries[2] =
  {
    { RSFPL_VAL_KDATA_SOURCE_FILE, "FILE" },
    { RSFPL_VAL_KDATA_SOURCE_PRBS, "PRBS" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAKDataSource = { 2, RsFpl_rngVSAKDataSourceEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAScallingTimeUnitEntries[2] =
  {
    { RSFPL_VAL_VSA_TIME_UNIT_S, "S" },
    { RSFPL_VAL_VSA_TIME_UNIT_SYM, "SYM" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAScallingTimeUnit = { 2, RsFpl_rngVSAScallingTimeUnitEntries };

static ViReal64 RsFpl_rngVSASignalCaptureSampleRateEntries[7] = { 2, 4, 8, 16, 32, 64, 128 };
RsCoreRangeTableCoerced RsFpl_rngVSASignalCaptureSampleRate = { 7, RsFpl_rngVSASignalCaptureSampleRateEntries, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSADemodulationCoarseEntries[2] =
  {
    { RSFPL_VAL_VSA_DEMODULATION_COARSE_AUTO, "AUTO" },
    { RSFPL_VAL_VSA_DEMODULATION_COARSE_MANUAL, "MAN" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSADemodulationCoarse = { 2, RsFpl_rngVSADemodulationCoarseEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSATraceEvaluationEntries[4] =
  {
    { RSFPL_VSA_TRACE_EVALUATION_MEAS, "MEAS" },
    { RSFPL_VSA_TRACE_EVALUATION_REF, "REF" },
    { RSFPL_VSA_TRACE_EVALUATION_ERR, "ERR" },
    { RSFPL_VSA_TRACE_EVALUATION_TCAP, "TCAP" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSATraceEvaluation = { 4, RsFpl_rngVSATraceEvaluationEntries };

RsCoreRangeTableRanged RsFpl_rngVSADLinesHorizontalLine = { -1.0e9, 1.0e9, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAMACCLimitResultEntries[4] =
  {
    { RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE, "NONE" },
    { RSFPL_VAL_VSA_MACC_LIMIT_RESULT_PASS, "PASS" },
    { RSFPL_VAL_VSA_MACC_LIMIT_RESULT_FAIL, "FAIL" },
    { RSFPL_VAL_VSA_MACC_LIMIT_RESULT_MARGIN, "MARGIN" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAMACCLimitResult = { 4, RsFpl_rngVSAMACCLimitResultEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSASearchAutoEntries[2] =
  {
    { RSFPL_VAL_VSA_SEARCH_AUTO, "AUTO" },
    { RSFPL_VAL_VSA_SEARCH_MANUAL, "MAN" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSASearchAuto = { 2, RsFpl_rngVSASearchAutoEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAResultPPSModeEntries[2] =
  {
    { RSFPL_VAL_VSA_RESULT_PPS_MODE_AUTO, "AUTO" },
    { RSFPL_VAL_VSA_RESULT_PPS_MODE_MANUAL, "MAN" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAResultPPSMode = { 2, RsFpl_rngVSAResultPPSModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAMeasResultTypeEVMEntries[10] =
  {
    { RSFPL_VAL_VSA_RESULTS_EVM_NONE, "NONE" },
    { RSFPL_VAL_VSA_RESULTS_EVM_AVG, "AVG" },
    { RSFPL_VAL_VSA_RESULTS_EVM_PAVG, "PAVG" },
    { RSFPL_VAL_VSA_RESULTS_EVM_PCTL, "PCTL" },
    { RSFPL_VAL_VSA_RESULTS_EVM_PEAK, "PEAK" },
    { RSFPL_VAL_VSA_RESULTS_EVM_PPCT, "PPCT" },
    { RSFPL_VAL_VSA_RESULTS_EVM_PSD, "PSD" },
    { RSFPL_VAL_VSA_RESULTS_EVM_RPE, "RPE" },
    { RSFPL_VAL_VSA_RESULTS_EVM_SDEV, "SDEV" },
    { RSFPL_VAL_VSA_RESULTS_EVM_TPE, "TPE" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAMeasResultTypeEVM = { 10, RsFpl_rngVSAMeasResultTypeEVMEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSAStatusRegisterEntries[7] =
  {
    { RSFPL_VAL_VSA_STATUS_REGISTER_MAIN, "MAIN" },
    { RSFPL_VAL_VSA_STATUS_REGISTER_CFR, "CFR" },
    { RSFPL_VAL_VSA_STATUS_REGISTER_EVM, "EVM" },
    { RSFPL_VAL_VSA_STATUS_REGISTER_FSK, "FSK" },
    { RSFPL_VAL_VSA_STATUS_REGISTER_IQRH, "IQRH" },
    { RSFPL_VAL_VSA_STATUS_REGISTER_MAGN, "MAGN" },
    { RSFPL_VAL_VSA_STATUS_REGISTER_PHAS, "PHAS" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSAStatusRegister = { 7, RsFpl_rngVSAStatusRegisterEntries };

RsCoreRangeTableRanged RsFpl_rngVSASignalStructureRunIn = { 0, 31990, "Symbols" };

RsCoreRangeTableRanged RsFpl_rngGatePeriod = { 100e-9, 1000, "s" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngEMIMeasurementDetectorEntries[6] =
  {
    { RSFPL_VAL_EMI_DETECTOR_TYPE_OFF, "OFF" },
    { RSFPL_VAL_EMI_DETECTOR_TYPE_AVER, "AVER" },
    { RSFPL_VAL_EMI_DETECTOR_TYPE_CAV, "CAV" },
    { RSFPL_VAL_EMI_DETECTOR_TYPE_CRMS, "CRMS" },
    { RSFPL_VAL_EMI_DETECTOR_TYPE_POS, "POS" },
    { RSFPL_VAL_EMI_DETECTOR_TYPE_QPE, "QPE" }
  };
RsCoreRangeTableDiscrete RsFpl_rngEMIMeasurementDetector = { 6, RsFpl_rngEMIMeasurementDetectorEntries };

RsCoreRangeTableRanged RsFpl_rngEMIDwellTime = { 0.0001, 100, "s" };

RsCoreRangeTableRanged RsFpl_rngPct = { 0, 100, "%" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngProbabilityEntries[4] =
  {
    { RSFPL_VAL_PROBABILITY_0_01, "P0_01" },
    { RSFPL_VAL_PROBABILITY_0_1, "P0_1" },
    { RSFPL_VAL_PROBABILITY_1, "P1" },
    { RSFPL_VAL_PROBABILITY_10, "P10" }
  };
RsCoreRangeTableDiscrete RsFpl_rngProbability = { 4, RsFpl_rngProbabilityEntries };

RsCoreRangeTableRanged RsFpl_rngReferenceLevel = { -130, 30, "dBm" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngCalibrationSignalPeakDistanceEntries[2] =
  {
    { RSFPL_VAL_PEAK_DISTANCE_SMALL, "SMAL" },
    { RSFPL_VAL_PEAK_DISTANCE_WIDE, "WIDE" }
  };
RsCoreRangeTableDiscrete RsFpl_rngCalibrationSignalPeakDistance = { 2, RsFpl_rngCalibrationSignalPeakDistanceEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngRFInputSAWFilterEntries[2] =
  {
    { RSFPL_VAL_SAW_FILTER_OFF, "OFF" },
    { RSFPL_VAL_SAW_FILTER_AUTO, "AUTO" }
  };
RsCoreRangeTableDiscrete RsFpl_rngRFInputSAWFilter = { 2, RsFpl_rngRFInputSAWFilterEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngEMILISNVNetworkPhaseEntries[4] =
  {
    { RSFPL_VAL_EMI_VNET_PHAS_N, "N" },
    { RSFPL_VAL_EMI_VNET_PHAS_L1, "L1" },
    { RSFPL_VAL_EMI_VNET_PHAS_L2, "L2" },
    { RSFPL_VAL_EMI_VNET_PHAS_L3, "L3" }
  };
RsCoreRangeTableDiscrete RsFpl_rngEMILISNVNetworkPhase = { 4, RsFpl_rngEMILISNVNetworkPhaseEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngEMILISNVNetworkTypeEntries[8] =
  {
    { RSFPL_VAL_EMI_VNET_TYPE_OFF, "OFF" },
    { RSFPL_VAL_EMI_VNET_TYPE_216, "ENV216" },
    { RSFPL_VAL_EMI_VNET_TYPE_4200, "ENV4200" },
    { RSFPL_VAL_EMI_VNET_TYPE_ESH2Z5, "ESH2Z5" },
    { RSFPL_VAL_EMI_VNET_TYPE_ESH3Z5, "ESH3Z5" },
    { RSFPL_VAL_EMI_VNET_TYPE_TWO, "TWOP" },
    { RSFPL_VAL_EMI_VNET_TYPE_FOUR, "FOUR" },
    { RSFPL_VAL_EMI_VNET_TYPE_ENV432, "ENV432" }
  };
RsCoreRangeTableDiscrete RsFpl_rngEMILISNVNetworkType = { 8, RsFpl_rngEMILISNVNetworkTypeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngRFInputEntries[1] =
  {
    { RSFPL_VAL_RF_INPUT_RF, "RF" }
  };
RsCoreRangeTableDiscrete RsFpl_rngRFInput = { 1, RsFpl_rngRFInputEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngDataInstrumentSettingsRecallModeEntries[2] =
  {
    { RSFPL_VAL_RECALL_MODE_NEW, "NEW" },
    { RSFPL_VAL_RECALL_MODE_REPLACE, "REPL" }
  };
RsCoreRangeTableDiscrete RsFpl_rngDataInstrumentSettingsRecallMode = { 2, RsFpl_rngDataInstrumentSettingsRecallModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngMessageTypeEntries[6] =
  {
    { RSFPL_VAL_MESSAGE_TYPE_ALL, "ALL" },
    { RSFPL_VAL_MESSAGE_TYPE_INFO, "INFO" },
    { RSFPL_VAL_MESSAGE_TYPE_WARNING, "WARN" },
    { RSFPL_VAL_MESSAGE_TYPE_FATAL, "FAT" },
    { RSFPL_VAL_MESSAGE_TYPE_ERROR, "ERR" },
    { RSFPL_VAL_MESSAGE_TYPE_MESSAGE, "MESS" }
  };
RsCoreRangeTableDiscrete RsFpl_rngMessageType = { 6, RsFpl_rngMessageTypeEntries };

RsCoreRangeTableRanged RsFpl_rngPowerChannelSpacingAltAdj = { 100, 2e9, "Hz" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngSignalStatisticScalingYUnitEntries[2] =
  {
    { RSFPL_VAL_ABS, "ABS" },
    { RSFPL_VAL_PCT, "PCT" }
  };
RsCoreRangeTableDiscrete RsFpl_rngSignalStatisticScalingYUnit = { 2, RsFpl_rngSignalStatisticScalingYUnitEntries };

RsCoreRangeTableRanged RsFpl_rngSignalStatisticScalingYMinimum = { 1.0e-9, 0.1, "" };

RsCoreRangeTableRanged RsFpl_rngSignalStatisticScalingYMaximum = { 1.0e-5, 1.0, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngStatisticResultTypeEntries[4] =
  {
    { RSFPL_VAL_STAT_RESULT_MEAN, "MEAN" },
    { RSFPL_VAL_STAT_RESULT_PEAK, "PEAK" },
    { RSFPL_VAL_STAT_RESULT_CFAC, "CFAC" },
    { RSFPL_VAL_STAT_RESULT_ALL, "ALL" }
  };
RsCoreRangeTableDiscrete RsFpl_rngStatisticResultType = { 4, RsFpl_rngStatisticResultTypeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngSpectrogramSelectTraceEntries[6] =
  {
    { RSFPL_VAL_TRACE_1, "TRACE1" },
    { RSFPL_VAL_TRACE_2, "TRACE2" },
    { RSFPL_VAL_TRACE_3, "TRACE3" },
    { RSFPL_VAL_TRACE_4, "TRACE4" },
    { RSFPL_VAL_TRACE_5, "TRACE5" },
    { RSFPL_VAL_TRACE_6, "TRACE6" }
  };
RsCoreRangeTableDiscrete RsFpl_rngSpectrogramSelectTrace = { 6, RsFpl_rngSpectrogramSelectTraceEntries };

static ViReal64 RsFpl_rngCalibrationSignalWidebandFrequencyEntries[4] = { 2000000, 4000000, 8000000, 16000000 };
RsCoreRangeTableCoerced RsFpl_rngCalibrationSignalWidebandFrequency = { 4, RsFpl_rngCalibrationSignalWidebandFrequencyEntries, "Hz" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngLinkedMarkersEntries[4] =
  {
    { RSFPL_VAL_LINKED_MARKERS_NONE, "NONE" },
    { RSFPL_VAL_LINKED_MARKERS_TIME, "TIME" },
    { RSFPL_VAL_LINKED_MARKERS_SPECTRUM, "SPEC" },
    { RSFPL_VAL_LINKED_MARKERS_BOTH, "BOTH" }
  };
RsCoreRangeTableDiscrete RsFpl_rngLinkedMarkers = { 4, RsFpl_rngLinkedMarkersEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngDisplayFormatEntries[2] =
  {
    { RSFPL_VAL_DISPLAY_FORMAT_SINGLE, "SING" },
    { RSFPL_VAL_DISPLAY_FORMAT_SPLIT, "SPL" }
  };
RsCoreRangeTableDiscrete RsFpl_rngDisplayFormat = { 2, RsFpl_rngDisplayFormatEntries };

RsCoreRangeTableRanged RsFpl_rngNoiseDUTFixedIFFrequency = { 0, 100.0e9, "Hz" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngLOTypeEntries[2] =
  {
    { RSFPL_VAL_LO_TYPE_FIXED, "FIX" },
    { RSFPL_VAL_LO_TYPE_VARIABLE, "VAR" }
  };
RsCoreRangeTableDiscrete RsFpl_rngLOType = { 2, RsFpl_rngLOTypeEntries };

RsCoreRangeTableRanged RsFpl_rngNoiseMeasurementPoints = { 1, 1201, "" };

RsCoreRangeTableRanged RsFpl_rngPhaseNoiseMaxFreqDrift = { 60e-3, 65.28e6, "Hz" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngCalibrationModeEntries[2] =
  {
    { RSFPL_VAL_CALIBRATION_MODE_SHORT_OR_THROUGH, "THR" },
    { RSFPL_VAL_CALIBRATION_MODE_OPEN, "OPEN" }
  };
RsCoreRangeTableDiscrete RsFpl_rngCalibrationMode = { 2, RsFpl_rngCalibrationModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngCalibrationMethodEntries[2] =
  {
    { RSFPL_VAL_CALIBRATION_METHOD_REFLECTION, "REFL" },
    { RSFPL_VAL_CALIBRATION_METHOD_TRANSMISSION, "TRAN" }
  };
RsCoreRangeTableDiscrete RsFpl_rngCalibrationMethod = { 2, RsFpl_rngCalibrationMethodEntries };

RsCoreRangeTableRanged RsFpl_rngPhaseNoiseLimitFloor = { -200, 200, "dBm/Hz" };

RsCoreRangeTableRanged RsFpl_rngPowerLinePosition = { -60, 10, "dBm" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngCompressionReferenceModeEntries[2] =
  {
    { RSFPL_VAL_AUTO, "AUTO" },
    { RSFPL_VAL_MANUAL, "MAN" }
  };
RsCoreRangeTableDiscrete RsFpl_rngCompressionReferenceMode = { 2, RsFpl_rngCompressionReferenceModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngXDistributionEntries[2] =
  {
    { RSFPL_VAL_X_DISTRIBUTION_BINCENTERED, "BINC" },
    { RSFPL_VAL_X_DISTRIBUTION_START_STOP, "STAR" }
  };
RsCoreRangeTableDiscrete RsFpl_rngXDistribution = { 2, RsFpl_rngXDistributionEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngHCopyModeEntries[2] =
  {
    { RSFPL_VAL_HCOPY_MODE_SCREEN, "SCR" },
    { RSFPL_VAL_HCOPY_MODE_REPORT, "REP" }
  };
RsCoreRangeTableDiscrete RsFpl_rngHCopyMode = { 2, RsFpl_rngHCopyModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngHeaderLineVisibilityEntries[3] =
  {
    { RSFPL_VAL_TEST_REPORT_ITEM_VISIBILITY_NEVER, "NEV" },
    { RSFPL_VAL_TEST_REPORT_ITEM_VISIBILITY_GLOBAL, "GLOB" },
    { RSFPL_VAL_TEST_REPORT_ITEM_VISIBILITY_SUBREPORT, "SECT" }
  };
RsCoreRangeTableDiscrete RsFpl_rngHeaderLineVisibility = { 3, RsFpl_rngHeaderLineVisibilityEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngTitlePageLogoVisibilityEntries[2] =
  {
    { RSFPL_VAL_TEST_REPORT_ITEM_VISIBILITY_NEVER, "NEV" },
    { RSFPL_VAL_TEST_REPORT_ITEM_VISIBILITY_GLOBAL, "GLOB" }
  };
RsCoreRangeTableDiscrete RsFpl_rngTitlePageLogoVisibility = { 2, RsFpl_rngTitlePageLogoVisibilityEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPageFormatEntries[2] =
  {
    { RSFPL_VAL_PAGE_FORMAT_A4, "A4" },
    { RSFPL_VAL_PAGE_FORMAT_US_LETTER, "US" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPageFormat = { 2, RsFpl_rngPageFormatEntries };

RsCoreRangeTableRanged RsFpl_rngGeneratorFrequency = { 5e3, 3e9, "Hz" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngGeneratorPowerModeEntries[2] =
  {
    { RSFPL_VAL_GENERATOR_POWER_MODE_FIXED, "FIX" },
    { RSFPL_VAL_GENERATOR_POWER_MODE_SWEEP, "SWE" }
  };
RsCoreRangeTableDiscrete RsFpl_rngGeneratorPowerMode = { 2, RsFpl_rngGeneratorPowerModeEntries };

RsCoreRangeTableRanged RsFpl_rngGeneratorSweepLevel = { -60, 10, "dBm" };

RsCoreRangeTableRanged RsFpl_rngGeneratorLevelOffset = { -200, 200, "dB" };

RsCoreRangeTableRanged RsFpl_rngGeneratorLevel = { -60, 10, "dBm" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngTestReportChannelTypeEntries[2] =
  {
    { RSFPL_VAL_TEST_REPORT_CHANNEL_ACTIVE, "ACTIVE" },
    { RSFPL_VAL_TEST_REPORT_CHANNEL_SPECTRUM, "SAN" }
  };
RsCoreRangeTableDiscrete RsFpl_rngTestReportChannelType = { 2, RsFpl_rngTestReportChannelTypeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngTestReportItemsEntries[9] =
  {
    { RSFPL_VAL_TEST_REPORT_ITEM_DIAGRAM, "DIAG" },
    { RSFPL_VAL_TEST_REPORT_ITEM_MARKERS, "MARK" },
    { RSFPL_VAL_TEST_REPORT_ITEM_PEAK_LIST, "PEAK" },
    { RSFPL_VAL_TEST_REPORT_ITEM_RESULT_SUMMARY, "RSUM" },
    { RSFPL_VAL_TEST_REPORT_ITEM_SETTINGS, "SETT" },
    { RSFPL_VAL_TEST_REPORT_ITEM_SPECTROGRAM, "SPEC" },
    { RSFPL_VAL_TEST_REPORT_ITEM_RESULT_LIST, "RES" },
    { RSFPL_VAL_TEST_REPORT_ITEM_TRANSDUCER, "TRAN" },
    { RSFPL_VAL_TEST_REPORT_ITEM_LISN, "LISN" }
  };
RsCoreRangeTableDiscrete RsFpl_rngTestReportItems = { 9, RsFpl_rngTestReportItemsEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngTestReportFileFormatEntries[2] =
  {
    { RSFPL_VAL_HCOPY_FORMAT_PDF, "PDF" },
    { RSFPL_VAL_HCOPY_FORMAT_DOC, "DOC" }
  };
RsCoreRangeTableDiscrete RsFpl_rngTestReportFileFormat = { 2, RsFpl_rngTestReportFileFormatEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPhaseNoiseSweepModeEntries[2] =
  {
    { RSFPL_VAL_PHASE_NOISE_SWEEP_MODE_NORMAL, "NORM" },
    { RSFPL_VAL_PHASE_NOISE_SWEEP_MODE_IQ_FFT, "IQFF" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPhaseNoiseSweepMode = { 2, RsFpl_rngPhaseNoiseSweepModeEntries };

RsCoreRangeTableRanged RsFpl_rngPhaseNoiseAverageCount = { 1, 10000, "" };

RsCoreRangeTableRanged RsFpl_rngPhaseNoiseNominalLevel = { -200, 200, "dBm" };

RsCoreRangeTableRanged RsFpl_rngPhaseNoiseSpurThreshold = { 0, 50, "dB" };

RsCoreRangeTableRanged RsFpl_rngMarkerZoomFactor = { 1, 20, "" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPhaseNoiseLimitLineTypeEntries[6] =
  {
    { RSFPL_VAL_PHASE_NOISE_LIMIT_NONE, "NONE" },
    { RSFPL_VAL_PHASE_NOISE_LIMIT_FC1, "FC1" },
    { RSFPL_VAL_PHASE_NOISE_LIMIT_FC2, "FC2" },
    { RSFPL_VAL_PHASE_NOISE_LIMIT_FC3, "FC3" },
    { RSFPL_VAL_PHASE_NOISE_LIMIT_FC4, "FC4" },
    { RSFPL_VAL_PHASE_NOISE_LIMIT_FC5, "FC5" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPhaseNoiseLimitLineType = { 6, RsFpl_rngPhaseNoiseLimitLineTypeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPhaseNoiseTraceSmoothingEntries[3] =
  {
    { RSFPL_VAL_PHASE_NOISE_SMOOTHING_LINEAR, "LIN" },
    { RSFPL_VAL_PHASE_NOISE_SMOOTHING_LOGARITHMIC, "LOG" },
    { RSFPL_VAL_PHASE_NOISE_SMOOTHING_MEDIAN, "MED" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPhaseNoiseTraceSmoothing = { 3, RsFpl_rngPhaseNoiseTraceSmoothingEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPhaseNoiseHalfDecadeEntries[23] =
  {
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_1HZ_3HZ, "1" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_3HZ_10HZ, "3" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_10HZ_30HZ, "10" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_30HZ_100HZ, "30" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_100HZ_300HZ, "100" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_300HZ_1KHZ, "300" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_1KHZ_3KHZ, "1000" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_3KHZ_10KHZ, "3000" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_10KHZ_30KHZ, "10000" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_30KHZ_100KHZ, "30000" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_100KHZ_300KHZ, "100000" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_300KHZ_1MHZ, "300000" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_1MHZ_3MHZ, "1000000" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_3MHZ_10MHZ, "3000000" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_10MHZ_30MHZ, "10000000" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_30MHZ_100MHZ, "30000000" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_100MHZ_300MHZ, "100000000" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_300MHZ_1GHZ, "300000000" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_1GHZ_3GHZ, "1000000000" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_3GHZ_10GHZ, "3000000000" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_10GHZ_30GHZ, "10000000000" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_30GHZ_100GHZ, "30000000000" },
    { RSFPL_VAL_PHASE_NOISE_HALF_DECADE_100GHZ_300GHZ, "100000000000" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPhaseNoiseHalfDecade = { 23, RsFpl_rngPhaseNoiseHalfDecadeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPhaseNoiseXAxisScopeEntries[3] =
  {
    { RSFPL_VAL_PHASE_NOISE_X_AXIS_SCOPE_MEAS_RANGE, "MRAN" },
    { RSFPL_VAL_PHASE_NOISE_X_AXIS_SCOPE_HALF_DECADE, "HDEC" },
    { RSFPL_VAL_PHASE_NOISE_X_AXIS_SCOPE_MANUAL, "MAN" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPhaseNoiseXAxisScope = { 3, RsFpl_rngPhaseNoiseXAxisScopeEntries };

RsCoreRangeTableRanged RsFpl_rngPhaseNoiseXAxisStart = { 100e-3, 3e9, "Hz" };

RsCoreRangeTableRanged RsFpl_rngPhaseNoiseXAxisStop = { 300e-3, 10e9, "Hz" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPhaseNoiseScalingMethodEntries[4] =
  {
    { RSFPL_VAL_PHASE_NOISE_SCALING_AUTO, "OFF" },
    { RSFPL_VAL_PHASE_NOISE_SCALING_TOP_BOTTOM, "TBOT" },
    { RSFPL_VAL_PHASE_NOISE_SCALING_TOP_RANGE, "TRAN" },
    { RSFPL_VAL_PHASE_NOISE_SCALING_BOTTOM_RANGE, "BRAN" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPhaseNoiseScalingMethod = { 4, RsFpl_rngPhaseNoiseScalingMethodEntries };

RsCoreRangeTableRanged RsFpl_rngPhaseNoiseYAxisBottom = { -400, 1, "dBc/Hz" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPhaseNoiseOnVerifyFailedEntries[3] =
  {
    { RSFPL_VAL_PHASE_NOISE_ON_VERIFY_FAILED_RESTART, "OFF" },
    { RSFPL_VAL_PHASE_NOISE_ON_VERIFY_FAILED_STOP, "ON" },
    { RSFPL_VAL_PHASE_NOISE_ON_VERIFY_FAILED_AUTO, "AUTO" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPhaseNoiseOnVerifyFailed = { 3, RsFpl_rngPhaseNoiseOnVerifyFailedEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPhaseNoiseMeasPresetEntries[3] =
  {
    { RSFPL_VAL_PHASE_NOISE_PRESET_NORMAL, "NORM" },
    { RSFPL_VAL_PHASE_NOISE_PRESET_AVERAGE, "AVER" },
    { RSFPL_VAL_PHASE_NOISE_PRESET_FAST, "FAST" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPhaseNoiseMeasPreset = { 3, RsFpl_rngPhaseNoiseMeasPresetEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPhaseNoiseHalfDecadeWindowTypeEntries[5] =
  {
    { RSFPL_VAL_PHASE_NOISE_WINDOW_TYPE_RECTANGULAR, "RECT" },
    { RSFPL_VAL_PHASE_NOISE_WINDOW_TYPE_GAUSSIAN, "GAUS" },
    { RSFPL_VAL_PHASE_NOISE_WINDOW_TYPE_CHEBYSHEV, "CHEB" },
    { RSFPL_VAL_PHASE_NOISE_WINDOW_TYPE_BLACKMAN_HARRIS, "BHAR" },
    { RSFPL_VAL_PHASE_NOISE_WINDOW_TYPE_SWEPT, "SWEP" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPhaseNoiseHalfDecadeWindowType = { 5, RsFpl_rngPhaseNoiseHalfDecadeWindowTypeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngPhaseNoiseUserRangeTraceEntries[7] =
  {
    { RSFPL_VAL_TRACE_NONE, "NONE" },
    { RSFPL_VAL_TRACE_1, "TRACe1" },
    { RSFPL_VAL_TRACE_2, "TRACe2" },
    { RSFPL_VAL_TRACE_3, "TRACe3" },
    { RSFPL_VAL_TRACE_4, "TRACe4" },
    { RSFPL_VAL_TRACE_5, "TRACe5" },
    { RSFPL_VAL_TRACE_6, "TRACe6" }
  };
RsCoreRangeTableDiscrete RsFpl_rngPhaseNoiseUserRangeTrace = { 7, RsFpl_rngPhaseNoiseUserRangeTraceEntries };

RsCoreRangeTableRanged RsFpl_rngPhaseNoiseYAxisTop = { -200, 0, "dBc/Hz" };

static RsCoreRangeTableDiscreteEntry RsFpl_rngWindowTracePresetEntries[3] =
  {
    { RSFPL_VAL_TRACES_PRESET_ALL, "ALL" },
    { RSFPL_VAL_TRACES_PRESET_MAX_AVG_MIN, "MAM" },
    { RSFPL_VAL_TRACES_PRESET_MAX_CLRWRITE_MIN, "MCM" }
  };
RsCoreRangeTableDiscrete RsFpl_rngWindowTracePreset = { 3, RsFpl_rngWindowTracePresetEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngVSABitErrorRateResultEntries[16] =
  {
    { RSFPL_VAL_VSA_BER_CURRENT, "CURR" },
    { RSFPL_VAL_VSA_BER_MIN, "MIN" },
    { RSFPL_VAL_VSA_BER_MAX, "MAX" },
    { RSFPL_VAL_VSA_BER_TOTAL, "TOT" },
    { RSFPL_VAL_VSA_BER_CURRENT_BIT_COUNT, "TCUR" },
    { RSFPL_VAL_VSA_BER_MIN_BIT_COUNT, "TMIN" },
    { RSFPL_VAL_VSA_BER_MAX_BIT_COUNT, "TMAX" },
    { RSFPL_VAL_VSA_BER_TOTAL_BIT_COUNT, "TTOT" },
    { RSFPL_VAL_VSA_BER_CURRENT_BIT_ERRORS, "TEC" },
    { RSFPL_VAL_VSA_BER_MIN_BIT_ERRORS, "TEMin" },
    { RSFPL_VAL_VSA_BER_MAX_BIT_ERRORS, "TEMax" },
    { RSFPL_VAL_VSA_BER_TOTAL_BIT_ERRORS, "TET" },
    { RSFPL_VAL_VSA_BER_CURRENT_SYMBOL_ERRORS, "SEC" },
    { RSFPL_VAL_VSA_BER_MIN_SYMBOL_ERRORS, "SEMin" },
    { RSFPL_VAL_VSA_BER_MAX_SYMBOL_ERRORS, "SEMax" },
    { RSFPL_VAL_VSA_BER_TOTAL_SYMBOL_ERRORS, "SET" }
  };
RsCoreRangeTableDiscrete RsFpl_rngVSABitErrorRateResult = { 16, RsFpl_rngVSABitErrorRateResultEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngSweepTypeModeEntries[3] =
  {
    { RSFPL_VAL_SWEEP_TYPE_MODE_AUTO, "AUTO" },
    { RSFPL_VAL_SWEEP_TYPE_MODE_FFT, "FFT" },
    { RSFPL_VAL_SWEEP_TYPE_MODE_SWE, "SWE" }
  };
RsCoreRangeTableDiscrete RsFpl_rngSweepTypeMode = { 3, RsFpl_rngSweepTypeModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngFrequencyAnnotationModeEntries[2] =
  {
    { RSFPL_VAL_FREQUENCY_ANNOTATION_MODE_CSP, "CSP" },
    { RSFPL_VAL_FREQUENCY_ANNOTATION_MODE_SST, "SST" }
  };
RsCoreRangeTableDiscrete RsFpl_rngFrequencyAnnotationMode = { 2, RsFpl_rngFrequencyAnnotationModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngADEMZeroPhaseReferencePositionModeEntries[2] =
  {
    { RSFPL_VAL_ADEM_ZERO_PHASE_REFERENCE_POSITION_MODE_MANUAL, "MAN" },
    { RSFPL_VAL_ADEM_ZERO_PHASE_REFERENCE_POSITION_MODE_RIGHT, "RIGH" }
  };
RsCoreRangeTableDiscrete RsFpl_rngADEMZeroPhaseReferencePositionMode = { 2, RsFpl_rngADEMZeroPhaseReferencePositionModeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngAnalogDemodulationResultRangeResultTypeEntries[2] =
  {
    { RSFPL_VAL_ANALOG_DEMODULATION_RESULT_RANGE_RESULT_TYPE_PHAS, "PHAS" },
    { RSFPL_VAL_ANALOG_DEMODULATION_RESULT_RANGE_RESULT_TYPE_UPH, "UPH" }
  };
RsCoreRangeTableDiscrete RsFpl_rngAnalogDemodulationResultRangeResultType = { 2, RsFpl_rngAnalogDemodulationResultRangeResultTypeEntries };

static RsCoreRangeTableDiscreteEntry RsFpl_rngAnalogDemodulationUnitTHDEntries[2] =
  {
    { RSFPL_VAL_ANALOG_DEMODULATION_UNIT_THD_DB, "DB" },
    { RSFPL_VAL_ANALOG_DEMODULATION_UNIT_THD_PCT, "PCT" }
  };
RsCoreRangeTableDiscrete RsFpl_rngAnalogDemodulationUnitTHD = { 2, RsFpl_rngAnalogDemodulationUnitTHDEntries };


/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsCoreAttribute  g_RS_ATTR_RANGE_CHECK =
  {
    RS_ATTR_RANGE_CHECK,
    "Range Check",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_QUERY_INSTRUMENT_STATUS =
  {
    RS_ATTR_QUERY_INSTRUMENT_STATUS,
    "Query Instrument Status",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SIMULATE =
  {
    RS_ATTR_SIMULATE,
    "Simulate",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
  {
    RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    "Driver Description",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
  {
    RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    "Driver Prefix",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    "Driver Locator",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
  {
    RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    "Driver Vendor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_REVISION =
  {
    RS_ATTR_SPECIFIC_DRIVER_REVISION,
    "Driver Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    "Class Specification Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    "Class Specification Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
  {
    RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    "Supported Instrument Models",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_GROUP_CAPABILITIES =
  {
    RS_ATTR_GROUP_CAPABILITIES,
    "Class Group Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_FUNCTION_CAPABILITIES =
  {
    RS_ATTR_FUNCTION_CAPABILITIES,
    "Function Capabilities",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CHANNEL_COUNT =
  {
    RS_ATTR_CHANNEL_COUNT,
    "Channel Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_DRIVER_SETUP =
  {
    RS_ATTR_DRIVER_SETUP,
    "Driver Setup",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MANUFACTURER =
  {
    RS_ATTR_INSTRUMENT_MANUFACTURER,
    "Instrument Manufacturer",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_MODEL =
  {
    RS_ATTR_INSTRUMENT_MODEL,
    "Instrument Model",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
  {
    RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    "Instrument Firmware Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPTIONS_LIST =
  {
    RS_ATTR_OPTIONS_LIST,
    "Options List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
  {
    RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    "Resource Descriptor",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_LOGICAL_NAME =
  {
    RS_ATTR_LOGICAL_NAME,
    "Logical Name",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_PRIMARY_ERROR =
  {
    RS_ATTR_PRIMARY_ERROR,
    "Primary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SECONDARY_ERROR =
  {
    RS_ATTR_SECONDARY_ERROR,
    "Secondary Error",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ERROR_ELABORATION =
  {
    RS_ATTR_ERROR_ELABORATION,
    "Error Elaboration",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    "Driver Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    "Driver Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
  {
    RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    "Driver Minor Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    "Class Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
  {
    RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    "Class Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MAJOR_VERSION =
  {
    RS_ATTR_ENGINE_MAJOR_VERSION,
    "Engine Major Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_MINOR_VERSION =
  {
    RS_ATTR_ENGINE_MINOR_VERSION,
    "Engine Minor Version",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_ENGINE_REVISION =
  {
    RS_ATTR_ENGINE_REVISION,
    "Engine Revision",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RS_ATTR_OPC_TIMEOUT =
  {
    RS_ATTR_OPC_TIMEOUT,
    "Operation Complete (OPC) Timeout",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    NULL, // No command
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_OPERATING_MODE_MULTIVIEW_ENABLED =
  {
    RSFPL_ATTR_OPERATING_MODE_MULTIVIEW_ENABLED,
    "Operating Mode Multiview Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:ATAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_SETUP_DUPLICATE =
  {
    RSFPL_ATTR_CHANNEL_SETUP_DUPLICATE,
    "Channel Setup Duplicate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INST:CRE:DUPL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_SETUP_DELETE =
  {
    RSFPL_ATTR_CHANNEL_SETUP_DELETE,
    "Channel Setup Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "INST:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Channel1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_OPERATING_MODE_LIST_OF_CHANNEL_SETUPS =
  {
    RSFPL_ATTR_OPERATING_MODE_LIST_OF_CHANNEL_SETUPS,
    "Operating Mode List Of Channel Setups",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "INST:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "SANALYZER\',\'Spectrum",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SEQUENCER_ENABLED =
  {
    RSFPL_ATTR_SEQUENCER_ENABLED,
    "Sequencer Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:SEQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SEQUENCER_INIT =
  {
    RSFPL_ATTR_SEQUENCER_INIT,
    "Sequencer Init",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INIT:SEQ:IMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SEQUENCER_ABORT =
  {
    RSFPL_ATTR_SEQUENCER_ABORT,
    "Sequencer Abort",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INIT:SEQ:ABOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SEQUENCER_MODE =
  {
    RSFPL_ATTR_SEQUENCER_MODE,
    "Sequencer Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngSequencerMode, NULL, NULL,
    "INIT:SEQ:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_SEQUENCER_MODE_CONTINUOUS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_RF_INPUT_SELECT =
  {
    RSFPL_ATTR_RF_INPUT_SELECT,
    "RF Input Select",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngRFInput, NULL, NULL,
    "INP:SEL",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_RF_INPUT_RF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_RF_INPUT_SAW_FILTER =
  {
    RSFPL_ATTR_RF_INPUT_SAW_FILTER,
    "RF Input SAW Filter",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngRFInputSAWFilter, NULL, NULL,
    "INP:FILT:SAW",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_SAW_FILTER_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_RF_INPUT_IMPEDANCE =
  {
    RSFPL_ATTR_RF_INPUT_IMPEDANCE,
    "RF Input Impedance",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &RsFpl_rngRFInputImpedance,
    "INP:IMP",
    // Defaults I32, I64, Float, Bool, String
    50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_RF_INPUT_PROTECTION_RESET =
  {
    RSFPL_ATTR_RF_INPUT_PROTECTION_RESET,
    "RF Input Protection Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INP:ATT:PROT:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_ENABLED =
  {
    RSFPL_ATTR_POWER_SENSOR_ENABLED,
    "Power Sensor Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PMET{PowerSensor}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_CONTINUOUS_UPDATE_ENABLED =
  {
    RSFPL_ATTR_POWER_SENSOR_CONTINUOUS_UPDATE_ENABLED,
    "Power Sensor Continuous Update Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PMET{PowerSensor}:UPD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_COUNT =
  {
    RSFPL_ATTR_POWER_SENSOR_COUNT,
    "Power Sensor Count",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:COMM:RDEV:PMET:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_AUTO_ASSIGN_ENABLED =
  {
    RSFPL_ATTR_POWER_SENSOR_AUTO_ASSIGN_ENABLED,
    "Power Sensor Auto Assign Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:COMM:RDEV:PMET{PowerSensor}:CONF:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_TO_REFERENCE =
  {
    RSFPL_ATTR_POWER_SENSOR_TO_REFERENCE,
    "Power Sensor To Reference",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:PMET{PowerSensor}:REL:AUTO ONCE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_RELATIVE_POWER_ENABLED =
  {
    RSFPL_ATTR_POWER_SENSOR_RELATIVE_POWER_ENABLED,
    "Power Sensor Relative Power Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:PMET{PowerSensor}:REL:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_REFERENCE_VALUE =
  {
    RSFPL_ATTR_POWER_SENSOR_REFERENCE_VALUE,
    "Power Sensor Reference Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngReferenceLevelOffset, NULL,
    "CALC:PMET{PowerSensor}:REL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_ZERO =
  {
    RSFPL_ATTR_POWER_SENSOR_ZERO,
    "Power Sensor Zero",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CAL:PMET{PowerSensor}:ZERO:AUTO ONCE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_FREQUENCY =
  {
    RSFPL_ATTR_POWER_SENSOR_FREQUENCY,
    "Power Sensor Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PMET{PowerSensor}:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_FREQUENCY_COUPLING =
  {
    RSFPL_ATTR_POWER_SENSOR_FREQUENCY_COUPLING,
    "Power Sensor Frequency Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPowerSensorFrequencyCoupling, NULL, NULL,
    "PMET{PowerSensor}:FREQ:LINK",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_PMET_COUPLING_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_USE_REF_LEVEL_OFFSET_ENABLED =
  {
    RSFPL_ATTR_POWER_SENSOR_USE_REF_LEVEL_OFFSET_ENABLED,
    "Power Sensor Use Ref Level Offset Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PMET{PowerSensor}:ROFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_SENSOR_LEVEL_OFFSET =
  {
    RSFPL_ATTR_POWER_SENSOR_SENSOR_LEVEL_OFFSET,
    "Power Sensor Sensor Level Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PMET{PowerSensor}:SOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_ABSOLUTE_POWER_UNIT =
  {
    RSFPL_ATTR_POWER_SENSOR_ABSOLUTE_POWER_UNIT,
    "Power Sensor Absolute Power Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPowerSensorAbsolutePowerUnit, NULL, NULL,
    "UNIT:PMET{PowerSensor}:POW",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_UNIT_DBM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_RELATIVE_POWER_UNIT =
  {
    RSFPL_ATTR_POWER_SENSOR_RELATIVE_POWER_UNIT,
    "Power Sensor Relative Power Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPowerSensorRelativePowerUnit, NULL, NULL,
    "UNIT:PMET{PowerSensor}:POW:RAT",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_SENSOR_UNIT_DB,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_NUMBER_OF_READINGS =
  {
    RSFPL_ATTR_POWER_SENSOR_NUMBER_OF_READINGS,
    "Power Sensor Number Of Readings",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngPowerSensorNumberOfReadings, NULL,
    "PMET{PowerSensor}:MTIM:AVER:COUN",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_MEAS_TIME =
  {
    RSFPL_ATTR_POWER_SENSOR_MEAS_TIME,
    "Power Sensor Meas Time",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPowerSensorMeasTime, NULL, NULL,
    "PMET{PowerSensor}:MTIM",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_PMET_MEAS_TIME_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_AVERAGING_ENABLED =
  {
    RSFPL_ATTR_POWER_SENSOR_AVERAGING_ENABLED,
    "Power Sensor Averaging Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PMET{PowerSensor}:MTIM:AVER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_DUTY_CYCLE_ENABLED =
  {
    RSFPL_ATTR_POWER_SENSOR_DUTY_CYCLE_ENABLED,
    "Power Sensor Duty Cycle Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PMET{PowerSensor}:DCYC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_DUTY_CYCLE_VALUE =
  {
    RSFPL_ATTR_POWER_SENSOR_DUTY_CYCLE_VALUE,
    "Power Sensor Duty Cycle Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPowerSensorDutyCycle, NULL,
    "PMET{PowerSensor}:DCYC:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    99.999,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_FETCH =
  {
    RSFPL_ATTR_POWER_SENSOR_FETCH,
    "Power Sensor Fetch",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FETC:PMET{PowerSensor}?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_READ =
  {
    RSFPL_ATTR_POWER_SENSOR_READ,
    "Power Sensor Read",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "READ:PMET{PowerSensor}?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_ENABLED =
  {
    RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_ENABLED,
    "Power Sensor External Trigger Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "PMET{PowerSensor}:TRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_LEVEL =
  {
    RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_LEVEL,
    "Power Sensor External Trigger Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPowerSensorExternalTriggerLevel, NULL,
    "PMET{PowerSensor}:TRIG:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_HYSTERESIS =
  {
    RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_HYSTERESIS,
    "Power Sensor External Trigger Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "PMET{PowerSensor}:TRIG:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_DROPOUT_TIME =
  {
    RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_DROPOUT_TIME,
    "Power Sensor External Trigger Dropout Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPowerSensorExternalTriggerTime, NULL,
    "PMET{PowerSensor}:TRIG:DTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100.0E-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_HOLDOFF_TIME =
  {
    RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_HOLDOFF_TIME,
    "Power Sensor External Trigger Holdoff Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPowerSensorExternalTriggerTime, NULL,
    "PMET{PowerSensor}:TRIG:HOLD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_SLOPE =
  {
    RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_SLOPE,
    "Power Sensor External Trigger Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPosNeg, NULL, NULL,
    "PMET{PowerSensor}:TRIG:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_INTERNAL_GENERATOR_STATE =
  {
    RSFPL_ATTR_INTERNAL_GENERATOR_STATE,
    "Internal Generator State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_INTERNAL_GENERATOR_TRACKING_GENERATOR_STATE =
  {
    RSFPL_ATTR_INTERNAL_GENERATOR_TRACKING_GENERATOR_STATE,
    "Internal Generator Tracking Generator State",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SOUR:FREQ:COUP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_INTERNAL_GENERATOR_POWER_MODE =
  {
    RSFPL_ATTR_INTERNAL_GENERATOR_POWER_MODE,
    "Internal Generator Power Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngGeneratorPowerMode, NULL, NULL,
    "SOUR:POW:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_GENERATOR_POWER_MODE_FIXED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_INTERNAL_GENERATOR_LEVEL =
  {
    RSFPL_ATTR_INTERNAL_GENERATOR_LEVEL,
    "Internal Generator Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngGeneratorLevel, NULL,
    "SOUR:POW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -20,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_INTERNAL_GENERATOR_LEVEL_OFFSET =
  {
    RSFPL_ATTR_INTERNAL_GENERATOR_LEVEL_OFFSET,
    "Internal Generator Level Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngGeneratorLevelOffset, NULL,
    "SOUR:POW:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_INTERNAL_GENERATOR_CW_FREQUENCY =
  {
    RSFPL_ATTR_INTERNAL_GENERATOR_CW_FREQUENCY,
    "Internal Generator CW Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngGeneratorFrequency, NULL,
    "SOUR:INT:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_INTERNAL_GENERATOR_FREQUENCY_OFFSET =
  {
    RSFPL_ATTR_INTERNAL_GENERATOR_FREQUENCY_OFFSET,
    "Internal Generator Frequency Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR:INT:FREQ:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_INTERNAL_GENERATOR_CALIBRATION_METHOD =
  {
    RSFPL_ATTR_INTERNAL_GENERATOR_CALIBRATION_METHOD,
    "Internal Generator Calibration Method",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngCalibrationMethod, NULL, NULL,
    "CORR:METH",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_CALIBRATION_METHOD_TRANSMISSION,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HIDDEN_INTERNAL_GENERATOR_INITIATE_CALIBRATION =
  {
    RSFPL_ATTR_HIDDEN_INTERNAL_GENERATOR_INITIATE_CALIBRATION,
    "Hidden Internal Generator Initiate Calibration",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngCalibrationMode, NULL, NULL,
    "CORR:COLL",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_CALIBRATION_MODE_SHORT_OR_THROUGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_INTERNAL_GENERATOR_SAVE_AS_TRANSDUCER_FACTOR =
  {
    RSFPL_ATTR_INTERNAL_GENERATOR_SAVE_AS_TRANSDUCER_FACTOR,
    "Internal Generator Save As Transducer Factor",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:TRAN:GEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "transducer",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "B9",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_INTERNAL_GENERATOR_LEVEL_START =
  {
    RSFPL_ATTR_INTERNAL_GENERATOR_LEVEL_START,
    "Internal Generator Level Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngGeneratorSweepLevel, NULL,
    "SOUR:POW:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -30,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_INTERNAL_GENERATOR_LEVEL_STOP =
  {
    RSFPL_ATTR_INTERNAL_GENERATOR_LEVEL_STOP,
    "Internal Generator Level Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngGeneratorSweepLevel, NULL,
    "SOUR:POW:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -20,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_OUTPUT_NOISE_SOURCE_ENABLED =
  {
    RSFPL_ATTR_OUTPUT_NOISE_SOURCE_ENABLED,
    "Output Noise Source Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DIAG:SERV:NSO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_OUTPUT_SOURCE =
  {
    RSFPL_ATTR_OUTPUT_SOURCE,
    "Output Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngOutputSource, NULL, NULL,
    "OUTP:IF",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_OUTPUT_SOURCE_IF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_OUTPUT_FREQUENCY =
  {
    RSFPL_ATTR_OUTPUT_FREQUENCY,
    "Output Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "OUTP:IF:IFFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_OUTPUT_USER_PORT_OUTPUT_ENABLED =
  {
    RSFPL_ATTR_OUTPUT_USER_PORT_OUTPUT_ENABLED,
    "Output User Port Output Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "OUTP:UPOR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_OUTPUT_USER_PORT_OUTPUT_VALUE =
  {
    RSFPL_ATTR_OUTPUT_USER_PORT_OUTPUT_VALUE,
    "Output User Port Output Value",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngUserPortOutputValue, NULL,
    "OUTP:UPOR",
    // Defaults I32, I64, Float, Bool, String
    63,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsfpl_bin_ReadCallback,
    rsfpl_bin_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_OUTPUT_SIGNAL_POLARITY =
  {
    RSFPL_ATTR_OUTPUT_SIGNAL_POLARITY,
    "Output Signal Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngOutputSignalPolarity, NULL, NULL,
    "OUTP:UPOR:WTR:POL",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_POLARITY_HIGH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_OUTPUT_LOUDSPEAKER_ENABLED =
  {
    RSFPL_ATTR_OUTPUT_LOUDSPEAKER_ENABLED,
    "Output Loudspeaker Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:SPE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_OUTPUT_LOUDSPEAKER_MUTE =
  {
    RSFPL_ATTR_OUTPUT_LOUDSPEAKER_MUTE,
    "Output Loudspeaker Mute",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:SPE:MUTE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_OUTPUT_LOUDSPEAKER_VOLUME =
  {
    RSFPL_ATTR_OUTPUT_LOUDSPEAKER_VOLUME,
    "Output Loudspeaker Volume",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngLoudspeakerVolume, NULL,
    "SYST:SPE:VOL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_USER_PORT_INPUT_ENABLED =
  {
    RSFPL_ATTR_USER_PORT_INPUT_ENABLED,
    "User Port Input Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:UPOR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_USER_PORT_VALUE =
  {
    RSFPL_ATTR_USER_PORT_VALUE,
    "User Port Value",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "INP:UPOR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsfpl_bin_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PREAMPLIFIER_ENABLED =
  {
    RSFPL_ATTR_PREAMPLIFIER_ENABLED,
    "Preamplifier Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:GAIN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PREAMPLIFIER_GAIN =
  {
    RSFPL_ATTR_PREAMPLIFIER_GAIN,
    "Preamplifier Gain",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "INP:GAIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    15,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_TO_REFERENCE_LEVEL =
  {
    RSFPL_ATTR_MARKER_TO_REFERENCE_LEVEL,
    "Marker To Reference Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_AMPLITUDE_UNIT =
  {
    RSFPL_ATTR_AMPLITUDE_UNIT,
    "Amplitude Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngAbsolutePowerUnit, NULL, NULL,
    "UNIT:POW",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_UNIT_DBM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_REFERENCE_LEVEL =
  {
    RSFPL_ATTR_REFERENCE_LEVEL,
    "Reference Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP:TRAC:Y:RLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_REFERENCE_LEVEL_OFFSET =
  {
    RSFPL_ATTR_REFERENCE_LEVEL_OFFSET,
    "Reference Level Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngReferenceLevelOffset, NULL,
    "DISP:TRAC:Y:RLEV:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ATTENUATION =
  {
    RSFPL_ATTR_ATTENUATION,
    "Attenuation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "INP:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ATTENUATION_COUPLING_ENABLED =
  {
    RSFPL_ATTR_ATTENUATION_COUPLING_ENABLED,
    "Attenuation Coupling Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:ATT:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_Y_AXIS_AUTOSCALE_ONCE =
  {
    RSFPL_ATTR_Y_AXIS_AUTOSCALE_ONCE,
    "Y Axis Autoscale Once",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:TRAC:Y:AUTO ONCE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_Y_AXIS_SCALING =
  {
    RSFPL_ATTR_Y_AXIS_SCALING,
    "Y Axis Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngYAxisScaling, NULL, NULL,
    "DISPlay:WIND{Window}:TRAC:Y:SPAC",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_SCALING_LOG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_Y_AXIS_REFERENCE_VALUE =
  {
    RSFPL_ATTR_Y_AXIS_REFERENCE_VALUE,
    "Y Axis Reference Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:TRAC:Y:RVAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_Y_AXIS_SCALING_MODE =
  {
    RSFPL_ATTR_Y_AXIS_SCALING_MODE,
    "Y Axis Scaling Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngAbsRel, NULL, NULL,
    "DISPlay:WIND{Window}:TRAC:Y:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ABS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SUBWINDOW_Y_AXIS_SCALING =
  {
    RSFPL_ATTR_SUBWINDOW_Y_AXIS_SCALING,
    "Subwindow Y Axis Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngYAxisScaling, NULL, NULL,
    "DISPlay:WIND{Window}:SUBW{Subwindow}:TRAC:Y:SPAC",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_SCALING_LOG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SUBWINDOW_Y_AXIS_REFERENCE_VALUE =
  {
    RSFPL_ATTR_SUBWINDOW_Y_AXIS_REFERENCE_VALUE,
    "Subwindow Y Axis Reference Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP:WIND{Window}:SUBW{Subwindow}:TRAC:Y:RVAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SUBWINDOW_Y_AXIS_SCALING_MODE =
  {
    RSFPL_ATTR_SUBWINDOW_Y_AXIS_SCALING_MODE,
    "Subwindow Y Axis Scaling Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngAbsRel, NULL, NULL,
    "DISPlay:WIND{Window}:SUBW{Subwindow}:TRAC:Y:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ABS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SUBWINDOW_Y_AXIS_REFERENCE_LEVEL_POSITION =
  {
    RSFPL_ATTR_SUBWINDOW_Y_AXIS_REFERENCE_LEVEL_POSITION,
    "Subwindow Y Axis Reference Level Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:SUBW{Subwindow}:TRAC:Y:RPOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SUBWINDOW_Y_AXIS_RANGE =
  {
    RSFPL_ATTR_SUBWINDOW_Y_AXIS_RANGE,
    "Subwindow Y Axis Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngYAxisRange, NULL,
    "DISPlay:WIND{Window}:SUBW{Subwindow}:TRAC:Y",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SUBWINDOW_Y_AXIS_GRID_SPACING =
  {
    RSFPL_ATTR_SUBWINDOW_Y_AXIS_GRID_SPACING,
    "Subwindow Y Axis Grid Spacing",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:SUBW{Subwindow}:TRAC:Y:PDIV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FREQUENCY_CENTER =
  {
    RSFPL_ATTR_FREQUENCY_CENTER,
    "Frequency Center",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FREQ:CENT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FREQUENCY_SPAN =
  {
    RSFPL_ATTR_FREQUENCY_SPAN,
    "Frequency Span",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FREQ:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FREQUENCY_SPAN_FULL =
  {
    RSFPL_ATTR_FREQUENCY_SPAN_FULL,
    "Frequency Span Full",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "FREQ:SPAN:FULL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FREQUENCY_START =
  {
    RSFPL_ATTR_FREQUENCY_START,
    "Frequency Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FREQ:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FREQUENCY_STOP =
  {
    RSFPL_ATTR_FREQUENCY_STOP,
    "Frequency Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FREQ:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FREQUENCY_OFFSET =
  {
    RSFPL_ATTR_FREQUENCY_OFFSET,
    "Frequency Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FREQ:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FREQUENCY_CENTER_UP =
  {
    RSFPL_ATTR_FREQUENCY_CENTER_UP,
    "Frequency Center Up",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "FREQ:CENT UP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FREQUENCY_CENTER_DOWN =
  {
    RSFPL_ATTR_FREQUENCY_CENTER_DOWN,
    "Frequency Center Down",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "FREQ:CENT DOWN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FREQUENCY_STEP_SIZE =
  {
    RSFPL_ATTR_FREQUENCY_STEP_SIZE,
    "Frequency Step Size",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FREQ:CENT:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FREQUENCY_STEP_SIZE_COUPLING_ENABLED =
  {
    RSFPL_ATTR_FREQUENCY_STEP_SIZE_COUPLING_ENABLED,
    "Frequency Step Size Coupling Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FREQ:CENT:STEP:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FREQUENCY_STEP_SIZE_COUPLING_MODE =
  {
    RSFPL_ATTR_FREQUENCY_STEP_SIZE_COUPLING_MODE,
    "Frequency Step Size Coupling Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngStepSizeCoupling, NULL, NULL,
    "FREQ:CENT:STEP:LINK",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_STEP_SIZE_COUPLING_SPAN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FREQUENCY_STEP_SIZE_FACTOR =
  {
    RSFPL_ATTR_FREQUENCY_STEP_SIZE_FACTOR,
    "Frequency Step Size Factor",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngStepSizeFactor, NULL,
    "FREQ:CENT:STEP:LINK:FACT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FREQUENCY_MARKER_TO_CENTER =
  {
    RSFPL_ATTR_FREQUENCY_MARKER_TO_CENTER,
    "Frequency Marker To Center",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:CENT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FREQUENCY_MARKER_TO_STEP_SIZE =
  {
    RSFPL_ATTR_FREQUENCY_MARKER_TO_STEP_SIZE,
    "Frequency Marker To Step Size",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:CST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FREQUENCY_ANNOTATION_MODE =
  {
    RSFPL_ATTR_FREQUENCY_ANNOTATION_MODE,
    "Frequency Annotation Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngFrequencyAnnotationMode, NULL, NULL,
    "FREQ:ANN",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_FREQUENCY_ANNOTATION_MODE_CSP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_TRACKING_ENABLED =
  {
    RSFPL_ATTR_SIGNAL_TRACKING_ENABLED,
    "Signal Tracking Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:STR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_TRACKING_BANDWIDTH =
  {
    RSFPL_ATTR_SIGNAL_TRACKING_BANDWIDTH,
    "Signal Tracking Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:STR:BAND",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_TRACKING_THRESHOLD =
  {
    RSFPL_ATTR_SIGNAL_TRACKING_THRESHOLD,
    "Signal Tracking Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngSignalTrackingThreshold, NULL,
    "CALC:MARK:FUNC:STR:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -120,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_TRACKING_TRACE =
  {
    RSFPL_ATTR_SIGNAL_TRACKING_TRACE,
    "Signal Tracking Trace",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngTrace, NULL,
    "CALC:MARK:FUNC:STR:TRAC",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HORIZONTAL_SCALE =
  {
    RSFPL_ATTR_HORIZONTAL_SCALE,
    "Horizontal Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngLinLog, NULL, NULL,
    "DISP:WIND{Window}:TRAC:X:SPAC",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_LOG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SUBWINDOW_HORIZONTAL_SCALE =
  {
    RSFPL_ATTR_SUBWINDOW_HORIZONTAL_SCALE,
    "Subwindow Horizontal Scale",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngLinLog, NULL, NULL,
    "DISP:WIND{Window}:SUBW{Subwindow}:TRAC:X:SPAC",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_LIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_RBW =
  {
    RSFPL_ATTR_RBW,
    "RBW",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_RBW_AUTO_ENABLED =
  {
    RSFPL_ATTR_RBW_AUTO_ENABLED,
    "RBW Auto Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BWID:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VBW =
  {
    RSFPL_ATTR_VBW,
    "VBW",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BWID:VID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10000.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VBW_AUTO_ENABLED =
  {
    RSFPL_ATTR_VBW_AUTO_ENABLED,
    "VBW Auto Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "BWID:VID:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_RBW_TO_VBW_RATIO =
  {
    RSFPL_ATTR_RBW_TO_VBW_RATIO,
    "RBW To VBW Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "BWID:VID:RAT",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VBW_FILTER_MODE =
  {
    RSFPL_ATTR_VBW_FILTER_MODE,
    "VBW Filter Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngLinLog, NULL, NULL,
    "BWID:VID:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_LOG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_RBW_TO_SPAN_RATIO =
  {
    RSFPL_ATTR_RBW_TO_SPAN_RATIO,
    "RBW To Span Ratio",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngRBWToSpanRatio, NULL,
    "BWID:RAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.01,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_RBW_FILTER_TYPE =
  {
    RSFPL_ATTR_RBW_FILTER_TYPE,
    "RBW Filter Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngFilterType, NULL, NULL,
    "BWID:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_FILTER_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADJUST_ALL =
  {
    RSFPL_ATTR_ADJUST_ALL,
    "Adjust All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ADJ:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADJUST_FREQUENCY =
  {
    RSFPL_ATTR_ADJUST_FREQUENCY,
    "Adjust Frequency",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ADJ:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADJUST_LEVEL =
  {
    RSFPL_ATTR_ADJUST_LEVEL,
    "Adjust Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ADJ:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADJUST_MANUAL_LENGTH_OF_MEASUREMENT =
  {
    RSFPL_ATTR_ADJUST_MANUAL_LENGTH_OF_MEASUREMENT,
    "Adjust Manual Length Of Measurement",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngAdjustLengthOfMeasurement, NULL,
    "ADJ:CONF:LEV:DUR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.001,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADJUST_LENGTH_OF_MEASUREMENT_MODE =
  {
    RSFPL_ATTR_ADJUST_LENGTH_OF_MEASUREMENT_MODE,
    "Adjust Length Of Measurement Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngAutoMan, NULL, NULL,
    "ADJ:CONF:LEV:DUR:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADJUST_LOWER_LEVEL_HYSTERESIS =
  {
    RSFPL_ATTR_ADJUST_LOWER_LEVEL_HYSTERESIS,
    "Adjust Lower Level Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngLevelHysteresis, NULL,
    "ADJ:CONF:HYST:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADJUST_UPPER_LEVEL_HYSTERESIS =
  {
    RSFPL_ATTR_ADJUST_UPPER_LEVEL_HYSTERESIS,
    "Adjust Upper Level Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngLevelHysteresis, NULL,
    "ADJ:CONF:HYST:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADJUST_WAIT_FOR_TRIGGER_ENABLED =
  {
    RSFPL_ATTR_ADJUST_WAIT_FOR_TRIGGER_ENABLED,
    "Adjust Wait For Trigger Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADJ:CONF:TRIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_COUNT =
  {
    RSFPL_ATTR_SWEEP_COUNT,
    "Sweep Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngSweepCount, NULL,
    "SWE:COUN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CURRENT_NUMBER_OF_SWEEPS =
  {
    RSFPL_ATTR_CURRENT_NUMBER_OF_SWEEPS,
    "Current Number Of Sweeps",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SWE:COUN:CURR?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_MODE_CONTINUOUS_ENABLED =
  {
    RSFPL_ATTR_SWEEP_MODE_CONTINUOUS_ENABLED,
    "Sweep Mode Continuous Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INIT:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CAPTURE_TIME =
  {
    RSFPL_ATTR_CAPTURE_TIME,
    "Capture Time",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SWE:DUR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PARTIAL_SPAN_OPTIMIZATION_MODE =
  {
    RSFPL_ATTR_PARTIAL_SPAN_OPTIMIZATION_MODE,
    "Partial Span Optimization Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPartialSpanOptimizationMode, NULL, NULL,
    "SWE:OPT",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_OPTIMIZATION_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_POINTS =
  {
    RSFPL_ATTR_SWEEP_POINTS,
    "Sweep Points",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngSweepPoints, NULL,
    "SWE:POIN",
    // Defaults I32, I64, Float, Bool, String
    1001,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_TIME =
  {
    RSFPL_ATTR_SWEEP_TIME,
    "Sweep Time Manual",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SWE:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_TIME_AUTO_ENABLED =
  {
    RSFPL_ATTR_SWEEP_TIME_AUTO_ENABLED,
    "Sweep Time Auto Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SWE:TIME:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_TYPE =
  {
    RSFPL_ATTR_SWEEP_TYPE,
    "Sweep Type",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngSweepType, NULL, NULL,
    "SWE:TYPE:USED?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_SWEEP_TYPE_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_TYPE_MODE =
  {
    RSFPL_ATTR_SWEEP_TYPE_MODE,
    "Sweep Type Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngSweepTypeMode, NULL, NULL,
    "SWE:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_SWEEP_TYPE_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_FFT_SUBSPAN =
  {
    RSFPL_ATTR_SWEEP_FFT_SUBSPAN,
    "Sweep FFT Subspan",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SWE:FFTS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_WINDOW_SWEEP_POINTS =
  {
    RSFPL_ATTR_WINDOW_SWEEP_POINTS,
    "Window Sweep Points",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngSweepPoints, NULL,
    "SWEep:WIND{Window}:POIN",
    // Defaults I32, I64, Float, Bool, String
    1001,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRIGGER_SOURCE =
  {
    RSFPL_ATTR_TRIGGER_SOURCE,
    "Trigger Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngTriggerSource, NULL, NULL,
    "TRIG:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_TRIGGER_IMMEDIATE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRIGGER_LEVEL_IFP =
  {
    RSFPL_ATTR_TRIGGER_LEVEL_IFP,
    "Trigger Level IFP",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:LEV:IFP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRIGGER_LEVEL_IQ_POWER =
  {
    RSFPL_ATTR_TRIGGER_LEVEL_IQ_POWER,
    "Trigger Level IQ Power",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngTriggerLevelIQPower, NULL,
    "TRIG:LEV:IQP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -20,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRIGGER_DROP_OUT_TIME =
  {
    RSFPL_ATTR_TRIGGER_DROP_OUT_TIME,
    "Trigger Drop Out Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngTriggerDropOutTime, NULL,
    "TRIG:DTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRIGGER_OFFSET =
  {
    RSFPL_ATTR_TRIGGER_OFFSET,
    "Trigger Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:HOLD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRIGGER_SLOPE =
  {
    RSFPL_ATTR_TRIGGER_SLOPE,
    "Trigger Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPosNeg, NULL, NULL,
    "TRIG:SLOP",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRIGGER_HYSTERESIS =
  {
    RSFPL_ATTR_TRIGGER_HYSTERESIS,
    "Trigger Hysteresis",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngTriggerHysteresis, NULL,
    "TRIG:IFP:HYST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRIGGER_HOLDOFF =
  {
    RSFPL_ATTR_TRIGGER_HOLDOFF,
    "Trigger Holdoff",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngTriggerHoldoff, NULL,
    "TRIG:IFP:HOLD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_EXTERNAL_TRIGGER_LEVEL =
  {
    RSFPL_ATTR_EXTERNAL_TRIGGER_LEVEL,
    "External Trigger Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRIG:LEVel:EXT{TriggerPort}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.4,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GATE_ENABLED =
  {
    RSFPL_ATTR_GATE_ENABLED,
    "Gate Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SWE:EGAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GATE_MODE =
  {
    RSFPL_ATTR_GATE_MODE,
    "Gate Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngGateMode, NULL, NULL,
    "SWE:EGAT:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_GATE_LEVEL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GATE_DELAY =
  {
    RSFPL_ATTR_GATE_DELAY,
    "Gate Delay",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngGateDelay, NULL,
    "SWE:EGAT:HOLD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GATE_LENGTH =
  {
    RSFPL_ATTR_GATE_LENGTH,
    "Gate Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngGateLength, NULL,
    "SWE:EGAT:LENG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    400e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GATE_POLARITY =
  {
    RSFPL_ATTR_GATE_POLARITY,
    "Gate Polarity",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPosNeg, NULL, NULL,
    "SWE:EGAT:POL",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_POSITIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GATE_SOURCE =
  {
    RSFPL_ATTR_GATE_SOURCE,
    "Gate Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngGateSource, NULL, NULL,
    "SWE:EGAT:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_GATE_IFPOWER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_TABLE_DISPLAY_MODE =
  {
    RSFPL_ATTR_MARKER_TABLE_DISPLAY_MODE,
    "Marker Table Display Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngMarkerTableDisplayMode, NULL, NULL,
    "DISPlay:WIND:MTAB",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_MARKER_TABLE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_INFO_ENABLED =
  {
    RSFPL_ATTR_MARKER_INFO_ENABLED,
    "Marker Info Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:MINF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_STEPSIZE =
  {
    RSFPL_ATTR_MARKER_STEPSIZE,
    "Marker Stepsize",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngMarkerStepsize, NULL, NULL,
    "CALC:MARK:X:SSIZ",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_STEPSIZE_POINTS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_LINKING =
  {
    RSFPL_ATTR_MARKER_LINKING,
    "Marker Linking",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngLinkedMarkers, NULL, NULL,
    "CALC:MARK:LINK",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_LINKED_MARKERS_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_EXCLUDE_LO_ENABLED =
  {
    RSFPL_ATTR_MARKER_EXCLUDE_LO_ENABLED,
    "Marker Exclude LO Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MARK:LOEX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_PEAK_EXCURSION =
  {
    RSFPL_ATTR_MARKER_PEAK_EXCURSION,
    "Marker Peak Excursion",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:PEXC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_SEARCH_LIMITS_ENABLED =
  {
    RSFPL_ATTR_MARKER_SEARCH_LIMITS_ENABLED,
    "Marker Search Limits Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MARK:X:SLIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_SEARCH_LIMIT_LEFT =
  {
    RSFPL_ATTR_MARKER_SEARCH_LIMIT_LEFT,
    "Marker Search Limit Left",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:X:SLIM:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_SEARCH_LIMIT_RIGHT =
  {
    RSFPL_ATTR_MARKER_SEARCH_LIMIT_RIGHT,
    "Marker Search Limit Right",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:X:SLIM:RIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    12e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_SEARCH_ZOOM_LIMITS_ENABLED =
  {
    RSFPL_ATTR_MARKER_SEARCH_ZOOM_LIMITS_ENABLED,
    "Marker Search Zoom Limits Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MARK:X:SLIM:ZOOM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_SEARCH_THRESHOLD_ENABLED =
  {
    RSFPL_ATTR_MARKER_SEARCH_THRESHOLD_ENABLED,
    "Marker Search Threshold Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:THR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_SEARCH_THRESHOLD =
  {
    RSFPL_ATTR_MARKER_SEARCH_THRESHOLD,
    "Marker Search Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -120,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DELTA_MARKER_MODE =
  {
    RSFPL_ATTR_DELTA_MARKER_MODE,
    "Delta Marker Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngAbsRel, NULL, NULL,
    "CALC{Window}:DELT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_REL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ALL_DELTA_MARKERS_OFF =
  {
    RSFPL_ATTR_ALL_DELTA_MARKERS_OFF,
    "All Delta Markers Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:DELT:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_RESULT =
  {
    RSFPL_ATTR_MARKER_RESULT,
    "Marker Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:Y?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ALL_MARKERS_OFF =
  {
    RSFPL_ATTR_ALL_MARKERS_OFF,
    "All Markers Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_ENABLED =
  {
    RSFPL_ATTR_MARKER_ENABLED,
    "Marker Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_ASSIGNED_TRACE =
  {
    RSFPL_ATTR_MARKER_ASSIGNED_TRACE,
    "Marker Assigned Trace",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngTrace, NULL,
    "CALC{Window}:MARK{Marker}:TRAC",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_POSITION =
  {
    RSFPL_ATTR_MARKER_POSITION,
    "Marker Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:X",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_AMPLITUDE =
  {
    RSFPL_ATTR_MARKER_AMPLITUDE,
    "Marker Amplitude",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:Y",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_PROBABILITY =
  {
    RSFPL_ATTR_MARKER_PROBABILITY,
    "Marker Probability",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPct, NULL,
    "CALC{Window}:MARK{Marker}:Y:PERC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_ZOOM_FACTOR =
  {
    RSFPL_ATTR_MARKER_ZOOM_FACTOR,
    "Marker Zoom Factor",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngMarkerZoomFactor, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:ZOOM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DELTA_MARKER_REFERENCE =
  {
    RSFPL_ATTR_DELTA_MARKER_REFERENCE,
    "Delta Marker Reference",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngReferenceMarker, NULL,
    "CALC{Window}:DELT{Marker}:MREF",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DELTA_MARKER_REFERENCE_FIXED =
  {
    RSFPL_ATTR_DELTA_MARKER_REFERENCE_FIXED,
    "Delta Marker Reference Fixed",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:MREF FIX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_AUTO_MAX_PEAK_SEARCH_ENABLED =
  {
    RSFPL_ATTR_MARKER_AUTO_MAX_PEAK_SEARCH_ENABLED,
    "Marker Auto Max Peak Search Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:MAX:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_MAX_PEAK_LEFT =
  {
    RSFPL_ATTR_MARKER_MAX_PEAK_LEFT,
    "Marker Max Peak Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:MAX:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_MAX_PEAK_NEXT =
  {
    RSFPL_ATTR_MARKER_MAX_PEAK_NEXT,
    "Marker Max Peak Next",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:MAX:NEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_MAX_PEAK_RIGHT =
  {
    RSFPL_ATTR_MARKER_MAX_PEAK_RIGHT,
    "Marker Max Peak Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:MAX:RIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_MAX_PEAK =
  {
    RSFPL_ATTR_MARKER_MAX_PEAK,
    "Marker Max Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_AUTO_MIN_PEAK_SEARCH_ENABLED =
  {
    RSFPL_ATTR_MARKER_AUTO_MIN_PEAK_SEARCH_ENABLED,
    "Marker Auto Min Peak Search Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:MIN:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_MIN_PEAK_LEFT =
  {
    RSFPL_ATTR_MARKER_MIN_PEAK_LEFT,
    "Marker Min Peak Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:MIN:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_MIN_PEAK_NEXT =
  {
    RSFPL_ATTR_MARKER_MIN_PEAK_NEXT,
    "Marker Min Peak Next",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:MIN:NEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_MIN_PEAK_RIGHT =
  {
    RSFPL_ATTR_MARKER_MIN_PEAK_RIGHT,
    "Marker Min Peak Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:MIN:RIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_MIN_PEAK =
  {
    RSFPL_ATTR_MARKER_MIN_PEAK,
    "Marker Min Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FIXED_REFERENCE_MARKER_ENABLED =
  {
    RSFPL_ATTR_FIXED_REFERENCE_MARKER_ENABLED,
    "Fixed Reference Marker Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:FUNC:FIX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FIXED_REFERENCE_MARKER_MAX_PEAK =
  {
    RSFPL_ATTR_FIXED_REFERENCE_MARKER_MAX_PEAK,
    "Fixed Reference Marker Max Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:FUNC:FIX:RPO:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FIXED_REFERENCE_MARKER_REFERENCE_POINT_HORIZONTAL =
  {
    RSFPL_ATTR_FIXED_REFERENCE_MARKER_REFERENCE_POINT_HORIZONTAL,
    "Fixed Reference Marker Reference Point Horizontal",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:FUNC:FIX:RPO:X",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FIXED_REFERENCE_MARKER_REFERENCE_POINT_VERTICAL =
  {
    RSFPL_ATTR_FIXED_REFERENCE_MARKER_REFERENCE_POINT_VERTICAL,
    "Fixed Reference Marker Reference Point Vertical",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:FUNC:FIX:RPO:Y",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FIXED_REFERENCE_MARKER_REFERENCE_POINT_LEVEL_OFFSET =
  {
    RSFPL_ATTR_FIXED_REFERENCE_MARKER_REFERENCE_POINT_LEVEL_OFFSET,
    "Fixed Reference Marker Reference Point Level Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:FUNC:FIX:RPO:Y:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_PEAK_SEARCH_ENABLED =
  {
    RSFPL_ATTR_MARKER_PEAK_SEARCH_ENABLED,
    "Marker Peak List Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:FPE:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_PEAK_LIST_LABELS_ENABLED =
  {
    RSFPL_ATTR_MARKER_PEAK_LIST_LABELS_ENABLED,
    "Marker Peak List Labels Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:FPE:ANN:LAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_PEAK_LIST_MAXIMUM_NUMBER_OF_PEAKS =
  {
    RSFPL_ATTR_MARKER_PEAK_LIST_MAXIMUM_NUMBER_OF_PEAKS,
    "Marker Peak List Maximum Number Of Peaks",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngMaxNoPeaks, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:FPE:LIST:SIZE",
    // Defaults I32, I64, Float, Bool, String
    50,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_PEAK_LIST_PEAKS =
  {
    RSFPL_ATTR_MARKER_PEAK_LIST_PEAKS,
    "Marker Peak List Peaks",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, &RsFpl_rngMaxNoPeaks, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:FPE",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_PEAK_LIST_NUMBER_OF_FOUND_PEAKS =
  {
    RSFPL_ATTR_MARKER_PEAK_LIST_NUMBER_OF_FOUND_PEAKS,
    "Marker Peak List Number Of Found Peaks",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:FPE:COUN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_PEAK_LIST_SORT_MODE =
  {
    RSFPL_ATTR_MARKER_PEAK_LIST_SORT_MODE,
    "Marker Peak List Sort Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPeakListSortMode, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:FPE:SORT",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_SORT_X,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_MEASUREMENT_MARKER_ENABLED =
  {
    RSFPL_ATTR_NOISE_MEASUREMENT_MARKER_ENABLED,
    "Noise Measurement Marker Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:NOIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_MEASUREMENT_MARKER_ALL_OFF =
  {
    RSFPL_ATTR_NOISE_MEASUREMENT_MARKER_ALL_OFF,
    "Noise Measurement Marker All Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK:FUNC:NOIS:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_MEASUREMENT_MARKER_RESULT =
  {
    RSFPL_ATTR_NOISE_MEASUREMENT_MARKER_RESULT,
    "Noise Measurement Marker Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:NOIS:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_MARKER_ENABLED =
  {
    RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_MARKER_ENABLED,
    "Phase Noise Measurement Marker Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:PNO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_MARKER_ALL_OFF =
  {
    RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_MARKER_ALL_OFF,
    "Phase Noise Measurement Marker All Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK:FUNC:PNO:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_MARKER_RESULT =
  {
    RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_MARKER_RESULT,
    "Phase Noise Measurement Marker Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:PNO:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_BAND_POWER_MARKER_ENABLED =
  {
    RSFPL_ATTR_BAND_POWER_MARKER_ENABLED,
    "Band Power Marker Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:BPOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_BAND_POWER_MARKER_ALL_OFF =
  {
    RSFPL_ATTR_BAND_POWER_MARKER_ALL_OFF,
    "Band Power Marker All Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK:FUNC:BPOW:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_BAND_POWER_MARKER_MODE =
  {
    RSFPL_ATTR_BAND_POWER_MARKER_MODE,
    "Band Power Marker Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngBandPowerMode, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:BPOW:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_BAND_POWER_POWER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_BAND_POWER_MARKER_RESULT =
  {
    RSFPL_ATTR_BAND_POWER_MARKER_RESULT,
    "Band Power Marker Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:BPOW:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_BAND_POWER_MARKER_SPAN =
  {
    RSFPL_ATTR_BAND_POWER_MARKER_SPAN,
    "Band Power Marker Span",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:BPOW:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_N_DB_DOWN_ENABLED =
  {
    RSFPL_ATTR_N_DB_DOWN_ENABLED,
    "n dB Down Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:NDBD:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_N_DB_DOWN_DISTANCE =
  {
    RSFPL_ATTR_N_DB_DOWN_DISTANCE,
    "n dB Down Distance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:NDBD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_N_DB_DOWN_RESULT =
  {
    RSFPL_ATTR_N_DB_DOWN_RESULT,
    "n dB Down Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:NDBD:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_N_DB_DOWN_Q_FACTOR =
  {
    RSFPL_ATTR_N_DB_DOWN_Q_FACTOR,
    "n dB Down Q Factor",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:NDBD:QFAC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_COUNT_ENABLED =
  {
    RSFPL_ATTR_SIGNAL_COUNT_ENABLED,
    "Signal Count Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:COUN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_COUNT_FREQUENCY =
  {
    RSFPL_ATTR_SIGNAL_COUNT_FREQUENCY,
    "Signal Count Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:COUN:FREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_COUNT_RESOLUTION =
  {
    RSFPL_ATTR_SIGNAL_COUNT_RESOLUTION,
    "Signal Count Resolution",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:COUN:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_DEMODULATION_ENABLED =
  {
    RSFPL_ATTR_MARKER_DEMODULATION_ENABLED,
    "Marker Demodulation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:DEM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_DEMODULATION_CONTINUOUS_ENABLED =
  {
    RSFPL_ATTR_MARKER_DEMODULATION_CONTINUOUS_ENABLED,
    "Marker Demodulation Continuous Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:DEM:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_DEMODULATION_STOP_TIME =
  {
    RSFPL_ATTR_MARKER_DEMODULATION_STOP_TIME,
    "Marker Demodulation Stop Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngDemodulationStopTime, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:DEM:HOLD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_DEMODULATION_MODE =
  {
    RSFPL_ATTR_MARKER_DEMODULATION_MODE,
    "Marker Demodulation Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngDemodulationMode, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:DEM:SEL",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_DEMODULATION_AM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_DEMODULATION_SELECTIVE_ENABLED =
  {
    RSFPL_ATTR_MARKER_DEMODULATION_SELECTIVE_ENABLED,
    "Marker Demodulation Selective Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DEM:SQU",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MARKER_DEMODULATION_SELECTIVE_THRESHOLD =
  {
    RSFPL_ATTR_MARKER_DEMODULATION_SELECTIVE_THRESHOLD,
    "Marker Demodulation Selective Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngSelectiveDemodulationThreshold, NULL,
    "DEM:SQU:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DELTA_MARKER_RESULT =
  {
    RSFPL_ATTR_DELTA_MARKER_RESULT,
    "Delta Marker Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:Y?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DELTA_MARKER_RELATIVE_POSITION =
  {
    RSFPL_ATTR_DELTA_MARKER_RELATIVE_POSITION,
    "Delta Marker Relative Position",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:X:REL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DELTA_MARKER_LINK_TO_MARKER_1 =
  {
    RSFPL_ATTR_DELTA_MARKER_LINK_TO_MARKER_1,
    "Delta Marker Link To Marker 1",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:LINK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DELTA_MARKER_ENABLED =
  {
    RSFPL_ATTR_DELTA_MARKER_ENABLED,
    "Delta Marker Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DELTA_MARKER_ASSIGNED_TRACE =
  {
    RSFPL_ATTR_DELTA_MARKER_ASSIGNED_TRACE,
    "Delta Marker Assigned Trace",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngTrace, NULL,
    "CALC{Window}:DELT{Marker}:TRAC",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DELTA_MARKER_POSITION =
  {
    RSFPL_ATTR_DELTA_MARKER_POSITION,
    "Delta Marker Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:X",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DELTA_MARKER_MAX_PEAK_LEFT =
  {
    RSFPL_ATTR_DELTA_MARKER_MAX_PEAK_LEFT,
    "Delta Marker Max Peak Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:MAX:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DELTA_MARKER_MAX_PEAK_NEXT =
  {
    RSFPL_ATTR_DELTA_MARKER_MAX_PEAK_NEXT,
    "Delta Marker Max Peak Next",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:MAX:NEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DELTA_MARKER_MAX_PEAK_RIGHT =
  {
    RSFPL_ATTR_DELTA_MARKER_MAX_PEAK_RIGHT,
    "Delta Marker Max Peak Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:MAX:RIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DELTA_MARKER_MAX_PEAK =
  {
    RSFPL_ATTR_DELTA_MARKER_MAX_PEAK,
    "Delta Marker Max Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DELTA_MARKER_MIN_PEAK_LEFT =
  {
    RSFPL_ATTR_DELTA_MARKER_MIN_PEAK_LEFT,
    "Delta Marker Min Peak Left",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:MIN:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DELTA_MARKER_MIN_PEAK_NEXT =
  {
    RSFPL_ATTR_DELTA_MARKER_MIN_PEAK_NEXT,
    "Delta Marker Min Peak Next",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:MIN:NEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DELTA_MARKER_MIN_PEAK_RIGHT =
  {
    RSFPL_ATTR_DELTA_MARKER_MIN_PEAK_RIGHT,
    "Delta Marker Min Peak Right",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:MIN:RIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DELTA_MARKER_MIN_PEAK =
  {
    RSFPL_ATTR_DELTA_MARKER_MIN_PEAK,
    "Delta Marker Min Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_DELTA_MARKER_ENABLED =
  {
    RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_DELTA_MARKER_ENABLED,
    "Phase Noise Measurement Delta Marker Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:FUNC:PNO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_DELTA_MARKER_AUTO_PEAK_SEARCH_ENABLED =
  {
    RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_DELTA_MARKER_AUTO_PEAK_SEARCH_ENABLED,
    "Phase Noise Measurement Delta Marker Auto Peak Search Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:FUNC:PNO:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_DELTA_MARKER_RESULT =
  {
    RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_DELTA_MARKER_RESULT,
    "Phase Noise Measurement Delta Marker Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:FUNC:PNO:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_BAND_POWER_DELTA_MARKER_ENABLED =
  {
    RSFPL_ATTR_BAND_POWER_DELTA_MARKER_ENABLED,
    "Band Power Delta Marker Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:FUNC:BPOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_BAND_POWER_DELTA_MARKER_MODE =
  {
    RSFPL_ATTR_BAND_POWER_DELTA_MARKER_MODE,
    "Band Power Delta Marker Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngBandPowerMode, NULL, NULL,
    "CALC{Window}:DELT{Marker}:FUNC:BPOW:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_BAND_POWER_POWER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_BAND_POWER_DELTA_MARKER_RESULT =
  {
    RSFPL_ATTR_BAND_POWER_DELTA_MARKER_RESULT,
    "Band Power Delta Marker Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:FUNC:BPOW:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_BAND_POWER_DELTA_MARKER_SPAN =
  {
    RSFPL_ATTR_BAND_POWER_DELTA_MARKER_SPAN,
    "Band Power Delta Marker Span",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:FUNC:BPOW:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_MARKER_FRAME =
  {
    RSFPL_ATTR_SPECTROGRAM_MARKER_FRAME,
    "Spectrogram Marker Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:SGR:FRAM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_MARKER_SEARCH_AREA =
  {
    RSFPL_ATTR_SPECTROGRAM_MARKER_SEARCH_AREA,
    "Spectrogram Marker Search Area",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngSpectrogramMarkerSearchArea, NULL, NULL,
    "CALC:MARK:SGR:SAR",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_SGR_AREA_MEMORY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_MARKER_MAX_LEVEL =
  {
    RSFPL_ATTR_SPECTROGRAM_MARKER_MAX_LEVEL,
    "Spectrogram Marker Max Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:SGR:XY:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_MARKER_MIN_LEVEL =
  {
    RSFPL_ATTR_SPECTROGRAM_MARKER_MIN_LEVEL,
    "Spectrogram Marker Min Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:SGR:XY:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_MARKER_MAX_PEAK_ABOVE =
  {
    RSFPL_ATTR_SPECTROGRAM_MARKER_MAX_PEAK_ABOVE,
    "Spectrogram Marker Max Peak Above",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:SGR:Y:MAX:ABOV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_MARKER_MAX_PEAK_BELOW =
  {
    RSFPL_ATTR_SPECTROGRAM_MARKER_MAX_PEAK_BELOW,
    "Spectrogram Marker Max Peak Below",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:SGR:Y:MAX:BEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_MARKER_MAX_PEAK_NEXT =
  {
    RSFPL_ATTR_SPECTROGRAM_MARKER_MAX_PEAK_NEXT,
    "Spectrogram Marker Max Peak Next",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:SGR:Y:MAX:NEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_MARKER_MAX_PEAK =
  {
    RSFPL_ATTR_SPECTROGRAM_MARKER_MAX_PEAK,
    "Spectrogram Marker Max Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:SGR:Y:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_MARKER_MIN_PEAK_ABOVE =
  {
    RSFPL_ATTR_SPECTROGRAM_MARKER_MIN_PEAK_ABOVE,
    "Spectrogram Marker Min Peak Above",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:SGR:Y:MIN:ABOV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_MARKER_MIN_PEAK_BELOW =
  {
    RSFPL_ATTR_SPECTROGRAM_MARKER_MIN_PEAK_BELOW,
    "Spectrogram Marker Min Peak Below",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:SGR:Y:MIN:BEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_MARKER_MIN_PEAK_NEXT =
  {
    RSFPL_ATTR_SPECTROGRAM_MARKER_MIN_PEAK_NEXT,
    "Spectrogram Marker Min Peak Next",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:SGR:Y:MIN:NEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_MARKER_MIN_PEAK =
  {
    RSFPL_ATTR_SPECTROGRAM_MARKER_MIN_PEAK,
    "Spectrogram Marker Min Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:SGR:Y:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_FRAME =
  {
    RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_FRAME,
    "Spectrogram Delta Marker Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:SGR:FRAM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_SEARCH_AREA =
  {
    RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_SEARCH_AREA,
    "Spectrogram Delta Marker Search Area",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngSpectrogramMarkerSearchArea, NULL, NULL,
    "CALC:DELT:SGR:SAR",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_SGR_AREA_VISIBLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MAX_LEVEL =
  {
    RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MAX_LEVEL,
    "Spectrogram Delta Marker Max Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:SGR:XY:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MIN_LEVEL =
  {
    RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MIN_LEVEL,
    "Spectrogram Delta Marker Min Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:SGR:XY:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MAX_PEAK_ABOVE =
  {
    RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MAX_PEAK_ABOVE,
    "Spectrogram Delta Marker Max Peak Above",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:SGR:Y:MAX:ABOV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MAX_PEAK_BELOW =
  {
    RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MAX_PEAK_BELOW,
    "Spectrogram Delta Marker Max Peak Below",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:SGR:Y:MAX:BEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MAX_PEAK_NEXT =
  {
    RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MAX_PEAK_NEXT,
    "Spectrogram Delta Marker Max Peak Next",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:SGR:Y:MAX:NEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MAX_PEAK =
  {
    RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MAX_PEAK,
    "Spectrogram Delta Marker Max Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:SGR:Y:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MIN_PEAK_ABOVE =
  {
    RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MIN_PEAK_ABOVE,
    "Spectrogram Delta Marker Min Peak Above",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:SGR:Y:MIN:ABOV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MIN_PEAK_BELOW =
  {
    RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MIN_PEAK_BELOW,
    "Spectrogram Delta Marker Min Peak Below",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:SGR:Y:MIN:BEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MIN_PEAK_NEXT =
  {
    RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MIN_PEAK_NEXT,
    "Spectrogram Delta Marker Min Peak Next",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:SGR:Y:MIN:NEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MIN_PEAK =
  {
    RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MIN_PEAK,
    "Spectrogram Delta Marker Min Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:SGR:Y:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRACE_AVERAGE_COUNT =
  {
    RSFPL_ATTR_TRACE_AVERAGE_COUNT,
    "Trace Average Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngTraceAverageCount, NULL,
    "AVER:COUN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRACE_AVERAGE_MODE =
  {
    RSFPL_ATTR_TRACE_AVERAGE_MODE,
    "Trace Average Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngTraceAverageMode, NULL, NULL,
    "AVER{Window}:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_TRACE_AVERAGE_LINEAR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRACE_ENABLED =
  {
    RSFPL_ATTR_TRACE_ENABLED,
    "Trace Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:TRAC{Trace}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRACE_DETECTOR_AUTO_ENABLED =
  {
    RSFPL_ATTR_TRACE_DETECTOR_AUTO_ENABLED,
    "Trace Detector Auto Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "WIND{Window}:DET{Trace}:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRACE_DETECTOR =
  {
    RSFPL_ATTR_TRACE_DETECTOR,
    "Trace Detector",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngTraceDetector, NULL, NULL,
    "WIND{Window}:DET{Trace}",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_DETECTOR_APEAK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRACE_HOLD_ENABLED =
  {
    RSFPL_ATTR_TRACE_HOLD_ENABLED,
    "Trace Hold Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:TRAC{Trace}:MODE:HCON",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRACE_SMOOTHING_ENABLED =
  {
    RSFPL_ATTR_TRACE_SMOOTHING_ENABLED,
    "Trace Smoothing Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:TRAC{Trace}:SMO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRACE_SMOOTHING_VALUE =
  {
    RSFPL_ATTR_TRACE_SMOOTHING_VALUE,
    "Trace Smoothing Value",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngTraceSmoothing, NULL,
    "DISPlay:WIND{Window}:TRAC{Trace}:SMO:APER",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRACE_AVERAGE_ENABLED =
  {
    RSFPL_ATTR_TRACE_AVERAGE_ENABLED,
    "Trace Average Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "AVER{Window}:STAT{Trace}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DISPLAY_WINDOW_PRESET_TRACES =
  {
    RSFPL_ATTR_DISPLAY_WINDOW_PRESET_TRACES,
    "Display Window Preset Traces",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngWindowTracePreset, NULL, NULL,
    "DISP:WIND{Window}:TRAC{Trace}:PRES",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_TRACES_PRESET_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SUBWINDOW_TRACE_ENABLED =
  {
    RSFPL_ATTR_SUBWINDOW_TRACE_ENABLED,
    "Subwindow Trace Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:SUBW{Subwindow}:TRAC{Trace}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SUBWINDOW_TRACE_HOLD_ENABLED =
  {
    RSFPL_ATTR_SUBWINDOW_TRACE_HOLD_ENABLED,
    "Subwindow Trace Hold Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:SUBW{Subwindow}:TRAC{Trace}:MODE:HCON",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SUBWINDOW_TRACE_SMOOTHING_ENABLED =
  {
    RSFPL_ATTR_SUBWINDOW_TRACE_SMOOTHING_ENABLED,
    "Subwindow Trace Smoothing Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:SUBW{Subwindow}:TRAC{Trace}:SMO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SUBWINDOW_TRACE_SMOOTHING_VALUE =
  {
    RSFPL_ATTR_SUBWINDOW_TRACE_SMOOTHING_VALUE,
    "Subwindow Trace Smoothing Value",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngTraceSmoothing, NULL,
    "DISPlay:WIND{Window}:SUBW{Subwindow}:TRAC{Trace}:SMO:APER",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DISPLAY_SUBWINDOW_PRESET_TRACES =
  {
    RSFPL_ATTR_DISPLAY_SUBWINDOW_PRESET_TRACES,
    "Display Subwindow Preset Traces",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngWindowTracePreset, NULL, NULL,
    "DISP:WIND{Window}:SUBW{Subwindow}:TRAC{Trace}:PRES",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_TRACES_PRESET_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SUBWINDOW_TRACE_MODE =
  {
    RSFPL_ATTR_SUBWINDOW_TRACE_MODE,
    "Subwindow Trace Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngTraceMode, NULL, NULL,
    "DISPlay:WIND{Window}:SUBW{Subwindow}:TRAC{Trace}:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_TRACE_WRITE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRACE_MATHEMATICS_ENABLED =
  {
    RSFPL_ATTR_TRACE_MATHEMATICS_ENABLED,
    "Trace Mathematics Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:MATH:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRACE_MATHEMATICS_MODE =
  {
    RSFPL_ATTR_TRACE_MATHEMATICS_MODE,
    "Trace Mathematics Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngTraceMathematicsMode, NULL, NULL,
    "CALC{Window}:MATH:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_TRACE_MATH_LOGARITHMIC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRACE_MATHEMATICS_POSITION =
  {
    RSFPL_ATTR_TRACE_MATHEMATICS_POSITION,
    "Trace Mathematics Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngTraceMathematicsPosition, NULL,
    "CALC{Window}:MATH:POS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_ENABLED =
  {
    RSFPL_ATTR_SPECTROGRAM_ENABLED,
    "Spectrogram Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:SGR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_3D_ENABLED =
  {
    RSFPL_ATTR_SPECTROGRAM_3D_ENABLED,
    "Spectrogram 3D Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:SGR:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_SELECTED_FRAME =
  {
    RSFPL_ATTR_SPECTROGRAM_SELECTED_FRAME,
    "Spectrogram Selected Frame",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC:SGR:FRAM:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_HISTORY_DEPTH =
  {
    RSFPL_ATTR_SPECTROGRAM_HISTORY_DEPTH,
    "Spectrogram History Depth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngSpectrogramHistoryDepth, NULL,
    "CALC:SGR:HDEP",
    // Defaults I32, I64, Float, Bool, String
    3000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_TIME_STAMP_ENABLED =
  {
    RSFPL_ATTR_SPECTROGRAM_TIME_STAMP_ENABLED,
    "Spectrogram Time Stamp Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:SGR:TST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_NUMBER_OF_FRAMES =
  {
    RSFPL_ATTR_SPECTROGRAM_NUMBER_OF_FRAMES,
    "Spectrogram Number Of Frames",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC:SGR:FRAM:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_CONTINOUS_SWEEP_ENABLED =
  {
    RSFPL_ATTR_SPECTROGRAM_CONTINOUS_SWEEP_ENABLED,
    "Spectrogram Continous Sweep Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:SGR:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_CLEAR =
  {
    RSFPL_ATTR_SPECTROGRAM_CLEAR,
    "Spectrogram Clear",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:SGR:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_LAYOUT =
  {
    RSFPL_ATTR_SPECTROGRAM_LAYOUT,
    "Spectrogram Layout",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngSpectrogramLayout, NULL, NULL,
    "CALC{Window}:SGR:LAY",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_SGR_LAYOUT_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPECTROGRAM_SELECT_TRACE =
  {
    RSFPL_ATTR_SPECTROGRAM_SELECT_TRACE,
    "Spectrogram Select Trace",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngSpectrogramSelectTrace, NULL, NULL,
    "CALC{Window}:SGR:TRAC",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_TRACE_1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_COLOR_MAP_RESTORE_DEFAULT =
  {
    RSFPL_ATTR_COLOR_MAP_RESTORE_DEFAULT,
    "Color Map Restore Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:SGR:COL:DEF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_COLOR_MAP_SCHEME =
  {
    RSFPL_ATTR_COLOR_MAP_SCHEME,
    "Color Map Scheme",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngSpectrogramColorScheme, NULL, NULL,
    "DISPlay:WIND{Window}:SGR:COL",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_SGR_SCHEME_HOT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_COLOR_MAP_STARTING_POINT =
  {
    RSFPL_ATTR_COLOR_MAP_STARTING_POINT,
    "Color Map Starting Point",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngSpectrogramColorMap, NULL,
    "DISPlay:WIND{Window}:SGR:COL:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_COLOR_MAP_END_POINT =
  {
    RSFPL_ATTR_COLOR_MAP_END_POINT,
    "Color Map End Point",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngColorMapEndPoint, NULL,
    "DISPlay:WIND{Window}:SGR:COL:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_COLOR_MAP_CURVE_SHAPE =
  {
    RSFPL_ATTR_COLOR_MAP_CURVE_SHAPE,
    "Color Map Curve Shape",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngSpectrogramColorCurveShape, NULL,
    "DISPlay:WIND{Window}:SGR:COL:SHAP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ABORT =
  {
    RSFPL_ATTR_ABORT,
    "Abort",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ABOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_INITIATE_SYNCHRONIZED =
  {
    RSFPL_ATTR_INITIATE_SYNCHRONIZED,
    "Initiate Synchronized",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_INITIATE =
  {
    RSFPL_ATTR_INITIATE,
    "Initiate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CONTINUE_MEASUREMENT =
  {
    RSFPL_ATTR_CONTINUE_MEASUREMENT,
    "Continue Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INIT:CONM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SEND_SW_TRIGGER =
  {
    RSFPL_ATTR_SEND_SW_TRIGGER,
    "Send SW Trigger",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "*TRG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MEASUREMENT_MODE =
  {
    RSFPL_ATTR_MEASUREMENT_MODE,
    "Measurement Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngMeasurementMode, NULL, NULL,
    "SWE:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_MEASUREMENT_BASIC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DISABLE_POWER_MEASUREMENT =
  {
    RSFPL_ATTR_DISABLE_POWER_MEASUREMENT,
    "Disable Power Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:POW OFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_MEASUREMENT_SELECT_AND_ENABLE =
  {
    RSFPL_ATTR_POWER_MEASUREMENT_SELECT_AND_ENABLE,
    "Power Measurement Select And Enable",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPowerMeasurement, NULL, NULL,
    "CALC:MARK:FUNC:POW:SEL",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_POWER_MEAS_ACLR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_MEASUREMENT_ADJUST_SETTINGS =
  {
    RSFPL_ATTR_POWER_MEASUREMENT_ADJUST_SETTINGS,
    "Power Measurement Adjust Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngPowerMeasurement, NULL, NULL,
    "POW:ACH:PRES",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_POWER_MEAS_ACLR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_MEASUREMENT_TRACE =
  {
    RSFPL_ATTR_POWER_MEASUREMENT_TRACE,
    "Power Measurement Trace",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngTrace, NULL,
    "POW:TRAC",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_MEASUREMENT_TRACE_DISPLAY_MODE =
  {
    RSFPL_ATTR_POWER_MEASUREMENT_TRACE_DISPLAY_MODE,
    "Power Measurement Trace Display Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPowerMeasurementTraceDisplayMode, NULL, NULL,
    "CALC:MARK:FUNC:POW:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_TRACE_DISPLAY_WRITE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_MEASUREMENTS_FIND_REFERENCE =
  {
    RSFPL_ATTR_POWER_MEASUREMENTS_FIND_REFERENCE,
    "Power Measurements Find Reference",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:ACH:PRES:RLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_ENABLED =
  {
    RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_ENABLED,
    "Compression Point Measurement Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:CME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_REFERENCE_MODE =
  {
    RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_REFERENCE_MODE,
    "Compression Point Measurement Reference Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngCompressionReferenceMode, NULL, NULL,
    "CONF:CME:REF",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_REFERENCE_VALUE =
  {
    RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_REFERENCE_VALUE,
    "Compression Point Measurement Reference Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:CME:REF:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -30,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_1_DB_POINT_ENABLED =
  {
    RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_1_DB_POINT_ENABLED,
    "Compression Point Measurement 1 dB Point Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:CME:RES:P1DB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_3_DB_POINT_ENABLED =
  {
    RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_3_DB_POINT_ENABLED,
    "Compression Point Measurement 3 dB Point Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:CME:RES:P3DB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_N_DB_POINT_ENABLED =
  {
    RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_N_DB_POINT_ENABLED,
    "Compression Point Measurement N dB Point Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:CME:RES:PNDB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_N_DB_POINT_VALUE =
  {
    RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_N_DB_POINT_VALUE,
    "Compression Point Measurement N dB Point Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:CME:RES:CVAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_QUERY_COMPRESSION_POINT_MEASUREMENT_1_DB_RESULT =
  {
    RSFPL_ATTR_QUERY_COMPRESSION_POINT_MEASUREMENT_1_DB_RESULT,
    "Query Compression Point Measurement 1 dB Result",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "FETC:CME:P1DB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_QUERY_COMPRESSION_POINT_MEASUREMENT_3_DB_RESULT =
  {
    RSFPL_ATTR_QUERY_COMPRESSION_POINT_MEASUREMENT_3_DB_RESULT,
    "Query Compression Point Measurement 3 dB Result",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "FETC:CME:P3DB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_QUERY_COMPRESSION_POINT_MEASUREMENT_N_DB_RESULT =
  {
    RSFPL_ATTR_QUERY_COMPRESSION_POINT_MEASUREMENT_N_DB_RESULT,
    "Query Compression Point Measurement N dB Result",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "FETC:CME:PNDB?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_DISPLAY_MODE =
  {
    RSFPL_ATTR_CHANNEL_POWER_DISPLAY_MODE,
    "Channel Power Display Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngAbsRel, NULL, NULL,
    "POW:ACH:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_REL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_AS_DENSITY_ENABLED =
  {
    RSFPL_ATTR_CHANNEL_POWER_AS_DENSITY_ENABLED,
    "Channel Power As Density Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:POW:RES:PHZ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_CHANNEL_NUMBER_OF_TRANSMISSION_CHANNELS =
  {
    RSFPL_ATTR_POWER_CHANNEL_NUMBER_OF_TRANSMISSION_CHANNELS,
    "Power Channel Number Of Transmission Channels",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngNumbeOfTransmissionChannels, NULL,
    "POW:ACH:TXCH:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_CHANNEL_PAIRS =
  {
    RSFPL_ATTR_CHANNEL_POWER_CHANNEL_PAIRS,
    "Channel Power Channel Pairs",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngChannelPairs, NULL,
    "POW:ACH:ACP",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_WEIGHTING_FILTER_ENABLED_ALL =
  {
    RSFPL_ATTR_CHANNEL_POWER_WEIGHTING_FILTER_ENABLED_ALL,
    "Channel Power Weighting Filter Enabled All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:ACH:FILT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_WEIGHTING_FILTER_VALUE_ALL =
  {
    RSFPL_ATTR_CHANNEL_POWER_WEIGHTING_FILTER_VALUE_ALL,
    "Channel Power Weighting Filter Value All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngFilterAlpha, NULL,
    "POW:ACH:FILT:ALPH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.22,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_ACLR_LIMIT_CHECK_ENABLED =
  {
    RSFPL_ATTR_CHANNEL_POWER_ACLR_LIMIT_CHECK_ENABLED,
    "Channel Power ACLR Limit Check Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:LIM:ACP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ACLR_MEASUREMENT_CONFIGURATIONS_CATALOG =
  {
    RSFPL_ATTR_ACLR_MEASUREMENT_CONFIGURATIONS_CATALOG,
    "ACLR Measurement Configurations Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:POW:STAN:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "EUTRa,REUTra,FW3Gppcdma,RW3Gppcdma,AWLan,BWLan,RFID14443,TETRa,FW3Gppcdma,RW3Gppcdma,REUTra",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ACLR_SELECTED_MEASUREMENT_CONFIGURATION =
  {
    RSFPL_ATTR_ACLR_SELECTED_MEASUREMENT_CONFIGURATION,
    "ACLR Selected Measurement Configuration",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngACLRMeasurementConfiguration, NULL, NULL,
    "CALC:MARK:FUNC:POW:PRES",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ACLR_CONFIG_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ACLR_MEASUREMENT_CONFIGURATIONS_LOAD =
  {
    RSFPL_ATTR_ACLR_MEASUREMENT_CONFIGURATIONS_LOAD,
    "ACLR Measurement Configurations Load",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:POW:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file-name",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ACLR_MEASUREMENT_CONFIGURATIONS_SAVE =
  {
    RSFPL_ATTR_ACLR_MEASUREMENT_CONFIGURATIONS_SAVE,
    "ACLR Measurement Configurations Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:POW:STAN:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file-name",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ACLR_MEASUREMENT_CONFIGURATIONS_DELETE =
  {
    RSFPL_ATTR_ACLR_MEASUREMENT_CONFIGURATIONS_DELETE,
    "ACLR Measurement Configurations Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:POW:STAN:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file-name",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_TX_CHANNEL_BANDWIDTH =
  {
    RSFPL_ATTR_CHANNEL_POWER_TX_CHANNEL_BANDWIDTH,
    "Channel Power Tx Channel Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPowerChannelBandwidth, NULL,
    "POW:ACH:BWIDth:CHAN{Channel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    14e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_TX_CHANNEL_NAME =
  {
    RSFPL_ATTR_CHANNEL_POWER_TX_CHANNEL_NAME,
    "Channel Power Tx Channel Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "POW:ACH:NAME:CHAN{Channel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "TX1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_TX_CHANNEL_SPACING =
  {
    RSFPL_ATTR_CHANNEL_POWER_TX_CHANNEL_SPACING,
    "Channel Power Tx Channel Spacing",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPowerChannelSpacing, NULL,
    "POW:ACH:SPAC:CHAN{Channel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_TX_CHANNEL_WEIGHTING_FILTER_ENABLED =
  {
    RSFPL_ATTR_CHANNEL_POWER_TX_CHANNEL_WEIGHTING_FILTER_ENABLED,
    "Channel Power Tx Channel Weighting Filter Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:ACH:FILT:CHAN{Channel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_TX_CHANNEL_WEIGHTING_FILTER_VALUE =
  {
    RSFPL_ATTR_CHANNEL_POWER_TX_CHANNEL_WEIGHTING_FILTER_VALUE,
    "Channel Power Tx Channel Weighting Filter Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngFilterAlpha, NULL,
    "POW:ACH:FILT:ALPH:CHAN{Channel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.22,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_ADJACENT_CHANNEL_BANDWIDTH =
  {
    RSFPL_ATTR_CHANNEL_POWER_ADJACENT_CHANNEL_BANDWIDTH,
    "Channel Power Adjacent Channel Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPowerChannelBandwidth, NULL,
    "POW:ACH:BWID:ACH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    14000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_ADJACENT_CHANNEL_NAME =
  {
    RSFPL_ATTR_CHANNEL_POWER_ADJACENT_CHANNEL_NAME,
    "Channel Power Adjacent Channel Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "POW:ACH:NAME:ACH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "ADJ",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_ADJACENT_CHANNEL_SPACING =
  {
    RSFPL_ATTR_CHANNEL_POWER_ADJACENT_CHANNEL_SPACING,
    "Channel Power Adjacent Channel Spacing",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPowerChannelSpacingAltAdj, NULL,
    "POW:ACH:SPAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    14e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_ADJACENT_CHANNEL_WEIGHTING_FILTER_ENABLED =
  {
    RSFPL_ATTR_CHANNEL_POWER_ADJACENT_CHANNEL_WEIGHTING_FILTER_ENABLED,
    "Channel Power Adjacent Channel Weighting Filter Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:ACH:FILT:ACH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_ADJACENT_CHANNEL_WEIGHTING_FILTER_VALUE =
  {
    RSFPL_ATTR_CHANNEL_POWER_ADJACENT_CHANNEL_WEIGHTING_FILTER_VALUE,
    "Channel Power Adjacent Channel Weighting Filter Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngFilterAlpha, NULL,
    "POW:ACH:FILT:ALPH:ACH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.22,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_ADJACENT_LIMIT_ABSOLUTE_CHECK_ENABLED =
  {
    RSFPL_ATTR_CHANNEL_POWER_ADJACENT_LIMIT_ABSOLUTE_CHECK_ENABLED,
    "Channel Power Adjacent Limit Absolute Check Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:LIM:ACP:ACH:ABS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_ALTERNATE_CHANNEL_BANDWIDTH =
  {
    RSFPL_ATTR_CHANNEL_POWER_ALTERNATE_CHANNEL_BANDWIDTH,
    "Channel Power Alternate Channel Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPowerChannelBandwidth, NULL,
    "POW:ACH:BWID:ALT{AlternateChannel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    14e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_ALTERNATE_CHANNEL_NAME =
  {
    RSFPL_ATTR_CHANNEL_POWER_ALTERNATE_CHANNEL_NAME,
    "Channel Power Alternate Channel Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "POW:ACH:NAME:ALT{AlternateChannel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "ALT1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_ALTERNATE_CHANNEL_SPACING =
  {
    RSFPL_ATTR_CHANNEL_POWER_ALTERNATE_CHANNEL_SPACING,
    "Channel Power Alternate Channel Spacing",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPowerChannelSpacingAltAdj, NULL,
    "POW:ACH:SPAC:ALT{AlternateChannel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    40e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_ALTERNATE_CHANNEL_WEIGHTING_FILTER_ENABLED =
  {
    RSFPL_ATTR_CHANNEL_POWER_ALTERNATE_CHANNEL_WEIGHTING_FILTER_ENABLED,
    "Channel Power Alternate Channel Weighting Filter Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:ACH:FILT:ALT{AlternateChannel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CHANNEL_POWER_ALTERNATE_CHANNEL_WEIGHTING_FILTER_VALUE =
  {
    RSFPL_ATTR_CHANNEL_POWER_ALTERNATE_CHANNEL_WEIGHTING_FILTER_VALUE,
    "Channel Power Alternate Channel Weighting Filter Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngFilterAlpha, NULL,
    "POW:ACH:FILT:ALPH:ALT{AlternateChannel}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.22,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_REFERENCE_CHANNEL_SET_CP_REFERENCE =
  {
    RSFPL_ATTR_REFERENCE_CHANNEL_SET_CP_REFERENCE,
    "Reference Channel Set CP Reference",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "POW:ACH:REF:AUTO ONCE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_REFERENCE_CHANNEL_NUMBER_AUTO_TYPE =
  {
    RSFPL_ATTR_REFERENCE_CHANNEL_NUMBER_AUTO_TYPE,
    "Reference Channel Number Auto Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngReferenceChannelAutoType, NULL, NULL,
    "POW:ACH:REF:TXCH:AUTO",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_REFERENCE_MINIMUM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_REFERENCE_CHANNEL_NUMBER =
  {
    RSFPL_ATTR_REFERENCE_CHANNEL_NUMBER,
    "Reference Channel Number",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngReferenceChannelNumber, NULL,
    "POW:ACH:REF:TXCH:MAN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PERCENT_OF_POWER_BANDWIDTH =
  {
    RSFPL_ATTR_PERCENT_OF_POWER_BANDWIDTH,
    "Percent Of Power Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngOBWPercent, NULL,
    "POW:BWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    99,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SEM_INITIATE =
  {
    RSFPL_ATTR_SEM_INITIATE,
    "SEM Initiate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INIT:ESP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SEM_NUMBER_OF_SUB_BLOCKS =
  {
    RSFPL_ATTR_SEM_NUMBER_OF_SUB_BLOCKS,
    "SEM Number Of Sub Blocks",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngSubblocks, NULL,
    "ESP:SCO",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SEM_CONFIGURATIONS_RESTORE_DEFAULT =
  {
    RSFPL_ATTR_SEM_CONFIGURATIONS_RESTORE_DEFAULT,
    "SEM Configurations Restore Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ESP:PRES:REST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SEM_CONFIGURATIONS_LOAD =
  {
    RSFPL_ATTR_SEM_CONFIGURATIONS_LOAD,
    "SEM Configurations Load",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "ESP:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "WCDMA\\3GPP\\UL\\3GPP_UL.xml",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SEM_CONFIGURATIONS_SAVE =
  {
    RSFPL_ATTR_SEM_CONFIGURATIONS_SAVE,
    "SEM Configurations Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "ESP:PRES:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "my_configuration",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SEM_CONFIGURATIONS_RESTORE_LIMITS =
  {
    RSFPL_ATTR_SEM_CONFIGURATIONS_RESTORE_LIMITS,
    "SEM Configurations Restore Limits",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:LIM:ESP:REST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SEM_SUB_BLOCK_FREQUENCY =
  {
    RSFPL_ATTR_SEM_SUB_BLOCK_FREQUENCY,
    "SEM Sub Block Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ESP{Subblock}:SCEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_FAST_SEM_ENABLED =
  {
    RSFPL_ATTR_SWEEP_LIST_FAST_SEM_ENABLED,
    "Sweep List Fast SEM Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ESP{Subblock}:HSP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_SYMMETRICAL_SETUP_ENABLED =
  {
    RSFPL_ATTR_SWEEP_LIST_SYMMETRICAL_SETUP_ENABLED,
    "Sweep List Symmetrical Setup Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ESP{Subblock}:SSET",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_NUMBER_OF_RANGES =
  {
    RSFPL_ATTR_SWEEP_LIST_NUMBER_OF_RANGES,
    "Sweep List Number Of Ranges",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "ESP{Subblock}:RANG:COUN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SEM_POWER_CLASSES_MODE =
  {
    RSFPL_ATTR_SEM_POWER_CLASSES_MODE,
    "SEM Power Classes Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngAutoMan, NULL, NULL,
    "CALC:LIM:ESP{Subblock}:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SEM_POWER_CLASSES_MANUAL_LIMIT_LINE =
  {
    RSFPL_ATTR_SEM_POWER_CLASSES_MANUAL_LIMIT_LINE,
    "SEM Power Classes Manual Limit Line",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPowerClassesLimit, NULL,
    "CALC:LIM:ESP{Subblock}:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SEM_POWER_CLASSES_NUMBER_OF_CLASSES =
  {
    RSFPL_ATTR_SEM_POWER_CLASSES_NUMBER_OF_CLASSES,
    "SEM Power Classes Number Of Classes",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngSEMPowerClassesNumberOfClasses, NULL,
    "CALC:LIM:ESP{Subblock}:PCL:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_RANGE_INSERT =
  {
    RSFPL_ATTR_SWEEP_LIST_RANGE_INSERT,
    "Sweep List Range Insert",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngSweepListInsertMode, NULL, NULL,
    "ESP{Subblock}:RANG{Range}:INS",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_INSERT_AFTER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_RANGE_DELETE =
  {
    RSFPL_ATTR_SWEEP_LIST_RANGE_DELETE,
    "Sweep List Range Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ESP{Subblock}:RANG{Range}:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_RANGE_START =
  {
    RSFPL_ATTR_SWEEP_LIST_RANGE_START,
    "Sweep List Range Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ESP{Subblock}:RANG{Range}:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -12.75e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_RANGE_STOP =
  {
    RSFPL_ATTR_SWEEP_LIST_RANGE_STOP,
    "Sweep List Range Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ESP{Subblock}:RANG{Range}:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -2.52e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_RANGE_FILTER_TYPE =
  {
    RSFPL_ATTR_SWEEP_LIST_RANGE_FILTER_TYPE,
    "Sweep List Range Filter Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngFilterType, NULL, NULL,
    "ESP{Subblock}:RANG{Range}:FILT:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_FILTER_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_RANGE_RBW =
  {
    RSFPL_ATTR_SWEEP_LIST_RANGE_RBW,
    "Sweep List Range RBW",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ESP{Subblock}:RANG{Range}:BAND:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    30e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_RANGE_VBW =
  {
    RSFPL_ATTR_SWEEP_LIST_RANGE_VBW,
    "Sweep List Range VBW",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ESP{Subblock}:RANG{Range}:BAND:VID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_RANGE_SWEEP_TIME_AUTO_ENABLED =
  {
    RSFPL_ATTR_SWEEP_LIST_RANGE_SWEEP_TIME_AUTO_ENABLED,
    "Sweep List Range Sweep Time Auto Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ESP{Subblock}:RANG{Range}:SWE:TIME:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_RANGE_SWEEP_TIME_MANUAL =
  {
    RSFPL_ATTR_SWEEP_LIST_RANGE_SWEEP_TIME_MANUAL,
    "Sweep List Range Sweep Time Manual",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ESP{Subblock}:RANG{Range}:SWE:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_RANGE_REFERENCE_LEVEL =
  {
    RSFPL_ATTR_SWEEP_LIST_RANGE_REFERENCE_LEVEL,
    "Sweep List Range Reference Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ESP{Subblock}:RANG{Range}:RLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_RANGE_ATTENUATION_AUTO_ENABLED =
  {
    RSFPL_ATTR_SWEEP_LIST_RANGE_ATTENUATION_AUTO_ENABLED,
    "Sweep List Range Attenuation Auto Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ESP{Subblock}:RANG{Range}:INP:ATT:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_RANGE_ATTENUATION_MANUAL =
  {
    RSFPL_ATTR_SWEEP_LIST_RANGE_ATTENUATION_MANUAL,
    "Sweep List Range Attenuation Manual",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ESP{Subblock}:RANG{Range}:INP:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_RANGE_PREAMPLIFIER_ENABLED =
  {
    RSFPL_ATTR_SWEEP_LIST_RANGE_PREAMPLIFIER_ENABLED,
    "Sweep List Range Preamplifier Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ESP{Subblock}:RANG{Range}:INP:GAIN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_RANGE_PREAMPLIFIER_LEVEL =
  {
    RSFPL_ATTR_SWEEP_LIST_RANGE_PREAMPLIFIER_LEVEL,
    "Sweep List Range Preamplifier Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ESP{Subblock}:RANG{Range}:INP:GAIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_RANGE_TRANSDUCER_FILE_NAME =
  {
    RSFPL_ATTR_SWEEP_LIST_RANGE_TRANSDUCER_FILE_NAME,
    "Sweep List Range Transducer File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "ESP{Subblock}:RANG{Range}:TRAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "transducer",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_RANGE_MULTI_LIMIT_CALCULATION =
  {
    RSFPL_ATTR_SWEEP_LIST_RANGE_MULTI_LIMIT_CALCULATION,
    "Sweep List Range Multi Limit Calculation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngMLCalculation, NULL, NULL,
    "ESP{Subblock}:RANG{Range}:MLC",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_MLC_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_RANGE_MIN_SWEEP_POINTS =
  {
    RSFPL_ATTR_SWEEP_LIST_RANGE_MIN_SWEEP_POINTS,
    "Sweep List Range Min Sweep Points",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngSweepListRangeMinSweepPoints, NULL,
    "ESP{Subblock}:RANG{Range}:POIN:MIN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_ENABLED =
  {
    RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_ENABLED,
    "Sweep List Power Class Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:LIM:ESP{Subblock}:PCL{PowerClass}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_CHECK_MODE =
  {
    RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_CHECK_MODE,
    "Sweep List Power Class Limit Check Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPCLLimitCheckMode, NULL, NULL,
    "CALC:LIM:ESP{Subblock}:PCL{PowerClass}:LIM",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_PCL_LIMIT_CHECK_RELATIVE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_CHECK_MODE_ALL_RANGES =
  {
    RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_CHECK_MODE_ALL_RANGES,
    "Sweep List Power Class Limit Check Mode All Ranges",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPCLLimitCheckMode, NULL, NULL,
    "ESP{Subblock}:RANG:LIM{PowerClass}:STAT",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_PCL_LIMIT_CHECK_ABSOLUTE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_MAX =
  {
    RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_MAX,
    "Sweep List Power Class Limit Max",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPowerClassMax, NULL,
    "CALC:LIM:ESP{Subblock}:PCL{PowerClass}:MAX",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_MIN =
  {
    RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_MIN,
    "Sweep List Power Class Limit Min",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPowerClassMin, NULL,
    "CALC:LIM:ESP{Subblock}:PCL{PowerClass}:MIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_ABSOLUTE_START =
  {
    RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_ABSOLUTE_START,
    "Sweep List Power Class Limit Absolute Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngRangeLimitAbsolute, NULL,
    "ESP{Subblock}:RANG{Range}:LIM{PowerClass}:ABS:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -13,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_ABSOLUTE_STOP =
  {
    RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_ABSOLUTE_STOP,
    "Sweep List Power Class Limit Absolute Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngRangeLimitAbsolute, NULL,
    "ESP{Subblock}:RANG{Range}:LIM{PowerClass}:ABS:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -13,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_START =
  {
    RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_START,
    "Sweep List Power Class Limit Relative Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPowerClassLimitRelative, NULL,
    "ESP{Subblock}:RANG{Range}:LIM{PowerClass}:REL:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_STOP =
  {
    RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_STOP,
    "Sweep List Power Class Limit Relative Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPowerClassLimitRelative, NULL,
    "ESP{Subblock}:RANG{Range}:LIM{PowerClass}:REL:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_START_FUNCTION =
  {
    RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_START_FUNCTION,
    "Sweep List Power Class Limit Relative Start Function",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngStartStopFunction, NULL, NULL,
    "ESP{Subblock}:RANG{Range}:LIM{PowerClass}:REL:STAR:FUNC",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_STOP_FUNCTION_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_MAX_START_FUNCTION_LIMIT =
  {
    RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_MAX_START_FUNCTION_LIMIT,
    "Sweep List Power Class Limit Relative Max Start Function Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngRangeLimitAbsolute, NULL,
    "ESP{Subblock}:RANG{Range}:LIM{PowerClass}:REL:STAR:ABS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -13,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_STOP_FUNCTION =
  {
    RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_STOP_FUNCTION,
    "Sweep List Power Class Limit Relative Stop Function",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngStartStopFunction, NULL, NULL,
    "ESP{Subblock}:RANG{Range}:LIM{PowerClass}:REL:STOP:FUNC",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_STOP_FUNCTION_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_MAX_STOP_FUNCTION_LIMIT =
  {
    RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_MAX_STOP_FUNCTION_LIMIT,
    "Sweep List Power Class Limit Relative Max Stop Function Limit",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngRangeLimitAbsolute, NULL,
    "ESP{Subblock}:RANG{Range}:LIM{PowerClass}:REL:STOP:ABS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -13,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_REFERENCE_RANGE_POWER_REFERENCE_TYPE =
  {
    RSFPL_ATTR_REFERENCE_RANGE_POWER_REFERENCE_TYPE,
    "Reference Range Power Reference Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPowerReferenceType, NULL, NULL,
    "ESP{Subblock}:RTYP",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_POWER_REFERENCE_CPOWER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_REFERENCE_RANGE_TX_BANDWIDTH =
  {
    RSFPL_ATTR_REFERENCE_RANGE_TX_BANDWIDTH,
    "Reference Range Tx Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ESP{Subblock}:BWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3.84e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_REFERENCE_RANGE_RRC_FILTER_ENABLED =
  {
    RSFPL_ATTR_REFERENCE_RANGE_RRC_FILTER_ENABLED,
    "Reference Range RRC Filter Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ESP{Subblock}:FILT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_REFERENCE_RANGE_ALPHA =
  {
    RSFPL_ATTR_REFERENCE_RANGE_ALPHA,
    "Reference Range Alpha",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngRRCFilterAlpha, NULL,
    "ESP{Subblock}:FILT:ALPH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.22,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_REFERENCE_RANGE_NUMBER =
  {
    RSFPL_ATTR_REFERENCE_RANGE_NUMBER,
    "Reference Range Number",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "ESP{Subblock}:RRAN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SEM_LIST_EVALUATION_ENABLED =
  {
    RSFPL_ATTR_SEM_LIST_EVALUATION_ENABLED,
    "SEM List Evaluation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:ESP:PEAK:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SEM_LIST_EVALUATION_ALL_DETECTED_PEAKS_INCLUDED =
  {
    RSFPL_ATTR_SEM_LIST_EVALUATION_ALL_DETECTED_PEAKS_INCLUDED,
    "SEM List Evaluation All Detected Peaks Included",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:ESP:PEAK:DET",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SEM_LIST_EVALUATION_THRESHOLD =
  {
    RSFPL_ATTR_SEM_LIST_EVALUATION_THRESHOLD,
    "SEM List Evaluation Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngListEvaluationThreshold, NULL,
    "CALC:ESP:PEAK:MARG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    200,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SEM_LIST_EVALUATION_PEAK_LABELS_ENABLED =
  {
    RSFPL_ATTR_SEM_LIST_EVALUATION_PEAK_LABELS_ENABLED,
    "SEM List Evaluation Peak Labels Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:ESP:PEAK:PSH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SEM_LIST_EVALUATION_INITIATE =
  {
    RSFPL_ATTR_SEM_LIST_EVALUATION_INITIATE,
    "SEM List Evaluation Initiate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:ESP:PEAK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_INITIATE =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_INITIATE,
    "Spurious Emissions Initiate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INIT:SPUR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGES_ENABLED =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGES_ENABLED,
    "Spurious Emissions Ranges Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LIST:RANG:LIM:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_NUMBER_OF_RANGES =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_NUMBER_OF_RANGES,
    "Spurious Emissions Number Of Ranges",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "LIST:RANG:COUN?",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_BREAK_MEASUREMENT_ENABLED =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_BREAK_MEASUREMENT_ENABLED,
    "Spurious Emissions Break Measurement Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LIST:RANG:BRE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_ADJUST_X_AXIS =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_ADJUST_X_AXIS,
    "Spurious Emissions Adjust X-Axis",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "LIST:XADJ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_DELETE =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_DELETE,
    "Spurious Emissions Range Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "LIST:RANG{Range}:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_START =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_START,
    "Spurious Emissions Range Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LIST:RANG{Range}:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_STOP =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_STOP,
    "Spurious Emissions Range Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LIST:RANG{Range}:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_FILTER_TYPE =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_FILTER_TYPE,
    "Spurious Emissions Range Filter Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngFilterType, NULL, NULL,
    "LIST:RANG{Range}:FILT:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_FILTER_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_RBW =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_RBW,
    "Spurious Emissions Range RBW",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LIST:RANG{Range}:BAND:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_VBW =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_VBW,
    "Spurious Emissions Range VBW",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LIST:RANG{Range}:BAND:VID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_SWEEP_TIME_AUTO_ENABLED =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_SWEEP_TIME_AUTO_ENABLED,
    "Spurious Emissions Range Sweep Time Auto Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LIST:RANG{Range}:SWE:TIME:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_SWEEP_TIME_MANUAL =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_SWEEP_TIME_MANUAL,
    "Spurious Emissions Range Sweep Time Manual",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LIST:RANG{Range}:SWE:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_DETECTOR =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_DETECTOR,
    "Spurious Emissions Range Detector",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngDetector, NULL, NULL,
    "LIST:RANG{Range}:DET",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_DETECTOR_RMS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_REFERENCE_LEVEL =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_REFERENCE_LEVEL,
    "Spurious Emissions Range Reference Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LIST:RANG{Range}:RLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_ATTENUATION_AUTO_ENABLED =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_ATTENUATION_AUTO_ENABLED,
    "Spurious Emissions Range Attenuation Auto Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LIST:RANG{Range}:INP:ATT:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_ATTENUATION_MANUAL =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_ATTENUATION_MANUAL,
    "Spurious Emissions Range Attenuation Manual",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LIST:RANG{Range}:INP:ATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_PREAMPLIFIER_ENABLED =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_PREAMPLIFIER_ENABLED,
    "Spurious Emissions Range Preamplifier Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LIST:RANG{Range}:INP:GAIN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_PREAMPLIFICATION_LEVEL =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_PREAMPLIFICATION_LEVEL,
    "Spurious Emissions Range Preamplification Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LIST:RANG{Range}:INP:GAIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_SWEEP_POINTS =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_SWEEP_POINTS,
    "Spurious Emissions Range Sweep Points",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "LIST:RANG{Range}:POIN",
    // Defaults I32, I64, Float, Bool, String
    1001,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_TRANSDUCER_FILE_NAME =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_TRANSDUCER_FILE_NAME,
    "Spurious Emissions Range Transducer File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "LIST:RANG{Range}:TRAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "transducer",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_ABS_LIMIT_START =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_ABS_LIMIT_START,
    "Spurious Emissions Range Abs Limit Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngRangeLimitAbsolute, NULL,
    "LIST:RANG{Range}:LIM:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    13,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_ABS_LIMIT_STOP =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_ABS_LIMIT_STOP,
    "Spurious Emissions Range Abs Limit Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngRangeLimitAbsolute, NULL,
    "LIST:RANG{Range}:LIM:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    13,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_LIST_EVALUATION_ENABLED =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_LIST_EVALUATION_ENABLED,
    "Spurious Emissions List Evaluation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:PEAK:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_LIST_EVALUATION_NUMBER_OF_PEAKS =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_LIST_EVALUATION_NUMBER_OF_PEAKS,
    "Spurious Emissions List Evaluation Number Of Peaks",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngSpuriousEmissionsNumberOfPeaks, NULL,
    "CALC:PEAK:SUBR",
    // Defaults I32, I64, Float, Bool, String
    25,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_LIST_EVALUATION_ALL_DETECTED_PEAKS_INCLUDED =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_LIST_EVALUATION_ALL_DETECTED_PEAKS_INCLUDED,
    "Spurious Emissions List Evaluation All Detected Peaks Included",
    RS_VAL_WRITE_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:PSE:DET",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_LIST_EVALUATION_THRESHOLD =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_LIST_EVALUATION_THRESHOLD,
    "Spurious Emissions List Evaluation Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngListEvaluationThreshold, NULL,
    "CALC:PEAK:MARG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    200,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SPURIOUS_EMISSIONS_LIST_EVALUATION_PEAK_LABELS_ENABLED =
  {
    RSFPL_ATTR_SPURIOUS_EMISSIONS_LIST_EVALUATION_PEAK_LABELS_ENABLED,
    "Spurious Emissions List Evaluation Peak Labels Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:PEAK:PSH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_STATISTIC_APD_ENABLED =
  {
    RSFPL_ATTR_SIGNAL_STATISTIC_APD_ENABLED,
    "Signal Statistic APD Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:STAT:APD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_STATISTIC_CCDF_ENABLED =
  {
    RSFPL_ATTR_SIGNAL_STATISTIC_CCDF_ENABLED,
    "Signal Statistic CCDF Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:STAT:CCDF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_STATISTIC_NUMBER_OF_SAMPLES =
  {
    RSFPL_ATTR_SIGNAL_STATISTIC_NUMBER_OF_SAMPLES,
    "Signal Statistic Number Of Samples",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC:STAT:NSAM",
    // Defaults I32, I64, Float, Bool, String
    100000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_STATISTIC_SCALING_X_REF_LEVEL =
  {
    RSFPL_ATTR_SIGNAL_STATISTIC_SCALING_X_REF_LEVEL,
    "Signal Statistic Scaling X Ref Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngReferenceLevel, NULL,
    "CALC:STAT:SCAL:X:RLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_STATISTIC_SCALING_X_RANGE =
  {
    RSFPL_ATTR_SIGNAL_STATISTIC_SCALING_X_RANGE,
    "Signal Statistic Scaling X Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngYAxisRange, NULL,
    "CALC:STAT:SCAL:X:RANG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_STATISTIC_SCALING_Y_UNIT =
  {
    RSFPL_ATTR_SIGNAL_STATISTIC_SCALING_Y_UNIT,
    "Signal Statistic Scaling Y Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngSignalStatisticScalingYUnit, NULL, NULL,
    "CALC:STAT:SCAL:Y:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ABS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_STATISTIC_SCALING_Y_MINIMUM =
  {
    RSFPL_ATTR_SIGNAL_STATISTIC_SCALING_Y_MINIMUM,
    "Signal Statistic Scaling Y Minimum",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngSignalStatisticScalingYMinimum, NULL,
    "CALC:STAT:SCAL:Y:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_STATISTIC_SCALING_Y_MAXIMUM =
  {
    RSFPL_ATTR_SIGNAL_STATISTIC_SCALING_Y_MAXIMUM,
    "Signal Statistic Scaling Y Maximum",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngSignalStatisticScalingYMaximum, NULL,
    "CALC:STAT:SCAL:Y:UPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_STATISTIC_ADJUST_SETTINGS =
  {
    RSFPL_ATTR_SIGNAL_STATISTIC_ADJUST_SETTINGS,
    "Signal Statistic Adjust Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:STAT:SCAL:AUTO ONCE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_STATISTIC_DEFAULT_SETTING =
  {
    RSFPL_ATTR_SIGNAL_STATISTIC_DEFAULT_SETTING,
    "Signal Statistic Default Setting",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:STAT:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_STATISTIC_GATE_RANGE_ENABLED =
  {
    RSFPL_ATTR_SIGNAL_STATISTIC_GATE_RANGE_ENABLED,
    "Signal Statistic Gate Range Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SWE:EGAT:TRAC{Trace}:STAT{EGateRange}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_STATISTIC_GATE_RANGE_START =
  {
    RSFPL_ATTR_SIGNAL_STATISTIC_GATE_RANGE_START,
    "Signal Statistic Gate Range Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SWE:EGAT:TRAC{Trace}:STAR{EGateRange}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_STATISTIC_GATE_RANGE_STOP =
  {
    RSFPL_ATTR_SIGNAL_STATISTIC_GATE_RANGE_STOP,
    "Signal Statistic Gate Range Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SWE:EGAT:TRAC{Trace}:STOP{EGateRange}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_STATISTIC_GATE_PERIOD =
  {
    RSFPL_ATTR_SIGNAL_STATISTIC_GATE_PERIOD,
    "Signal Statistic Gate Period",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngGatePeriod, NULL,
    "SWE:EGAT:TRAC{Trace}:PER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.002,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SIGNAL_STATISTIC_GATE_COMMENT =
  {
    RSFPL_ATTR_SIGNAL_STATISTIC_GATE_COMMENT,
    "Signal Statistic Gate Comment",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SWE:EGAT:TRAC{Trace}:COMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "comment",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DOMAIN_POWER_ENABLED =
  {
    RSFPL_ATTR_TIME_DOMAIN_POWER_ENABLED,
    "Time Domain Power Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:SUMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DOMAIN_POWER_AVERAGING_ENABLED =
  {
    RSFPL_ATTR_TIME_DOMAIN_POWER_AVERAGING_ENABLED,
    "Time Domain Power Averaging Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:SUMM:AVER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DOMAIN_POWER_ALL_OFF =
  {
    RSFPL_ATTR_TIME_DOMAIN_POWER_ALL_OFF,
    "Time Domain Power All Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:SUMM:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DOMAIN_POWER_PEAK_HOLD_ENABLED =
  {
    RSFPL_ATTR_TIME_DOMAIN_POWER_PEAK_HOLD_ENABLED,
    "Time Domain Power Peak Hold Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:SUMM:PHOL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DOMAIN_POWER_RMS_ENABLED =
  {
    RSFPL_ATTR_TIME_DOMAIN_POWER_RMS_ENABLED,
    "Time Domain Power RMS Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:SUMM:RMS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DOMAIN_POWER_RMS_RESULT =
  {
    RSFPL_ATTR_TIME_DOMAIN_POWER_RMS_RESULT,
    "Time Domain Power RMS Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:SUMM:RMS:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -75,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DOMAIN_POWER_AVERAGE_RMS_RESULT =
  {
    RSFPL_ATTR_TIME_DOMAIN_POWER_AVERAGE_RMS_RESULT,
    "Time Domain Power Average RMS Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:SUMM:RMS:AVER:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -75,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DOMAIN_POWER_MAXIMUM_RMS_RESULT =
  {
    RSFPL_ATTR_TIME_DOMAIN_POWER_MAXIMUM_RMS_RESULT,
    "Time Domain Power Maximum RMS Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:SUMM:RMS:PHOL:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -75,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DOMAIN_POWER_MEAN_ENABLED =
  {
    RSFPL_ATTR_TIME_DOMAIN_POWER_MEAN_ENABLED,
    "Time Domain Power Mean Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:SUMM:MEAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DOMAIN_POWER_MEAN_RESULT =
  {
    RSFPL_ATTR_TIME_DOMAIN_POWER_MEAN_RESULT,
    "Time Domain Power Mean Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:SUMM:MEAN:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -75,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DOMAIN_POWER_AVERAGE_MEAN_RESULT =
  {
    RSFPL_ATTR_TIME_DOMAIN_POWER_AVERAGE_MEAN_RESULT,
    "Time Domain Power Average Mean Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:SUMM:MEAN:AVER:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -75,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DOMAIN_POWER_MAXIMUM_MEAN_RESULT =
  {
    RSFPL_ATTR_TIME_DOMAIN_POWER_MAXIMUM_MEAN_RESULT,
    "Time Domain Power Maximum Mean Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:SUMM:MEAN:PHOL:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    75,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DOMAIN_POWER_POSITIVE_PEAK_ENABLED =
  {
    RSFPL_ATTR_TIME_DOMAIN_POWER_POSITIVE_PEAK_ENABLED,
    "Time Domain Power Positive Peak Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:SUMM:PPE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DOMAIN_POWER_POSITIVE_PEAK_RESULT =
  {
    RSFPL_ATTR_TIME_DOMAIN_POWER_POSITIVE_PEAK_RESULT,
    "Time Domain Power Positive Peak Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:SUMM:PPE:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -75,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DOMAIN_POWER_AVERAGE_POSITIVE_PEAK_RESULT =
  {
    RSFPL_ATTR_TIME_DOMAIN_POWER_AVERAGE_POSITIVE_PEAK_RESULT,
    "Time Domain Power Average Positive Peak Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:SUMM:PPE:AVER:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -75,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DOMAIN_POWER_MAXIMUM_POSITIVE_PEAK_RESULT =
  {
    RSFPL_ATTR_TIME_DOMAIN_POWER_MAXIMUM_POSITIVE_PEAK_RESULT,
    "Time Domain Power Maximum Positive Peak Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:SUMM:PPE:PHOL:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -75,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DOMAIN_POWER_STANDARD_DEVIATION_ENABLED =
  {
    RSFPL_ATTR_TIME_DOMAIN_POWER_STANDARD_DEVIATION_ENABLED,
    "Time Domain Power Standard Deviation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:SUMM:SDEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DOMAIN_POWER_STANDARD_DEVIATION_RESULT =
  {
    RSFPL_ATTR_TIME_DOMAIN_POWER_STANDARD_DEVIATION_RESULT,
    "Time Domain Power Standard Deviation Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:SUMM:SDEV:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -75,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DOMAIN_POWER_AVERAGE_STANDARD_DEVIATION_RESULT =
  {
    RSFPL_ATTR_TIME_DOMAIN_POWER_AVERAGE_STANDARD_DEVIATION_RESULT,
    "Time Domain Power Average Standard Deviation Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:SUMM:SDEV:AVER:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DOMAIN_POWER_MAXIMUM_STANDARD_DEVIATION_RESULT =
  {
    RSFPL_ATTR_TIME_DOMAIN_POWER_MAXIMUM_STANDARD_DEVIATION_RESULT,
    "Time Domain Power Maximum Standard Deviation Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:SUMM:SDEV:PHOL:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -75,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HARMONIC_DISTORTION_ENABLED =
  {
    RSFPL_ATTR_HARMONIC_DISTORTION_ENABLED,
    "Harmonic Distortion Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:HARM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HARMONIC_DISTORTION_NUMBER_OF_HARMONICS =
  {
    RSFPL_ATTR_HARMONIC_DISTORTION_NUMBER_OF_HARMONICS,
    "Harmonic Distortion Number Of Harmonics",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngHarmonicDistortionNumberOfHarmonics, NULL,
    "CALC:MARK:FUNC:HARM:NHAR",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HARMONIC_DISTORTION_RBW_AUTO_ENABLED =
  {
    RSFPL_ATTR_HARMONIC_DISTORTION_RBW_AUTO_ENABLED,
    "Harmonic Distortion RBW Auto Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:HARM:BAND:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HARMONIC_DISTORTION_INITIATE =
  {
    RSFPL_ATTR_HARMONIC_DISTORTION_INITIATE,
    "Harmonic Distortion Initiate",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:HARM:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_THIRD_ORDER_INTERCEPT_ENABLED =
  {
    RSFPL_ATTR_THIRD_ORDER_INTERCEPT_ENABLED,
    "Third Order Intercept Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:TOI",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_THIRD_ORDER_INTERCEPT_SEARCH_SIGNAL =
  {
    RSFPL_ATTR_THIRD_ORDER_INTERCEPT_SEARCH_SIGNAL,
    "Third Order Intercept Search Signal",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:TOI:SEAR ONCE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_THIRD_ORDER_INTERCEPT_RESULT =
  {
    RSFPL_ATTR_THIRD_ORDER_INTERCEPT_RESULT,
    "Third Order Intercept Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:TOI:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -75,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_THIRD_ORDER_INTERCEPT_RESULT_MAXIMUM =
  {
    RSFPL_ATTR_THIRD_ORDER_INTERCEPT_RESULT_MAXIMUM,
    "Third Order Intercept Result Maximum",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:TOI:RES:MAX?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_THIRD_ORDER_INTERCEPT_RESULT_MINIMUM =
  {
    RSFPL_ATTR_THIRD_ORDER_INTERCEPT_RESULT_MINIMUM,
    "Third Order Intercept Result Minimum",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:TOI:RES:MIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_AM_MODULATION_DEPTH_ENABLED =
  {
    RSFPL_ATTR_AM_MODULATION_DEPTH_ENABLED,
    "AM Modulation Depth Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:MDEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_AM_MODULATION_DEPTH_SEARCH_SIGNAL =
  {
    RSFPL_ATTR_AM_MODULATION_DEPTH_SEARCH_SIGNAL,
    "AM Modulation Depth Search Signal",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:MDEP:SEAR ONCE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_AM_MODULATION_DEPTH_RESULT =
  {
    RSFPL_ATTR_AM_MODULATION_DEPTH_RESULT,
    "AM Modulation Depth Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:MDEP:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    75,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DISABLE_LIST_EVALUATION =
  {
    RSFPL_ATTR_DISABLE_LIST_EVALUATION,
    "Disable List Evaluation",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "LIST:POW:STAT OFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PULSE_POWER_MEASUREMENT_FILTER_TYPE =
  {
    RSFPL_ATTR_PULSE_POWER_MEASUREMENT_FILTER_TYPE,
    "Pulse Power Measurement Filter Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngFilterType, NULL, NULL,
    "MPOW:FTYP",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_FILTER_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PULSE_POWER_MEASUREMENT_MINIMUM =
  {
    RSFPL_ATTR_PULSE_POWER_MEASUREMENT_MINIMUM,
    "Pulse Power Measurement Minimum",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "MPOW:RES:MIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -100,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DISPLAY_CHANNEL_BAR_INFORMATION_ENABLED =
  {
    RSFPL_ATTR_DISPLAY_CHANNEL_BAR_INFORMATION_ENABLED,
    "Display Channel Bar Information Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:ANN:CBAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DISPLAY_X_AXIS_LABEL_ENABLED =
  {
    RSFPL_ATTR_DISPLAY_X_AXIS_LABEL_ENABLED,
    "Display X Axis Label Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:ANN:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DISPLAY_STATUS_BAR_ENABLED =
  {
    RSFPL_ATTR_DISPLAY_STATUS_BAR_ENABLED,
    "Display Status Bar Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:SBAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DISPLAY_SOFTKEY_BAR_ENABLED =
  {
    RSFPL_ATTR_DISPLAY_SOFTKEY_BAR_ENABLED,
    "Display Softkey Bar Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:SKEY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DISPLAY_TOOLBAR_ENABLED =
  {
    RSFPL_ATTR_DISPLAY_TOOLBAR_ENABLED,
    "Display Toolbar Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:TBAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DISPLAY_TOUCH_ENABLED =
  {
    RSFPL_ATTR_DISPLAY_TOUCH_ENABLED,
    "Display Touch Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngDisplayTouchEnabled, NULL, NULL,
    "DISP:TOUC",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_TOUCH_ON,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DISPLAY_DATE_AND_TIME_ENABLED =
  {
    RSFPL_ATTR_DISPLAY_DATE_AND_TIME_ENABLED,
    "Display Date And Time Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DISPLAY_FRONT_PANEL_KEYS_ENABLED =
  {
    RSFPL_ATTR_DISPLAY_FRONT_PANEL_KEYS_ENABLED,
    "Display Front Panel Keys Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:DISP:FPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DISPLAY_BRIGHTNESS =
  {
    RSFPL_ATTR_DISPLAY_BRIGHTNESS,
    "Display Brightness",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngDisplayBrightness, NULL,
    "DISP:BLIG",
    // Defaults I32, I64, Float, Bool, String
    3,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DISPLAY_DATE_AND_TIME_FORMAT =
  {
    RSFPL_ATTR_DISPLAY_DATE_AND_TIME_FORMAT,
    "Display Date And Time Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngDateTimeFormat, NULL, NULL,
    "DISP:TIME:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_DATE_TIME_US,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DISPLAY_TEMPORARY_SIZE =
  {
    RSFPL_ATTR_DISPLAY_TEMPORARY_SIZE,
    "Display Temporary Size",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngDisplaySize, NULL, NULL,
    "DISPlay:SIZE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_DISPLAY_SMALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DISPLAY_FORMAT =
  {
    RSFPL_ATTR_DISPLAY_FORMAT,
    "Display Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngDisplayFormat, NULL, NULL,
    "DISP:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_DISPLAY_FORMAT_SINGLE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_COLORS_AND_THEMES_CATALOG =
  {
    RSFPL_ATTR_COLORS_AND_THEMES_CATALOG,
    "Colors And Themes Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DISP:THEM:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_COLORS_AND_THEMES_SELECTED_THEME =
  {
    RSFPL_ATTR_COLORS_AND_THEMES_SELECTED_THEME,
    "Colors And Themes Selected Theme",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DISP:THEM:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "IndustrialDark",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LAYOUT_REMOVE_WINDOW =
  {
    RSFPL_ATTR_LAYOUT_REMOVE_WINDOW,
    "Layout Remove Window",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "LAY:REM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LAYOUT_WINDOW_LIST =
  {
    RSFPL_ATTR_LAYOUT_WINDOW_LIST,
    "Layout Window List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "LAY:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1\',1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DISPLAY_WINDOW_SET_FOCUS =
  {
    RSFPL_ATTR_DISPLAY_WINDOW_SET_FOCUS,
    "Display Window Set Focus",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:WIND{Window}:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DISPLAY_SUBWINDOW_SET_FOCUS =
  {
    RSFPL_ATTR_DISPLAY_SUBWINDOW_SET_FOCUS,
    "Display Subwindow Set Focus",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:WIND{Window}:SUBW{Subwindow}:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DISPLAY_SINGLE_ZOOM_ENABLED =
  {
    RSFPL_ATTR_DISPLAY_SINGLE_ZOOM_ENABLED,
    "Display Single Zoom Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:WIND{Window}:ZOOM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SUBWINDOW_DISPLAY_SINGLE_ZOOM_ENABLED =
  {
    RSFPL_ATTR_SUBWINDOW_DISPLAY_SINGLE_ZOOM_ENABLED,
    "Subwindow Display Single Zoom Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:SUBW{Subwindow}:ZOOM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_MULTIPLE_ZOOM_ENABLED =
  {
    RSFPL_ATTR_MULTIPLE_ZOOM_ENABLED,
    "Multiple Zoom Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:ZOOM:MULT{ZoomWindow}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SUBWINDOW_MULTIPLE_ZOOM_ENABLED =
  {
    RSFPL_ATTR_SUBWINDOW_MULTIPLE_ZOOM_ENABLED,
    "Subwindow Multiple Zoom Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:SUBW{Subwindow}:ZOOM:MULT{ZoomWindow}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LAYOUT_REPLACE_WINDOW =
  {
    RSFPL_ATTR_LAYOUT_REPLACE_WINDOW,
    "Layout Replace Window",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngLayoutWindowType, NULL, NULL,
    "LAY:WIND{Window}:REPL",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_LAYOUT_TYPE_DIAGRAM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LAYOUT_WINDOW_REMOVE_WINDOW =
  {
    RSFPL_ATTR_LAYOUT_WINDOW_REMOVE_WINDOW,
    "Layout Window Remove Window",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "LAY:WIND{Window}:REM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LAYOUT_WINDOW_IDENTIFICATION =
  {
    RSFPL_ATTR_LAYOUT_WINDOW_IDENTIFICATION,
    "Layout Window Identification",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "LAY:WIND{Window}:IDEN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LAYOUT_WINDOW_TYPE =
  {
    RSFPL_ATTR_LAYOUT_WINDOW_TYPE,
    "Layout Window Type",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "LAY:WIND{Window}:TYPE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "type",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FREQUENCY_DISPLAY_LINE_ENABLED =
  {
    RSFPL_ATTR_FREQUENCY_DISPLAY_LINE_ENABLED,
    "Frequency Display Line Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:FLIN{DisplayLine}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FREQUENCY_DISPLAY_LINE_POSITION =
  {
    RSFPL_ATTR_FREQUENCY_DISPLAY_LINE_POSITION,
    "Frequency Display Line Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:FLIN{DisplayLine}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0E9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DISPLAY_LINE_ENABLED =
  {
    RSFPL_ATTR_TIME_DISPLAY_LINE_ENABLED,
    "Time Display Line Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:TLIN{DisplayLine}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TIME_DISPLAY_LINE_POSITION =
  {
    RSFPL_ATTR_TIME_DISPLAY_LINE_POSITION,
    "Time Display Line Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngTimeLinePosition, NULL,
    "CALC{Window}:TLIN{DisplayLine}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_DISPLAY_LINE_ENABLED =
  {
    RSFPL_ATTR_POWER_DISPLAY_LINE_ENABLED,
    "Power Display Line Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:PLIN{DisplayLine}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_POWER_DISPLAY_LINE_POSITION =
  {
    RSFPL_ATTR_POWER_DISPLAY_LINE_POSITION,
    "Power Display Line Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPowerLinePosition, NULL,
    "CALC{Window}:PLIN{DisplayLine}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -30,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HORIZONTAL_DISPLAY_LINE_ENABLED =
  {
    RSFPL_ATTR_HORIZONTAL_DISPLAY_LINE_ENABLED,
    "Horizontal Display Line Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:DLIN{DisplayLine}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HORIZONTAL_DISPLAY_LINE_POSITION =
  {
    RSFPL_ATTR_HORIZONTAL_DISPLAY_LINE_POSITION,
    "Horizontal Display Line Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:DLIN{DisplayLine}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_NAMES_OF_ACTIVE_LIMIT_LINES =
  {
    RSFPL_ATTR_LIMIT_NAMES_OF_ACTIVE_LIMIT_LINES,
    "Limit Names Of Active Limit Lines",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:LIM:ACT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "line1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_DELETE_RESULTS =
  {
    RSFPL_ATTR_LIMIT_DELETE_RESULTS,
    "Limit Delete Results",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:LIM:CLE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_CHECK_ENABLED =
  {
    RSFPL_ATTR_LIMIT_LINE_CHECK_ENABLED,
    "Limit Line Check Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:LIM{LimitLine}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_UNITS =
  {
    RSFPL_ATTR_LIMIT_LINE_UNITS,
    "Limit Line Units",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngLimitLineUnit, NULL, NULL,
    "CALC:LIM{LimitLine}:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_UNIT_DBM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_COMMENT =
  {
    RSFPL_ATTR_LIMIT_LINE_COMMENT,
    "Limit Line Comment",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:LIM{LimitLine}:COMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "comment",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_COPY =
  {
    RSFPL_ATTR_LIMIT_LINE_COPY,
    "Limit Line Copy",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, &RsFpl_rngLimitLine, NULL,
    "CALC:LIM{LimitLine}:COPY",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_NAME =
  {
    RSFPL_ATTR_LIMIT_LINE_NAME,
    "Limit Line Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC:LIM{LimitLine}:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_DELETE =
  {
    RSFPL_ATTR_LIMIT_LINE_DELETE,
    "Limit Line Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC:LIM{LimitLine}:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_CONTROL_DOMAIN =
  {
    RSFPL_ATTR_LIMIT_LINE_CONTROL_DOMAIN,
    "Limit Line Control Domain",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngLimitLineDomain, NULL, NULL,
    "CALC:LIM{LimitLine}:CONT:DOM",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_DOMAIN_FREQUENCY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_CONTROL_SPACING =
  {
    RSFPL_ATTR_LIMIT_LINE_CONTROL_SPACING,
    "Limit Line Control Spacing",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngLinLog, NULL, NULL,
    "CALC:LIM{LimitLine}:CONT:SPAC",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_LIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_CONTROL_SCALING =
  {
    RSFPL_ATTR_LIMIT_LINE_CONTROL_SCALING,
    "Limit Line Control Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngAbsRel, NULL, NULL,
    "CALC:LIM{LimitLine}:CONT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ABS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_CONTROL_OFFSET =
  {
    RSFPL_ATTR_LIMIT_LINE_CONTROL_OFFSET,
    "Limit Line Control Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:LIM{LimitLine}:CONT:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_SHIFT =
  {
    RSFPL_ATTR_LIMIT_LINE_SHIFT,
    "Limit Line Shift",
    RS_VAL_WRITE_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:LIM{LimitLine}:CONT:SHIF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_LOWER_ENABLED =
  {
    RSFPL_ATTR_LIMIT_LINE_LOWER_ENABLED,
    "Limit Line Lower Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:LIM{LimitLine}:LOW:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_LOWER_SCALING =
  {
    RSFPL_ATTR_LIMIT_LINE_LOWER_SCALING,
    "Limit Line Lower Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngAbsRel, NULL, NULL,
    "CALC:LIM{LimitLine}:LOW:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ABS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_LOWER_SPACING =
  {
    RSFPL_ATTR_LIMIT_LINE_LOWER_SPACING,
    "Limit Line Lower Spacing",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngLinLog, NULL, NULL,
    "CALC:LIM{LimitLine}:LOW:SPAC",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_LIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_LOWER_MARGIN =
  {
    RSFPL_ATTR_LIMIT_LINE_LOWER_MARGIN,
    "Limit Line Lower Margin",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:LIM{LimitLine}:LOW:MARG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_LOWER_THRESHOLD =
  {
    RSFPL_ATTR_LIMIT_LINE_LOWER_THRESHOLD,
    "Limit Line Lower Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:LIM{LimitLine}:LOW:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -200,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_LOWER_OFFSET =
  {
    RSFPL_ATTR_LIMIT_LINE_LOWER_OFFSET,
    "Limit Line Lower Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:LIM{LimitLine}:LOW:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_LOWER_SHIFT =
  {
    RSFPL_ATTR_LIMIT_LINE_LOWER_SHIFT,
    "Limit Line Lower Shift",
    RS_VAL_WRITE_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:LIM{LimitLine}:LOW:SHIF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_UPPER_ENABLED =
  {
    RSFPL_ATTR_LIMIT_LINE_UPPER_ENABLED,
    "Limit Line Upper Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:LIM{LimitLine}:UPP:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_UPPER_SCALING =
  {
    RSFPL_ATTR_LIMIT_LINE_UPPER_SCALING,
    "Limit Line Upper Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngAbsRel, NULL, NULL,
    "CALC:LIM{LimitLine}:UPP:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ABS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_UPPER_SPACING =
  {
    RSFPL_ATTR_LIMIT_LINE_UPPER_SPACING,
    "Limit Line Upper Spacing",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngLinLog, NULL, NULL,
    "CALC:LIM{LimitLine}:UPP:SPAC",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_LIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_UPPER_MARGIN =
  {
    RSFPL_ATTR_LIMIT_LINE_UPPER_MARGIN,
    "Limit Line Upper Margin",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:LIM{LimitLine}:UPP:MARG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_UPPER_THRESHOLD =
  {
    RSFPL_ATTR_LIMIT_LINE_UPPER_THRESHOLD,
    "Limit Line Upper Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:LIM{LimitLine}:UPP:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -200,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_UPPER_OFFSET =
  {
    RSFPL_ATTR_LIMIT_LINE_UPPER_OFFSET,
    "Limit Line Upper Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:LIM{LimitLine}:UPP:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_UPPER_SHIFT =
  {
    RSFPL_ATTR_LIMIT_LINE_UPPER_SHIFT,
    "Limit Line Upper Shift",
    RS_VAL_WRITE_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:LIM{LimitLine}:UPP:SHIF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINES_ASSIGN_TRACE_ENABLED =
  {
    RSFPL_ATTR_LIMIT_LINES_ASSIGN_TRACE_ENABLED,
    "Limit Lines Assign Trace Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:LIM{LimitLine}:TRAC{Trace}:CHEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LIMIT_LINE_CHECK_RESULT =
  {
    RSFPL_ATTR_LIMIT_LINE_CHECK_RESULT,
    "Limit Line Check Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC{Window}:LIM{LimitLine}:FAIL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_LOAD_LIMIT_LINE =
  {
    RSFPL_ATTR_LOAD_LIMIT_LINE,
    "Load Limit Line",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:LOAD:LIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "SEM_LIMIT_002_ABS_0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_ENABLED =
  {
    RSFPL_ATTR_IQ_ANALYZER_ENABLED,
    "IQ Analyzer Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRAC:IQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_EVALUATION_ENABLED =
  {
    RSFPL_ATTR_IQ_ANALYZER_EVALUATION_ENABLED,
    "IQ Analyzer Evaluation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRAC:IQ:EVAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_SAMPLE_RATE =
  {
    RSFPL_ATTR_IQ_ANALYZER_SAMPLE_RATE,
    "IQ Analyzer Sample Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRAC:IQ:SRAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    32e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_ANALYSIS_BANDWIDTH =
  {
    RSFPL_ATTR_IQ_ANALYZER_ANALYSIS_BANDWIDTH,
    "IQ Analyzer Analysis Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRAC:IQ:BWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    25.6e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_SWAP_IQ_ENABLED =
  {
    RSFPL_ATTR_IQ_ANALYZER_SWAP_IQ_ENABLED,
    "IQ Analyzer Swap IQ Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SWAP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_RECORD_LENGTH =
  {
    RSFPL_ATTR_IQ_ANALYZER_RECORD_LENGTH,
    "IQ Analyzer Record Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRAC:IQ:RLEN",
    // Defaults I32, I64, Float, Bool, String
    1001,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_RBW_MODE =
  {
    RSFPL_ATTR_IQ_ANALYZER_RBW_MODE,
    "IQ Analyzer RBW Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngIQRBWMode, NULL, NULL,
    "IQ:BWID:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_IQ_RBW_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_MANUAL_RBW =
  {
    RSFPL_ATTR_IQ_ANALYZER_MANUAL_RBW,
    "IQ Analyzer Manual RBW",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "IQ:BWID:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    22308266,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_TRANSFORMATION_ALGORITHM =
  {
    RSFPL_ATTR_IQ_ANALYZER_TRANSFORMATION_ALGORITHM,
    "IQ Analyzer Transformation Algorithm",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngTransformationAlgorithm, NULL, NULL,
    "IQ:FFT:ALG",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_FFT_AVERAGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_FFT_LENGTH =
  {
    RSFPL_ATTR_IQ_ANALYZER_FFT_LENGTH,
    "IQ Analyzer FFT Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngFFTLength, NULL,
    "IQ:FFT:LENG",
    // Defaults I32, I64, Float, Bool, String
    4096,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_WINDOW_FUNCTION =
  {
    RSFPL_ATTR_IQ_ANALYZER_WINDOW_FUNCTION,
    "IQ Analyzer Window Function",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngWindowFunction, NULL, NULL,
    "IQ:FFT:WIND:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_WINDOW_FLATTOP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_WINDOW_OVERLAP =
  {
    RSFPL_ATTR_IQ_ANALYZER_WINDOW_OVERLAP,
    "IQ Analyzer Window Overlap",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngWindowOverlap, NULL,
    "IQ:FFT:WIND:OVER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.75,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_WINDOW_LENGTH =
  {
    RSFPL_ATTR_IQ_ANALYZER_WINDOW_LENGTH,
    "IQ Analyzer Window Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngFFTWindowLength, NULL,
    "IQ:FFT:WIND:LENG",
    // Defaults I32, I64, Float, Bool, String
    1001,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_TRIGGER_OFFSET =
  {
    RSFPL_ATTR_IQ_ANALYZER_TRIGGER_OFFSET,
    "IQ Analyzer Trigger Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRAC:IQ:TPIS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_BRANCH_FOR_PEAKSEARCH =
  {
    RSFPL_ATTR_IQ_ANALYZER_BRANCH_FOR_PEAKSEARCH,
    "IQ Analyzer Branch For Peaksearch",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngBranchForPeaksearch, NULL, NULL,
    "CALC:MARK:SEAR",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_BRANCH_REAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_GATING_ENABLED =
  {
    RSFPL_ATTR_IQ_ANALYZER_GATING_ENABLED,
    "IQ Analyzer Gating Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "TRAC:IQ:EGAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_GATING_MODE =
  {
    RSFPL_ATTR_IQ_ANALYZER_GATING_MODE,
    "IQ Analyzer Gating Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngIQAnalyzerGatingMode, NULL, NULL,
    "TRAC:IQ:EGAT:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_IQ_ANALYZER_GATING_EDGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_GATING_GAP =
  {
    RSFPL_ATTR_IQ_ANALYZER_GATING_GAP,
    "IQ Analyzer Gating Gap",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRAC:IQ:EGAT:GAP",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_GATING_LENGTH =
  {
    RSFPL_ATTR_IQ_ANALYZER_GATING_LENGTH,
    "IQ Analyzer Gating Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "TRAC:IQ:EGAT:LENG",
    // Defaults I32, I64, Float, Bool, String
    100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_GATING_NUMBER_OF_GATE_PERIODS =
  {
    RSFPL_ATTR_IQ_ANALYZER_GATING_NUMBER_OF_GATE_PERIODS,
    "IQ Analyzer Gating Number Of Gate Periods",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngNumberOfGatePeriods, NULL,
    "TRAC:IQ:EGAT:NOF",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_LAYOUT_REPLACE_WINDOW =
  {
    RSFPL_ATTR_IQ_ANALYZER_LAYOUT_REPLACE_WINDOW,
    "IQ Analyzer Layout Replace Window",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngIQAnalyzerLayoutWindowType, NULL, NULL,
    "LAY:WIND{Window}:REPL",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_IQ_ANALYZER_LAYOUT_TYPE_SPECTRUM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_IQ_DATA_COMMENT =
  {
    RSFPL_ATTR_IQ_ANALYZER_IQ_DATA_COMMENT,
    "IQ Analyzer IQ Data Comment",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:STOR:IQ:COMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "comment",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_IQ_ANALYZER_SELECT_IQ_DATA_FILE_RAWSTRING =
  {
    RSFPL_ATTR_IQ_ANALYZER_SELECT_IQ_DATA_FILE_RAWSTRING,
    "IQ Analyzer Select IQ Data File RawString",
    RS_VAL_WRITE_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "INP:FILE:PATH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "\'FileName\', AnalysisBW",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_COMMON_NOISE_SOURCE_ENABLED =
  {
    RSFPL_ATTR_NOISE_COMMON_NOISE_SOURCE_ENABLED,
    "Noise Common Noise Source Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CORR:ENR:COMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_ROOM_TEMPERATURE =
  {
    RSFPL_ATTR_NOISE_ROOM_TEMPERATURE,
    "Noise Room Temperature",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngNoiseRoomTemperature, NULL,
    "CORR:TEMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    293,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_CALIBRATION_NOISE_SOURCE =
  {
    RSFPL_ATTR_NOISE_CALIBRATION_NOISE_SOURCE,
    "Noise Calibration Noise Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngENRNoiseSource, NULL, NULL,
    "CORR:ENR:CAL:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ENR_NOISE_SOURCE_DIODE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_CALIBRATION_MODE =
  {
    RSFPL_ATTR_NOISE_CALIBRATION_MODE,
    "Noise Calibration Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngNoiseSourceMode, NULL, NULL,
    "CORR:ENR:CAL:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_NOISE_SOURCE_MODE_SPOT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_CALIBRATION_CONSTANT_ENR =
  {
    RSFPL_ATTR_NOISE_CALIBRATION_CONSTANT_ENR,
    "Noise Calibration Constant ENR",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngNoiseConstantENR, NULL,
    "CORR:ENR:CAL:SPOT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    15,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_CALIBRATION_SELECTED_TABLE =
  {
    RSFPL_ATTR_NOISE_CALIBRATION_SELECTED_TABLE,
    "Noise Calibration Selected Table",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:ENR:CAL:TABL:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "TABLE",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_CALIBRATION_SMART_SERIAL_NUMBER =
  {
    RSFPL_ATTR_NOISE_CALIBRATION_SMART_SERIAL_NUMBER,
    "Noise Calibration Smart Serial Number",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:ENR:CAL:SNS:SRN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "SN",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_CALIBRATION_SPOT_COLD_TEMPERATURE =
  {
    RSFPL_ATTR_NOISE_CALIBRATION_SPOT_COLD_TEMPERATURE,
    "Noise Calibration Spot Cold Temperature",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CORR:ENR:CAL:SPOT:COLD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    77,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_CALIBRATION_SPOT_HOT_TEMPERATURE =
  {
    RSFPL_ATTR_NOISE_CALIBRATION_SPOT_HOT_TEMPERATURE,
    "Noise Calibration Spot Hot Temperature",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CORR:ENR:CAL:SPOT:HOT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    77,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_MEASUREMENT_NOISE_SOURCE =
  {
    RSFPL_ATTR_NOISE_MEASUREMENT_NOISE_SOURCE,
    "Noise Measurement Noise Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngENRNoiseSource, NULL, NULL,
    "CORR:ENR:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ENR_NOISE_SOURCE_DIODE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_SOURCE_MEASUREMENT_MODE =
  {
    RSFPL_ATTR_NOISE_SOURCE_MEASUREMENT_MODE,
    "Noise Source Measurement Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngNoiseSourceMode, NULL, NULL,
    "CORR:ENR:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_NOISE_SOURCE_MODE_SPOT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_MEASUREMENT_CONSTANT_ENR =
  {
    RSFPL_ATTR_NOISE_MEASUREMENT_CONSTANT_ENR,
    "Noise Measurement Constant ENR",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngNoiseConstantENR, NULL,
    "CORR:ENR:SPOT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    15,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_MEASUREMENT_SMART_SERIAL_NUMBER =
  {
    RSFPL_ATTR_NOISE_MEASUREMENT_SMART_SERIAL_NUMBER,
    "Noise Measurement Smart Serial Number",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:ENR:SNS:SRN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "SN",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_MEASUREMENT_SPOT_COLD_TEMPERATURE =
  {
    RSFPL_ATTR_NOISE_MEASUREMENT_SPOT_COLD_TEMPERATURE,
    "Noise Measurement Spot Cold Temperature",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CORR:ENR:SPOT:COLD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    77,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_MEASUREMENT_SPOT_HOT_TEMPERATURE =
  {
    RSFPL_ATTR_NOISE_MEASUREMENT_SPOT_HOT_TEMPERATURE,
    "Noise Measurement Spot Hot Temperature",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CORR:ENR:SPOT:HOT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    77,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_MEASUREMENT_SELECTED_TABLE =
  {
    RSFPL_ATTR_NOISE_MEASUREMENT_SELECTED_TABLE,
    "Noise Measurement Selected Table",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:ENR:TABL:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "TABLE",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_MEASUREMENT_DIODE_TABLE_LIST =
  {
    RSFPL_ATTR_NOISE_MEASUREMENT_DIODE_TABLE_LIST,
    "Noise Measurement Diode Table List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:ENR:TABL:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "tables",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_MEASUREMENT_DIODE_TABLE_DELETE =
  {
    RSFPL_ATTR_NOISE_MEASUREMENT_DIODE_TABLE_DELETE,
    "Noise Measurement Diode Table Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:ENR:TABL:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "TABLE",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_MEASUREMENT_TEMPERATURE_TABLE_LIST =
  {
    RSFPL_ATTR_NOISE_MEASUREMENT_TEMPERATURE_TABLE_LIST,
    "Noise Measurement Temperature Table List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:ENR:TABL:TEMP:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "tables",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_MEASUREMENT_TEMPERATURE_TABLE_DELETE =
  {
    RSFPL_ATTR_NOISE_MEASUREMENT_TEMPERATURE_TABLE_DELETE,
    "Noise Measurement Temperature Table Delete",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:ENR:TABL:TEMP:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "TABLE",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_INPUT_LOSS_MODE =
  {
    RSFPL_ATTR_NOISE_INPUT_LOSS_MODE,
    "Noise Input Loss Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngNoiseSourceMode, NULL, NULL,
    "CORR:LOSS:INP:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_NOISE_SOURCE_MODE_SPOT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_INPUT_LOSS_CONSTANT =
  {
    RSFPL_ATTR_NOISE_INPUT_LOSS_CONSTANT,
    "Noise Input Loss Constant",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngAdditionalLoss, NULL,
    "CORR:LOSS:INP:SPOT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_INPUT_LOSS_TEMPERATURE =
  {
    RSFPL_ATTR_NOISE_INPUT_LOSS_TEMPERATURE,
    "Noise Input Loss Temperature",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CORR:LOSS:INP:TEMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    296.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_INPUT_LOSS_SELECTED_TABLE =
  {
    RSFPL_ATTR_NOISE_INPUT_LOSS_SELECTED_TABLE,
    "Noise Input Loss Selected Table",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:LOSS:INP:TABL:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "table",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_INPUT_LOSS_DELETE_TABLE =
  {
    RSFPL_ATTR_NOISE_INPUT_LOSS_DELETE_TABLE,
    "Noise Input Loss Delete Table",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:LOSS:INP:TABL:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "table",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_INPUT_LOSS_TABLE_LIST =
  {
    RSFPL_ATTR_NOISE_INPUT_LOSS_TABLE_LIST,
    "Noise Input Loss Table List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:LOSS:INP:TABL:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "list",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_OUTPUT_LOSS_MODE =
  {
    RSFPL_ATTR_NOISE_OUTPUT_LOSS_MODE,
    "Noise Output Loss Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngNoiseSourceMode, NULL, NULL,
    "CORR:LOSS:OUTP:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_NOISE_SOURCE_MODE_SPOT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_OUTPUT_LOSS_CONSTANT =
  {
    RSFPL_ATTR_NOISE_OUTPUT_LOSS_CONSTANT,
    "Noise Output Loss Constant",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngAdditionalLoss, NULL,
    "CORR:LOSS:OUTP:SPOT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_OUTPUT_LOSS_TEMPERATURE =
  {
    RSFPL_ATTR_NOISE_OUTPUT_LOSS_TEMPERATURE,
    "Noise Output Loss Temperature",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CORR:LOSS:OUTP:TEMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    296.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_OUTPUT_LOSS_SELECTED_TABLE =
  {
    RSFPL_ATTR_NOISE_OUTPUT_LOSS_SELECTED_TABLE,
    "Noise Output Loss Selected Table",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:LOSS:OUTP:TABL:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "table",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_OUTPUT_LOSS_DELETE_TABLE =
  {
    RSFPL_ATTR_NOISE_OUTPUT_LOSS_DELETE_TABLE,
    "Noise Output Loss Delete Table",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:LOSS:OUTP:TABL:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "table",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_OUTPUT_LOSS_TABLE_LIST =
  {
    RSFPL_ATTR_NOISE_OUTPUT_LOSS_TABLE_LIST,
    "Noise Output Loss Table List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:LOSS:OUTP:TABL:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "list",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_CALIBRATION_LOSS_MODE =
  {
    RSFPL_ATTR_NOISE_CALIBRATION_LOSS_MODE,
    "Noise Calibration Loss Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngNoiseSourceMode, NULL, NULL,
    "CORR:LOSS:CAL:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_NOISE_SOURCE_MODE_SPOT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_CALIBRATION_LOSS_CONSTANT =
  {
    RSFPL_ATTR_NOISE_CALIBRATION_LOSS_CONSTANT,
    "Noise Calibration Loss Constant",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngAdditionalLoss, NULL,
    "CORR:LOSS:CAL:SPOT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_CALIBRATION_LOSS_TEMPERATURE =
  {
    RSFPL_ATTR_NOISE_CALIBRATION_LOSS_TEMPERATURE,
    "Noise Calibration Loss Temperature",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CORR:LOSS:CAL:TEMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    296.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_CALIBRATION_LOSS_SELECTED_TABLE =
  {
    RSFPL_ATTR_NOISE_CALIBRATION_LOSS_SELECTED_TABLE,
    "Noise Calibration Loss Selected Table",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:LOSS:CAL:TABL:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "TABLE",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_CALIBRATION_LOSS_DELETE_TABLE =
  {
    RSFPL_ATTR_NOISE_CALIBRATION_LOSS_DELETE_TABLE,
    "Noise Calibration Loss Delete Table",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:LOSS:CAL:TABL:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "TABLE",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_CALIBRATION_LOSS_TABLE_LIST =
  {
    RSFPL_ATTR_NOISE_CALIBRATION_LOSS_TABLE_LIST,
    "Noise Calibration Loss Table List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:LOSS:CAL:TABL:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "list",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_DUT_TYPE =
  {
    RSFPL_ATTR_NOISE_DUT_TYPE,
    "Noise DUT Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngNoiseDUTType, NULL, NULL,
    "CONF:MODE:DUT",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_NOISE_DUT_DIRECT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_DUT_LO_TYPE =
  {
    RSFPL_ATTR_NOISE_DUT_LO_TYPE,
    "Noise DUT LO Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngLOType, NULL, NULL,
    "CONF:MODE:SYST:LO",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_LO_TYPE_FIXED,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_DUT_LO_FREQUENCY =
  {
    RSFPL_ATTR_NOISE_DUT_LO_FREQUENCY,
    "Noise DUT LO Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:MODE:SYST:LO:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_DUT_IMAGE_REJECTION =
  {
    RSFPL_ATTR_NOISE_DUT_IMAGE_REJECTION,
    "Noise DUT Image Rejection",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngNoiseImageRejection, NULL,
    "CORR:IREJ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    999.99,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_MEASUREMENT_POINTS =
  {
    RSFPL_ATTR_NOISE_MEASUREMENT_POINTS,
    "Noise Measurement Points",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngNoiseMeasurementPoints, NULL,
    "FREQ:POIN",
    // Defaults I32, I64, Float, Bool, String
    20,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_SINGLE_FREQUENCY =
  {
    RSFPL_ATTR_NOISE_SINGLE_FREQUENCY,
    "Noise Single Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FREQ:SING",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_SINGLE_FREQUENCY_COUPLING_ENABLED =
  {
    RSFPL_ATTR_NOISE_SINGLE_FREQUENCY_COUPLING_ENABLED,
    "Noise Single Frequency Coupling Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FREQ:SING:COUP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_SINGLE_FREQUENCY_CONTINUOUS_SWEEP =
  {
    RSFPL_ATTR_NOISE_SINGLE_FREQUENCY_CONTINUOUS_SWEEP,
    "Noise Single Frequency Continuous Sweep",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CONF:FREQ:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_SINGLE_FREQUENCY_SINGLE_SWEEP =
  {
    RSFPL_ATTR_NOISE_SINGLE_FREQUENCY_SINGLE_SWEEP,
    "Noise Single Frequency Single Sweep",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CONF:FREQ:SING",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FREQUENCY_STEPSIZE =
  {
    RSFPL_ATTR_NOISE_FREQUENCY_STEPSIZE,
    "Noise Frequency Stepsize",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FREQ:STEP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10.0E6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_LIST_MEASUREMENT_CONTINUOUS_SWEEP =
  {
    RSFPL_ATTR_NOISE_LIST_MEASUREMENT_CONTINUOUS_SWEEP,
    "Noise List Measurement Continuous Sweep",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CONF:LIST:CONT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_LIST_MEASUREMENT_SINGLE_SWEEP =
  {
    RSFPL_ATTR_NOISE_LIST_MEASUREMENT_SINGLE_SWEEP,
    "Noise List Measurement Single Sweep",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CONF:LIST:SING",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FREQUENCY_QUERY_TABLE_DATA_RAW =
  {
    RSFPL_ATTR_NOISE_FREQUENCY_QUERY_TABLE_DATA_RAW,
    "Noise Frequency Query Table Data Raw",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "FREQ:LIST:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "{<RFFrequency>, <LOFrequency>, <IFFrequency>}...",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HIDDEN_QUERY_NOISE_DATA =
  {
    RSFPL_ATTR_HIDDEN_QUERY_NOISE_DATA,
    "Hidden Query Noise Data",
    RS_VAL_READ_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "BAND:LIST:DATA?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "{<Frequency>, <Bandwidth>, <SweepTime>}.",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_ANALYZER_CALIBRATION_MEASUREMENT =
  {
    RSFPL_ATTR_NOISE_ANALYZER_CALIBRATION_MEASUREMENT,
    "Noise Analyzer Calibration Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CONF:CORR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_ANALYZER_CALIBRATION_DATA_INCLUDED =
  {
    RSFPL_ATTR_NOISE_ANALYZER_CALIBRATION_DATA_INCLUDED,
    "Noise Analyzer Calibration Data Included",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CORR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_ANALYZER_AUTO_REFERENCE_LEVEL_ENABLED =
  {
    RSFPL_ATTR_NOISE_ANALYZER_AUTO_REFERENCE_LEVEL_ENABLED,
    "Noise Analyzer Auto Reference Level Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISPlay:TRAC:Y:RLEV:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_ANALYZER_EXPECTED_DUT_GAIN =
  {
    RSFPL_ATTR_NOISE_ANALYZER_EXPECTED_DUT_GAIN,
    "Noise Analyzer Expected DUT Gain",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngNoiseDUTGain, NULL,
    "SYST:CONF:DUT:GAIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    30,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_ANALYZER_SETTLING_TIME =
  {
    RSFPL_ATTR_NOISE_ANALYZER_SETTLING_TIME,
    "Noise Analyzer Settling Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngNoiseSettlingTime, NULL,
    "SYST:CONF:DUT:STIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50E-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_LIMIT_LINE_RESULT_TYPE =
  {
    RSFPL_ATTR_NOISE_LIMIT_LINE_RESULT_TYPE,
    "Noise Limit Line Result Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngNoiseResultType, NULL, NULL,
    "CALC:LIM{LimitLine}:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_NOISE_RESULT_NOISE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_DISPLAY_AUTOMATIC_SCALING_ENABLED =
  {
    RSFPL_ATTR_NOISE_DISPLAY_AUTOMATIC_SCALING_ENABLED,
    "Noise Display Automatic Scaling Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:TRAC:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_DISPLAY_FREQUENCY_TYPE =
  {
    RSFPL_ATTR_NOISE_DISPLAY_FREQUENCY_TYPE,
    "Noise Display Frequency Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngNoiseDisplayFrequencyType, NULL, NULL,
    "DISPlay:WIND{Window}:TRAC:X",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_FREQUENCY_RF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_DISPLAY_X_AXIS_SYMBOLS_ENABLED =
  {
    RSFPL_ATTR_NOISE_DISPLAY_X_AXIS_SYMBOLS_ENABLED,
    "Noise Display X Axis Symbols Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:TRAC:SYMB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_DISPLAY_X_AXIS_BOTTOM =
  {
    RSFPL_ATTR_NOISE_DISPLAY_X_AXIS_BOTTOM,
    "Noise Display X Axis Bottom",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:TRAC:Y:BOTT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -70,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_DISPLAY_X_AXIS_TOP =
  {
    RSFPL_ATTR_NOISE_DISPLAY_X_AXIS_TOP,
    "Noise Display X Axis Top",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:TRAC:Y:TOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_LAYOUT_REPLACE_WINDOW =
  {
    RSFPL_ATTR_NOISE_LAYOUT_REPLACE_WINDOW,
    "Noise Layout Replace Window",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngNoiseLayoutWindowType, NULL, NULL,
    "LAY:WIND{Window}:REPL",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_NOISE_LAYOUT_TYPE_NOISE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_MEASUREMENT_MODE =
  {
    RSFPL_ATTR_NOISE_MEASUREMENT_MODE,
    "Noise Measurement Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngAutoMan, NULL, NULL,
    "CONF:CONT",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_MEASUREMENT_TYPE_OF_POWER_MEASUREMENT =
  {
    RSFPL_ATTR_NOISE_MEASUREMENT_TYPE_OF_POWER_MEASUREMENT,
    "Noise Measurement Type Of Power Measurement",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngNoisePowerMeasurement, NULL, NULL,
    "CONF:MEAS",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_NOISE_MEASUREMENT_HOT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_RESULT =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_RESULT,
    "Noise Figure Uncertainty Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.44,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_MEASUREMENT_OUTPUT_MATCH_VSWR =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_MEASUREMENT_OUTPUT_MATCH_VSWR,
    "Noise Figure Uncertainty Measurement Output Match VSWR",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:MATC:SOUR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.15,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_MEASUREMENT_OUTPUT_MATCH_RETURN_LOSS =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_MEASUREMENT_OUTPUT_MATCH_RETURN_LOSS,
    "Noise Figure Uncertainty Measurement Output Match Return Loss",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:MATC:SOUR:RL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    23.13,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_MEASUREMENT_ENR_UNCERTAINTY =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_MEASUREMENT_ENR_UNCERTAINTY,
    "Noise Figure Uncertainty Measurement ENR Uncertainty",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:ENR:UNC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_MEASUREMENT_RESISTOR_COLD_UNCERTAINTY =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_MEASUREMENT_RESISTOR_COLD_UNCERTAINTY,
    "Noise Figure Uncertainty Measurement Resistor Cold Uncertainty",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:ENR:UNC:COLD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_MEASUREMENT_RESISTOR_HOT_UNCERTAINTY =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_MEASUREMENT_RESISTOR_HOT_UNCERTAINTY,
    "Noise Figure Uncertainty Measurement Resistor Hot Uncertainty",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:ENR:UNC:HOT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_COMMON_SOURCE_FOR_MEAS_AND_CAL_ENABLED =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_COMMON_SOURCE_FOR_MEAS_AND_CAL_ENABLED,
    "Noise Figure Uncertainty Common Source For Meas And Cal Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:UNC:COMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_CALIBRATION_OUTPUT_MATCH_VSWR =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_CALIBRATION_OUTPUT_MATCH_VSWR,
    "Noise Figure Uncertainty Calibration Output Match VSWR",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:MATC:SOUR:CAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.15,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_CALIBRATION_OUTPUT_MATCH_RETURN_LOSS =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_CALIBRATION_OUTPUT_MATCH_RETURN_LOSS,
    "Noise Figure Uncertainty Calibration Output Match Return Loss",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:MATC:SOUR:CAL:RL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    23.13,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_CALIBRATION_ENR_UNCERTAINTY =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_CALIBRATION_ENR_UNCERTAINTY,
    "Noise Figure Uncertainty Calibration ENR Uncertainty",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:ENR:CAL:UNC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_CALIBRATION_RESISTOR_COLD_UNCERTAINTY =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_CALIBRATION_RESISTOR_COLD_UNCERTAINTY,
    "Noise Figure Uncertainty Calibration Resistor Cold Uncertainty",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:ENR:CAL:UNC:COLD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_CALIBRATION_RESISTOR_HOT_UNCERTAINTY =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_CALIBRATION_RESISTOR_HOT_UNCERTAINTY,
    "Noise Figure Uncertainty Calibration Resistor Hot Uncertainty",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:ENR:CAL:UNC:HOT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_INPUT_MATCH_VSWR =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_INPUT_MATCH_VSWR,
    "Noise Figure Uncertainty DUT Input Match VSWR",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:MATC:DUT:IN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_INPUT_MATCH_RETURN_LOSS =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_INPUT_MATCH_RETURN_LOSS,
    "Noise Figure Uncertainty DUT Input Match Return Loss",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:MATC:DUT:IN:RL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_OUTPUT_MATCH_VSWR =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_OUTPUT_MATCH_VSWR,
    "Noise Figure Uncertainty DUT Output Match VSWR",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:MATC:DUT:OUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_OUTPUT_MATCH_RETURN_LOSS =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_OUTPUT_MATCH_RETURN_LOSS,
    "Noise Figure Uncertainty DUT Output Match Return Loss",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:MATC:DUT:OUT:RL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_USE_MEASUREMENT_VALUES_ENABLED =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_USE_MEASUREMENT_VALUES_ENABLED,
    "Noise Figure Uncertainty DUT Use Measurement Values Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:UNC:DATA:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_NOISE_FIGURE =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_NOISE_FIGURE,
    "Noise Figure Uncertainty DUT Noise Figure",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:DATA:NOIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_GAIN =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_GAIN,
    "Noise Figure Uncertainty DUT Gain",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:DATA:GAIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_FREQUENCY =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_FREQUENCY,
    "Noise Figure Uncertainty DUT Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:DATA:FREQ",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_ANALYZER_GAIN_UNCERTAINTY =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_ANALYZER_GAIN_UNCERTAINTY,
    "Noise Figure Uncertainty Analyzer Gain Uncertainty",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:SAN:GAIN:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.15,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_ANALYZER_NOISE_FIGURE_UNCERTAINTY =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_ANALYZER_NOISE_FIGURE_UNCERTAINTY,
    "Noise Figure Uncertainty Analyzer Noise Figure Uncertainty",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:SAN:NOIS:UNC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.05,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_PREAMP_ENABLED =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_PREAMP_ENABLED,
    "Noise Figure Uncertainty Preamp Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:UNC:PRE:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_PREAMP_NOISE_FIGURE =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_PREAMP_NOISE_FIGURE,
    "Noise Figure Uncertainty Preamp Noise Figure",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:PRE:NOIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_PREAMP_GAIN =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_PREAMP_GAIN,
    "Noise Figure Uncertainty Preamp Gain",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:PRE:GAIN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    20,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_PREAMP_VSWR =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_PREAMP_VSWR,
    "Noise Figure Uncertainty Preamp VSWR",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:MATC:PRE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_PREAMP_RETURN_LOSS =
  {
    RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_PREAMP_RETURN_LOSS,
    "Noise Figure Uncertainty Preamp Return Loss",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:UNC:MATC:PRE:RL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    13.98,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ANALOG_DEMODULATION_SCALLING_ANGLE_UNIT =
  {
    RSFPL_ATTR_ANALOG_DEMODULATION_SCALLING_ANGLE_UNIT,
    "Analog Demodulation Scalling Angle Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngADEMUnitAngle, NULL, NULL,
    "CALC{Window}:UNIT:ANGL",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_UNIT_ANGLE_RAD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K7",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ANALOG_DEMODULATION_UNIT_THD =
  {
    RSFPL_ATTR_ANALOG_DEMODULATION_UNIT_THD,
    "Analog Demodulation Unit THD",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngAnalogDemodulationUnitTHD, NULL, NULL,
    "CALC{Window}:UNIT:THD",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ANALOG_DEMODULATION_UNIT_THD_DB,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K7",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ANALOG_DEMODULATION_RF_INPUT_YIG_FILTER =
  {
    RSFPL_ATTR_ANALOG_DEMODULATION_RF_INPUT_YIG_FILTER,
    "Analog Demodulation RF Input YIG Filter",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:FILT:YIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K7",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_LOAD_CONFIGURATION =
  {
    RSFPL_ATTR_ADEM_LOAD_CONFIGURATION,
    "ADEM Load Configuration",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "ADEM:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "am broadcast.xml",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_SAVE_CONFIGURATION =
  {
    RSFPL_ATTR_ADEM_SAVE_CONFIGURATION,
    "ADEM Save Configuration",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "ADEM:PRES:STOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "my save",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_RESTORE_CONFIGURATIONS =
  {
    RSFPL_ATTR_ADEM_RESTORE_CONFIGURATIONS,
    "ADEM Restore Configurations",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ADEM:PRES:REST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_TRIGGER_AM_LEVEL =
  {
    RSFPL_ATTR_ADEM_TRIGGER_AM_LEVEL,
    "ADEM Trigger AM Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngADEMTriggerLevelAM, NULL,
    "TRIG:LEV:AM:REL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_TRIGGER_RF_LEVEL =
  {
    RSFPL_ATTR_ADEM_TRIGGER_RF_LEVEL,
    "ADEM Trigger RF Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngADEMTriggerLevelRF, NULL,
    "TRIG:LEV:AM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -20.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_TRIGGER_FM_LEVEL =
  {
    RSFPL_ATTR_ADEM_TRIGGER_FM_LEVEL,
    "ADEM Trigger FM Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngADEMTriggerLevelFM, NULL,
    "TRIG:LEV:FM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_TRIGGER_PM_LEVEL =
  {
    RSFPL_ATTR_ADEM_TRIGGER_PM_LEVEL,
    "ADEM Trigger PM Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngADEMTriggerLevelPM, NULL,
    "TRIG:LEV:PM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_BANDWIDTH =
  {
    RSFPL_ATTR_ADEM_BANDWIDTH,
    "ADEM Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "BWID:DEM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_FILTER_TYPE =
  {
    RSFPL_ATTR_ADEM_FILTER_TYPE,
    "ADEM Filter Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngADEMFilterType, NULL, NULL,
    "BWID:DEM:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ADEM_FILTER_FLAT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_MEASUREMENT_TIME =
  {
    RSFPL_ATTR_ADEM_MEASUREMENT_TIME,
    "ADEM Measurement Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ADEM:MTIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    62.5E-6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_SAMPLE_RATE =
  {
    RSFPL_ATTR_ADEM_SAMPLE_RATE,
    "ADEM Sample Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ADEM:SRAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_RECORD_LENGTH =
  {
    RSFPL_ATTR_ADEM_RECORD_LENGTH,
    "ADEM Record Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "ADEM:RLEN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_UNIT_ANGLE =
  {
    RSFPL_ATTR_ADEM_UNIT_ANGLE,
    "ADEM Unit Angle",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngADEMUnitAngle, NULL, NULL,
    "UNIT:ANGL",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_UNIT_ANGLE_RAD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_UNIT_THD =
  {
    RSFPL_ATTR_ADEM_UNIT_THD,
    "ADEM Unit THD",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngADEMUnitTHD, NULL, NULL,
    "UNIT:THD",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_UNIT_THD_DB,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_SQUELCH_ENABLED =
  {
    RSFPL_ATTR_ADEM_SQUELCH_ENABLED,
    "ADEM Squelch Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADEM:SQU",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_SQUELCH_LEVEL =
  {
    RSFPL_ATTR_ADEM_SQUELCH_LEVEL,
    "ADEM Squelch Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngADEMSquelchLevel, NULL,
    "ADEM:SQU:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_ZERO_PHASE_REFERENCE_POSITION =
  {
    RSFPL_ATTR_ADEM_ZERO_PHASE_REFERENCE_POSITION,
    "ADEM Zero Phase Reference Position",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ADEM:PM:RPO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_ZERO_PHASE_REFERENCE_POSITION_MODE =
  {
    RSFPL_ATTR_ADEM_ZERO_PHASE_REFERENCE_POSITION_MODE,
    "ADEM Zero Phase Reference Position Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngADEMZeroPhaseReferencePositionMode, NULL, NULL,
    "ADEM:PM:RPO:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ADEM_ZERO_PHASE_REFERENCE_POSITION_MODE_MANUAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AF_COUPLING =
  {
    RSFPL_ATTR_ADEM_AF_COUPLING,
    "ADEM AF Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngADEMAFCoupling, NULL, NULL,
    "ADEM{Window}:AF:COUP",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_COUPLING_AC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_TIME_DOMAIN_ZOOM_ENABLED =
  {
    RSFPL_ATTR_ADEM_TIME_DOMAIN_ZOOM_ENABLED,
    "ADEM Time Domain Zoom Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADEM{Window}:ZOOM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_TIME_DOMAIN_ZOOM_START =
  {
    RSFPL_ATTR_ADEM_TIME_DOMAIN_ZOOM_START,
    "ADEM Time Domain Zoom Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ADEM{Window}:ZOOM:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_TIME_DOMAIN_ZOOM_LENGTH_MODE =
  {
    RSFPL_ATTR_ADEM_TIME_DOMAIN_ZOOM_LENGTH_MODE,
    "ADEM Time Domain Zoom Length Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngAutoMan, NULL, NULL,
    "ADEM{Window}:ZOOM:LENG:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_TIME_DOMAIN_ZOOM_LENGTH =
  {
    RSFPL_ATTR_ADEM_TIME_DOMAIN_ZOOM_LENGTH,
    "ADEM Time Domain Zoom Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ADEM{Window}:ZOOM:LENG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AF_CENTER =
  {
    RSFPL_ATTR_ADEM_AF_CENTER,
    "ADEM AF Center",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ADEM:AF:CENT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1250000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AF_SPAN =
  {
    RSFPL_ATTR_ADEM_AF_SPAN,
    "ADEM AF Span",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ADEM:AF:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    9000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AF_SPAN_FULL =
  {
    RSFPL_ATTR_ADEM_AF_SPAN_FULL,
    "ADEM AF Span Full",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "ADEM:AF:SPAN:FULL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AF_START =
  {
    RSFPL_ATTR_ADEM_AF_START,
    "ADEM AF Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ADEM:AF:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AF_STOP =
  {
    RSFPL_ATTR_ADEM_AF_STOP,
    "ADEM AF Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ADEM:AF:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    9000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AF_AUTO_SCALE_ENABLED =
  {
    RSFPL_ATTR_ADEM_AF_AUTO_SCALE_ENABLED,
    "ADEM AF Auto Scale Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ADJ:SCAL:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_RF_SPAN =
  {
    RSFPL_ATTR_ADEM_RF_SPAN,
    "ADEM RF Span",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ADEM:SPEC:SPAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_RF_SPAN_ZOOM =
  {
    RSFPL_ATTR_ADEM_RF_SPAN_ZOOM,
    "ADEM RF Span Zoom",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "ADEM:SPEC:SPAN:ZOOM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    5000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AF_FILTER_ALL_OFF =
  {
    RSFPL_ATTR_ADEM_AF_FILTER_ALL_OFF,
    "ADEM AF Filter All Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "FILT{Window}:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AF_HIGH_PASS_FILTER_ENABLED =
  {
    RSFPL_ATTR_ADEM_AF_HIGH_PASS_FILTER_ENABLED,
    "ADEM AF High Pass Filter Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FILT{Window}:HPAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AF_HIGH_PASS_FILTER_TYPE =
  {
    RSFPL_ATTR_ADEM_AF_HIGH_PASS_FILTER_TYPE,
    "ADEM AF High Pass Filter Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngADEMAFHighPassFilterType, NULL, NULL,
    "FILT{Window}:HPAS:FREQ",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ADEM_HP_300HZ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AF_HIGH_PASS_FILTER_CUTOFF_FREQUENCY =
  {
    RSFPL_ATTR_ADEM_AF_HIGH_PASS_FILTER_CUTOFF_FREQUENCY,
    "ADEM AF High Pass Filter Cutoff Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngADEMCutoffFrequency, NULL,
    "FILT{Window}:HPAS:FREQ:MAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    15000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AF_LOW_PASS_FILTER_ENABLED =
  {
    RSFPL_ATTR_ADEM_AF_LOW_PASS_FILTER_ENABLED,
    "ADEM AF Low Pass Filter Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FILT{Window}:LPAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AF_LOW_PASS_FILTER_CUTOFF_FREQUENCY =
  {
    RSFPL_ATTR_ADEM_AF_LOW_PASS_FILTER_CUTOFF_FREQUENCY,
    "ADEM AF Low Pass Filter Cutoff Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngADEMCutoffFrequency, NULL,
    "FILT{Window}:LPAS:FREQ:MAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    15,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AF_LOW_PASS_FILTER_TYPE_RELATIVE =
  {
    RSFPL_ATTR_ADEM_AF_LOW_PASS_FILTER_TYPE_RELATIVE,
    "ADEM AF Low Pass Filter Type Relative",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngADEMAFLowPassFilterTypeRelative, NULL, NULL,
    "FILT{Window}:LPAS:FREQ:REL",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ADEM_LP_RELATIVE_25PCT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AF_LOW_PASS_FILTER_TYPE_ABSOLUTE =
  {
    RSFPL_ATTR_ADEM_AF_LOW_PASS_FILTER_TYPE_ABSOLUTE,
    "ADEM AF Low Pass Filter Type Absolute",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngADEMAFLowPassFilterTypeAbsolute, NULL, NULL,
    "FILT{Window}:LPAS:FREQ",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ADEM_LP_ABSOLUTE_15KHZ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AF_WEIGHTED_FILTER_CCITT_ENABLED =
  {
    RSFPL_ATTR_ADEM_AF_WEIGHTED_FILTER_CCITT_ENABLED,
    "ADEM AF Weighted Filter CCITT Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FILT{Window}:CCIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AF_WEIGHTED_FILTER_UNWEIGHTED_CCIR_ENABLED =
  {
    RSFPL_ATTR_ADEM_AF_WEIGHTED_FILTER_UNWEIGHTED_CCIR_ENABLED,
    "ADEM AF Weighted Filter Unweighted CCIR Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FILT{Window}:CCIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AF_WEIGHTED_FILTER_WEIGHTED_CCIR_ENABLED =
  {
    RSFPL_ATTR_ADEM_AF_WEIGHTED_FILTER_WEIGHTED_CCIR_ENABLED,
    "ADEM AF Weighted Filter Weighted CCIR Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FILT{Window}:CCIR:WEIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AF_WEIGHTED_A_ENABLED =
  {
    RSFPL_ATTR_ADEM_AF_WEIGHTED_A_ENABLED,
    "ADEM AF Weighted A Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FILT{Window}:AWE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AF_DEEMPHASIS_FILTER_ENABLED =
  {
    RSFPL_ATTR_ADEM_AF_DEEMPHASIS_FILTER_ENABLED,
    "ADEM AF Deemphasis Filter Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FILT{Window}:DEMP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AF_DEEMPHASIS_FILTER_TYPE =
  {
    RSFPL_ATTR_ADEM_AF_DEEMPHASIS_FILTER_TYPE,
    "ADEM AF Deemphasis Filter Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngADEMAFDeemphasisFilterType, NULL, NULL,
    "FILT{Window}:DEMP:TCON",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ADEM_DEEMPHASIS_50US,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_RELATIVE_DEMODULATION_RESULTS_UNIT =
  {
    RSFPL_ATTR_ADEM_RELATIVE_DEMODULATION_RESULTS_UNIT,
    "ADEM Relative Demodulation Results Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngADEMRelativeDemodulationResultsUnit, NULL, NULL,
    "CONF:ADEM:RES:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ADEM_UNIT_PCT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AM_DEMODULATION_SET_REFERENCE =
  {
    RSFPL_ATTR_ADEM_AM_DEMODULATION_SET_REFERENCE,
    "ADEM AM Demodulation Set Reference",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CONF:ADEM:RES:AM:DET:REF:MEAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AM_RELATIVE_DEMODULATION_ENABLED =
  {
    RSFPL_ATTR_ADEM_AM_RELATIVE_DEMODULATION_ENABLED,
    "ADEM AM Relative Demodulation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:ADEM:RES:AM:DET{ADEMDetector}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AM_RELATIVE_DEMODULATION_RESULT_MODE =
  {
    RSFPL_ATTR_ADEM_AM_RELATIVE_DEMODULATION_RESULT_MODE,
    "ADEM AM Relative Demodulation Result Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngADEMMode, NULL, NULL,
    "CONF:ADEM:RES:AM:DET{ADEMDetector}:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ADEM_DEMOD_RESULT_MODE_WRITE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_AM_RELATIVE_DEMODULATION_REFERENCE_VALUE =
  {
    RSFPL_ATTR_ADEM_AM_RELATIVE_DEMODULATION_REFERENCE_VALUE,
    "ADEM AM Relative Demodulation Reference Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:ADEM:RES:AM:DET{ADEMDetector}:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_FM_DEMODULATION_SET_REFERENCE =
  {
    RSFPL_ATTR_ADEM_FM_DEMODULATION_SET_REFERENCE,
    "ADEM FM Demodulation Set Reference",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CONF:ADEM:RES:FM:DET:REF:MEAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_FM_RELATIVE_DEMODULATION_ENABLED =
  {
    RSFPL_ATTR_ADEM_FM_RELATIVE_DEMODULATION_ENABLED,
    "ADEM FM Relative Demodulation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:ADEM:RES:FM:DET{ADEMDetector}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_FM_RELATIVE_DEMODULATION_RESULT_MODE =
  {
    RSFPL_ATTR_ADEM_FM_RELATIVE_DEMODULATION_RESULT_MODE,
    "ADEM FM Relative Demodulation Result Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngADEMMode, NULL, NULL,
    "CONF:ADEM:RES:FM:DET{ADEMDetector}:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ADEM_DEMOD_RESULT_MODE_WRITE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_FM_RELATIVE_DEMODULATION_REFERENCE_VALUE =
  {
    RSFPL_ATTR_ADEM_FM_RELATIVE_DEMODULATION_REFERENCE_VALUE,
    "ADEM FM Relative Demodulation Reference Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:ADEM:RES:FM:DET{ADEMDetector}:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_PM_DEMODULATION_SET_REFERENCE =
  {
    RSFPL_ATTR_ADEM_PM_DEMODULATION_SET_REFERENCE,
    "ADEM PM Demodulation Set Reference",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CONF:ADEM:RES:PM:DET:REF:MEAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_PM_RELATIVE_DEMODULATION_ENABLED =
  {
    RSFPL_ATTR_ADEM_PM_RELATIVE_DEMODULATION_ENABLED,
    "ADEM PM Relative Demodulation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CONF:ADEM:RES:PM:DET{ADEMDetector}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_PM_RELATIVE_DEMODULATION_RESULT_MODE =
  {
    RSFPL_ATTR_ADEM_PM_RELATIVE_DEMODULATION_RESULT_MODE,
    "ADEM PM Relative Demodulation Result Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngADEMMode, NULL, NULL,
    "CONF:ADEM:RES:PM:DET{ADEMDetector}:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ADEM_DEMOD_RESULT_MODE_WRITE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_PM_RELATIVE_DEMODULATION_REFERENCE_VALUE =
  {
    RSFPL_ATTR_ADEM_PM_RELATIVE_DEMODULATION_REFERENCE_VALUE,
    "ADEM PM Relative Demodulation Reference Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CONF:ADEM:RES:PM:DET{ADEMDetector}:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_LAYOUT_REPLACE_WINDOW =
  {
    RSFPL_ATTR_ADEM_LAYOUT_REPLACE_WINDOW,
    "ADEM Layout Replace Window",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngADEMLayoutWindowType, NULL, NULL,
    "LAY:WIND{Window}:REPL",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ADEM_LAYOUT_TYPE_RSUM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_RESULT_MODULATION_FREQUENCY =
  {
    RSFPL_ATTR_ADEM_RESULT_MODULATION_FREQUENCY,
    "ADEM Result Modulation Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:MARK:FUNC:ADEM:AFR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_RESULT_CARRIER_POWER =
  {
    RSFPL_ATTR_ADEM_RESULT_CARRIER_POWER,
    "ADEM Result Carrier Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:MARK:FUNC:ADEM:CARR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_SELECT_TRACE_FOR_RESULT_SUMMARY =
  {
    RSFPL_ATTR_ADEM_SELECT_TRACE_FOR_RESULT_SUMMARY,
    "ADEM Select Trace For Result Summary",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:TRAC{Trace}:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_RESULT_THD =
  {
    RSFPL_ATTR_ADEM_RESULT_THD,
    "ADEM Result THD",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:MARK:FUNC:ADEM:THD:RES{Trace}?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_RESULT_SINAD =
  {
    RSFPL_ATTR_ADEM_RESULT_SINAD,
    "ADEM Result SINAD",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:MARK:FUNC:ADEM:SIN:RES{Trace}?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_RESULT_CARRIER_OFFSET =
  {
    RSFPL_ATTR_ADEM_RESULT_CARRIER_OFFSET,
    "ADEM Result Carrier Offset",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:MARK:FUNC:ADEM:FERRor:RES{Trace}?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_TRACE_RESULT_MODULATION_FREQUENCY =
  {
    RSFPL_ATTR_ADEM_TRACE_RESULT_MODULATION_FREQUENCY,
    "ADEM Trace Result Modulation Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:MARK:FUNC:ADEM:AFR:RES{Trace}?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_TRACE_RESULT_CARRIER_POWER =
  {
    RSFPL_ATTR_ADEM_TRACE_RESULT_CARRIER_POWER,
    "ADEM Trace Result Carrier Power",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:MARK:FUNC:ADEM:CARR:RES{Trace}?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ADEM_TRACE_RESULT_DISTORTION =
  {
    RSFPL_ATTR_ADEM_TRACE_RESULT_DISTORTION,
    "ADEM Trace Result Distortion",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:MARK:FUNC:ADEM:DIST:RES{Trace}?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ANALOG_DEMODULATION_RESULT_RANGE_RESULT_TYPE =
  {
    RSFPL_ATTR_ANALOG_DEMODULATION_RESULT_RANGE_RESULT_TYPE,
    "Analog Demodulation Result Range Result Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngAnalogDemodulationResultRangeResultType, NULL, NULL,
    "CALC{Window}:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ANALOG_DEMODULATION_RESULT_RANGE_RESULT_TYPE_UPH,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K7",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_EMI_MEASUREMENT_ENABLED =
  {
    RSFPL_ATTR_EMI_MEASUREMENT_ENABLED,
    "EMI Measurement Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:MARK:FUNC:FME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K54",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_EMI_MEASUREMENT_DWELL_TIME =
  {
    RSFPL_ATTR_EMI_MEASUREMENT_DWELL_TIME,
    "EMI Measurement Dwell Time",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngEMIDwellTime, NULL,
    "CALC:MARK:FUNC:FME:DWEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K54",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_EMI_MEASUREMENT_MARKER_PEAK_SEARCH =
  {
    RSFPL_ATTR_EMI_MEASUREMENT_MARKER_PEAK_SEARCH,
    "EMI Measurement Marker Peak Search",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:FME:PSE:AUTO ON",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K54",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_EMI_MEASUREMENT_MARKER_DETECTOR =
  {
    RSFPL_ATTR_EMI_MEASUREMENT_MARKER_DETECTOR,
    "EMI Measurement Marker Detector",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngEMIMeasurementDetector, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:FME:DET",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_EMI_DETECTOR_TYPE_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K54",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_EMI_MEASUREMENT_MARKER_RESULT =
  {
    RSFPL_ATTR_EMI_MEASUREMENT_MARKER_RESULT,
    "EMI Measurement Marker Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:FME:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K54",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_EMI_MEASUREMENT_MARKER_LIMIT_CONDITION =
  {
    RSFPL_ATTR_EMI_MEASUREMENT_MARKER_LIMIT_CONDITION,
    "EMI Measurement Marker Limit Condition",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:FME:LIM{LimitLine}:LCON?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K54",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_EMI_MEASUREMENT_MARKER_LIMIT_VERTICAL_DISTANCE =
  {
    RSFPL_ATTR_EMI_MEASUREMENT_MARKER_LIMIT_VERTICAL_DISTANCE,
    "EMI Measurement Marker Limit Vertical Distance",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:FUNC:FME:LIM{LimitLine}:LDEL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K54",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_EMI_MEASUREMENT_DELTA_MARKER_PEAK_SEARCH =
  {
    RSFPL_ATTR_EMI_MEASUREMENT_DELTA_MARKER_PEAK_SEARCH,
    "EMI Measurement Delta Marker Peak Search",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:FUNC:FME:PSE:AUTO ON",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K54",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_EMI_MEASUREMENT_DELTA_MARKER_DETECTOR =
  {
    RSFPL_ATTR_EMI_MEASUREMENT_DELTA_MARKER_DETECTOR,
    "EMI Measurement Delta Marker Detector",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngEMIMeasurementDetector, NULL, NULL,
    "CALC{Window}:DELT{Marker}:FUNC:FME:DET",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_EMI_DETECTOR_TYPE_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K54",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_EMI_MEASUREMENT_DELTA_MARKER_RESULT =
  {
    RSFPL_ATTR_EMI_MEASUREMENT_DELTA_MARKER_RESULT,
    "EMI Measurement Delta Marker Result",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:FUNC:FME:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K54",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_EMI_MEASUREMENT_DELTA_MARKER_LIMIT_CONDITION =
  {
    RSFPL_ATTR_EMI_MEASUREMENT_DELTA_MARKER_LIMIT_CONDITION,
    "EMI Measurement Delta Marker Limit Condition",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:FUNC:FME:LIM{LimitLine}:LCON?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K54",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_EMI_MEASUREMENT_DELTA_MARKER_LIMIT_VERTICAL_DISTANCE =
  {
    RSFPL_ATTR_EMI_MEASUREMENT_DELTA_MARKER_LIMIT_VERTICAL_DISTANCE,
    "EMI Measurement Delta Marker Limit Vertical Distance",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:FUNC:FME:LIM{LimitLine}:LDEL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K54",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_EMI_LISN_V_NETWORK_TYPE =
  {
    RSFPL_ATTR_EMI_LISN_V_NETWORK_TYPE,
    "EMI LISN V-Network Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngEMILISNVNetworkType, NULL, NULL,
    "INP:LISN",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_EMI_VNET_TYPE_OFF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K54",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_EMI_LISN_V_NETWORK_HIGH_PASS_FILTER =
  {
    RSFPL_ATTR_EMI_LISN_V_NETWORK_HIGH_PASS_FILTER,
    "EMI LISN V-Network High Pass Filter",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:LISN:FILT:HPAS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K54",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_EMI_LISN_V_NETWORK_PHASE =
  {
    RSFPL_ATTR_EMI_LISN_V_NETWORK_PHASE,
    "EMI LISN V-Network Phase",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngEMILISNVNetworkPhase, NULL, NULL,
    "INP:LISN:PHAS",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_EMI_VNET_PHAS_L1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K54",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODE =
  {
    RSFPL_ATTR_VSA_MODE,
    "VSA Mode",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INST DDEM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_SELECT_RESULT_RANGE =
  {
    RSFPL_ATTR_VSA_SELECT_RESULT_RANGE,
    "VSA Select Result Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngVSASelectResultRange, NULL,
    "DDEM:SEAR:MBUR:CALC",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_RF_INPUT_COUPLING =
  {
    RSFPL_ATTR_VSA_RF_INPUT_COUPLING,
    "VSA RF Input Coupling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngADEMAFCoupling, NULL, NULL,
    "INP:COUP",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_COUPLING_AC,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_RF_INPUT_YIG_FILTER =
  {
    RSFPL_ATTR_VSA_RF_INPUT_YIG_FILTER,
    "VSA RF Input YIG Filter",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:FILT:YIG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_RF_INPUT_PAD_TYPE =
  {
    RSFPL_ATTR_VSA_RF_INPUT_PAD_TYPE,
    "VSA RF Input Pad Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAPadType, NULL, NULL,
    "INP:IMP:PTYP",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_PAD_TYPE_SRESISTOR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_OUTPUT_PRESET_REFERENCE_LEVEL =
  {
    RSFPL_ATTR_VSA_OUTPUT_PRESET_REFERENCE_LEVEL,
    "VSA Output Preset Reference Level",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DDEM:PRES:RLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_OUTPUT_OPIMIZATION_MODE =
  {
    RSFPL_ATTR_VSA_OUTPUT_OPIMIZATION_MODE,
    "VSA Output Opimization Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAOptimizationMode, NULL, NULL,
    "INP:ATT:AUTO:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_OPTIMIZATION_MODE_LNOISE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_PREAMPLIFIER_COMPENSATION_ENABLED =
  {
    RSFPL_ATTR_VSA_PREAMPLIFIER_COMPENSATION_ENABLED,
    "VSA Preamplifier Compensation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:EGA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_ATTENUATION_ELECTRONIC_ENABLED =
  {
    RSFPL_ATTR_VSA_ATTENUATION_ELECTRONIC_ENABLED,
    "VSA Attenuation Electronic Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "INP:EATT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_ATTENUATION_ELECTRONIC =
  {
    RSFPL_ATTR_VSA_ATTENUATION_ELECTRONIC,
    "VSA Attenuation Electronic",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "INP:EATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_SCALLING_QUANTIZE =
  {
    RSFPL_ATTR_VSA_SCALLING_QUANTIZE,
    "VSA Scalling Quantize",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngVSAQuantize, NULL,
    "CALC{Window}:STAT:SCAL:X:BCO",
    // Defaults I32, I64, Float, Bool, String
    101,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_SCALLING_ANGLE_UNIT =
  {
    RSFPL_ATTR_VSA_SCALLING_ANGLE_UNIT,
    "VSA Scalling Angle Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngADEMUnitAngle, NULL, NULL,
    "CALC{Window}:UNIT:ANGL",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_UNIT_ANGLE_RAD,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_SCALLING_TIME_UNIT_X =
  {
    RSFPL_ATTR_VSA_SCALLING_TIME_UNIT_X,
    "VSA Scalling Time Unit X",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAScallingTimeUnit, NULL, NULL,
    "CALC{Window}:X:UNIT:TIME",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_TIME_UNIT_SYM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_SCALLING_TIME_UNIT_Y =
  {
    RSFPL_ATTR_VSA_SCALLING_TIME_UNIT_Y,
    "VSA Scalling Time Unit Y",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAScallingTimeUnit, NULL, NULL,
    "CALC{Window}:Y:UNIT:TIME",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_TIME_UNIT_SYM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_SCALLING_RANGE_PER_DIVISION =
  {
    RSFPL_ATTR_VSA_SCALLING_RANGE_PER_DIVISION,
    "VSA Scalling Range Per Division",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:TRAC{Trace}:X:PDIV",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_SCALLING_X_AXIS_REFERENCE_VALUE =
  {
    RSFPL_ATTR_VSA_SCALLING_X_AXIS_REFERENCE_VALUE,
    "VSA Scalling X Axis Reference Value",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:TRAC{Trace}:X:RVAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_RESTORES_FACTORY_SETTINGS =
  {
    RSFPL_ATTR_VSA_RESTORES_FACTORY_SETTINGS,
    "VSA Restores Factory Settings",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSARestoresFactory, NULL, NULL,
    "DDEM:FACT",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_RESTORES_FACTORY_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_LOAD_STANDARD =
  {
    RSFPL_ATTR_VSA_LOAD_STANDARD,
    "VSA Load Standard",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "standard",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_SAVE_STANDARD =
  {
    RSFPL_ATTR_VSA_SAVE_STANDARD,
    "VSA Save Standard",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:STAN:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "standard",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DELETE_STANDARD =
  {
    RSFPL_ATTR_VSA_DELETE_STANDARD,
    "VSA Delete Standard",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:STAN:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "standard",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_CONFIGURATION_COMMENT =
  {
    RSFPL_ATTR_VSA_CONFIGURATION_COMMENT,
    "VSA Configuration Comment",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:STAN:COMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "comment",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_STANDARD_PRESET =
  {
    RSFPL_ATTR_VSA_STANDARD_PRESET,
    "VSA Standard Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DDEM:STAN:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_TYPE =
  {
    RSFPL_ATTR_VSA_MODULATION_TYPE,
    "VSA Modulation Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAModulationType, NULL, NULL,
    "DDEM:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MODULATION_TYPE_PSK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_FSK_DEVIATION =
  {
    RSFPL_ATTR_VSA_MODULATION_FSK_DEVIATION,
    "VSA Modulation FSK Deviation",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAFSKDeviation, NULL,
    "CALC:FSK:DEV:REF:REL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_FSK_DEVIATION_ABSOLUTE =
  {
    RSFPL_ATTR_VSA_MODULATION_FSK_DEVIATION_ABSOLUTE,
    "VSA Modulation FSK Deviation Absolute",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAModulationFSKDevAbs, NULL,
    "CALC:FSK:DEV:REF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    100e+3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_FSK_N_STATE =
  {
    RSFPL_ATTR_VSA_MODULATION_FSK_N_STATE,
    "VSA Modulation FSK N State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &RsFpl_rngVSAModulationFSKNstate,
    "DDEM:FSK:NST",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_APSK_N_STATE =
  {
    RSFPL_ATTR_VSA_MODULATION_APSK_N_STATE,
    "VSA Modulation APSK N State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAModulationAPSKNState, NULL, NULL,
    "DDEM:APSK:NST",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MODULATION_APSKN16,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_ASK_N_STATE =
  {
    RSFPL_ATTR_VSA_MODULATION_ASK_N_STATE,
    "VSA Modulation ASK N State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAModulationASKNState, NULL, NULL,
    "DDEM:ASK:NST",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MODULATION_ASKN2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_MSK_FORMAT =
  {
    RSFPL_ATTR_VSA_MODULATION_MSK_FORMAT,
    "VSA Modulation MSK Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAModulationMSKFormat, NULL, NULL,
    "DDEM:MSK:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MODULATION_MSK_FORMAT_TYPE1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_PSK_FORMAT =
  {
    RSFPL_ATTR_VSA_MODULATION_PSK_FORMAT,
    "VSA Modulation PSK Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAModulationPSKFormat, NULL, NULL,
    "DDEM:PSK:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MODULATION_PSK_FORMAT_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_PSK_N_STATE =
  {
    RSFPL_ATTR_VSA_MODULATION_PSK_N_STATE,
    "VSA Modulation PSK N State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &RsFpl_rngVSAModulationPSKNState,
    "DDEM:PSK:NST",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_QAM_FORMAT =
  {
    RSFPL_ATTR_VSA_MODULATION_QAM_FORMAT,
    "VSA Modulation QAM Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAModulationQAMFormat, NULL, NULL,
    "DDEM:QAM:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MODULATION_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_QAM_N_STATE =
  {
    RSFPL_ATTR_VSA_MODULATION_QAM_N_STATE,
    "VSA Modulation QAM N State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &RsFpl_rngVSAModulationQAMNState,
    "DDEM:QAM:NST",
    // Defaults I32, I64, Float, Bool, String
    16,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_QPSK_FORMAT =
  {
    RSFPL_ATTR_VSA_MODULATION_QPSK_FORMAT,
    "VSA Modulation QPSK Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAModulationQPSKFormat, NULL, NULL,
    "DDEM:QPSK:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MODULATION_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_LOAD_USER_DEFINED =
  {
    RSFPL_ATTR_VSA_MODULATION_LOAD_USER_DEFINED,
    "VSA Modulation Load User Defined",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:USER:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "fileName",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_FILTER_ENABLED =
  {
    RSFPL_ATTR_VSA_MODULATION_FILTER_ENABLED,
    "VSA Modulation Filter Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:FILT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_FILTER_ALPHA_BT =
  {
    RSFPL_ATTR_VSA_MODULATION_FILTER_ALPHA_BT,
    "VSA Modulation Filter Alpha BT",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAFilterAlphaBT, NULL,
    "DDEM:FILT:ALPH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.22,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_TRANSMIT_FILTER_SELECT =
  {
    RSFPL_ATTR_VSA_MODULATION_TRANSMIT_FILTER_SELECT,
    "VSA Modulation Transmit Filter Select",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:TFIL:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filter",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_TRANSMIT_FILTER_SELECT_USER_DEFINED =
  {
    RSFPL_ATTR_VSA_MODULATION_TRANSMIT_FILTER_SELECT_USER_DEFINED,
    "VSA Modulation Transmit Filter Select User Defined",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:TFIL:USER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filter",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_TRANSMIT_FILTER_OFF =
  {
    RSFPL_ATTR_VSA_MODULATION_TRANSMIT_FILTER_OFF,
    "VSA Modulation Transmit Filter Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DDEM:TFIL OFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_TRANSMIT_FILTER_ALPHA_BT =
  {
    RSFPL_ATTR_VSA_MODULATION_TRANSMIT_FILTER_ALPHA_BT,
    "VSA Modulation Transmit Filter Alpha BT",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAFilterAlphaBT, NULL,
    "DDEM:TFIL:ALPH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.22,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_MAPPING_CATALOG =
  {
    RSFPL_ATTR_VSA_MODULATION_MAPPING_CATALOG,
    "VSA Modulation Mapping Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:MAPP:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "CDMA2K_FWD\',\'DVB_S2\',\'GRAY\',\'NATURAL\',\'WCDMA",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_MAPPING =
  {
    RSFPL_ATTR_VSA_MODULATION_MAPPING,
    "VSA Modulation Mapping",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:MAPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "GSM",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MODULATION_SYMBOL_RATE =
  {
    RSFPL_ATTR_VSA_MODULATION_SYMBOL_RATE,
    "VSA Modulation Symbol Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAModulationSymbolRate, NULL,
    "DDEM:SRAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3.84e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_BURST_MAX_LENGTH =
  {
    RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_BURST_MAX_LENGTH,
    "VSA Signal Structure Burst Max Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngVSAStructureMaxLength, NULL,
    "DDEM:SEAR:BURS:LENG:MAX",
    // Defaults I32, I64, Float, Bool, String
    128000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_BURST_MIN_LENGTH =
  {
    RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_BURST_MIN_LENGTH,
    "VSA Signal Structure Burst Min Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngVSAStructureMinLength, NULL,
    "DDEM:SEAR:BURS:LENG",
    // Defaults I32, I64, Float, Bool, String
    100,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_RUN_OUT =
  {
    RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_RUN_OUT,
    "VSA Signal Structure Run Out",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngVSAStructureRunOut, NULL,
    "DDEM:SEAR:BURS:SKIP:FALL",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_RUN_IN =
  {
    RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_RUN_IN,
    "VSA Signal Structure Run In",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngVSASignalStructureRunIn, NULL,
    "DDEM:SEAR:BURS:SKIP:RIS",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_PATTERN_ENABLED =
  {
    RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_PATTERN_ENABLED,
    "VSA Signal Structure Pattern Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:SIGN:PATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_PATTERN_OFFSET_ENABLED =
  {
    RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_PATTERN_OFFSET_ENABLED,
    "VSA Signal Structure Pattern Offset Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:STAN:SYNC:OFFS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_PATTERN_OFFSET =
  {
    RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_PATTERN_OFFSET,
    "VSA Signal Structure Pattern Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngVSAStructurePatternOffset, NULL,
    "DDEM:STAN:SYNC:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_TYPE =
  {
    RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_TYPE,
    "VSA Signal Structure Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSASignalStructureType, NULL, NULL,
    "DDEM:SIGN",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_STRUCTURE_TYPE_CONTINUOUS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_FRAME_FORMAT =
  {
    RSFPL_ATTR_VSA_FRAME_FORMAT,
    "VSA Frame Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAModulationType, NULL, NULL,
    "DDEM:PATT:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MODULATION_TYPE_PSK,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_FRAME_EDIT =
  {
    RSFPL_ATTR_VSA_FRAME_EDIT,
    "VSA Frame Edit",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:PATT:FRAM:EDIT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C:\\Users\\Public\\Documents\\Rohde-Schwarz\\Analyzer\\user\\vsa\\FrameRangeStructure",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_FRAME_SAVE =
  {
    RSFPL_ATTR_VSA_FRAME_SAVE,
    "VSA Frame Save",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:PATT:FRAM:EDIT:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C:\\Users\\Public\\Documents\\Rohde-Schwarz\\Analyzer\\user\\predefined\\AdemodPredefined\\none",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_FRAME_LOAD =
  {
    RSFPL_ATTR_VSA_FRAME_LOAD,
    "VSA Frame Load",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:PATT:FRAM:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C:\\Users\\Public\\Documents\\Rohde-Schwarz\\Analyzer\\user\\vsa\\FrameRangeStructure\\fileName",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_FRAME_NEXT_BOOSTING =
  {
    RSFPL_ATTR_VSA_FRAME_NEXT_BOOSTING,
    "VSA Frame Next Boosting",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAFrameBoosting, NULL,
    "DDEM:PATT:FRAM:EDIT:NEXT:BOOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_FRAME_NEXT_MODULATION =
  {
    RSFPL_ATTR_VSA_FRAME_NEXT_MODULATION,
    "VSA Frame Next Modulation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAFrameModulation, NULL, NULL,
    "DDEM:PATT:FRAM:EDIT:NEXT:MOD",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_FRAME_MODULATION_PATTERN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_FRAME_PREVIOUS_BOOSTING =
  {
    RSFPL_ATTR_VSA_FRAME_PREVIOUS_BOOSTING,
    "VSA Frame Previous Boosting",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAFrameBoosting, NULL,
    "DDEM:PATT:FRAM:EDIT:PREV:BOOS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_FRAME_PREVIOUS_MODULATION =
  {
    RSFPL_ATTR_VSA_FRAME_PREVIOUS_MODULATION,
    "VSA Frame Previous Modulation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAFrameModulation, NULL, NULL,
    "DDEM:PATT:FRAM:EDIT:PREV:MOD",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_FRAME_MODULATION_DATA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_FRAME_DESCRIPTION =
  {
    RSFPL_ATTR_VSA_FRAME_DESCRIPTION,
    "VSA Frame Description",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:PATT:FRAM:EDIT:TEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "description",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_FRAME_MODE =
  {
    RSFPL_ATTR_VSA_FRAME_MODE,
    "VSA Frame Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAFrameMode, NULL, NULL,
    "DDEM:PATT:FRAM:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_FRAME_MODE_DEFAULT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_FRAME_MAPPING_CATALOG =
  {
    RSFPL_ATTR_VSA_FRAME_MAPPING_CATALOG,
    "VSA Frame Mapping Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:PATT:MAPP:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_FRAME_MAPPING =
  {
    RSFPL_ATTR_VSA_FRAME_MAPPING,
    "VSA Frame Mapping",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:PATT:MAPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "GSM",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_FRAME_APSK_N_STATE =
  {
    RSFPL_ATTR_VSA_FRAME_APSK_N_STATE,
    "VSA Frame APSK N State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAModulationAPSKNState, NULL, NULL,
    "DDEM:PATT:APSK:NST",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MODULATION_APSKN16,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_FRAME_ASK_N_STATE =
  {
    RSFPL_ATTR_VSA_FRAME_ASK_N_STATE,
    "VSA Frame ASK N State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAModulationASKNState, NULL, NULL,
    "DDEM:PATT:ASK:NST",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MODULATION_ASKN2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_FRAME_PSK_FORMAT =
  {
    RSFPL_ATTR_VSA_FRAME_PSK_FORMAT,
    "VSA Frame PSK Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAPSKFormat, NULL, NULL,
    "DDEM:PATT:PSK:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_PSK_FORMAT_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_FRAME_PSK_N_STATE =
  {
    RSFPL_ATTR_VSA_FRAME_PSK_N_STATE,
    "VSA Frame PSK N State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &RsFpl_rngVSAModulationPSKNState,
    "DDEM:PATT:PSK:NST",
    // Defaults I32, I64, Float, Bool, String
    2,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_FRAME_QAM_FORMAT =
  {
    RSFPL_ATTR_VSA_FRAME_QAM_FORMAT,
    "VSA Frame QAM Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAPSKFormat, NULL, NULL,
    "DDEM:PATT:QAM:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_PSK_FORMAT_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_FRAME_QAM_N_STATE =
  {
    RSFPL_ATTR_VSA_FRAME_QAM_N_STATE,
    "VSA Frame QAM N State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &RsFpl_rngVSAModulationQAMNState,
    "DDEM:PATT:QAM:NST",
    // Defaults I32, I64, Float, Bool, String
    16,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_FRAME_QPSK_FORMAT =
  {
    RSFPL_ATTR_VSA_FRAME_QPSK_FORMAT,
    "VSA Frame QPSK Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAPSKFormat, NULL, NULL,
    "DDEM:PATT:QPSK:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_PSK_FORMAT_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_FRAME_USER_DEFINED_MODULATION =
  {
    RSFPL_ATTR_VSA_FRAME_USER_DEFINED_MODULATION,
    "VSA Frame User Defined Modulation",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:PATT:USER:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C:\\Users\\Public\\Documents\\Rohde-Schwarz\\Analyzer\\user\\vsa\\Constellation",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_FRAME_PATTERN_ENABLED =
  {
    RSFPL_ATTR_VSA_FRAME_PATTERN_ENABLED,
    "VSA Frame Pattern Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:PATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_KNOWN_DATA_ENABLED =
  {
    RSFPL_ATTR_VSA_KNOWN_DATA_ENABLED,
    "VSA Known Data Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:KDAT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_KNOWN_DATA_SOURCE =
  {
    RSFPL_ATTR_VSA_KNOWN_DATA_SOURCE,
    "VSA Known Data Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAKDataSource, NULL, NULL,
    "DDEM:KDAT:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_KDATA_SOURCE_FILE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_KNOWN_DATA_LOAD_DATA_FILE =
  {
    RSFPL_ATTR_VSA_KNOWN_DATA_LOAD_DATA_FILE,
    "VSA Known Data Load Data File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:KDAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C:\\TEMP\\KNOWNDATA",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_KNOWN_DATA_FEEDBACK_AUTO =
  {
    RSFPL_ATTR_VSA_KNOWN_DATA_FEEDBACK_AUTO,
    "VSA Known Data Feedback Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:KDAT:PRBS:FEED:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_KNOWN_DATA_FEEDBACK_PRBS =
  {
    RSFPL_ATTR_VSA_KNOWN_DATA_FEEDBACK_PRBS,
    "VSA Known Data Feedback PRBS",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:KDAT:PRBS:FEED",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_KNOWN_DATA_PRBS_PATTERN_ENABLED =
  {
    RSFPL_ATTR_VSA_KNOWN_DATA_PRBS_PATTERN_ENABLED,
    "VSA Known Data PRBS Pattern Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:KDAT:PRBS:PATT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_KNOWN_DATA_PRBS_PATTERN_AUTO =
  {
    RSFPL_ATTR_VSA_KNOWN_DATA_PRBS_PATTERN_AUTO,
    "VSA Known Data PRBS Pattern Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:KDAT:PRBS:PATT:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_KNOWN_DATA_PRBS_POLYNOMIAL_AUTO =
  {
    RSFPL_ATTR_VSA_KNOWN_DATA_PRBS_POLYNOMIAL_AUTO,
    "VSA Known Data PRBS Polynomial Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:KDAT:PRBS:POLY:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_KNOWN_DATA_PRBS_POLYNOMIAL_ORDER =
  {
    RSFPL_ATTR_VSA_KNOWN_DATA_PRBS_POLYNOMIAL_ORDER,
    "VSA Known Data PRBS Polynomial Order",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:KDAT:PRBS:POLY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "9;4;0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_KNOWN_DATA_PRBS_TYPE =
  {
    RSFPL_ATTR_VSA_KNOWN_DATA_PRBS_TYPE,
    "VSA Known Data PRBS Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &RsFpl_rngVSAKDataPRBSType,
    "DDEM:KDAT:PRBS",
    // Defaults I32, I64, Float, Bool, String
    9,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_SIGNAL_CAPTURE_SAMPLE_RATE =
  {
    RSFPL_ATTR_VSA_SIGNAL_CAPTURE_SAMPLE_RATE,
    "VSA Signal Capture Sample Rate",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &RsFpl_rngVSASignalCaptureSampleRate,
    "DDEM:PRAT",
    // Defaults I32, I64, Float, Bool, String
    4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_SIGNAL_CAPTURE_RECORD_LENGTH_AUTO =
  {
    RSFPL_ATTR_VSA_SIGNAL_CAPTURE_RECORD_LENGTH_AUTO,
    "VSA Signal Capture Record Length Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:RLEN:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_SIGNAL_CAPTURE_RECORD_LENGTH =
  {
    RSFPL_ATTR_VSA_SIGNAL_CAPTURE_RECORD_LENGTH,
    "VSA Signal Capture Record Length",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DDEM:RLEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_SIGNAL_CAPTURE_RECORD_LENGTH_SYMBOLS =
  {
    RSFPL_ATTR_VSA_SIGNAL_CAPTURE_RECORD_LENGTH_SYMBOLS,
    "VSA Signal Capture Record Length Symbols",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DDEM:RLEN:SYMB",
    // Defaults I32, I64, Float, Bool, String
    1000,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_QUERY_SIGNAL_CAPTURE_IQ_BANDWIDTH =
  {
    RSFPL_ATTR_QUERY_SIGNAL_CAPTURE_IQ_BANDWIDTH,
    "Query Signal Capture IQ Bandwidth",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "TRAC{Window}:IQ:BWID?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_NORMALIZE_EVM_TO =
  {
    RSFPL_ATTR_VSA_DEMODULATION_NORMALIZE_EVM_TO,
    "VSA Demodulation Normalize EVM To",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSANormalizeEvm, NULL, NULL,
    "DDEM:ECAL",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_NORMALIZE_EVM_SIGNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_OFFSET_EVM_ENABLED =
  {
    RSFPL_ATTR_VSA_DEMODULATION_OFFSET_EVM_ENABLED,
    "VSA Demodulation Offset EVM Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:ECAL:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_ESTIMATION_POINTS_ENABLED =
  {
    RSFPL_ATTR_VSA_DEMODULATION_ESTIMATION_POINTS_ENABLED,
    "VSA Demodulation Estimation Points Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:EPR:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_ESTIMATION_POINTS =
  {
    RSFPL_ATTR_VSA_DEMODULATION_ESTIMATION_POINTS,
    "VSA Demodulation Estimation Points",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &RsFpl_rngVSAEstOverSmplg,
    "DDEM:EPR",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_ENABLED =
  {
    RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_ENABLED,
    "VSA Demodulation Equalizer Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:EQU",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_FILTER_LENGTH =
  {
    RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_FILTER_LENGTH,
    "VSA Demodulation Equalizer Filter Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngVSAEQFilterLength, NULL,
    "DDEM:EQU:LENG",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_MODE =
  {
    RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_MODE,
    "VSA Demodulation Equalizer Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSADemodulationEQMode, NULL, NULL,
    "DDEM:EQU:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_DEMODULATION_EQ_MODE_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_FILE_FORMAT =
  {
    RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_FILE_FORMAT,
    "VSA Demodulation Equalizer File Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAEqFileFormat, NULL, NULL,
    "DDEM:EQU:FILE:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_EQ_FILE_FORMAT_VAE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_LOAD =
  {
    RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_LOAD,
    "VSA Demodulation Equalizer Load",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:EQU:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "D:\\MyEqualizer",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_SAVE =
  {
    RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_SAVE,
    "VSA Demodulation Equalizer Save",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:EQU:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "D:\\MyEqualizer",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_RESET =
  {
    RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_RESET,
    "VSA Demodulation Equalizer Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DDEM:EQU:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_FINE_SYNC_MODE =
  {
    RSFPL_ATTR_VSA_DEMODULATION_FINE_SYNC_MODE,
    "VSA Demodulation Fine Sync Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAFineSyncMode, NULL, NULL,
    "DDEM:FSYN",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_FINE_SYNC_KDATA,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_FINE_SYNC_AUTO =
  {
    RSFPL_ATTR_VSA_DEMODULATION_FINE_SYNC_AUTO,
    "VSA Demodulation Fine Sync Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:FSYN:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_FINE_SYNC_SER_LEVEL =
  {
    RSFPL_ATTR_VSA_DEMODULATION_FINE_SYNC_SER_LEVEL,
    "VSA Demodulation Fine Sync SER Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPct, NULL,
    "DDEM:FSYN:LEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_FINE_SYNC_RESULT =
  {
    RSFPL_ATTR_VSA_DEMODULATION_FINE_SYNC_RESULT,
    "VSA Demodulation Fine Sync Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DDEM:FSYN:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_AMPLITUDE_DROOP_ENABLED =
  {
    RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_AMPLITUDE_DROOP_ENABLED,
    "VSA Demodulation Compensate Amplitude Droop Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:NORM:ADR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_FSK =
  {
    RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_FSK,
    "VSA Demodulation Compensate FSK",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:NORM:CFDR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_TRANSMIT_CHANNEL =
  {
    RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_TRANSMIT_CHANNEL,
    "VSA Demodulation Compensate Transmit Channel",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:NORM:CHAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_DEVIATION_ERROR =
  {
    RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_DEVIATION_ERROR,
    "VSA Demodulation Compensate Deviation Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:NORM:FDER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_IQ_IMBALANCE =
  {
    RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_IQ_IMBALANCE,
    "VSA Demodulation Compensate IQ Imbalance",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:NORM:IQIM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_IQ_OFFSET =
  {
    RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_IQ_OFFSET,
    "VSA Demodulation Compensate IQ Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:NORM:IQOF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_IQ_SKEW =
  {
    RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_IQ_SKEW,
    "VSA Demodulation Compensate IQ Skew",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:NORM:IQSK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_SYMBOL_CLOCK_ERROR =
  {
    RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_SYMBOL_CLOCK_ERROR,
    "VSA Demodulation Compensate Symbol Clock Error",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:NORM:SRER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_OPTIMIZATION =
  {
    RSFPL_ATTR_VSA_DEMODULATION_OPTIMIZATION,
    "VSA Demodulation Optimization",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSADemodulationOptimization, NULL, NULL,
    "DDEM:OPT",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_DEMODULATION_OPTIMIZATION_RMS_MIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_COARSE_SYNCHRONIZATION_ENABLED =
  {
    RSFPL_ATTR_VSA_DEMODULATION_COARSE_SYNCHRONIZATION_ENABLED,
    "VSA Demodulation Coarse Synchronization Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:SEAR:PATT:SYNC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DEMODULATION_COARSE_SYNCHRONIZATION =
  {
    RSFPL_ATTR_VSA_DEMODULATION_COARSE_SYNCHRONIZATION,
    "VSA Demodulation Coarse Synchronization",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSADemodulationCoarse, NULL, NULL,
    "DDEM:SEAR:PATT:SYNC:AUTO",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_DEMODULATION_COARSE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MEASUREMENT_FILTER_AUTO =
  {
    RSFPL_ATTR_VSA_MEASUREMENT_FILTER_AUTO,
    "VSA Measurement Filter Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:MFIL:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MEASUREMENT_FILTER_ALPHA_BT =
  {
    RSFPL_ATTR_VSA_MEASUREMENT_FILTER_ALPHA_BT,
    "VSA Measurement Filter Alpha BT",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMeasFilterAlphaBT, NULL,
    "DDEM:MFIL:ALPH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.22,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MEASUREMENT_FILTER_OFF =
  {
    RSFPL_ATTR_VSA_MEASUREMENT_FILTER_OFF,
    "VSA Measurement Filter Off",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DDEM:MFIL OFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MEASUREMENT_FILTER_NAME =
  {
    RSFPL_ATTR_VSA_MEASUREMENT_FILTER_NAME,
    "VSA Measurement Filter Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:MFIL:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "filter",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MEASUREMENT_FILTER_USER =
  {
    RSFPL_ATTR_VSA_MEASUREMENT_FILTER_USER,
    "VSA Measurement Filter User",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:MFIL:USER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "D:\\MyMeasFilter",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_EVALUATION_RANGE_ENABLED =
  {
    RSFPL_ATTR_VSA_EVALUATION_RANGE_ENABLED,
    "VSA Evaluation Range Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:ELIN{StartStop}:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_EVALUATION_RANGE =
  {
    RSFPL_ATTR_VSA_EVALUATION_RANGE,
    "VSA Evaluation Range",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngVSAEvalRng, NULL,
    "CALC:ELIN{StartStop}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_BURST_SEARCH_ENABLED =
  {
    RSFPL_ATTR_VSA_BURST_SEARCH_ENABLED,
    "VSA Burst Search Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:SEAR:BURS:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_BURST_SEARCH_AUTO =
  {
    RSFPL_ATTR_VSA_BURST_SEARCH_AUTO,
    "VSA Burst Search Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSASearchAuto, NULL, NULL,
    "DDEM:SEAR:BURS:AUTO",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_SEARCH_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_BURST_SEARCH_CONFIGURE_AUTO =
  {
    RSFPL_ATTR_VSA_BURST_SEARCH_CONFIGURE_AUTO,
    "VSA Burst Search Configure Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:SEAR:BURS:CONF:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_BURST_SEARCH_MIN_GAP_LENGTH =
  {
    RSFPL_ATTR_VSA_BURST_SEARCH_MIN_GAP_LENGTH,
    "VSA Burst Search Min Gap Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngVSABurstMinGap, NULL,
    "DDEM:SEAR:BURS:GLEN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_BURST_SEARCH_MEASURING =
  {
    RSFPL_ATTR_VSA_BURST_SEARCH_MEASURING,
    "VSA Burst Search Measuring",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSABurstSearchMeas, NULL, NULL,
    "DDEM:SEAR:BURS:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_BURST_SEARCH_MEAS_MEAS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_BURST_SEARCH_TOLERANCE =
  {
    RSFPL_ATTR_VSA_BURST_SEARCH_TOLERANCE,
    "VSA Burst Search Tolerance",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngVSABurstSearchTolerance, NULL,
    "DDEM:SEAR:BURS:TOL",
    // Defaults I32, I64, Float, Bool, String
    4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_PATTERN_SEARCH_ENABLED =
  {
    RSFPL_ATTR_VSA_PATTERN_SEARCH_ENABLED,
    "VSA Pattern Search Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:SEAR:SYNC:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_PATTERN_SEARCH_IQ_CORRELATION_THRESHOLD =
  {
    RSFPL_ATTR_VSA_PATTERN_SEARCH_IQ_CORRELATION_THRESHOLD,
    "VSA Pattern Search IQ Correlation Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:SEAR:PATT:CONF:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_PATTERN_SEARCH_AUTO =
  {
    RSFPL_ATTR_VSA_PATTERN_SEARCH_AUTO,
    "VSA Pattern Search Auto",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSASearchAuto, NULL, NULL,
    "DDEM:SEAR:SYNC:AUTO",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_SEARCH_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_PATTERN_SEARCH_IQ_CORRELATION_LEVEL =
  {
    RSFPL_ATTR_VSA_PATTERN_SEARCH_IQ_CORRELATION_LEVEL,
    "VSA Pattern Search IQ Correlation Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAIQCorrelationLevel, NULL,
    "DDEM:SEAR:SYNC:IQCT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    90,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_PATTERN_SEARCH_SYNC_MODE =
  {
    RSFPL_ATTR_VSA_PATTERN_SEARCH_SYNC_MODE,
    "VSA Pattern Search Sync Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAPatternSyncMode, NULL, NULL,
    "DDEM:SEAR:SYNC:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_PATTERN_SYNC_MODE_MEAS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_PATTERN_SEARCH_SELECT_FILE =
  {
    RSFPL_ATTR_VSA_PATTERN_SEARCH_SELECT_FILE,
    "VSA Pattern Search Select File",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:SEAR:SYNC:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "fileName",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_PATTERN_NAME =
  {
    RSFPL_ATTR_VSA_PATTERN_NAME,
    "VSA Pattern Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:SEAR:SYNC:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "name",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_PATTERN_COMMENT =
  {
    RSFPL_ATTR_VSA_PATTERN_COMMENT,
    "VSA Pattern Comment",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:SEAR:SYNC:COMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "comment",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_PATTERN_COPY =
  {
    RSFPL_ATTR_VSA_PATTERN_COPY,
    "VSA Pattern Copy",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:SEAR:SYNC:COPY",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "copy",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_PATTERN_DELETE =
  {
    RSFPL_ATTR_VSA_PATTERN_DELETE,
    "VSA Pattern Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DDEM:SEAR:SYNC:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_PATTERN_ADD =
  {
    RSFPL_ATTR_VSA_PATTERN_ADD,
    "VSA Pattern Add",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:SEAR:SYNC:PATT:ADD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "addPattern",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_PATTERN_REMOVE =
  {
    RSFPL_ATTR_VSA_PATTERN_REMOVE,
    "VSA Pattern Remove",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DDEM:SEAR:SYNC:PATT:REM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_PATTERN_DATA =
  {
    RSFPL_ATTR_VSA_PATTERN_DATA,
    "VSA Pattern Data",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:SEAR:SYNC:DATA",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "00010000FFFF",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_PATTERN_N_STATE =
  {
    RSFPL_ATTR_VSA_PATTERN_N_STATE,
    "VSA Pattern N State",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "DDEM:SEAR:SYNC:NST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_PATTERN_DESCRIPTION =
  {
    RSFPL_ATTR_VSA_PATTERN_DESCRIPTION,
    "VSA Pattern Description",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DDEM:SEAR:SYNC:TEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "description",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_RESULT_RANGE_RESULT_LENGTH =
  {
    RSFPL_ATTR_VSA_RESULT_RANGE_RESULT_LENGTH,
    "VSA Result Range Result Length",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngVSAResultLength, NULL,
    "DDEM:TIME",
    // Defaults I32, I64, Float, Bool, String
    800,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_RESULT_RANGE_ACCORDING_TO_FRAME_STRUCTURE_FILE =
  {
    RSFPL_ATTR_VSA_RESULT_RANGE_ACCORDING_TO_FRAME_STRUCTURE_FILE,
    "VSA Result Range According to Frame Structure File",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DDEM:TIME:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_RESULT_RANGE_RESULT_TYPE =
  {
    RSFPL_ATTR_VSA_RESULT_RANGE_RESULT_TYPE,
    "VSA Result Range Result Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAResultType, NULL, NULL,
    "CALC{Window}:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_RESULT_TYPE_MAGNITUDE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_RESULT_RANGE_TYPE_TRANSFORMATION =
  {
    RSFPL_ATTR_VSA_RESULT_RANGE_TYPE_TRANSFORMATION,
    "VSA Result Range Type Transformation",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:STAT:CCDF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_RESULT_RANGE_OVERSAMPLING =
  {
    RSFPL_ATTR_VSA_RESULT_RANGE_OVERSAMPLING,
    "VSA Result Range Oversampling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAResultOversampling, NULL, NULL,
    "CALC{Window}:STAT:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_RESULT_OVERSAMPLING_SONLY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_RESULT_RANGE_INDIVIDUAL_RESULTS =
  {
    RSFPL_ATTR_VSA_RESULT_RANGE_INDIVIDUAL_RESULTS,
    "VSA Result Range Individual Results",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAResultIndividual, NULL, NULL,
    "DISPlay:WIND{Window}:ITEM",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_RESULT_INDIVIDUAL_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_RESULT_RANGE_PPS_MODE =
  {
    RSFPL_ATTR_VSA_RESULT_RANGE_PPS_MODE,
    "VSA Result Range PPS Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAResultPPSMode, NULL, NULL,
    "DISPlay:WIND{Window}:PRAT:AUTO",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_RESULT_PPS_MODE_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_RESULT_RANGE_PPS =
  {
    RSFPL_ATTR_VSA_RESULT_RANGE_PPS,
    "VSA Result Range PPS",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, &RsFpl_rngVSAResultPPS,
    "DISPlay:WIND{Window}:PRAT",
    // Defaults I32, I64, Float, Bool, String
    4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_RESULT_RANGE_ALIGNMENT =
  {
    RSFPL_ATTR_VSA_RESULT_RANGE_ALIGNMENT,
    "VSA Result Range Alignment",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAResultAlignment, NULL, NULL,
    "CALC{Window}:TRAC{Trace}:ADJ:ALIG",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_RESULT_ALIGNEMNT_LEFT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_RESULT_RANGE_ALIGNMENT_OFFSET =
  {
    RSFPL_ATTR_VSA_RESULT_RANGE_ALIGNMENT_OFFSET,
    "VSA Result Range Alignment Offset",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngVSAAlignmentOffset, NULL,
    "CALC{Window}:TRAC{Trace}:ADJ:ALIG:OFFS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_RESULT_RANGE_REFERENCE =
  {
    RSFPL_ATTR_VSA_RESULT_RANGE_REFERENCE,
    "VSA Result Range Reference",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSAResultReference, NULL, NULL,
    "CALC{Window}:TRAC{Trace}:ADJ",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_RESULT_REFERENCE_TRIGGER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_RESULT_RANGE_SYMBOL_NUMBER_AT_REFERENCE_START =
  {
    RSFPL_ATTR_VSA_RESULT_RANGE_SYMBOL_NUMBER_AT_REFERENCE_START,
    "VSA Result Range Symbol Number At Reference Start",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngVSASymbNumberAtRefStart, NULL,
    "DISPlay:WIND{Window}:TRAC{Trace}:X:VOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_RESULT_RANGE_HIGHLIGHT_SYMBOLS =
  {
    RSFPL_ATTR_VSA_RESULT_RANGE_HIGHLIGHT_SYMBOLS,
    "VSA Result Range Highlight Symbols",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:TRAC{Trace}:SYMB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_WINDOW_PRESET =
  {
    RSFPL_ATTR_VSA_WINDOW_PRESET,
    "VSA Window Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DDEM:PRES:CALC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_WINDOW_ADD_EVALUATION =
  {
    RSFPL_ATTR_VSA_WINDOW_ADD_EVALUATION,
    "VSA Window Add Evaluation",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:DDEM:SPEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_WINDOW_FEED =
  {
    RSFPL_ATTR_VSA_WINDOW_FEED,
    "VSA Window Feed",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC{Window}:FEED",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "XTIM:DDEM:MEAS",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_WINDOW_MEASUREMENT_DIRTY =
  {
    RSFPL_ATTR_VSA_WINDOW_MEASUREMENT_DIRTY,
    "VSA Window Measurement Dirty",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:MEAS:DIRT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MEASUREMENT_REFRESH =
  {
    RSFPL_ATTR_VSA_MEASUREMENT_REFRESH,
    "VSA Measurement Refresh",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INIT:REFM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MEASUREMENT_START_SYMBOL =
  {
    RSFPL_ATTR_VSA_MEASUREMENT_START_SYMBOL,
    "VSA Measurement Start Symbol",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DDEM:SEAR:MBUR:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MEASUREMENT_START_SAMPLES =
  {
    RSFPL_ATTR_VSA_MEASUREMENT_START_SAMPLES,
    "VSA Measurement Start Samples",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DDEM:SEAR:MBUR:STAR:SAMP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_RESULTS_CURRENT_BER =
  {
    RSFPL_ATTR_VSA_RESULTS_CURRENT_BER,
    "VSA Results Current BER",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:BER?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_RESULTS_BURST_LENGTH =
  {
    RSFPL_ATTR_VSA_RESULTS_BURST_LENGTH,
    "VSA Results Burst Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC{Window}:DDEM:BURS:LENG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_TRACE_START =
  {
    RSFPL_ATTR_VSA_TRACE_START,
    "VSA Trace Start",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:TRAC{Trace}:X:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_TRACE_STOP =
  {
    RSFPL_ATTR_VSA_TRACE_STOP,
    "VSA Trace Stop",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISPlay:WIND{Window}:TRAC{Trace}:X:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DSP_MARKER_TO_START_OF_SELECTED_RESULT_RANGE =
  {
    RSFPL_ATTR_VSA_DSP_MARKER_TO_START_OF_SELECTED_RESULT_RANGE,
    "VSA DSP Marker To Start Of Selected Result Range",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:MBUR:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DSP_DELTA_MARKER_TO_START_OF_SELECTED_RESULT_RANGE =
  {
    RSFPL_ATTR_VSA_DSP_DELTA_MARKER_TO_START_OF_SELECTED_RESULT_RANGE,
    "VSA DSP Delta Marker To Start Of Selected Result Range",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:MBUR:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DSP_CAPTURE_NUMBER_OF_BURSTS =
  {
    RSFPL_ATTR_VSA_DSP_CAPTURE_NUMBER_OF_BURSTS,
    "VSA DSP Capture Number Of Bursts",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC:DSP:RES:CAPT:BURS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DSP_CAPTURE_NUMBER_OF_PATTERNS =
  {
    RSFPL_ATTR_VSA_DSP_CAPTURE_NUMBER_OF_PATTERNS,
    "VSA DSP Capture Number Of Patterns",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC:DSP:RES:CAPT:PATT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_BURST_LENGTH =
  {
    RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_BURST_LENGTH,
    "VSA DSP Current Range Burst Length",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC:DSP:RES:RRAN:CURR:BURS:LENG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_BURST_PRESENT =
  {
    RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_BURST_PRESENT,
    "VSA DSP Current Range Burst Present",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:DSP:RES:RRAN:CURR:BURS:PRES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_BURST_START =
  {
    RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_BURST_START,
    "VSA DSP Current Range Burst Start",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC:DSP:RES:RRAN:CURR:BURS:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_PATTERN_CONFIDENCE =
  {
    RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_PATTERN_CONFIDENCE,
    "VSA DSP Current Range Pattern Confidence",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC:DSP:RES:RRAN:CURR:PATT:CONF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_PATTERN_CORRECT =
  {
    RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_PATTERN_CORRECT,
    "VSA DSP Current Range Pattern Correct",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:DSP:RES:RRAN:CURR:PATT:CORR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_PATTERN_PRESENT =
  {
    RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_PATTERN_PRESENT,
    "VSA DSP Current Range Pattern Present",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC:DSP:RES:RRAN:CURR:PATT:PRES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_PATTERN_START =
  {
    RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_PATTERN_START,
    "VSA DSP Current Range Pattern Start",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "CALC:DSP:RES:RRAN:CURR:PATT:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K30",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_TRACE_EVALUATION =
  {
    RSFPL_ATTR_VSA_TRACE_EVALUATION,
    "VSA Trace Evaluation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSATraceEvaluation, NULL, NULL,
    "CALC:TRAC{Trace}",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VSA_TRACE_EVALUATION_MEAS,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_TRACE_SYMBOL_SELECTION =
  {
    RSFPL_ATTR_VSA_TRACE_SYMBOL_SELECTION,
    "VSA Trace Symbol Selection",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngVSATraceSymbolSelection, NULL, NULL,
    "CALC{Window}:TRAC{Trace}:SYMB",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_TRACE_SYMBOL_SEL_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DELTAMARKER_ABSOLUTE_PEAK =
  {
    RSFPL_ATTR_VSA_DELTAMARKER_ABSOLUTE_PEAK,
    "VSA Deltamarker Absolute Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:DELT{Marker}:MAX:APE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MARKER_ABSOLUTE_PEAK =
  {
    RSFPL_ATTR_VSA_MARKER_ABSOLUTE_PEAK,
    "VSA Marker Absolute Peak",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:MARK{Marker}:MAX:APE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DISPLAY_LINES_ENABLED =
  {
    RSFPL_ATTR_VSA_DISPLAY_LINES_ENABLED,
    "VSA Display Lines Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:DLAB:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DISPLAY_LINES_HORIZONTAL_LINE =
  {
    RSFPL_ATTR_VSA_DISPLAY_LINES_HORIZONTAL_LINE,
    "VSA Display Lines Horizontal Line",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSADLinesHorizontalLine, NULL,
    "CALC{Window}:DLAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DISPLAY_LINE_RELATIVE_HORIZONTAL_LINE_ENABLED =
  {
    RSFPL_ATTR_VSA_DISPLAY_LINE_RELATIVE_HORIZONTAL_LINE_ENABLED,
    "VSA Display Line Relative Horizontal Line Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:DLR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DISPLAY_LINE_RELATIVE_HORIZONTAL_LINE =
  {
    RSFPL_ATTR_VSA_DISPLAY_LINE_RELATIVE_HORIZONTAL_LINE,
    "VSA Display Line Relative Horizontal Line",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSADLinesHorizontalLine, NULL,
    "CALC{Window}:DLR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DISPLAY_LINE_ABSOLUTE_VERTICAL_LINE_ENABLED =
  {
    RSFPL_ATTR_VSA_DISPLAY_LINE_ABSOLUTE_VERTICAL_LINE_ENABLED,
    "VSA Display Line Absolute Vertical Line Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:TLAB:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DISPLAY_LINE_ABSOLUTE_VERTICAL_LINE =
  {
    RSFPL_ATTR_VSA_DISPLAY_LINE_ABSOLUTE_VERTICAL_LINE,
    "VSA Display Line Absolute Vertical Line",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSADLinesHorizontalLine, NULL,
    "CALC{Window}:TLAB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DISPLAY_LINE_RELATIVE_VERTICAL_LINE_ENABLED =
  {
    RSFPL_ATTR_VSA_DISPLAY_LINE_RELATIVE_VERTICAL_LINE_ENABLED,
    "VSA Display Line Relative Vertical Line Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:TLR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_DISPLAY_LINE_RELATIVE_VERTICAL_LINE =
  {
    RSFPL_ATTR_VSA_DISPLAY_LINE_RELATIVE_VERTICAL_LINE,
    "VSA Display Line Relative Vertical Line",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSADLinesHorizontalLine, NULL,
    "CALC{Window}:TLR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_DEFAULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_DEFAULT,
    "VSA MACC Limit Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:DEF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_ENABLED,
    "VSA MACC Limit Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_CURRENT_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_CURRENT_ENABLED,
    "VSA MACC Limit Carrier Frequency Error Current Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:CFER:CURR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_CURRENT_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_CURRENT_VALUE,
    "VSA MACC Limit Carrier Frequency Error Current Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMACCLimitValue, NULL,
    "CALC{Window}:LIM:MACC:CFER:CURR:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_CURRENT_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_CURRENT_RESULT,
    "VSA MACC Limit Carrier Frequency Error Current Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:CFER:CURR?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_MEAN_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_MEAN_ENABLED,
    "VSA MACC Limit Carrier Frequency Error Mean Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:CFER:MEAN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_MEAN_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_MEAN_VALUE,
    "VSA MACC Limit Carrier Frequency Error Mean Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMACCLimitValue, NULL,
    "CALC{Window}:LIM:MACC:CFER:MEAN:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_MEAN_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_MEAN_RESULT,
    "VSA MACC Limit Carrier Frequency Error Mean Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:CFER:MEAN?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_ENABLED,
    "VSA MACC Limit Carrier Frequency Error Peak Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:CFER:PEAK:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_VALUE,
    "VSA MACC Limit Carrier Frequency Error Peak Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMACCLimitValue, NULL,
    "CALC{Window}:LIM:MACC:CFER:PEAK:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_RESULT,
    "VSA MACC Limit Carrier Frequency Error Peak Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:CFER:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_CURRENT_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_CURRENT_ENABLED,
    "VSA MACC Limit EVM Peak Current Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:EVM:PCUR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_CURRENT_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_CURRENT_VALUE,
    "VSA MACC Limit EVM Peak Current Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPct, NULL,
    "CALC{Window}:LIM:MACC:EVM:PCUR:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_CURRENT_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_CURRENT_RESULT,
    "VSA MACC Limit EVM Peak Current Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:EVM:PCUR?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_MEAN_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_MEAN_ENABLED,
    "VSA MACC Limit EVM Peak Mean Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:EVM:PME:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_MEAN_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_MEAN_VALUE,
    "VSA MACC Limit EVM Peak Mean Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPct, NULL,
    "CALC{Window}:LIM:MACC:EVM:PME:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_MEAN_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_MEAN_RESULT,
    "VSA MACC Limit EVM Peak Mean Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:EVM:PME?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_PEAK_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_PEAK_ENABLED,
    "VSA MACC Limit EVM Peak Peak Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:EVM:PPE:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_PEAK_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_PEAK_VALUE,
    "VSA MACC Limit EVM Peak Peak Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPct, NULL,
    "CALC{Window}:LIM:MACC:EVM:PPE:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_PEAK_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_PEAK_RESULT,
    "VSA MACC Limit EVM Peak Peak Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:EVM:PPE?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_CURRENT_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_CURRENT_ENABLED,
    "VSA MACC Limit EVM RMS Current Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:EVM:RCUR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_CURRENT_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_CURRENT_VALUE,
    "VSA MACC Limit EVM RMS Current Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPct, NULL,
    "CALC{Window}:LIM:MACC:EVM:RCUR:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_CURRENT_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_CURRENT_RESULT,
    "VSA MACC Limit EVM RMS Current Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:EVM:RCUR?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_MEAN_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_MEAN_ENABLED,
    "VSA MACC Limit EVM RMS Mean Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:EVM:RME:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_MEAN_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_MEAN_VALUE,
    "VSA MACC Limit EVM RMS Mean Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPct, NULL,
    "CALC{Window}:LIM:MACC:EVM:RME:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_MEAN_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_MEAN_RESULT,
    "VSA MACC Limit EVM RMS Mean Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:EVM:RME?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_PEAK_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_PEAK_ENABLED,
    "VSA MACC Limit EVM RMS Peak Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:EVM:RPE:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_PEAK_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_PEAK_VALUE,
    "VSA MACC Limit EVM RMS Peak Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPct, NULL,
    "CALC{Window}:LIM:MACC:EVM:RPE:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_PEAK_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_PEAK_RESULT,
    "VSA MACC Limit EVM RMS Peak Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:EVM:RPE?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_CURRENT_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_CURRENT_ENABLED,
    "VSA MACC Limit Frequency Deviation Current Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:FDER:CURR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_CURRENT_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_CURRENT_VALUE,
    "VSA MACC Limit Frequency Deviation Current Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMACCLimitValue, NULL,
    "CALC{Window}:LIM:MACC:FDER:CURR:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e+3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_CURRENT_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_CURRENT_RESULT,
    "VSA MACC Limit Frequency Deviation Current Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:FDER:CURR?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_MEAN_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_MEAN_ENABLED,
    "VSA MACC Limit Frequency Deviation Mean Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:FDER:MEAN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_MEAN_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_MEAN_VALUE,
    "VSA MACC Limit Frequency Deviation Mean Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMACCLimitValue, NULL,
    "CALC{Window}:LIM:MACC:FDER:MEAN:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e+3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_MEAN_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_MEAN_RESULT,
    "VSA MACC Limit Frequency Deviation Mean Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:FDER:MEAN?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_PEAK_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_PEAK_ENABLED,
    "VSA MACC Limit Frequency Deviation Peak Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:FDER:PEAK:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_PEAK_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_PEAK_VALUE,
    "VSA MACC Limit Frequency Deviation Peak Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMACCLimitValue, NULL,
    "CALC{Window}:LIM:MACC:FDER:PEAK:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.0e+3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_PEAK_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_PEAK_RESULT,
    "VSA MACC Limit Frequency Deviation Peak Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:FDER:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_CURRENT_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_CURRENT_ENABLED,
    "VSA MACC Limit Frequency Error Peak Current Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:FERR:PCUR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_CURRENT_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_CURRENT_VALUE,
    "VSA MACC Limit Frequency Error Peak Current Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMACCFEValue, NULL,
    "CALC{Window}:LIM:MACC:FERR:PCUR:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_CURRENT_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_CURRENT_RESULT,
    "VSA MACC Limit Carrier Frequency Error Peak Current Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:FERR:PCUR?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_MEAN_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_MEAN_ENABLED,
    "VSA MACC Limit Frequency Error Peak Mean Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:FERR:PME:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_MEAN_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_MEAN_VALUE,
    "VSA MACC Limit Frequency Error Peak Mean Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMACCFEValue, NULL,
    "CALC{Window}:LIM:MACC:FERR:PME:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_MEAN_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_MEAN_RESULT,
    "VSA MACC Limit Carrier Frequency Error Peak Mean Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:FERR:PME?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_PEAK_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_PEAK_ENABLED,
    "VSA MACC Limit Frequency Error Peak Peak Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:FERR:PPE:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_PEAK_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_PEAK_VALUE,
    "VSA MACC Limit Frequency Error Peak Peak Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMACCFEValue, NULL,
    "CALC{Window}:LIM:MACC:FERR:PPE:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_PEAK_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_PEAK_RESULT,
    "VSA MACC Limit Carrier Frequency Error Peak Peak Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:FERR:PPE?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_CURRENT_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_CURRENT_ENABLED,
    "VSA MACC Limit Frequency Error RMS Current Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:FERR:RCUR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_CURRENT_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_CURRENT_VALUE,
    "VSA MACC Limit Frequency Error RMS Current Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMACCFEValue, NULL,
    "CALC{Window}:LIM:MACC:FERR:RCUR:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_RMS_CURRENT_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_RMS_CURRENT_RESULT,
    "VSA MACC Limit Carrier Frequency Error RMS Current Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:FERR:RCUR?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_MEAN_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_MEAN_ENABLED,
    "VSA MACC Limit Frequency Error RMS Mean Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:FERR:RME:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_MEAN_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_MEAN_VALUE,
    "VSA MACC Limit Frequency Error RMS Mean Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMACCFEValue, NULL,
    "CALC{Window}:LIM:MACC:FERR:RME:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_RMS_MEAN_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_RMS_MEAN_RESULT,
    "VSA MACC Limit Carrier Frequency Error RMS Mean Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:FERR:RME?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_PEAK_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_PEAK_ENABLED,
    "VSA MACC Limit Frequency Error RMS Peak Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:FERR:RPE:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_PEAK_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_PEAK_VALUE,
    "VSA MACC Limit Frequency Error RMS Peak Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMACCFEValue, NULL,
    "CALC{Window}:LIM:MACC:FERR:RPE:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_RMS_PEAK_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_RMS_PEAK_RESULT,
    "VSA MACC Limit Carrier Frequency Error RMS Peak Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:FERR:RPE?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_CURRENT_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_CURRENT_ENABLED,
    "VSA MACC Limit Magnitude Error Peak Current Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:MERR:PCUR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_CURRENT_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_CURRENT_VALUE,
    "VSA MACC Limit Magnitude Error Peak Current Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMACCFEValue, NULL,
    "CALC{Window}:LIM:MACC:MERR:PCUR:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_CURRENT_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_CURRENT_RESULT,
    "VSA MACC Limit Magnitude Error Peak Current Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:MERR:PCUR?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_MEAN_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_MEAN_ENABLED,
    "VSA MACC Limit Magnitude Error Peak Mean Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:MERR:PME:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_MEAN_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_MEAN_VALUE,
    "VSA MACC Limit Magnitude Error Peak Mean Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMACCFEValue, NULL,
    "CALC{Window}:LIM:MACC:MERR:PME:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_MEAN_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_MEAN_RESULT,
    "VSA MACC Limit Magnitude Error Peak Mean Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:MERR:PME?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_PEAK_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_PEAK_ENABLED,
    "VSA MACC Limit Magnitude Error Peak Peak Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:MERR:PPE:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_PEAK_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_PEAK_VALUE,
    "VSA MACC Limit Magnitude Error Peak Peak Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMACCFEValue, NULL,
    "CALC{Window}:LIM:MACC:MERR:PPE:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_PEAK_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_PEAK_RESULT,
    "VSA MACC Limit Magnitude Error Peak Peak Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:MERR:PPE?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_CURRENT_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_CURRENT_ENABLED,
    "VSA MACC Limit Magnitude Error RMS Current Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:MERR:RCUR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_CURRENT_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_CURRENT_VALUE,
    "VSA MACC Limit Magnitude Error RMS Current Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMACCFEValue, NULL,
    "CALC{Window}:LIM:MACC:MERR:RCUR:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_CURRENT_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_CURRENT_RESULT,
    "VSA MACC Limit Magnitude Error RMS Current Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:MERR:RCUR?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_MEAN_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_MEAN_ENABLED,
    "VSA MACC Limit Magnitude Error RMS Mean Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:MERR:RME:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_MEAN_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_MEAN_VALUE,
    "VSA MACC Limit Magnitude Error RMS Mean Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMACCFEValue, NULL,
    "CALC{Window}:LIM:MACC:MERR:RME:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_MEAN_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_MEAN_RESULT,
    "VSA MACC Limit Magnitude Error RMS Mean Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:MERR:RME?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_PEAK_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_PEAK_ENABLED,
    "VSA MACC Limit Magnitude Error RMS Peak Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:MERR:RPE:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_PEAK_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_PEAK_VALUE,
    "VSA MACC Limit Magnitude Error RMS Peak Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMACCFEValue, NULL,
    "CALC{Window}:LIM:MACC:MERR:RPE:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_PEAK_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_PEAK_RESULT,
    "VSA MACC Limit Magnitude Error RMS Peak Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:MERR:RPE?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_CURRENT_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_CURRENT_ENABLED,
    "VSA MACC Limit IQ Offset Current Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:OOFF:CURR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_CURRENT_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_CURRENT_VALUE,
    "VSA MACC Limit IQ Offset Current Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMACCIQOffset, NULL,
    "CALC{Window}:LIM:MACC:OOFF:CURR:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_CURRENT_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_CURRENT_RESULT,
    "VSA MACC Limit IQ Offset Current Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:OOFF:CURR?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_MEAN_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_MEAN_ENABLED,
    "VSA MACC Limit IQ Offset Mean Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:OOFF:MEAN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_MEAN_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_MEAN_VALUE,
    "VSA MACC Limit IQ Offset Mean Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMACCIQOffset, NULL,
    "CALC{Window}:LIM:MACC:OOFF:MEAN:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -45,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_MEAN_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_MEAN_RESULT,
    "VSA MACC Limit IQ Offset Mean Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:OOFF:MEAN?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_PEAK_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_PEAK_ENABLED,
    "VSA MACC Limit IQ Offset Peak Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:OOFF:PEAK:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_PEAK_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_PEAK_VALUE,
    "VSA MACC Limit IQ Offset Peak Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAMACCIQOffset, NULL,
    "CALC{Window}:LIM:MACC:OOFF:PEAK:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -40,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_PEAK_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_PEAK_RESULT,
    "VSA MACC Limit IQ Offset Peak Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:OOFF:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_CURRENT_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_CURRENT_ENABLED,
    "VSA MACC Limit Phase Error Peak Current Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:PERR:PCUR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_CURRENT_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_CURRENT_VALUE,
    "VSA MACC Limit Phase Error Peak Current Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAPERValue, NULL,
    "CALC{Window}:LIM:MACC:PERR:PCUR:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_CURRENT_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_CURRENT_RESULT,
    "VSA MACC Limit Phase Error Peak Current Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:PERR:PCUR?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_MEAN_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_MEAN_ENABLED,
    "VSA MACC Limit Phase Error Peak Mean Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:PERR:PME:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_MEAN_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_MEAN_VALUE,
    "VSA MACC Limit Phase Error Peak Mean Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAPERValue, NULL,
    "CALC{Window}:LIM:MACC:PERR:PME:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_MEAN_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_MEAN_RESULT,
    "VSA MACC Limit Phase Error Peak Mean Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:PERR:PME?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_PEAK_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_PEAK_ENABLED,
    "VSA MACC Limit Phase Error Peak Peak Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:PERR:PPE:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_PEAK_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_PEAK_VALUE,
    "VSA MACC Limit Phase Error Peak Peak Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAPERValue, NULL,
    "CALC{Window}:LIM:MACC:PERR:PPE:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_PEAK_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_PEAK_RESULT,
    "VSA MACC Limit Phase Error Peak Peak Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:PERR:PPE?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_CURRENT_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_CURRENT_ENABLED,
    "VSA MACC Limit Phase Error RMS Current Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:PERR:RCUR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_CURRENT_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_CURRENT_VALUE,
    "VSA MACC Limit Phase Error RMS Current Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAPERValue, NULL,
    "CALC{Window}:LIM:MACC:PERR:RCUR:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_CURRENT_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_CURRENT_RESULT,
    "VSA MACC Limit Phase Error RMS Current Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:PERR:RCUR?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_MEAN_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_MEAN_ENABLED,
    "VSA MACC Limit Phase Error RMS Mean Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:PERR:RME:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_MEAN_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_MEAN_VALUE,
    "VSA MACC Limit Phase Error RMS Mean Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAPERValue, NULL,
    "CALC{Window}:LIM:MACC:PERR:RME:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_MEAN_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_MEAN_RESULT,
    "VSA MACC Limit Phase Error RMS Mean Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:PERR:RME?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_PEAK_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_PEAK_ENABLED,
    "VSA MACC Limit Phase Error RMS Peak Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:PERR:RPE:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_PEAK_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_PEAK_VALUE,
    "VSA MACC Limit Phase Error RMS Peak Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSAPERValue, NULL,
    "CALC{Window}:LIM:MACC:PERR:RPE:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    3.5,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_PEAK_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_PEAK_RESULT,
    "VSA MACC Limit Phase Error RMS Peak Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:PERR:RPE?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_CURRENT_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_RHO_CURRENT_ENABLED,
    "VSA MACC Limit Rho Current Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:RHO:CURR:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_CURRENT_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_RHO_CURRENT_VALUE,
    "VSA MACC Limit Rho Current Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSARhoValue, NULL,
    "CALC{Window}:LIM:MACC:RHO:CURR:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.999,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_CURRENT_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_RHO_CURRENT_RESULT,
    "VSA MACC Limit Rho Current Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:RHO:CURR?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_MEAN_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_RHO_MEAN_ENABLED,
    "VSA MACC Limit Rho Mean Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:RHO:MEAN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_MEAN_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_RHO_MEAN_VALUE,
    "VSA MACC Limit Rho Mean Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSARhoValue, NULL,
    "CALC{Window}:LIM:MACC:RHO:MEAN:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.999,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_MEAN_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_RHO_MEAN_RESULT,
    "VSA MACC Limit Rho Mean Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:RHO:MEAN?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_PEAK_ENABLED =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_RHO_PEAK_ENABLED,
    "VSA MACC Limit Rho Peak Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:LIM:MACC:RHO:PEAK:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_PEAK_VALUE =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_RHO_PEAK_VALUE,
    "VSA MACC Limit Rho Peak Value",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngVSARhoValue, NULL,
    "CALC{Window}:LIM:MACC:RHO:PEAK:VAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.999,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_PEAK_RESULT =
  {
    RSFPL_ATTR_VSA_MACC_LIMIT_RHO_PEAK_RESULT,
    "VSA MACC Limit Rho Peak Result",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngVSAMACCLimitResult, NULL, NULL,
    "CALC{Window}:LIM:MACC:RHO:PEAK?",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_VSA_MACC_LIMIT_RESULT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    "FPL",
    "K70",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_MODE =
  {
    RSFPL_ATTR_PHASE_NOISE_MODE,
    "Phase Noise Mode",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "INST PNO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    "FPL",
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_INITIATE_REFERENCE_MEASUREMENT =
  {
    RSFPL_ATTR_PHASE_NOISE_INITIATE_REFERENCE_MEASUREMENT,
    "Phase Noise Initiate Reference Measurement",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CONF:REFM ONCE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_FINISH_HALF_DECADE =
  {
    RSFPL_ATTR_PHASE_NOISE_FINISH_HALF_DECADE,
    "Phase Noise Finish Half Decade",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SWE:FHD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_NOMINAL_LEVEL =
  {
    RSFPL_ATTR_PHASE_NOISE_NOMINAL_LEVEL,
    "Phase Noise Nominal Level",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPhaseNoiseNominalLevel, NULL,
    "POW:RLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_VERIFY_FREQUENCY_ENABLED =
  {
    RSFPL_ATTR_PHASE_NOISE_VERIFY_FREQUENCY_ENABLED,
    "Phase Noise Verify Frequency Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FREQ:VER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_FREQUENCY_RELATIVE_TOLERANCE =
  {
    RSFPL_ATTR_PHASE_NOISE_FREQUENCY_RELATIVE_TOLERANCE,
    "Phase Noise Frequency Relative Tolerance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPct, NULL,
    "FREQ:VER:TOL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_FREQUENCY_ABSOLUTE_TOLERANCE =
  {
    RSFPL_ATTR_PHASE_NOISE_FREQUENCY_ABSOLUTE_TOLERANCE,
    "Phase Noise Frequency Absolute Tolerance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FREQ:VER:TOL:ABS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_VERIFY_LEVEL_ENABLED =
  {
    RSFPL_ATTR_PHASE_NOISE_VERIFY_LEVEL_ENABLED,
    "Phase Noise Verify Level Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:RLEV:VER",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_LEVEL_TOLERANCE =
  {
    RSFPL_ATTR_PHASE_NOISE_LEVEL_TOLERANCE,
    "Phase Noise Level Tolerance",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "POW:RLEV:VER:TOL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_ON_VERIFY_FAILED =
  {
    RSFPL_ATTR_PHASE_NOISE_ON_VERIFY_FAILED,
    "Phase Noise On Verify Failed",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPhaseNoiseOnVerifyFailed, NULL, NULL,
    "SWE:SVF",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_PHASE_NOISE_ON_VERIFY_FAILED_RESTART,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_FREQUENCY_TRACKING_ENABLED =
  {
    RSFPL_ATTR_PHASE_NOISE_FREQUENCY_TRACKING_ENABLED,
    "Phase Noise Frequency Tracking Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FREQ:TRAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_LEVEL_TRACKING_ENABLED =
  {
    RSFPL_ATTR_PHASE_NOISE_LEVEL_TRACKING_ENABLED,
    "Phase Noise Level Tracking Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "POW:TRAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_REJECT_AM_ENABLED =
  {
    RSFPL_ATTR_PHASE_NOISE_REJECT_AM_ENABLED,
    "Phase Noise Reject AM Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "REJ:AM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_MAX_FREQ_DRIFT =
  {
    RSFPL_ATTR_PHASE_NOISE_MAX_FREQ_DRIFT,
    "Phase Noise Max Freq Drift",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPhaseNoiseMaxFreqDrift, NULL,
    "IQ:TBW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    60e-3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_DIGITAL_PLL_ENABLED =
  {
    RSFPL_ATTR_PHASE_NOISE_DIGITAL_PLL_ENABLED,
    "Phase Noise Digital PLL Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "IQ:DPLL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_DECIMATION_ENABLED =
  {
    RSFPL_ATTR_PHASE_NOISE_DECIMATION_ENABLED,
    "Phase Noise Decimation Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "IQ:DEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SWEEP_FORWARD_ENABLED =
  {
    RSFPL_ATTR_PHASE_NOISE_SWEEP_FORWARD_ENABLED,
    "Phase Noise Sweep Forward Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SWE:FORW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SELECT_PRESET =
  {
    RSFPL_ATTR_PHASE_NOISE_SELECT_PRESET,
    "Phase Noise Select Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngPhaseNoiseMeasPreset, NULL, NULL,
    "SWE:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_PHASE_NOISE_PRESET_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_GLOBAL_RBW =
  {
    RSFPL_ATTR_PHASE_NOISE_GLOBAL_RBW,
    "Phase Noise Global RBW",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPct, NULL,
    "LIST:BWID:RAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_GLOBAL_AVERAGE_COUNT =
  {
    RSFPL_ATTR_PHASE_NOISE_GLOBAL_AVERAGE_COUNT,
    "Phase Noise Global Average Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngPhaseNoiseAverageCount, NULL,
    "LIST:SWE:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_MULTIPLIER_ENABLED =
  {
    RSFPL_ATTR_PHASE_NOISE_MULTIPLIER_ENABLED,
    "Phase Noise Multiplier Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "LIST:SWE:COUN:MULT:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_MULTIPLIER =
  {
    RSFPL_ATTR_PHASE_NOISE_MULTIPLIER,
    "Phase Noise Multiplier",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "LIST:SWE:COUN:MULT",
    // Defaults I32, I64, Float, Bool, String
    10,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_GLOBAL_SWEEP_MODE =
  {
    RSFPL_ATTR_PHASE_NOISE_GLOBAL_SWEEP_MODE,
    "Phase Noise Global Sweep Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPhaseNoiseSweepMode, NULL, NULL,
    "LIST:BWID:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_PHASE_NOISE_SWEEP_MODE_NORMAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_HALF_DECADE_RBW =
  {
    RSFPL_ATTR_PHASE_NOISE_HALF_DECADE_RBW,
    "Phase Noise Half Decade RBW",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "LIST:RANG{PNRange}:BWID",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.3,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_HALF_DECADE_SWEEP_MODE =
  {
    RSFPL_ATTR_PHASE_NOISE_HALF_DECADE_SWEEP_MODE,
    "Phase Noise Half Decade Sweep Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPhaseNoiseSweepMode, NULL, NULL,
    "LIST:RANG{PNRange}:FILT:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_PHASE_NOISE_SWEEP_MODE_IQ_FFT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_HALF_DECADE_AVERAGE_COUNT =
  {
    RSFPL_ATTR_PHASE_NOISE_HALF_DECADE_AVERAGE_COUNT,
    "Phase Noise Half Decade Average Count",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngPhaseNoiseAverageCount, NULL,
    "LIST:RANG{PNRange}:SWE:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_HALF_DECADE_WINDOW_TYPE =
  {
    RSFPL_ATTR_PHASE_NOISE_HALF_DECADE_WINDOW_TYPE,
    "Phase Noise Half Decade Window Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPhaseNoiseHalfDecadeWindowType, NULL, NULL,
    "LIST:RANG{PNRange}:IQW:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_PHASE_NOISE_WINDOW_TYPE_RECTANGULAR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_TRACE_X_AXIS_SCOPE =
  {
    RSFPL_ATTR_PHASE_NOISE_TRACE_X_AXIS_SCOPE,
    "Phase Noise Trace X Axis Scope",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPhaseNoiseXAxisScope, NULL, NULL,
    "DISP:WIND{Window}:TRAC{Trace}:X:SCOP",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_PHASE_NOISE_X_AXIS_SCOPE_MEAS_RANGE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_TRACE_X_AXIS_START =
  {
    RSFPL_ATTR_PHASE_NOISE_TRACE_X_AXIS_START,
    "Phase Noise Trace X Axis Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPhaseNoiseXAxisStart, NULL,
    "DISP:WIND{Window}:TRAC{Trace}:X:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_TRACE_X_AXIS_STOP =
  {
    RSFPL_ATTR_PHASE_NOISE_TRACE_X_AXIS_STOP,
    "Phase Noise Trace X Axis Stop",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPhaseNoiseXAxisStop, NULL,
    "DISP:WIND{Window}:TRAC{Trace}:X:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    300e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_TRACE_X_AXIS_HALF_DECADE =
  {
    RSFPL_ATTR_PHASE_NOISE_TRACE_X_AXIS_HALF_DECADE,
    "Phase Noise Trace X Axis Half Decade",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPhaseNoiseHalfDecade, NULL, NULL,
    "DISP:WIND{Window}:TRAC{Trace}:X:HDEC",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_PHASE_NOISE_HALF_DECADE_1HZ_3HZ,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_SCALING =
  {
    RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_SCALING,
    "Phase Noise Trace Y Axis Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPhaseNoiseScalingMethod, NULL, NULL,
    "DISP:WIND{Window}:TRAC{Trace}:Y:MAN",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_PHASE_NOISE_SCALING_AUTO,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_RANGE =
  {
    RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_RANGE,
    "Phase Noise Trace Y Axis Range",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DISP:WIND{Window}:TRAC{Trace}:Y",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_BOTTOM =
  {
    RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_BOTTOM,
    "Phase Noise Trace Y Axis Bottom",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPhaseNoiseYAxisBottom, NULL,
    "DISP:WIND{Window}:TRAC{Trace}:Y:RLEV:LOW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -120,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_AUTO_SCALE_ENABLED =
  {
    RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_AUTO_SCALE_ENABLED,
    "Phase Noise Trace Y Axis Auto Scale Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:WIND{Window}:TRAC{Trace}:Y:AUTO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_TRACE_SPUR_REMOVAL_ENABLED =
  {
    RSFPL_ATTR_PHASE_NOISE_TRACE_SPUR_REMOVAL_ENABLED,
    "Phase Noise Trace Spur Removal Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:WIND{Window}:TRAC{Trace}:SPUR:SUPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_TRACE_SMOOTHING_METHOD =
  {
    RSFPL_ATTR_PHASE_NOISE_TRACE_SMOOTHING_METHOD,
    "Phase Noise Trace Smoothing Method",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPhaseNoiseTraceSmoothing, NULL, NULL,
    "DISP:WIND{Window}:TRAC{Trace}:SMO:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_PHASE_NOISE_SMOOTHING_LINEAR,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_AUTO_SCALE_ONCE =
  {
    RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_AUTO_SCALE_ONCE,
    "Phase Noise Trace Y Axis Auto Scale Once",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DISP:WIND{Window}:SUBW{Subwindow}:TRAC{Trace}:Y:AUTO ONCE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_TOP =
  {
    RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_TOP,
    "Phase Noise Trace Y Axis Top",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPhaseNoiseYAxisTop, NULL,
    "DISP:WIND{Window}:SUBW{Subwindow}:TRAC{Trace}:Y:RLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    -20,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_TYPE =
  {
    RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_TYPE,
    "Phase Noise Limit Line Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPhaseNoiseLimitLineType, NULL, NULL,
    "CALC{Window}:PNL:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_PHASE_NOISE_LIMIT_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_SELECTED_TRACES =
  {
    RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_SELECTED_TRACES,
    "Phase Noise Limit Line Selected Traces",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "CALC{Window}:PNL:TRAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "6",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_SELECTED_TRACE =
  {
    RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_SELECTED_TRACE,
    "Phase Noise Limit Line Selected Trace",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, &RsFpl_rngTrace, NULL,
    "CALC{Window}:PNL:TRAC",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_NOISE_FLOOR =
  {
    RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_NOISE_FLOOR,
    "Phase Noise Limit Line Noise Floor",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPhaseNoiseLimitFloor, NULL,
    "CALC{Window}:PNL:NOIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_CHECK_RESULT =
  {
    RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_CHECK_RESULT,
    "Phase Noise Limit Line Check Result",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:PNL:FAIL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_SEGMENT_CORNER_FREQUENCY =
  {
    RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_SEGMENT_CORNER_FREQUENCY,
    "Phase Noise Limit Line Segment Corner Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:PNL:FC{PNLimSeg}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_SEGMENT_LEFT_SLOPE =
  {
    RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_SEGMENT_LEFT_SLOPE,
    "Phase Noise Limit Line Segment Left Slope",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:PNL:SLOP{PNLimSeg}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    10,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_COPY_TO_USER_LIMIT_LINE =
  {
    RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_COPY_TO_USER_LIMIT_LINE,
    "Phase Noise Limit Line Copy to User Limit Line",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:PNL:COPY{LimitLine}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_RANGE_START =
  {
    RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_RANGE_START,
    "Phase Noise Residual Noise Range Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:EVAL:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_RANGE_END =
  {
    RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_RANGE_END,
    "Phase Noise Residual Noise Range End",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:EVAL:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_ENABLED =
  {
    RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_ENABLED,
    "Phase Noise Residual Noise User Range Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:EVAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_START =
  {
    RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_START,
    "Phase Noise Residual Noise User Range Start",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:EVAL:USER{RNRange}:STAR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_END =
  {
    RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_END,
    "Phase Noise Residual Noise User Range End",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:EVAL:USER{RNRange}:STOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_TRACE =
  {
    RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_TRACE,
    "Phase Noise Residual Noise User Range Trace",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPhaseNoiseUserRangeTrace, NULL, NULL,
    "CALC{Window}:EVAL:USER{RNRange}:TRAC",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_TRACE_NONE,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_DISABLE =
  {
    RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_DISABLE,
    "Phase Noise Residual Noise User Range Disable",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:EVAL:USER{RNRange}:TRAC NONE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_INTEGRATED_PHASE_NOISE =
  {
    RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_INTEGRATED_PHASE_NOISE,
    "Phase Noise Residual Noise Integrated Phase Noise",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FETC:PNO:IPN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_RESIDUAL_FM =
  {
    RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_RESIDUAL_FM,
    "Phase Noise Residual Noise Residual FM",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FETC:PNO:RFM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_RESIDUAL_RMS_JITTER =
  {
    RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_RESIDUAL_RMS_JITTER,
    "Phase Noise Residual Noise Residual RMS Jitter",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FETC:PNO:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_RESIDUAL_PM =
  {
    RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_RESIDUAL_PM,
    "Phase Noise Residual Noise Residual PM",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FETC:PNO:RPM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_INTEGRATED_PHASE_NOISE =
  {
    RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_INTEGRATED_PHASE_NOISE,
    "Phase Noise Residual Noise User Range Integrated Phase Noise",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FETC:PNO:USER{RNRange}:IPN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_RESIDUAL_FM =
  {
    RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_RESIDUAL_FM,
    "Phase Noise Residual Noise User Range Residual FM",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FETC:PNO:USER{RNRange}:RFM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_RESIDUAL_RMS_JITTER =
  {
    RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_RESIDUAL_RMS_JITTER,
    "Phase Noise Residual Noise User Range Residual RMS Jitter",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FETC:PNO:USER{RNRange}:RMS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_RESIDUAL_PM =
  {
    RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_RESIDUAL_PM,
    "Phase Noise Residual Noise User Range Residual PM",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FETC:PNO:USER{RNRange}:RPM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_ON_ALL_DECADE_EDGES_ENABLED =
  {
    RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_ON_ALL_DECADE_EDGES_ENABLED,
    "Phase Noise Spot Noise On All Decade Edges Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:SNO:DEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_DISABLE_ALL_MARKERS =
  {
    RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_DISABLE_ALL_MARKERS,
    "Phase Noise Spot Noise Disable All Markers",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CALC{Window}:SNO:AOFF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_DECADE_EDGE_ENABLED =
  {
    RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_DECADE_EDGE_ENABLED,
    "Phase Noise Spot Noise Decade Edge Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:SNO{SNMarker}:DEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_MARKER_ENABLED =
  {
    RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_MARKER_ENABLED,
    "Phase Noise Spot Noise Marker Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CALC{Window}:SNO{SNMarker}",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_CUSTOM_MARKER_FREQUENCY =
  {
    RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_CUSTOM_MARKER_FREQUENCY,
    "Phase Noise Spot Noise Custom Marker Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:SNO{SNMarker}:X",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1000,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_DECADE_VALUES =
  {
    RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_DECADE_VALUES,
    "Phase Noise Spot Noise Decade Values",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC{Window}:SNO:DEC:Y?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "-1,-1,-1,-1,-1",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_DECADE_FREQUENCIES =
  {
    RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_DECADE_FREQUENCIES,
    "Phase Noise Spot Noise Decade Frequencies",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CALC{Window}:SNO:DEC:X?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1000,10000,100000,1000000",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_MARKER_VALUE =
  {
    RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_MARKER_VALUE,
    "Phase Noise Spot Noise Marker Value",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "CALC{Window}:SNO{SNMarker}:Y?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SPUR_REMOVAL_ENABLED =
  {
    RSFPL_ATTR_PHASE_NOISE_SPUR_REMOVAL_ENABLED,
    "Phase Noise Spur Removal Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SPUR:SUPP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SPUR_THRESHOLD =
  {
    RSFPL_ATTR_PHASE_NOISE_SPUR_THRESHOLD,
    "Phase Noise Spur Threshold",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, &RsFpl_rngPhaseNoiseSpurThreshold, NULL,
    "SPUR:THR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SPUR_LIST_RESULTS =
  {
    RSFPL_ATTR_PHASE_NOISE_SPUR_LIST_RESULTS,
    "Phase Noise Spur List Results",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "FETC:PNO{Trace}:SPUR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1999.232666,-0.639974,6494.312500,-0.760579,19992.324219,-0.639974",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SPUR_LIST_DISCRETE_JITTER =
  {
    RSFPL_ATTR_PHASE_NOISE_SPUR_LIST_DISCRETE_JITTER,
    "Phase Noise Spur List Discrete Jitter",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FETC:PNO{Trace}:SPUR:DISC?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.3e-08,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    rsfpl_SpurList_Real64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SPUR_LIST_RANDOM_JITTER =
  {
    RSFPL_ATTR_PHASE_NOISE_SPUR_LIST_RANDOM_JITTER,
    "Phase Noise Spur List Random Jitter",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FETC:PNO{Trace}:SPUR:RAND?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    2.3e-08,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    rsfpl_SpurList_Real64_ReadCallback,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_TRACE_MEASURED_FREQUENCY =
  {
    RSFPL_ATTR_PHASE_NOISE_TRACE_MEASURED_FREQUENCY,
    "Phase Noise Trace Measured Frequency",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FETC:PNO{Trace}:MEAS:FREQ?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_TRACE_MEASURED_LEVEL =
  {
    RSFPL_ATTR_PHASE_NOISE_TRACE_MEASURED_LEVEL,
    "Phase Noise Trace Measured Level",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "FETC:PNO{Trace}:MEAS:LEV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    1,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_START =
  {
    RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_START,
    "Phase Noise Sweep Result List Start",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "FETC:PNO:SWE:STAR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1000,3000,10000,30000,100000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_STOP =
  {
    RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_STOP,
    "Phase Noise Sweep Result List Stop",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "FETC:PNO:SWE:STOP?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "3000,10000,30000,100000,300000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_SAMPLING_RATE =
  {
    RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_SAMPLING_RATE,
    "Phase Noise Sweep Result List Sampling Rate",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "FETC:PNO:SWE:SRAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "25000,75000,250000,750000,2500000",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_AVERAGES =
  {
    RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_AVERAGES,
    "Phase Noise Sweep Result List Averages",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "FETC:PNO:SWE:AVG?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "10,10,10,10,10",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_FREQUENCY_DRIFT =
  {
    RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_FREQUENCY_DRIFT,
    "Phase Noise Sweep Result List Frequency Drift",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "FETC:PNO:SWE:FDR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "-203.565049124882,-198.254803592339,-179.608235809952,-126.506989398971,-95.0386250484735",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_LEVEL_DRIFT =
  {
    RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_LEVEL_DRIFT,
    "Phase Noise Sweep Result List Level Drift",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "FETC:PNO:SWE:LDR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0.84823463324,6.55278904401,1.02393361087,2.10021296216,5.28119567376",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_MAX_DRIFT =
  {
    RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_MAX_DRIFT,
    "Phase Noise Sweep Result List Max Drift",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "FETC:PNO:SWE:MDR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "2.17,11.45,105.11,219.37,553.48",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    "K40",
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_FILE_NAME_COMMENT =
  {
    RSFPL_ATTR_DATA_FILE_NAME_COMMENT,
    "Data File Name Comment",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:COMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "comment",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_FILE_NAME =
  {
    RSFPL_ATTR_DATA_FILE_NAME,
    "Data File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:NAME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_DECIMAL_SEPARATOR =
  {
    RSFPL_ATTR_DATA_DECIMAL_SEPARATOR,
    "Data Decimal Separator",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngDecimalSeparator, NULL, NULL,
    "FORM:DEXP:DSEP",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_SEPARATOR_POINT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_X_VALUE_DISTRIBUTION =
  {
    RSFPL_ATTR_DATA_X_VALUE_DISTRIBUTION,
    "Data X Value Distribution",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    &RsFpl_rngXDistribution, NULL, NULL,
    "FORM:DEXP:XDIS",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_X_DISTRIBUTION_START_STOP,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_SELECTED_STORAGE_DEVICE =
  {
    RSFPL_ATTR_DATA_SELECTED_STORAGE_DEVICE,
    "Data Selected Storage Device",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:MSIS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C:",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_SELECTED_DIRECTORY =
  {
    RSFPL_ATTR_DATA_SELECTED_DIRECTORY,
    "Data Selected Directory",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:CDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "dir",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_DELETE =
  {
    RSFPL_ATTR_DATA_DELETE,
    "Data Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:DEL:IMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_CREATE_DIRECTORY =
  {
    RSFPL_ATTR_DATA_CREATE_DIRECTORY,
    "Data Create Directory",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:MDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "dir",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_DELETE_DIRECTORY =
  {
    RSFPL_ATTR_DATA_DELETE_DIRECTORY,
    "Data Delete Directory",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:RDIR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "dir",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_NETWORK_UNUSED_DRIVES =
  {
    RSFPL_ATTR_DATA_NETWORK_UNUSED_DRIVES,
    "Data Network Unused Drives",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:NETW:UNUS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "t:",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_NETWORK_USED_DRIVES =
  {
    RSFPL_ATTR_DATA_NETWORK_USED_DRIVES,
    "Data Network Used Drives",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:NETW:USED?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "e:",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_DEFAULT =
  {
    RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_DEFAULT,
    "Items To Store Instrument Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MMEM:SEL:DEF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_ALL =
  {
    RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_ALL,
    "Items To Store Instrument All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MMEM:SEL:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_NONE =
  {
    RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_NONE,
    "Items To Store Instrument None",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MMEM:SEL:NONE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_HW_SETTINGS_ENABLED =
  {
    RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_HW_SETTINGS_ENABLED,
    "Items To Store Instrument HW Settings Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:SEL:HWS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_LIMIT_LINES_ENABLED =
  {
    RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_LIMIT_LINES_ENABLED,
    "Items To Store Instrument Limit Lines Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:SEL:LIN:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_SPECTROGRAM_DATA_ENABLED =
  {
    RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_SPECTROGRAM_DATA_ENABLED,
    "Items To Store Instrument Spectrogram Data Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:SEL:SPEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_TRACE_DATA_ENABLED =
  {
    RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_TRACE_DATA_ENABLED,
    "Items To Store Instrument Trace Data Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:SEL:TRAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_TRANSDUCER_FACTORS_ENABLED =
  {
    RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_TRANSDUCER_FACTORS_ENABLED,
    "Items To Store Instrument Transducer Factors Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:SEL:TRAN:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_SOURCE_CALIBRATION_DATA =
  {
    RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_SOURCE_CALIBRATION_DATA,
    "Items To Store Instrument Source Calibration Data",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:SEL:SCD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_DEFAULT =
  {
    RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_DEFAULT,
    "Items To Store Channel Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MMEM:SEL:CHAN:DEF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_ALL =
  {
    RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_ALL,
    "Items To Store Channel All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MMEM:SEL:CHAN:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_NONE =
  {
    RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_NONE,
    "Items To Store Channel None",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MMEM:SEL:CHAN:NONE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_HW_SETTINGS_ENABLED =
  {
    RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_HW_SETTINGS_ENABLED,
    "Items To Store Channel HW Settings Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:SEL:CHAN:HWS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_LIMIT_LINES_ENABLED =
  {
    RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_LIMIT_LINES_ENABLED,
    "Items To Store Channel Limit Lines Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:SEL:CHAN:LIN:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_SPECTROGRAM_DATA_ENABLED =
  {
    RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_SPECTROGRAM_DATA_ENABLED,
    "Items To Store Channel Spectrogram Data Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:SEL:CHAN:SPEC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_TRACE_DATA_ENABLED =
  {
    RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_TRACE_DATA_ENABLED,
    "Items To Store Channel Trace Data Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:SEL:CHAN:TRAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_TRANSDUCER_FACTORS_ENABLED =
  {
    RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_TRANSDUCER_FACTORS_ENABLED,
    "Items To Store Channel Transducer Factors Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:SEL:CHAN:TRAN:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_SOURCE_CALIBRATION_DATA =
  {
    RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_SOURCE_CALIBRATION_DATA,
    "Items To Store Channel Source Calibration Data",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "MMEM:SEL:CHAN:SCD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_INSTRUMENT_SETTINGS_MODE =
  {
    RSFPL_ATTR_DATA_INSTRUMENT_SETTINGS_MODE,
    "Data Instrument Settings Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngInstrumentSettingsMode, NULL, NULL,
    "MMEM:STOR:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_SETTINGS_INSTRUMENT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_INSTRUMENT_SETTINGS_DELETE_ALL =
  {
    RSFPL_ATTR_DATA_INSTRUMENT_SETTINGS_DELETE_ALL,
    "Data Instrument Settings Delete All",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MMEM:CLE:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_INSTRUMENT_SETTINGS_RECALL_MODE =
  {
    RSFPL_ATTR_DATA_INSTRUMENT_SETTINGS_RECALL_MODE,
    "Data Instrument Settings Recall Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngDataInstrumentSettingsRecallMode, NULL, NULL,
    "MMEM:LOAD:TYPE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_RECALL_MODE_NEW,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_INSTRUMENT_SETTINGS_SAVE_NEXT =
  {
    RSFPL_ATTR_DATA_INSTRUMENT_SETTINGS_SAVE_NEXT,
    "Data Instrument Settings Save Next",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "MMEM:STOR:STAT:NEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_ABORT =
  {
    RSFPL_ATTR_HCOPY_ABORT,
    "Hcopy Abort",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "HCOP:ABOR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_MODE =
  {
    RSFPL_ATTR_HCOPY_MODE,
    "Hcopy Mode",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngHCopyMode, NULL, NULL,
    "HCOP:MODE",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_HCOPY_MODE_SCREEN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_PRINT =
  {
    RSFPL_ATTR_HCOPY_PRINT,
    "Hcopy Print",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "HCOPy:IMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_PRINT_NEXT =
  {
    RSFPL_ATTR_HCOPY_PRINT_NEXT,
    "Hcopy Print Next",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "HCOPy:NEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_CONTENT_TYPE =
  {
    RSFPL_ATTR_HCOPY_CONTENT_TYPE,
    "Hcopy Content Type",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngHcopyContent, NULL, NULL,
    "HCOP:CONT",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_HCOPY_HCOPY,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_COMMENT =
  {
    RSFPL_ATTR_HCOPY_COMMENT,
    "Hcopy Comment",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "HCOP:ITEM:WIND:TEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "comment",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_LOGO_ENABLED =
  {
    RSFPL_ATTR_HCOPY_LOGO_ENABLED,
    "Hcopy Logo Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "DISP:LOGO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_PAGE_COUNT_ENABLED =
  {
    RSFPL_ATTR_HCOPY_PAGE_COUNT_ENABLED,
    "Hcopy Page Count Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:PAGE:COUN:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_DATE_AND_TIME_ENABLED =
  {
    RSFPL_ATTR_HCOPY_DATE_AND_TIME_ENABLED,
    "Hcopy Date And Time Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:TDST:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_DESTINATION =
  {
    RSFPL_ATTR_HCOPY_DESTINATION,
    "Hcopy Destination",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngHcopyDevice, NULL, NULL,
    "HCOP:DEST",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_HCOPY_DEVICE_MEM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_SELECTED_PRINTER =
  {
    RSFPL_ATTR_HCOPY_SELECTED_PRINTER,
    "Hcopy Selected Printer",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:PRIN:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "NONE",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_FILE_FORMAT =
  {
    RSFPL_ATTR_HCOPY_FILE_FORMAT,
    "Hcopy File Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngHcopyFileFormat, NULL, NULL,
    "HCOP:DEV:LANG",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_HCOPY_FORMAT_PNG,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_FIRST_PRINTER =
  {
    RSFPL_ATTR_HCOPY_FIRST_PRINTER,
    "Hcopy First Printer",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:PRIN:ENUM:FIRS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "First Printer",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_NEXT_PRINTER =
  {
    RSFPL_ATTR_HCOPY_NEXT_PRINTER,
    "Hcopy Next Printer",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:COMM:PRIN:ENUM?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Next Printer",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_PAGE_ORIENTATION =
  {
    RSFPL_ATTR_HCOPY_PAGE_ORIENTATION,
    "Hcopy Page Orientation",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPageOrientation, NULL, NULL,
    "HCOP:PAGE:ORI",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_PAGE_ORIENTATION_PORTRAIT,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_WINDOWS_PER_PAGE =
  {
    RSFPL_ATTR_HCOPY_WINDOWS_PER_PAGE,
    "Hcopy Windows Per Page",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "HCOP:PAGE:WIND:COUN",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_PAGE_SCALE_TO_FIT_ENABLED =
  {
    RSFPL_ATTR_HCOPY_PAGE_SCALE_TO_FIT_ENABLED,
    "Hcopy Page Scale To Fit Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:PAGE:WIND:SCAL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_PAGE_MARGIN_UNIT =
  {
    RSFPL_ATTR_HCOPY_PAGE_MARGIN_UNIT,
    "Hcopy Page Margin Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPageMarginUnit, NULL, NULL,
    "HCOP:PAGE:MARG:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_PAGE_MARGIN_MM,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_PAGE_MARGIN_BOTTOM =
  {
    RSFPL_ATTR_HCOPY_PAGE_MARGIN_BOTTOM,
    "Hcopy Page Margin Bottom",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "HCOP:PAGE:MARG:BOTT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.23,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_PAGE_MARGIN_LEFT =
  {
    RSFPL_ATTR_HCOPY_PAGE_MARGIN_LEFT,
    "Hcopy Page Margin Left",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "HCOP:PAGE:MARG:LEFT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.23,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_PAGE_MARGIN_RIGHT =
  {
    RSFPL_ATTR_HCOPY_PAGE_MARGIN_RIGHT,
    "Hcopy Page Margin Right",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "HCOP:PAGE:MARG:RIGH",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.23,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_PAGE_MARGIN_TOP =
  {
    RSFPL_ATTR_HCOPY_PAGE_MARGIN_TOP,
    "Hcopy Page Margin Top",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "HCOP:PAGE:MARG:TOP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    4.23,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HCOPY_COLOR_PRINTING_ENABLED =
  {
    RSFPL_ATTR_HCOPY_COLOR_PRINTING_ENABLED,
    "Hcopy Color Printing Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:DEV:COL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_RESULTS_HEADER_ENABLED =
  {
    RSFPL_ATTR_DATA_RESULTS_HEADER_ENABLED,
    "Data Results Header Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "FORM:DEXP:HEAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_RESULTS_FILE_FORMAT =
  {
    RSFPL_ATTR_DATA_RESULTS_FILE_FORMAT,
    "Data Results File Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngResultsFileFormat, NULL, NULL,
    "FORM:DEXP:FORM",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_RESULT_FILE_CSV,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_RESULTS_INCLUDED_DATA_EXPORT =
  {
    RSFPL_ATTR_DATA_RESULTS_INCLUDED_DATA_EXPORT,
    "Data Results Included Data Export",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngIncludedData, NULL, NULL,
    "FORM:DEXP:TRAC",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_INCLUDED_DATA_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_RESULTS_INCLUDED_DATA_IMPORT =
  {
    RSFPL_ATTR_DATA_RESULTS_INCLUDED_DATA_IMPORT,
    "Data Results Included Data Import",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngIncludedData, NULL, NULL,
    "FORM:DIMP:TRAC",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_INCLUDED_DATA_ALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_RESULTS_EXPORT_MARKER_PEAK_LIST_SPURIOUS =
  {
    RSFPL_ATTR_DATA_RESULTS_EXPORT_MARKER_PEAK_LIST_SPURIOUS,
    "Data Results Export Marker Peak List Spurious",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:STOR:SPUR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "spurious",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_RESULTS_EXPORT_SPURIOUS_EMISSION_LIST =
  {
    RSFPL_ATTR_DATA_RESULTS_EXPORT_SPURIOUS_EMISSION_LIST,
    "Data Results Export Spurious Emission List",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:STOR{Window}:LIST",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "list.dat",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_RESULTS_EXPORT_MARKER_PEAK_LIST =
  {
    RSFPL_ATTR_DATA_RESULTS_EXPORT_MARKER_PEAK_LIST,
    "Data Results Export Marker Peak List",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:STOR{Window}:PEAK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "peaklist",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DATA_RESULTS_EXPORT_SPECTROGRAM_DATA =
  {
    RSFPL_ATTR_DATA_RESULTS_EXPORT_SPECTROGRAM_DATA,
    "Data Results Export Spectrogram Data",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:STOR{Window}:SGR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "sgram",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_PAGE_FORMAT =
  {
    RSFPL_ATTR_TEST_REPORT_TEMPLATE_PAGE_FORMAT,
    "Test Report Template Page Format",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngPageFormat, NULL, NULL,
    "HCOP:TREP:PAG",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_PAGE_FORMAT_A4,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_PRINTER_FRIENDLY_COLORS_ENABLED =
  {
    RSFPL_ATTR_TEST_REPORT_TEMPLATE_PRINTER_FRIENDLY_COLORS_ENABLED,
    "Test Report Template Printer Friendly Colors Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:TREP:PCOL:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_INCLUDE_DATE =
  {
    RSFPL_ATTR_TEST_REPORT_TEMPLATE_INCLUDE_DATE,
    "Test Report Template Include Date",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:TREP:TDST:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_INCLUDE_PAGE_COUNT =
  {
    RSFPL_ATTR_TEST_REPORT_TEMPLATE_INCLUDE_PAGE_COUNT,
    "Test Report Template Include Page Count",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:TREP:PAG:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_RAW_DATA_STORAGE =
  {
    RSFPL_ATTR_TEST_REPORT_TEMPLATE_RAW_DATA_STORAGE,
    "Test Report Template Raw Data Storage",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:RAW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C:\\Users\\Public\\Documents\\Rohde-Schwarz\\Analyzer\\user",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_TITLE_PAGE_LINE_TITLE =
  {
    RSFPL_ATTR_TEST_REPORT_TEMPLATE_TITLE_PAGE_LINE_TITLE,
    "Test Report Template Title Page Line Title",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "HCOP:TREP:ITEM:HEAD:LINE{HeaderLine}:TITL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Heading",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_TITLE_PAGE_LINE_VALUE =
  {
    RSFPL_ATTR_TEST_REPORT_TEMPLATE_TITLE_PAGE_LINE_VALUE,
    "Test Report Template Title Page Line Value",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "HCOP:TREP:ITEM:HEAD:LINE{HeaderLine}:TEXT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Value",
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_TITLE_PAGE_LINE_VISIBILITY =
  {
    RSFPL_ATTR_TEST_REPORT_TEMPLATE_TITLE_PAGE_LINE_VISIBILITY,
    "Test Report Template Title Page Line Visibility",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngHeaderLineVisibility, NULL, NULL,
    "HCOP:TREP:ITEM:HEAD:LINE{HeaderLine}:CONT",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_TEST_REPORT_ITEM_VISIBILITY_NEVER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_TRUE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_TITLE_PAGE_LOGO =
  {
    RSFPL_ATTR_TEST_REPORT_TEMPLATE_TITLE_PAGE_LOGO,
    "Test Report Template Title Page Logo",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "HCOP:TREP:ITEM:LOGO",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "C:\\aPicture.jpg",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_TITLE_PAGE_LOGO_VISIBILITY =
  {
    RSFPL_ATTR_TEST_REPORT_TEMPLATE_TITLE_PAGE_LOGO_VISIBILITY,
    "Test Report Template Title Page Logo Visibility",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngTitlePageLogoVisibility, NULL, NULL,
    "HCOP:TREP:ITEM:LOGO:CONT",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_TEST_REPORT_ITEM_VISIBILITY_NEVER,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_SELECTED_ITEMS =
  {
    RSFPL_ATTR_TEST_REPORT_TEMPLATE_SELECTED_ITEMS,
    "Test Report Template Selected Items",
    RS_VAL_WRITE_ONLY,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "HCOP:TREP:ITEM:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "SAN,\'DIAG,MARK,PEAK,RSUM,SETT,SPEC\'",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_CATALOGUE =
  {
    RSFPL_ATTR_TEST_REPORT_TEMPLATE_CATALOGUE,
    "Test Report Template Catalogue",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "HCOP:TREP:ITEM:TEMP:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "TemplateX, TemplateY, TemplateZ",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HIDDEN_TEST_REPORT_TEMPLATE_SAVE =
  {
    RSFPL_ATTR_HIDDEN_TEST_REPORT_TEMPLATE_SAVE,
    "Hidden Test Report Template Save",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "HCOP:TREP:ITEM:TEMP:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "myTemplate",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HIDDEN_TEST_REPORT_TEMPLATE_LOAD =
  {
    RSFPL_ATTR_HIDDEN_TEST_REPORT_TEMPLATE_LOAD,
    "Hidden Test Report Template Load",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "HCOP:TREP:ITEM:TEMP:LOAD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "myTemplate",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HIDDEN_TEST_REPORT_TEMPLATE_DELETE =
  {
    RSFPL_ATTR_HIDDEN_TEST_REPORT_TEMPLATE_DELETE,
    "Hidden Test Report Template Delete",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "HCOP:TREP:ITEM:TEMP:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "myTemplate",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TEST_REPORT_RESTORE_DEFAULTS =
  {
    RSFPL_ATTR_TEST_REPORT_RESTORE_DEFAULTS,
    "Test Report Restore Defaults",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "HCOP:TREP:ITEM:DEF",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TEST_REPORT_NEW =
  {
    RSFPL_ATTR_TEST_REPORT_NEW,
    "Test Report New",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "HCOP:TREP:NEW",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TEST_REPORT_APPEND =
  {
    RSFPL_ATTR_TEST_REPORT_APPEND,
    "Test Report Append",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "HCOP:TREP:APP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TEST_REPORT_INCLUDE_USER_DEFINED_INFORMATION =
  {
    RSFPL_ATTR_TEST_REPORT_INCLUDE_USER_DEFINED_INFORMATION,
    "Test Report Include User-Defined Information",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:TREP:ITEM:HEAD:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_TRUE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_INCLUDE_TITLE_PAGE =
  {
    RSFPL_ATTR_TEST_REPORT_TEMPLATE_INCLUDE_TITLE_PAGE,
    "Test Report Include Title Page",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "HCOP:TREP:TITL:STAT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TEST_REPORT_TITLE =
  {
    RSFPL_ATTR_TEST_REPORT_TITLE,
    "Test Report Title",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "HCOP:TREP:TITL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "My first test report",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TEST_REPORT_DESCRIPTION =
  {
    RSFPL_ATTR_TEST_REPORT_DESCRIPTION,
    "Test Report Description",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "HCOP:TREP:DESC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "A short summary of the test report.",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TEST_REPORT_ITEM_LIST =
  {
    RSFPL_ATTR_TEST_REPORT_ITEM_LIST,
    "Test Report Item List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "HCOP:TREP:ITEM:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "DIAG,MARK,PEAK,RSUM,SETT,SPEC",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_HIDDEN_TEST_REPORT_REMOVE_SET =
  {
    RSFPL_ATTR_HIDDEN_TEST_REPORT_REMOVE_SET,
    "Hidden Test Report Remove Set",
    RS_VAL_WRITE_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "HCOP:TREP:TEST:REM",
    // Defaults I32, I64, Float, Bool, String
    1,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TEST_REPORT_REMOVE_ALL_SETS =
  {
    RSFPL_ATTR_TEST_REPORT_REMOVE_ALL_SETS,
    "Test Report Remove All Sets",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "HCOP:TREP:TEST:REM:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRANSDUCER_FACTOR_CATALOG =
  {
    RSFPL_ATTR_TRANSDUCER_FACTOR_CATALOG,
    "Transducer Factor Catalog",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:TRAN:CAT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "catalog",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SELECTED_TRANSDUCER_FACTOR =
  {
    RSFPL_ATTR_SELECTED_TRANSDUCER_FACTOR,
    "Selected Transducer Factor",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:TRAN:SEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Cor1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRANSDUCER_FACTOR_SCALING =
  {
    RSFPL_ATTR_TRANSDUCER_FACTOR_SCALING,
    "Transducer Factor Scaling",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngLinLog, NULL, NULL,
    "CORR:TRAN:SCAL",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_LIN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRANSDUCER_FACTOR_UNIT =
  {
    RSFPL_ATTR_TRANSDUCER_FACTOR_UNIT,
    "Transducer Factor Unit",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngTFacUnit, NULL, NULL,
    "CORR:TRAN:UNIT",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_TFAC_UNIT_DB,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    rsfpl_quotedInt_ReadCallback,
    rsfpl_quotedInt_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRANSDUCER_FACTOR_COMMENT =
  {
    RSFPL_ATTR_TRANSDUCER_FACTOR_COMMENT,
    "Transducer Factor Comment",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:TRAN:COMM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "comment",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRANSDUCER_FACTOR_ENABLED =
  {
    RSFPL_ATTR_TRANSDUCER_FACTOR_ENABLED,
    "Transducer Factor Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CORR:TRAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRANSDUCER_FACTOR_REF_LEVEL_AUTO_ADJUST_ENABLED =
  {
    RSFPL_ATTR_TRANSDUCER_FACTOR_REF_LEVEL_AUTO_ADJUST_ENABLED,
    "Transducer Factor Reference Level Auto Adjust Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CORR:TRAN:ADJ:RLEV",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_TRANSDUCER_FACTOR_IMPORT =
  {
    RSFPL_ATTR_TRANSDUCER_FACTOR_IMPORT,
    "Transducer Factor Import",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "MMEM:LOAD:TFAC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "test",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_DELETE_TRANSDUCER_FACTOR =
  {
    RSFPL_ATTR_DELETE_TRANSDUCER_FACTOR,
    "Delete Transducer Factor",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CORR:TRAN:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GENERAL_REFERENCE_OSCILLATOR_SOURCE =
  {
    RSFPL_ATTR_GENERAL_REFERENCE_OSCILLATOR_SOURCE,
    "General Reference Oscillator Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngROSCSource, NULL, NULL,
    "ROSC:SOUR",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_ROSC_INTERNAL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GENERAL_REFERENCE_OSCILLATOR_OUTPUT_100_MHZ_ENABLED =
  {
    RSFPL_ATTR_GENERAL_REFERENCE_OSCILLATOR_OUTPUT_100_MHZ_ENABLED,
    "General Reference Oscillator Output 100 MHz Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "ROSC:O100",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GENERAL_SELF_TEST =
  {
    RSFPL_ATTR_GENERAL_SELF_TEST,
    "General Self Test",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "*TST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GENERAL_REMOTE_LOGGING_ENABLED =
  {
    RSFPL_ATTR_GENERAL_REMOTE_LOGGING_ENABLED,
    "General Remote Logging Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:CLOG",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GENERAL_DISPLAY_LANGUAGE =
  {
    RSFPL_ATTR_GENERAL_DISPLAY_LANGUAGE,
    "General Display Language",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngGeneralDisplayLanguage, NULL, NULL,
    "SYST:DISP:LANG",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_DISPLAY_LANGUAGE_EN,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    rsfpl_quotedInt_WriteCallback,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GENERAL_RESET_REVISION_TO_FACTORY_DEFAULT =
  {
    RSFPL_ATTR_GENERAL_RESET_REVISION_TO_FACTORY_DEFAULT,
    "General Reset Revision To Factory Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:REV:FACT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GENERAL_RESET_IDN_QUERY_TO_FACTORY_DEFAULT =
  {
    RSFPL_ATTR_GENERAL_RESET_IDN_QUERY_TO_FACTORY_DEFAULT,
    "General Reset IDN Query To Factory Default",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:IDEN:FACT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GENERAL_GET_IDN_STRING_FACTORY =
  {
    RSFPL_ATTR_GENERAL_GET_IDN_STRING_FACTORY,
    "General Get IDN String Factory",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "SYST:IDEN:FACT?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GENERAL_IDN_QUERY_STRING =
  {
    RSFPL_ATTR_GENERAL_IDN_QUERY_STRING,
    "General IDN Query String",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:IDEN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz,FPL,<Unique number>",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GENERAL_LOCAL_LOCKOUT_ENABLED =
  {
    RSFPL_ATTR_GENERAL_LOCAL_LOCKOUT_ENABLED,
    "General Local Lockout Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:KLOC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GENERAL_LXI_INFO =
  {
    RSFPL_ATTR_GENERAL_LXI_INFO,
    "General LXI Info",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:LXI:INFO?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "info",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GENERAL_LXI_LAN_RESET =
  {
    RSFPL_ATTR_GENERAL_LXI_LAN_RESET,
    "General LXI LAN Reset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:LXI:LANR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GENERAL_LXI_INSTRUMENT_DESCRIPTION =
  {
    RSFPL_ATTR_GENERAL_LXI_INSTRUMENT_DESCRIPTION,
    "General LXI Instrument Description",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:LXI:MDES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "instrument",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GENERAL_LXI_PASSWORD =
  {
    RSFPL_ATTR_GENERAL_LXI_PASSWORD,
    "General LXI Password",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:LXI:PASS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "password",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GENERAL_DISPLAY_UPDATE_ENABLED =
  {
    RSFPL_ATTR_GENERAL_DISPLAY_UPDATE_ENABLED,
    "General Display Update Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:DISP:UPD",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GENERAL_DISPLAY_LOCK_ENABLED =
  {
    RSFPL_ATTR_GENERAL_DISPLAY_LOCK_ENABLED,
    "General Display Lock Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:DISP:LOCK",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GENERAL_DISPLAY_ERROR_ENABLED =
  {
    RSFPL_ATTR_GENERAL_DISPLAY_ERROR_ENABLED,
    "General Display Error Enabled",
    RS_VAL_READ_WRITE,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "SYST:ERR:DISP",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GENERAL_SYSTEM_DATE =
  {
    RSFPL_ATTR_GENERAL_SYSTEM_DATE,
    "General System Date",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SYST:DATE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "2021,1,1",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GENERAL_SYSTEM_TIME =
  {
    RSFPL_ATTR_GENERAL_SYSTEM_TIME,
    "General System Time",
    RS_VAL_READ_WRITE,
    RS_VAL_RAWSTRING,
    NULL, NULL, NULL,
    "SYST:TIME",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0,0,0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SYST_ERR =
  {
    RSFPL_ATTR_SYST_ERR,
    "System Error",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CALIBRATE =
  {
    RSFPL_ATTR_CALIBRATE,
    "Calibrate",
    RS_VAL_READ_ONLY,
    RS_VAL_INT32,
    NULL, NULL, NULL,
    "*CAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_WAIT_FOR_OPC,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CALIBRATE_ALL =
  {
    RSFPL_ATTR_CALIBRATE_ALL,
    "Calibrate All",
    RS_VAL_READ_ONLY,
    RS_VAL_BOOLEAN,
    NULL, NULL, NULL,
    "CAL?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CALIBRATION_RESULT =
  {
    RSFPL_ATTR_CALIBRATION_RESULT,
    "Calibration Result",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CAL:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Total Calibration Status: PASSED, Date (dd/mm/yyyy): 12/07/2004, Time: 16:24:54,Runtime: 00.06",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CALIBRATION_SIGNAL_FREQUENCY =
  {
    RSFPL_ATTR_CALIBRATION_SIGNAL_FREQUENCY,
    "Calibration Signal Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DIAG:SERV:INP:PULS:CFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    50.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CALIBRATION_SIGNAL_BANDWIDTH =
  {
    RSFPL_ATTR_CALIBRATION_SIGNAL_BANDWIDTH,
    "Calibration Signal Bandwidth",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngCalibrationSignalBandwidth, NULL, NULL,
    "DIAG:SERV:INP:RF",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_CAL_SIGNAL_BWID_NARROWBAND,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CALIBRATION_INPUT_SOURCE =
  {
    RSFPL_ATTR_CALIBRATION_INPUT_SOURCE,
    "Calibration Input Source",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngCalibrationInputSource, NULL, NULL,
    "DIAG:SERV:INP",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_INPUT_RF,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CALIBRATION_SIGNAL_FREQUENCY_43_MHZ_PLUS =
  {
    RSFPL_ATTR_CALIBRATION_SIGNAL_FREQUENCY_43_MHZ_PLUS,
    "Calibration Signal Frequency 43 MHz Plus",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DIAG:SERV:INP:MC:CFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    8.004e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CALIBRATION_SIGNAL_PEAK_DISTANCE =
  {
    RSFPL_ATTR_CALIBRATION_SIGNAL_PEAK_DISTANCE,
    "Calibration Signal Peak Distance",
    RS_VAL_READ_WRITE,
    RS_VAL_INT32,
    &RsFpl_rngCalibrationSignalPeakDistance, NULL, NULL,
    "DIAG:SERV:INP:MC",
    // Defaults I32, I64, Float, Bool, String
    RSFPL_VAL_PEAK_DISTANCE_SMALL,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CALIBRATION_SIGNAL_FREQUENCY_7_GHZ_PLUS =
  {
    RSFPL_ATTR_CALIBRATION_SIGNAL_FREQUENCY_7_GHZ_PLUS,
    "Calibration Signal Frequency 7 GHz Plus",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DIAG:SERV:INP:PULS:MCFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    7.0e9,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CALIBRATION_SIGNAL_WIDEBAND_FREQUENCY =
  {
    RSFPL_ATTR_CALIBRATION_SIGNAL_WIDEBAND_FREQUENCY,
    "Calibration Signal Wideband Frequency",
    RS_VAL_READ_WRITE,
    RS_VAL_REAL64,
    NULL, NULL, &RsFpl_rngCalibrationSignalWidebandFrequency,
    "DIAG:SERV:INP:PULS:WBFR",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    16.0e6,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_FRONTEND_TEMPERATURE =
  {
    RSFPL_ATTR_FRONTEND_TEMPERATURE,
    "Frontend Temperature",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "SOUR:TEMP:FRON?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SERVICE_STEST_RESULTS =
  {
    RSFPL_ATTR_SERVICE_STEST_RESULTS,
    "Self Test Results",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIAG:SERV:STES:RES?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Total Selftest Status: PASSED",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_RECALL_CALIBRATION =
  {
    RSFPL_ATTR_RECALL_CALIBRATION,
    "Recall Calibration",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "CORR:REC",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SAVE_CALIBRATION =
  {
    RSFPL_ATTR_SAVE_CALIBRATION,
    "Save Calibration",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "savefilepath",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_CALIBRATION_SAVE_FILE_PATH =
  {
    RSFPL_ATTR_CALIBRATION_SAVE_FILE_PATH,
    "Calibration Save File Path",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "CORR:SAVE?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "savefilepath",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SERVICE_FUNCTION =
  {
    RSFPL_ATTR_SERVICE_FUNCTION,
    "Service Function",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIAG:SERV:SFUN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "1.2.3.4.5",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SERVICE_FUNCTION_LAST_RESULT =
  {
    RSFPL_ATTR_SERVICE_FUNCTION_LAST_RESULT,
    "Service Function Last Result",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIAG:SERV:SFUN:LAST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "result",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SERVICE_FUNCTION_DELETE_LAST_RESULT =
  {
    RSFPL_ATTR_SERVICE_FUNCTION_DELETE_LAST_RESULT,
    "Service Function Delete Last Result",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "DIAG:SERV:SFUN:RES:DEL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SERVICE_FUNCTION_RESULT_FILE_NAME =
  {
    RSFPL_ATTR_SERVICE_FUNCTION_RESULT_FILE_NAME,
    "Service Function Result File Name",
    RS_VAL_READ_WRITE,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIAG:SERV:SFUN:RES:SAVE",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "file",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SERVICE_SYSTEM_INFORMATION_FILE_PATH =
  {
    RSFPL_ATTR_SERVICE_SYSTEM_INFORMATION_FILE_PATH,
    "Service System Information File Path",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIAG:SERV:SINF?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "path",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SERVICE_FUNCTION_RESET_PASSWORD =
  {
    RSFPL_ATTR_SERVICE_FUNCTION_RESET_PASSWORD,
    "Service Function Reset Password",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:PASS:RES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SERVICE_FUNCTION_PASSWORD =
  {
    RSFPL_ATTR_SERVICE_FUNCTION_PASSWORD,
    "Service Function Password",
    RS_VAL_WRITE_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:PASS",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "password",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SYSTEM_BIOS_INFO =
  {
    RSFPL_ATTR_SYSTEM_BIOS_INFO,
    "System BIOS Info",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIAG:SERV:BIOS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "bios_version",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SYSTEM_HW_INFO =
  {
    RSFPL_ATTR_SYSTEM_HW_INFO,
    "System HW Info",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIAG:SERV:HWIN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "hwinfo",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SYSTEM_VERSION_INFO =
  {
    RSFPL_ATTR_SYSTEM_VERSION_INFO,
    "System Version Info",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "DIAG:SERV:VERS?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "version_info",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SYSTEM_BATTERY_LEVEL =
  {
    RSFPL_ATTR_SYSTEM_BATTERY_LEVEL,
    "System Battery Level",
    RS_VAL_READ_ONLY,
    RS_VAL_REAL64,
    NULL, NULL, NULL,
    "DIAG:SERV:BATT:LEV?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_STATUS_PRESET =
  {
    RSFPL_ATTR_STATUS_PRESET,
    "Status Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "STAT:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SYSTEM_CLEAR_ERRORS =
  {
    RSFPL_ATTR_SYSTEM_CLEAR_ERRORS,
    "Clear Errors",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:ERR:CLE:ALL",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SYSTEM_ERROR_LIST =
  {
    RSFPL_ATTR_SYSTEM_ERROR_LIST,
    "System Error List",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "SYST:ERR:LIST?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "0",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SYSTEM_CLEAR_REMOTE_ERRORS_TABLE =
  {
    RSFPL_ATTR_SYSTEM_CLEAR_REMOTE_ERRORS_TABLE,
    "Clear Remote Errors Table",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:ERR:CLE:REM",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_ID_QUERY_RESPONSE =
  {
    RSFPL_ATTR_ID_QUERY_RESPONSE,
    "ID Query Response",
    RS_VAL_READ_ONLY,
    RS_VAL_STRING,
    NULL, NULL, NULL,
    "*IDN?",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    "Rohde&Schwarz,FSW-26,1312.8000K26/100005,1.30",
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_SYSTEM_PRESET =
  {
    RSFPL_ATTR_SYSTEM_PRESET,
    "Preset",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:PRES",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_PRESET_CHANNEL =
  {
    RSFPL_ATTR_PRESET_CHANNEL,
    "Preset Channel",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:PRES:CHAN",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    0,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GENERAL_REBOOT =
  {
    RSFPL_ATTR_GENERAL_REBOOT,
    "General Reboot",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:REB",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };

RsCoreAttribute  g_RSFPL_ATTR_GENERAL_SHUTDOWN =
  {
    RSFPL_ATTR_GENERAL_SHUTDOWN,
    "General Shutdown",
    RS_VAL_WRITE_ONLY,
    RS_VAL_EVENT,
    NULL, NULL, NULL,
    "SYST:SHUT",
    // Defaults I32, I64, Float, Bool, String
    0,
    0,
    0.0,
    VI_FALSE,
    NULL,
    // Flags, HasRepCaps
    RS_VAL_DONT_CHECK_STATUS,
    VI_FALSE,
    // Models, Options
    NULL,
    NULL,
    // Callbacks Read, Write, p2Value
    NULL,
    NULL,
    NULL,
  };


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

ViInt32 rsfpl_RsCoreAttributeListLength = 1313;

RsCoreAttributePtr rsfpl_RsCoreAttributeList[1313] =
  {
    &g_RS_ATTR_RANGE_CHECK,
    &g_RS_ATTR_QUERY_INSTRUMENT_STATUS,
    &g_RS_ATTR_SIMULATE,
    &g_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
    &g_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
    &g_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
    &g_RS_ATTR_SPECIFIC_DRIVER_REVISION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
    &g_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
    &g_RS_ATTR_GROUP_CAPABILITIES,
    &g_RS_ATTR_FUNCTION_CAPABILITIES,
    &g_RS_ATTR_CHANNEL_COUNT,
    &g_RS_ATTR_DRIVER_SETUP,
    &g_RS_ATTR_INSTRUMENT_MANUFACTURER,
    &g_RS_ATTR_INSTRUMENT_MODEL,
    &g_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
    &g_RS_ATTR_OPTIONS_LIST,
    &g_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
    &g_RS_ATTR_LOGICAL_NAME,
    &g_RS_ATTR_PRIMARY_ERROR,
    &g_RS_ATTR_SECONDARY_ERROR,
    &g_RS_ATTR_ERROR_ELABORATION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
    &g_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_MAJOR_VERSION,
    &g_RS_ATTR_ENGINE_MINOR_VERSION,
    &g_RS_ATTR_ENGINE_REVISION,
    &g_RS_ATTR_OPC_TIMEOUT,
    &g_RSFPL_ATTR_OPERATING_MODE_MULTIVIEW_ENABLED,
    &g_RSFPL_ATTR_CHANNEL_SETUP_DUPLICATE,
    &g_RSFPL_ATTR_CHANNEL_SETUP_DELETE,
    &g_RSFPL_ATTR_OPERATING_MODE_LIST_OF_CHANNEL_SETUPS,
    &g_RSFPL_ATTR_SEQUENCER_ENABLED,
    &g_RSFPL_ATTR_SEQUENCER_INIT,
    &g_RSFPL_ATTR_SEQUENCER_ABORT,
    &g_RSFPL_ATTR_SEQUENCER_MODE,
    &g_RSFPL_ATTR_RF_INPUT_SELECT,
    &g_RSFPL_ATTR_RF_INPUT_SAW_FILTER,
    &g_RSFPL_ATTR_RF_INPUT_IMPEDANCE,
    &g_RSFPL_ATTR_RF_INPUT_PROTECTION_RESET,
    &g_RSFPL_ATTR_POWER_SENSOR_ENABLED,
    &g_RSFPL_ATTR_POWER_SENSOR_CONTINUOUS_UPDATE_ENABLED,
    &g_RSFPL_ATTR_POWER_SENSOR_COUNT,
    &g_RSFPL_ATTR_POWER_SENSOR_AUTO_ASSIGN_ENABLED,
    &g_RSFPL_ATTR_POWER_SENSOR_TO_REFERENCE,
    &g_RSFPL_ATTR_POWER_SENSOR_RELATIVE_POWER_ENABLED,
    &g_RSFPL_ATTR_POWER_SENSOR_REFERENCE_VALUE,
    &g_RSFPL_ATTR_POWER_SENSOR_ZERO,
    &g_RSFPL_ATTR_POWER_SENSOR_FREQUENCY,
    &g_RSFPL_ATTR_POWER_SENSOR_FREQUENCY_COUPLING,
    &g_RSFPL_ATTR_POWER_SENSOR_USE_REF_LEVEL_OFFSET_ENABLED,
    &g_RSFPL_ATTR_POWER_SENSOR_SENSOR_LEVEL_OFFSET,
    &g_RSFPL_ATTR_POWER_SENSOR_ABSOLUTE_POWER_UNIT,
    &g_RSFPL_ATTR_POWER_SENSOR_RELATIVE_POWER_UNIT,
    &g_RSFPL_ATTR_POWER_SENSOR_NUMBER_OF_READINGS,
    &g_RSFPL_ATTR_POWER_SENSOR_MEAS_TIME,
    &g_RSFPL_ATTR_POWER_SENSOR_AVERAGING_ENABLED,
    &g_RSFPL_ATTR_POWER_SENSOR_DUTY_CYCLE_ENABLED,
    &g_RSFPL_ATTR_POWER_SENSOR_DUTY_CYCLE_VALUE,
    &g_RSFPL_ATTR_POWER_SENSOR_FETCH,
    &g_RSFPL_ATTR_POWER_SENSOR_READ,
    &g_RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_ENABLED,
    &g_RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_LEVEL,
    &g_RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_HYSTERESIS,
    &g_RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_DROPOUT_TIME,
    &g_RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_HOLDOFF_TIME,
    &g_RSFPL_ATTR_POWER_SENSOR_EXTERNAL_TRIGGER_SLOPE,
    &g_RSFPL_ATTR_INTERNAL_GENERATOR_STATE,
    &g_RSFPL_ATTR_INTERNAL_GENERATOR_TRACKING_GENERATOR_STATE,
    &g_RSFPL_ATTR_INTERNAL_GENERATOR_POWER_MODE,
    &g_RSFPL_ATTR_INTERNAL_GENERATOR_LEVEL,
    &g_RSFPL_ATTR_INTERNAL_GENERATOR_LEVEL_OFFSET,
    &g_RSFPL_ATTR_INTERNAL_GENERATOR_CW_FREQUENCY,
    &g_RSFPL_ATTR_INTERNAL_GENERATOR_FREQUENCY_OFFSET,
    &g_RSFPL_ATTR_INTERNAL_GENERATOR_CALIBRATION_METHOD,
    &g_RSFPL_ATTR_HIDDEN_INTERNAL_GENERATOR_INITIATE_CALIBRATION,
    &g_RSFPL_ATTR_INTERNAL_GENERATOR_SAVE_AS_TRANSDUCER_FACTOR,
    &g_RSFPL_ATTR_INTERNAL_GENERATOR_LEVEL_START,
    &g_RSFPL_ATTR_INTERNAL_GENERATOR_LEVEL_STOP,
    &g_RSFPL_ATTR_OUTPUT_NOISE_SOURCE_ENABLED,
    &g_RSFPL_ATTR_OUTPUT_SOURCE,
    &g_RSFPL_ATTR_OUTPUT_FREQUENCY,
    &g_RSFPL_ATTR_OUTPUT_USER_PORT_OUTPUT_ENABLED,
    &g_RSFPL_ATTR_OUTPUT_USER_PORT_OUTPUT_VALUE,
    &g_RSFPL_ATTR_OUTPUT_SIGNAL_POLARITY,
    &g_RSFPL_ATTR_OUTPUT_LOUDSPEAKER_ENABLED,
    &g_RSFPL_ATTR_OUTPUT_LOUDSPEAKER_MUTE,
    &g_RSFPL_ATTR_OUTPUT_LOUDSPEAKER_VOLUME,
    &g_RSFPL_ATTR_USER_PORT_INPUT_ENABLED,
    &g_RSFPL_ATTR_USER_PORT_VALUE,
    &g_RSFPL_ATTR_PREAMPLIFIER_ENABLED,
    &g_RSFPL_ATTR_PREAMPLIFIER_GAIN,
    &g_RSFPL_ATTR_MARKER_TO_REFERENCE_LEVEL,
    &g_RSFPL_ATTR_AMPLITUDE_UNIT,
    &g_RSFPL_ATTR_REFERENCE_LEVEL,
    &g_RSFPL_ATTR_REFERENCE_LEVEL_OFFSET,
    &g_RSFPL_ATTR_ATTENUATION,
    &g_RSFPL_ATTR_ATTENUATION_COUPLING_ENABLED,
    &g_RSFPL_ATTR_Y_AXIS_AUTOSCALE_ONCE,
    &g_RSFPL_ATTR_Y_AXIS_SCALING,
    &g_RSFPL_ATTR_Y_AXIS_REFERENCE_VALUE,
    &g_RSFPL_ATTR_Y_AXIS_SCALING_MODE,
    &g_RSFPL_ATTR_SUBWINDOW_Y_AXIS_SCALING,
    &g_RSFPL_ATTR_SUBWINDOW_Y_AXIS_REFERENCE_VALUE,
    &g_RSFPL_ATTR_SUBWINDOW_Y_AXIS_SCALING_MODE,
    &g_RSFPL_ATTR_SUBWINDOW_Y_AXIS_REFERENCE_LEVEL_POSITION,
    &g_RSFPL_ATTR_SUBWINDOW_Y_AXIS_RANGE,
    &g_RSFPL_ATTR_SUBWINDOW_Y_AXIS_GRID_SPACING,
    &g_RSFPL_ATTR_FREQUENCY_CENTER,
    &g_RSFPL_ATTR_FREQUENCY_SPAN,
    &g_RSFPL_ATTR_FREQUENCY_SPAN_FULL,
    &g_RSFPL_ATTR_FREQUENCY_START,
    &g_RSFPL_ATTR_FREQUENCY_STOP,
    &g_RSFPL_ATTR_FREQUENCY_OFFSET,
    &g_RSFPL_ATTR_FREQUENCY_CENTER_UP,
    &g_RSFPL_ATTR_FREQUENCY_CENTER_DOWN,
    &g_RSFPL_ATTR_FREQUENCY_STEP_SIZE,
    &g_RSFPL_ATTR_FREQUENCY_STEP_SIZE_COUPLING_ENABLED,
    &g_RSFPL_ATTR_FREQUENCY_STEP_SIZE_COUPLING_MODE,
    &g_RSFPL_ATTR_FREQUENCY_STEP_SIZE_FACTOR,
    &g_RSFPL_ATTR_FREQUENCY_MARKER_TO_CENTER,
    &g_RSFPL_ATTR_FREQUENCY_MARKER_TO_STEP_SIZE,
    &g_RSFPL_ATTR_FREQUENCY_ANNOTATION_MODE,
    &g_RSFPL_ATTR_SIGNAL_TRACKING_ENABLED,
    &g_RSFPL_ATTR_SIGNAL_TRACKING_BANDWIDTH,
    &g_RSFPL_ATTR_SIGNAL_TRACKING_THRESHOLD,
    &g_RSFPL_ATTR_SIGNAL_TRACKING_TRACE,
    &g_RSFPL_ATTR_HORIZONTAL_SCALE,
    &g_RSFPL_ATTR_SUBWINDOW_HORIZONTAL_SCALE,
    &g_RSFPL_ATTR_RBW,
    &g_RSFPL_ATTR_RBW_AUTO_ENABLED,
    &g_RSFPL_ATTR_VBW,
    &g_RSFPL_ATTR_VBW_AUTO_ENABLED,
    &g_RSFPL_ATTR_RBW_TO_VBW_RATIO,
    &g_RSFPL_ATTR_VBW_FILTER_MODE,
    &g_RSFPL_ATTR_RBW_TO_SPAN_RATIO,
    &g_RSFPL_ATTR_RBW_FILTER_TYPE,
    &g_RSFPL_ATTR_ADJUST_ALL,
    &g_RSFPL_ATTR_ADJUST_FREQUENCY,
    &g_RSFPL_ATTR_ADJUST_LEVEL,
    &g_RSFPL_ATTR_ADJUST_MANUAL_LENGTH_OF_MEASUREMENT,
    &g_RSFPL_ATTR_ADJUST_LENGTH_OF_MEASUREMENT_MODE,
    &g_RSFPL_ATTR_ADJUST_LOWER_LEVEL_HYSTERESIS,
    &g_RSFPL_ATTR_ADJUST_UPPER_LEVEL_HYSTERESIS,
    &g_RSFPL_ATTR_ADJUST_WAIT_FOR_TRIGGER_ENABLED,
    &g_RSFPL_ATTR_SWEEP_COUNT,
    &g_RSFPL_ATTR_CURRENT_NUMBER_OF_SWEEPS,
    &g_RSFPL_ATTR_SWEEP_MODE_CONTINUOUS_ENABLED,
    &g_RSFPL_ATTR_CAPTURE_TIME,
    &g_RSFPL_ATTR_PARTIAL_SPAN_OPTIMIZATION_MODE,
    &g_RSFPL_ATTR_SWEEP_POINTS,
    &g_RSFPL_ATTR_SWEEP_TIME,
    &g_RSFPL_ATTR_SWEEP_TIME_AUTO_ENABLED,
    &g_RSFPL_ATTR_SWEEP_TYPE,
    &g_RSFPL_ATTR_SWEEP_TYPE_MODE,
    &g_RSFPL_ATTR_SWEEP_FFT_SUBSPAN,
    &g_RSFPL_ATTR_WINDOW_SWEEP_POINTS,
    &g_RSFPL_ATTR_TRIGGER_SOURCE,
    &g_RSFPL_ATTR_TRIGGER_LEVEL_IFP,
    &g_RSFPL_ATTR_TRIGGER_LEVEL_IQ_POWER,
    &g_RSFPL_ATTR_TRIGGER_DROP_OUT_TIME,
    &g_RSFPL_ATTR_TRIGGER_OFFSET,
    &g_RSFPL_ATTR_TRIGGER_SLOPE,
    &g_RSFPL_ATTR_TRIGGER_HYSTERESIS,
    &g_RSFPL_ATTR_TRIGGER_HOLDOFF,
    &g_RSFPL_ATTR_EXTERNAL_TRIGGER_LEVEL,
    &g_RSFPL_ATTR_GATE_ENABLED,
    &g_RSFPL_ATTR_GATE_MODE,
    &g_RSFPL_ATTR_GATE_DELAY,
    &g_RSFPL_ATTR_GATE_LENGTH,
    &g_RSFPL_ATTR_GATE_POLARITY,
    &g_RSFPL_ATTR_GATE_SOURCE,
    &g_RSFPL_ATTR_MARKER_TABLE_DISPLAY_MODE,
    &g_RSFPL_ATTR_MARKER_INFO_ENABLED,
    &g_RSFPL_ATTR_MARKER_STEPSIZE,
    &g_RSFPL_ATTR_MARKER_LINKING,
    &g_RSFPL_ATTR_MARKER_EXCLUDE_LO_ENABLED,
    &g_RSFPL_ATTR_MARKER_PEAK_EXCURSION,
    &g_RSFPL_ATTR_MARKER_SEARCH_LIMITS_ENABLED,
    &g_RSFPL_ATTR_MARKER_SEARCH_LIMIT_LEFT,
    &g_RSFPL_ATTR_MARKER_SEARCH_LIMIT_RIGHT,
    &g_RSFPL_ATTR_MARKER_SEARCH_ZOOM_LIMITS_ENABLED,
    &g_RSFPL_ATTR_MARKER_SEARCH_THRESHOLD_ENABLED,
    &g_RSFPL_ATTR_MARKER_SEARCH_THRESHOLD,
    &g_RSFPL_ATTR_DELTA_MARKER_MODE,
    &g_RSFPL_ATTR_ALL_DELTA_MARKERS_OFF,
    &g_RSFPL_ATTR_MARKER_RESULT,
    &g_RSFPL_ATTR_ALL_MARKERS_OFF,
    &g_RSFPL_ATTR_MARKER_ENABLED,
    &g_RSFPL_ATTR_MARKER_ASSIGNED_TRACE,
    &g_RSFPL_ATTR_MARKER_POSITION,
    &g_RSFPL_ATTR_MARKER_AMPLITUDE,
    &g_RSFPL_ATTR_MARKER_PROBABILITY,
    &g_RSFPL_ATTR_MARKER_ZOOM_FACTOR,
    &g_RSFPL_ATTR_DELTA_MARKER_REFERENCE,
    &g_RSFPL_ATTR_DELTA_MARKER_REFERENCE_FIXED,
    &g_RSFPL_ATTR_MARKER_AUTO_MAX_PEAK_SEARCH_ENABLED,
    &g_RSFPL_ATTR_MARKER_MAX_PEAK_LEFT,
    &g_RSFPL_ATTR_MARKER_MAX_PEAK_NEXT,
    &g_RSFPL_ATTR_MARKER_MAX_PEAK_RIGHT,
    &g_RSFPL_ATTR_MARKER_MAX_PEAK,
    &g_RSFPL_ATTR_MARKER_AUTO_MIN_PEAK_SEARCH_ENABLED,
    &g_RSFPL_ATTR_MARKER_MIN_PEAK_LEFT,
    &g_RSFPL_ATTR_MARKER_MIN_PEAK_NEXT,
    &g_RSFPL_ATTR_MARKER_MIN_PEAK_RIGHT,
    &g_RSFPL_ATTR_MARKER_MIN_PEAK,
    &g_RSFPL_ATTR_FIXED_REFERENCE_MARKER_ENABLED,
    &g_RSFPL_ATTR_FIXED_REFERENCE_MARKER_MAX_PEAK,
    &g_RSFPL_ATTR_FIXED_REFERENCE_MARKER_REFERENCE_POINT_HORIZONTAL,
    &g_RSFPL_ATTR_FIXED_REFERENCE_MARKER_REFERENCE_POINT_VERTICAL,
    &g_RSFPL_ATTR_FIXED_REFERENCE_MARKER_REFERENCE_POINT_LEVEL_OFFSET,
    &g_RSFPL_ATTR_MARKER_PEAK_SEARCH_ENABLED,
    &g_RSFPL_ATTR_MARKER_PEAK_LIST_LABELS_ENABLED,
    &g_RSFPL_ATTR_MARKER_PEAK_LIST_MAXIMUM_NUMBER_OF_PEAKS,
    &g_RSFPL_ATTR_MARKER_PEAK_LIST_PEAKS,
    &g_RSFPL_ATTR_MARKER_PEAK_LIST_NUMBER_OF_FOUND_PEAKS,
    &g_RSFPL_ATTR_MARKER_PEAK_LIST_SORT_MODE,
    &g_RSFPL_ATTR_NOISE_MEASUREMENT_MARKER_ENABLED,
    &g_RSFPL_ATTR_NOISE_MEASUREMENT_MARKER_ALL_OFF,
    &g_RSFPL_ATTR_NOISE_MEASUREMENT_MARKER_RESULT,
    &g_RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_MARKER_ENABLED,
    &g_RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_MARKER_ALL_OFF,
    &g_RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_MARKER_RESULT,
    &g_RSFPL_ATTR_BAND_POWER_MARKER_ENABLED,
    &g_RSFPL_ATTR_BAND_POWER_MARKER_ALL_OFF,
    &g_RSFPL_ATTR_BAND_POWER_MARKER_MODE,
    &g_RSFPL_ATTR_BAND_POWER_MARKER_RESULT,
    &g_RSFPL_ATTR_BAND_POWER_MARKER_SPAN,
    &g_RSFPL_ATTR_N_DB_DOWN_ENABLED,
    &g_RSFPL_ATTR_N_DB_DOWN_DISTANCE,
    &g_RSFPL_ATTR_N_DB_DOWN_RESULT,
    &g_RSFPL_ATTR_N_DB_DOWN_Q_FACTOR,
    &g_RSFPL_ATTR_SIGNAL_COUNT_ENABLED,
    &g_RSFPL_ATTR_SIGNAL_COUNT_FREQUENCY,
    &g_RSFPL_ATTR_SIGNAL_COUNT_RESOLUTION,
    &g_RSFPL_ATTR_MARKER_DEMODULATION_ENABLED,
    &g_RSFPL_ATTR_MARKER_DEMODULATION_CONTINUOUS_ENABLED,
    &g_RSFPL_ATTR_MARKER_DEMODULATION_STOP_TIME,
    &g_RSFPL_ATTR_MARKER_DEMODULATION_MODE,
    &g_RSFPL_ATTR_MARKER_DEMODULATION_SELECTIVE_ENABLED,
    &g_RSFPL_ATTR_MARKER_DEMODULATION_SELECTIVE_THRESHOLD,
    &g_RSFPL_ATTR_DELTA_MARKER_RESULT,
    &g_RSFPL_ATTR_DELTA_MARKER_RELATIVE_POSITION,
    &g_RSFPL_ATTR_DELTA_MARKER_LINK_TO_MARKER_1,
    &g_RSFPL_ATTR_DELTA_MARKER_ENABLED,
    &g_RSFPL_ATTR_DELTA_MARKER_ASSIGNED_TRACE,
    &g_RSFPL_ATTR_DELTA_MARKER_POSITION,
    &g_RSFPL_ATTR_DELTA_MARKER_MAX_PEAK_LEFT,
    &g_RSFPL_ATTR_DELTA_MARKER_MAX_PEAK_NEXT,
    &g_RSFPL_ATTR_DELTA_MARKER_MAX_PEAK_RIGHT,
    &g_RSFPL_ATTR_DELTA_MARKER_MAX_PEAK,
    &g_RSFPL_ATTR_DELTA_MARKER_MIN_PEAK_LEFT,
    &g_RSFPL_ATTR_DELTA_MARKER_MIN_PEAK_NEXT,
    &g_RSFPL_ATTR_DELTA_MARKER_MIN_PEAK_RIGHT,
    &g_RSFPL_ATTR_DELTA_MARKER_MIN_PEAK,
    &g_RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_DELTA_MARKER_ENABLED,
    &g_RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_DELTA_MARKER_AUTO_PEAK_SEARCH_ENABLED,
    &g_RSFPL_ATTR_PHASE_NOISE_MEASUREMENT_DELTA_MARKER_RESULT,
    &g_RSFPL_ATTR_BAND_POWER_DELTA_MARKER_ENABLED,
    &g_RSFPL_ATTR_BAND_POWER_DELTA_MARKER_MODE,
    &g_RSFPL_ATTR_BAND_POWER_DELTA_MARKER_RESULT,
    &g_RSFPL_ATTR_BAND_POWER_DELTA_MARKER_SPAN,
    &g_RSFPL_ATTR_SPECTROGRAM_MARKER_FRAME,
    &g_RSFPL_ATTR_SPECTROGRAM_MARKER_SEARCH_AREA,
    &g_RSFPL_ATTR_SPECTROGRAM_MARKER_MAX_LEVEL,
    &g_RSFPL_ATTR_SPECTROGRAM_MARKER_MIN_LEVEL,
    &g_RSFPL_ATTR_SPECTROGRAM_MARKER_MAX_PEAK_ABOVE,
    &g_RSFPL_ATTR_SPECTROGRAM_MARKER_MAX_PEAK_BELOW,
    &g_RSFPL_ATTR_SPECTROGRAM_MARKER_MAX_PEAK_NEXT,
    &g_RSFPL_ATTR_SPECTROGRAM_MARKER_MAX_PEAK,
    &g_RSFPL_ATTR_SPECTROGRAM_MARKER_MIN_PEAK_ABOVE,
    &g_RSFPL_ATTR_SPECTROGRAM_MARKER_MIN_PEAK_BELOW,
    &g_RSFPL_ATTR_SPECTROGRAM_MARKER_MIN_PEAK_NEXT,
    &g_RSFPL_ATTR_SPECTROGRAM_MARKER_MIN_PEAK,
    &g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_FRAME,
    &g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_SEARCH_AREA,
    &g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MAX_LEVEL,
    &g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MIN_LEVEL,
    &g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MAX_PEAK_ABOVE,
    &g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MAX_PEAK_BELOW,
    &g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MAX_PEAK_NEXT,
    &g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MAX_PEAK,
    &g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MIN_PEAK_ABOVE,
    &g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MIN_PEAK_BELOW,
    &g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MIN_PEAK_NEXT,
    &g_RSFPL_ATTR_SPECTROGRAM_DELTA_MARKER_MIN_PEAK,
    &g_RSFPL_ATTR_TRACE_AVERAGE_COUNT,
    &g_RSFPL_ATTR_TRACE_AVERAGE_MODE,
    &g_RSFPL_ATTR_TRACE_ENABLED,
    &g_RSFPL_ATTR_TRACE_DETECTOR_AUTO_ENABLED,
    &g_RSFPL_ATTR_TRACE_DETECTOR,
    &g_RSFPL_ATTR_TRACE_HOLD_ENABLED,
    &g_RSFPL_ATTR_TRACE_SMOOTHING_ENABLED,
    &g_RSFPL_ATTR_TRACE_SMOOTHING_VALUE,
    &g_RSFPL_ATTR_TRACE_AVERAGE_ENABLED,
    &g_RSFPL_ATTR_DISPLAY_WINDOW_PRESET_TRACES,
    &g_RSFPL_ATTR_SUBWINDOW_TRACE_ENABLED,
    &g_RSFPL_ATTR_SUBWINDOW_TRACE_HOLD_ENABLED,
    &g_RSFPL_ATTR_SUBWINDOW_TRACE_SMOOTHING_ENABLED,
    &g_RSFPL_ATTR_SUBWINDOW_TRACE_SMOOTHING_VALUE,
    &g_RSFPL_ATTR_DISPLAY_SUBWINDOW_PRESET_TRACES,
    &g_RSFPL_ATTR_SUBWINDOW_TRACE_MODE,
    &g_RSFPL_ATTR_TRACE_MATHEMATICS_ENABLED,
    &g_RSFPL_ATTR_TRACE_MATHEMATICS_MODE,
    &g_RSFPL_ATTR_TRACE_MATHEMATICS_POSITION,
    &g_RSFPL_ATTR_SPECTROGRAM_ENABLED,
    &g_RSFPL_ATTR_SPECTROGRAM_3D_ENABLED,
    &g_RSFPL_ATTR_SPECTROGRAM_SELECTED_FRAME,
    &g_RSFPL_ATTR_SPECTROGRAM_HISTORY_DEPTH,
    &g_RSFPL_ATTR_SPECTROGRAM_TIME_STAMP_ENABLED,
    &g_RSFPL_ATTR_SPECTROGRAM_NUMBER_OF_FRAMES,
    &g_RSFPL_ATTR_SPECTROGRAM_CONTINOUS_SWEEP_ENABLED,
    &g_RSFPL_ATTR_SPECTROGRAM_CLEAR,
    &g_RSFPL_ATTR_SPECTROGRAM_LAYOUT,
    &g_RSFPL_ATTR_SPECTROGRAM_SELECT_TRACE,
    &g_RSFPL_ATTR_COLOR_MAP_RESTORE_DEFAULT,
    &g_RSFPL_ATTR_COLOR_MAP_SCHEME,
    &g_RSFPL_ATTR_COLOR_MAP_STARTING_POINT,
    &g_RSFPL_ATTR_COLOR_MAP_END_POINT,
    &g_RSFPL_ATTR_COLOR_MAP_CURVE_SHAPE,
    &g_RSFPL_ATTR_ABORT,
    &g_RSFPL_ATTR_INITIATE_SYNCHRONIZED,
    &g_RSFPL_ATTR_INITIATE,
    &g_RSFPL_ATTR_CONTINUE_MEASUREMENT,
    &g_RSFPL_ATTR_SEND_SW_TRIGGER,
    &g_RSFPL_ATTR_MEASUREMENT_MODE,
    &g_RSFPL_ATTR_DISABLE_POWER_MEASUREMENT,
    &g_RSFPL_ATTR_POWER_MEASUREMENT_SELECT_AND_ENABLE,
    &g_RSFPL_ATTR_POWER_MEASUREMENT_ADJUST_SETTINGS,
    &g_RSFPL_ATTR_POWER_MEASUREMENT_TRACE,
    &g_RSFPL_ATTR_POWER_MEASUREMENT_TRACE_DISPLAY_MODE,
    &g_RSFPL_ATTR_POWER_MEASUREMENTS_FIND_REFERENCE,
    &g_RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_ENABLED,
    &g_RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_REFERENCE_MODE,
    &g_RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_REFERENCE_VALUE,
    &g_RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_1_DB_POINT_ENABLED,
    &g_RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_3_DB_POINT_ENABLED,
    &g_RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_N_DB_POINT_ENABLED,
    &g_RSFPL_ATTR_COMPRESSION_POINT_MEASUREMENT_N_DB_POINT_VALUE,
    &g_RSFPL_ATTR_QUERY_COMPRESSION_POINT_MEASUREMENT_1_DB_RESULT,
    &g_RSFPL_ATTR_QUERY_COMPRESSION_POINT_MEASUREMENT_3_DB_RESULT,
    &g_RSFPL_ATTR_QUERY_COMPRESSION_POINT_MEASUREMENT_N_DB_RESULT,
    &g_RSFPL_ATTR_CHANNEL_POWER_DISPLAY_MODE,
    &g_RSFPL_ATTR_CHANNEL_POWER_AS_DENSITY_ENABLED,
    &g_RSFPL_ATTR_POWER_CHANNEL_NUMBER_OF_TRANSMISSION_CHANNELS,
    &g_RSFPL_ATTR_CHANNEL_POWER_CHANNEL_PAIRS,
    &g_RSFPL_ATTR_CHANNEL_POWER_WEIGHTING_FILTER_ENABLED_ALL,
    &g_RSFPL_ATTR_CHANNEL_POWER_WEIGHTING_FILTER_VALUE_ALL,
    &g_RSFPL_ATTR_CHANNEL_POWER_ACLR_LIMIT_CHECK_ENABLED,
    &g_RSFPL_ATTR_ACLR_MEASUREMENT_CONFIGURATIONS_CATALOG,
    &g_RSFPL_ATTR_ACLR_SELECTED_MEASUREMENT_CONFIGURATION,
    &g_RSFPL_ATTR_ACLR_MEASUREMENT_CONFIGURATIONS_LOAD,
    &g_RSFPL_ATTR_ACLR_MEASUREMENT_CONFIGURATIONS_SAVE,
    &g_RSFPL_ATTR_ACLR_MEASUREMENT_CONFIGURATIONS_DELETE,
    &g_RSFPL_ATTR_CHANNEL_POWER_TX_CHANNEL_BANDWIDTH,
    &g_RSFPL_ATTR_CHANNEL_POWER_TX_CHANNEL_NAME,
    &g_RSFPL_ATTR_CHANNEL_POWER_TX_CHANNEL_SPACING,
    &g_RSFPL_ATTR_CHANNEL_POWER_TX_CHANNEL_WEIGHTING_FILTER_ENABLED,
    &g_RSFPL_ATTR_CHANNEL_POWER_TX_CHANNEL_WEIGHTING_FILTER_VALUE,
    &g_RSFPL_ATTR_CHANNEL_POWER_ADJACENT_CHANNEL_BANDWIDTH,
    &g_RSFPL_ATTR_CHANNEL_POWER_ADJACENT_CHANNEL_NAME,
    &g_RSFPL_ATTR_CHANNEL_POWER_ADJACENT_CHANNEL_SPACING,
    &g_RSFPL_ATTR_CHANNEL_POWER_ADJACENT_CHANNEL_WEIGHTING_FILTER_ENABLED,
    &g_RSFPL_ATTR_CHANNEL_POWER_ADJACENT_CHANNEL_WEIGHTING_FILTER_VALUE,
    &g_RSFPL_ATTR_CHANNEL_POWER_ADJACENT_LIMIT_ABSOLUTE_CHECK_ENABLED,
    &g_RSFPL_ATTR_CHANNEL_POWER_ALTERNATE_CHANNEL_BANDWIDTH,
    &g_RSFPL_ATTR_CHANNEL_POWER_ALTERNATE_CHANNEL_NAME,
    &g_RSFPL_ATTR_CHANNEL_POWER_ALTERNATE_CHANNEL_SPACING,
    &g_RSFPL_ATTR_CHANNEL_POWER_ALTERNATE_CHANNEL_WEIGHTING_FILTER_ENABLED,
    &g_RSFPL_ATTR_CHANNEL_POWER_ALTERNATE_CHANNEL_WEIGHTING_FILTER_VALUE,
    &g_RSFPL_ATTR_REFERENCE_CHANNEL_SET_CP_REFERENCE,
    &g_RSFPL_ATTR_REFERENCE_CHANNEL_NUMBER_AUTO_TYPE,
    &g_RSFPL_ATTR_REFERENCE_CHANNEL_NUMBER,
    &g_RSFPL_ATTR_PERCENT_OF_POWER_BANDWIDTH,
    &g_RSFPL_ATTR_SEM_INITIATE,
    &g_RSFPL_ATTR_SEM_NUMBER_OF_SUB_BLOCKS,
    &g_RSFPL_ATTR_SEM_CONFIGURATIONS_RESTORE_DEFAULT,
    &g_RSFPL_ATTR_SEM_CONFIGURATIONS_LOAD,
    &g_RSFPL_ATTR_SEM_CONFIGURATIONS_SAVE,
    &g_RSFPL_ATTR_SEM_CONFIGURATIONS_RESTORE_LIMITS,
    &g_RSFPL_ATTR_SEM_SUB_BLOCK_FREQUENCY,
    &g_RSFPL_ATTR_SWEEP_LIST_FAST_SEM_ENABLED,
    &g_RSFPL_ATTR_SWEEP_LIST_SYMMETRICAL_SETUP_ENABLED,
    &g_RSFPL_ATTR_SWEEP_LIST_NUMBER_OF_RANGES,
    &g_RSFPL_ATTR_SEM_POWER_CLASSES_MODE,
    &g_RSFPL_ATTR_SEM_POWER_CLASSES_MANUAL_LIMIT_LINE,
    &g_RSFPL_ATTR_SEM_POWER_CLASSES_NUMBER_OF_CLASSES,
    &g_RSFPL_ATTR_SWEEP_LIST_RANGE_INSERT,
    &g_RSFPL_ATTR_SWEEP_LIST_RANGE_DELETE,
    &g_RSFPL_ATTR_SWEEP_LIST_RANGE_START,
    &g_RSFPL_ATTR_SWEEP_LIST_RANGE_STOP,
    &g_RSFPL_ATTR_SWEEP_LIST_RANGE_FILTER_TYPE,
    &g_RSFPL_ATTR_SWEEP_LIST_RANGE_RBW,
    &g_RSFPL_ATTR_SWEEP_LIST_RANGE_VBW,
    &g_RSFPL_ATTR_SWEEP_LIST_RANGE_SWEEP_TIME_AUTO_ENABLED,
    &g_RSFPL_ATTR_SWEEP_LIST_RANGE_SWEEP_TIME_MANUAL,
    &g_RSFPL_ATTR_SWEEP_LIST_RANGE_REFERENCE_LEVEL,
    &g_RSFPL_ATTR_SWEEP_LIST_RANGE_ATTENUATION_AUTO_ENABLED,
    &g_RSFPL_ATTR_SWEEP_LIST_RANGE_ATTENUATION_MANUAL,
    &g_RSFPL_ATTR_SWEEP_LIST_RANGE_PREAMPLIFIER_ENABLED,
    &g_RSFPL_ATTR_SWEEP_LIST_RANGE_PREAMPLIFIER_LEVEL,
    &g_RSFPL_ATTR_SWEEP_LIST_RANGE_TRANSDUCER_FILE_NAME,
    &g_RSFPL_ATTR_SWEEP_LIST_RANGE_MULTI_LIMIT_CALCULATION,
    &g_RSFPL_ATTR_SWEEP_LIST_RANGE_MIN_SWEEP_POINTS,
    &g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_ENABLED,
    &g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_CHECK_MODE,
    &g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_CHECK_MODE_ALL_RANGES,
    &g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_MAX,
    &g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_MIN,
    &g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_ABSOLUTE_START,
    &g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_ABSOLUTE_STOP,
    &g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_START,
    &g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_STOP,
    &g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_START_FUNCTION,
    &g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_MAX_START_FUNCTION_LIMIT,
    &g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_STOP_FUNCTION,
    &g_RSFPL_ATTR_SWEEP_LIST_POWER_CLASS_LIMIT_RELATIVE_MAX_STOP_FUNCTION_LIMIT,
    &g_RSFPL_ATTR_REFERENCE_RANGE_POWER_REFERENCE_TYPE,
    &g_RSFPL_ATTR_REFERENCE_RANGE_TX_BANDWIDTH,
    &g_RSFPL_ATTR_REFERENCE_RANGE_RRC_FILTER_ENABLED,
    &g_RSFPL_ATTR_REFERENCE_RANGE_ALPHA,
    &g_RSFPL_ATTR_REFERENCE_RANGE_NUMBER,
    &g_RSFPL_ATTR_SEM_LIST_EVALUATION_ENABLED,
    &g_RSFPL_ATTR_SEM_LIST_EVALUATION_ALL_DETECTED_PEAKS_INCLUDED,
    &g_RSFPL_ATTR_SEM_LIST_EVALUATION_THRESHOLD,
    &g_RSFPL_ATTR_SEM_LIST_EVALUATION_PEAK_LABELS_ENABLED,
    &g_RSFPL_ATTR_SEM_LIST_EVALUATION_INITIATE,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_INITIATE,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGES_ENABLED,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_NUMBER_OF_RANGES,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_BREAK_MEASUREMENT_ENABLED,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_ADJUST_X_AXIS,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_DELETE,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_START,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_STOP,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_FILTER_TYPE,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_RBW,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_VBW,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_SWEEP_TIME_AUTO_ENABLED,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_SWEEP_TIME_MANUAL,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_DETECTOR,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_REFERENCE_LEVEL,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_ATTENUATION_AUTO_ENABLED,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_ATTENUATION_MANUAL,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_PREAMPLIFIER_ENABLED,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_PREAMPLIFICATION_LEVEL,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_SWEEP_POINTS,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_TRANSDUCER_FILE_NAME,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_ABS_LIMIT_START,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_RANGE_ABS_LIMIT_STOP,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_LIST_EVALUATION_ENABLED,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_LIST_EVALUATION_NUMBER_OF_PEAKS,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_LIST_EVALUATION_ALL_DETECTED_PEAKS_INCLUDED,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_LIST_EVALUATION_THRESHOLD,
    &g_RSFPL_ATTR_SPURIOUS_EMISSIONS_LIST_EVALUATION_PEAK_LABELS_ENABLED,
    &g_RSFPL_ATTR_SIGNAL_STATISTIC_APD_ENABLED,
    &g_RSFPL_ATTR_SIGNAL_STATISTIC_CCDF_ENABLED,
    &g_RSFPL_ATTR_SIGNAL_STATISTIC_NUMBER_OF_SAMPLES,
    &g_RSFPL_ATTR_SIGNAL_STATISTIC_SCALING_X_REF_LEVEL,
    &g_RSFPL_ATTR_SIGNAL_STATISTIC_SCALING_X_RANGE,
    &g_RSFPL_ATTR_SIGNAL_STATISTIC_SCALING_Y_UNIT,
    &g_RSFPL_ATTR_SIGNAL_STATISTIC_SCALING_Y_MINIMUM,
    &g_RSFPL_ATTR_SIGNAL_STATISTIC_SCALING_Y_MAXIMUM,
    &g_RSFPL_ATTR_SIGNAL_STATISTIC_ADJUST_SETTINGS,
    &g_RSFPL_ATTR_SIGNAL_STATISTIC_DEFAULT_SETTING,
    &g_RSFPL_ATTR_SIGNAL_STATISTIC_GATE_RANGE_ENABLED,
    &g_RSFPL_ATTR_SIGNAL_STATISTIC_GATE_RANGE_START,
    &g_RSFPL_ATTR_SIGNAL_STATISTIC_GATE_RANGE_STOP,
    &g_RSFPL_ATTR_SIGNAL_STATISTIC_GATE_PERIOD,
    &g_RSFPL_ATTR_SIGNAL_STATISTIC_GATE_COMMENT,
    &g_RSFPL_ATTR_TIME_DOMAIN_POWER_ENABLED,
    &g_RSFPL_ATTR_TIME_DOMAIN_POWER_AVERAGING_ENABLED,
    &g_RSFPL_ATTR_TIME_DOMAIN_POWER_ALL_OFF,
    &g_RSFPL_ATTR_TIME_DOMAIN_POWER_PEAK_HOLD_ENABLED,
    &g_RSFPL_ATTR_TIME_DOMAIN_POWER_RMS_ENABLED,
    &g_RSFPL_ATTR_TIME_DOMAIN_POWER_RMS_RESULT,
    &g_RSFPL_ATTR_TIME_DOMAIN_POWER_AVERAGE_RMS_RESULT,
    &g_RSFPL_ATTR_TIME_DOMAIN_POWER_MAXIMUM_RMS_RESULT,
    &g_RSFPL_ATTR_TIME_DOMAIN_POWER_MEAN_ENABLED,
    &g_RSFPL_ATTR_TIME_DOMAIN_POWER_MEAN_RESULT,
    &g_RSFPL_ATTR_TIME_DOMAIN_POWER_AVERAGE_MEAN_RESULT,
    &g_RSFPL_ATTR_TIME_DOMAIN_POWER_MAXIMUM_MEAN_RESULT,
    &g_RSFPL_ATTR_TIME_DOMAIN_POWER_POSITIVE_PEAK_ENABLED,
    &g_RSFPL_ATTR_TIME_DOMAIN_POWER_POSITIVE_PEAK_RESULT,
    &g_RSFPL_ATTR_TIME_DOMAIN_POWER_AVERAGE_POSITIVE_PEAK_RESULT,
    &g_RSFPL_ATTR_TIME_DOMAIN_POWER_MAXIMUM_POSITIVE_PEAK_RESULT,
    &g_RSFPL_ATTR_TIME_DOMAIN_POWER_STANDARD_DEVIATION_ENABLED,
    &g_RSFPL_ATTR_TIME_DOMAIN_POWER_STANDARD_DEVIATION_RESULT,
    &g_RSFPL_ATTR_TIME_DOMAIN_POWER_AVERAGE_STANDARD_DEVIATION_RESULT,
    &g_RSFPL_ATTR_TIME_DOMAIN_POWER_MAXIMUM_STANDARD_DEVIATION_RESULT,
    &g_RSFPL_ATTR_HARMONIC_DISTORTION_ENABLED,
    &g_RSFPL_ATTR_HARMONIC_DISTORTION_NUMBER_OF_HARMONICS,
    &g_RSFPL_ATTR_HARMONIC_DISTORTION_RBW_AUTO_ENABLED,
    &g_RSFPL_ATTR_HARMONIC_DISTORTION_INITIATE,
    &g_RSFPL_ATTR_THIRD_ORDER_INTERCEPT_ENABLED,
    &g_RSFPL_ATTR_THIRD_ORDER_INTERCEPT_SEARCH_SIGNAL,
    &g_RSFPL_ATTR_THIRD_ORDER_INTERCEPT_RESULT,
    &g_RSFPL_ATTR_THIRD_ORDER_INTERCEPT_RESULT_MAXIMUM,
    &g_RSFPL_ATTR_THIRD_ORDER_INTERCEPT_RESULT_MINIMUM,
    &g_RSFPL_ATTR_AM_MODULATION_DEPTH_ENABLED,
    &g_RSFPL_ATTR_AM_MODULATION_DEPTH_SEARCH_SIGNAL,
    &g_RSFPL_ATTR_AM_MODULATION_DEPTH_RESULT,
    &g_RSFPL_ATTR_DISABLE_LIST_EVALUATION,
    &g_RSFPL_ATTR_PULSE_POWER_MEASUREMENT_FILTER_TYPE,
    &g_RSFPL_ATTR_PULSE_POWER_MEASUREMENT_MINIMUM,
    &g_RSFPL_ATTR_DISPLAY_CHANNEL_BAR_INFORMATION_ENABLED,
    &g_RSFPL_ATTR_DISPLAY_X_AXIS_LABEL_ENABLED,
    &g_RSFPL_ATTR_DISPLAY_STATUS_BAR_ENABLED,
    &g_RSFPL_ATTR_DISPLAY_SOFTKEY_BAR_ENABLED,
    &g_RSFPL_ATTR_DISPLAY_TOOLBAR_ENABLED,
    &g_RSFPL_ATTR_DISPLAY_TOUCH_ENABLED,
    &g_RSFPL_ATTR_DISPLAY_DATE_AND_TIME_ENABLED,
    &g_RSFPL_ATTR_DISPLAY_FRONT_PANEL_KEYS_ENABLED,
    &g_RSFPL_ATTR_DISPLAY_BRIGHTNESS,
    &g_RSFPL_ATTR_DISPLAY_DATE_AND_TIME_FORMAT,
    &g_RSFPL_ATTR_DISPLAY_TEMPORARY_SIZE,
    &g_RSFPL_ATTR_DISPLAY_FORMAT,
    &g_RSFPL_ATTR_COLORS_AND_THEMES_CATALOG,
    &g_RSFPL_ATTR_COLORS_AND_THEMES_SELECTED_THEME,
    &g_RSFPL_ATTR_LAYOUT_REMOVE_WINDOW,
    &g_RSFPL_ATTR_LAYOUT_WINDOW_LIST,
    &g_RSFPL_ATTR_DISPLAY_WINDOW_SET_FOCUS,
    &g_RSFPL_ATTR_DISPLAY_SUBWINDOW_SET_FOCUS,
    &g_RSFPL_ATTR_DISPLAY_SINGLE_ZOOM_ENABLED,
    &g_RSFPL_ATTR_SUBWINDOW_DISPLAY_SINGLE_ZOOM_ENABLED,
    &g_RSFPL_ATTR_MULTIPLE_ZOOM_ENABLED,
    &g_RSFPL_ATTR_SUBWINDOW_MULTIPLE_ZOOM_ENABLED,
    &g_RSFPL_ATTR_LAYOUT_REPLACE_WINDOW,
    &g_RSFPL_ATTR_LAYOUT_WINDOW_REMOVE_WINDOW,
    &g_RSFPL_ATTR_LAYOUT_WINDOW_IDENTIFICATION,
    &g_RSFPL_ATTR_LAYOUT_WINDOW_TYPE,
    &g_RSFPL_ATTR_FREQUENCY_DISPLAY_LINE_ENABLED,
    &g_RSFPL_ATTR_FREQUENCY_DISPLAY_LINE_POSITION,
    &g_RSFPL_ATTR_TIME_DISPLAY_LINE_ENABLED,
    &g_RSFPL_ATTR_TIME_DISPLAY_LINE_POSITION,
    &g_RSFPL_ATTR_POWER_DISPLAY_LINE_ENABLED,
    &g_RSFPL_ATTR_POWER_DISPLAY_LINE_POSITION,
    &g_RSFPL_ATTR_HORIZONTAL_DISPLAY_LINE_ENABLED,
    &g_RSFPL_ATTR_HORIZONTAL_DISPLAY_LINE_POSITION,
    &g_RSFPL_ATTR_LIMIT_NAMES_OF_ACTIVE_LIMIT_LINES,
    &g_RSFPL_ATTR_LIMIT_DELETE_RESULTS,
    &g_RSFPL_ATTR_LIMIT_LINE_CHECK_ENABLED,
    &g_RSFPL_ATTR_LIMIT_LINE_UNITS,
    &g_RSFPL_ATTR_LIMIT_LINE_COMMENT,
    &g_RSFPL_ATTR_LIMIT_LINE_COPY,
    &g_RSFPL_ATTR_LIMIT_LINE_NAME,
    &g_RSFPL_ATTR_LIMIT_LINE_DELETE,
    &g_RSFPL_ATTR_LIMIT_LINE_CONTROL_DOMAIN,
    &g_RSFPL_ATTR_LIMIT_LINE_CONTROL_SPACING,
    &g_RSFPL_ATTR_LIMIT_LINE_CONTROL_SCALING,
    &g_RSFPL_ATTR_LIMIT_LINE_CONTROL_OFFSET,
    &g_RSFPL_ATTR_LIMIT_LINE_SHIFT,
    &g_RSFPL_ATTR_LIMIT_LINE_LOWER_ENABLED,
    &g_RSFPL_ATTR_LIMIT_LINE_LOWER_SCALING,
    &g_RSFPL_ATTR_LIMIT_LINE_LOWER_SPACING,
    &g_RSFPL_ATTR_LIMIT_LINE_LOWER_MARGIN,
    &g_RSFPL_ATTR_LIMIT_LINE_LOWER_THRESHOLD,
    &g_RSFPL_ATTR_LIMIT_LINE_LOWER_OFFSET,
    &g_RSFPL_ATTR_LIMIT_LINE_LOWER_SHIFT,
    &g_RSFPL_ATTR_LIMIT_LINE_UPPER_ENABLED,
    &g_RSFPL_ATTR_LIMIT_LINE_UPPER_SCALING,
    &g_RSFPL_ATTR_LIMIT_LINE_UPPER_SPACING,
    &g_RSFPL_ATTR_LIMIT_LINE_UPPER_MARGIN,
    &g_RSFPL_ATTR_LIMIT_LINE_UPPER_THRESHOLD,
    &g_RSFPL_ATTR_LIMIT_LINE_UPPER_OFFSET,
    &g_RSFPL_ATTR_LIMIT_LINE_UPPER_SHIFT,
    &g_RSFPL_ATTR_LIMIT_LINES_ASSIGN_TRACE_ENABLED,
    &g_RSFPL_ATTR_LIMIT_LINE_CHECK_RESULT,
    &g_RSFPL_ATTR_LOAD_LIMIT_LINE,
    &g_RSFPL_ATTR_IQ_ANALYZER_ENABLED,
    &g_RSFPL_ATTR_IQ_ANALYZER_EVALUATION_ENABLED,
    &g_RSFPL_ATTR_IQ_ANALYZER_SAMPLE_RATE,
    &g_RSFPL_ATTR_IQ_ANALYZER_ANALYSIS_BANDWIDTH,
    &g_RSFPL_ATTR_IQ_ANALYZER_SWAP_IQ_ENABLED,
    &g_RSFPL_ATTR_IQ_ANALYZER_RECORD_LENGTH,
    &g_RSFPL_ATTR_IQ_ANALYZER_RBW_MODE,
    &g_RSFPL_ATTR_IQ_ANALYZER_MANUAL_RBW,
    &g_RSFPL_ATTR_IQ_ANALYZER_TRANSFORMATION_ALGORITHM,
    &g_RSFPL_ATTR_IQ_ANALYZER_FFT_LENGTH,
    &g_RSFPL_ATTR_IQ_ANALYZER_WINDOW_FUNCTION,
    &g_RSFPL_ATTR_IQ_ANALYZER_WINDOW_OVERLAP,
    &g_RSFPL_ATTR_IQ_ANALYZER_WINDOW_LENGTH,
    &g_RSFPL_ATTR_IQ_ANALYZER_TRIGGER_OFFSET,
    &g_RSFPL_ATTR_IQ_ANALYZER_BRANCH_FOR_PEAKSEARCH,
    &g_RSFPL_ATTR_IQ_ANALYZER_GATING_ENABLED,
    &g_RSFPL_ATTR_IQ_ANALYZER_GATING_MODE,
    &g_RSFPL_ATTR_IQ_ANALYZER_GATING_GAP,
    &g_RSFPL_ATTR_IQ_ANALYZER_GATING_LENGTH,
    &g_RSFPL_ATTR_IQ_ANALYZER_GATING_NUMBER_OF_GATE_PERIODS,
    &g_RSFPL_ATTR_IQ_ANALYZER_LAYOUT_REPLACE_WINDOW,
    &g_RSFPL_ATTR_IQ_ANALYZER_IQ_DATA_COMMENT,
    &g_RSFPL_ATTR_IQ_ANALYZER_SELECT_IQ_DATA_FILE_RAWSTRING,
    &g_RSFPL_ATTR_NOISE_COMMON_NOISE_SOURCE_ENABLED,
    &g_RSFPL_ATTR_NOISE_ROOM_TEMPERATURE,
    &g_RSFPL_ATTR_NOISE_CALIBRATION_NOISE_SOURCE,
    &g_RSFPL_ATTR_NOISE_CALIBRATION_MODE,
    &g_RSFPL_ATTR_NOISE_CALIBRATION_CONSTANT_ENR,
    &g_RSFPL_ATTR_NOISE_CALIBRATION_SELECTED_TABLE,
    &g_RSFPL_ATTR_NOISE_CALIBRATION_SMART_SERIAL_NUMBER,
    &g_RSFPL_ATTR_NOISE_CALIBRATION_SPOT_COLD_TEMPERATURE,
    &g_RSFPL_ATTR_NOISE_CALIBRATION_SPOT_HOT_TEMPERATURE,
    &g_RSFPL_ATTR_NOISE_MEASUREMENT_NOISE_SOURCE,
    &g_RSFPL_ATTR_NOISE_SOURCE_MEASUREMENT_MODE,
    &g_RSFPL_ATTR_NOISE_MEASUREMENT_CONSTANT_ENR,
    &g_RSFPL_ATTR_NOISE_MEASUREMENT_SMART_SERIAL_NUMBER,
    &g_RSFPL_ATTR_NOISE_MEASUREMENT_SPOT_COLD_TEMPERATURE,
    &g_RSFPL_ATTR_NOISE_MEASUREMENT_SPOT_HOT_TEMPERATURE,
    &g_RSFPL_ATTR_NOISE_MEASUREMENT_SELECTED_TABLE,
    &g_RSFPL_ATTR_NOISE_MEASUREMENT_DIODE_TABLE_LIST,
    &g_RSFPL_ATTR_NOISE_MEASUREMENT_DIODE_TABLE_DELETE,
    &g_RSFPL_ATTR_NOISE_MEASUREMENT_TEMPERATURE_TABLE_LIST,
    &g_RSFPL_ATTR_NOISE_MEASUREMENT_TEMPERATURE_TABLE_DELETE,
    &g_RSFPL_ATTR_NOISE_INPUT_LOSS_MODE,
    &g_RSFPL_ATTR_NOISE_INPUT_LOSS_CONSTANT,
    &g_RSFPL_ATTR_NOISE_INPUT_LOSS_TEMPERATURE,
    &g_RSFPL_ATTR_NOISE_INPUT_LOSS_SELECTED_TABLE,
    &g_RSFPL_ATTR_NOISE_INPUT_LOSS_DELETE_TABLE,
    &g_RSFPL_ATTR_NOISE_INPUT_LOSS_TABLE_LIST,
    &g_RSFPL_ATTR_NOISE_OUTPUT_LOSS_MODE,
    &g_RSFPL_ATTR_NOISE_OUTPUT_LOSS_CONSTANT,
    &g_RSFPL_ATTR_NOISE_OUTPUT_LOSS_TEMPERATURE,
    &g_RSFPL_ATTR_NOISE_OUTPUT_LOSS_SELECTED_TABLE,
    &g_RSFPL_ATTR_NOISE_OUTPUT_LOSS_DELETE_TABLE,
    &g_RSFPL_ATTR_NOISE_OUTPUT_LOSS_TABLE_LIST,
    &g_RSFPL_ATTR_NOISE_CALIBRATION_LOSS_MODE,
    &g_RSFPL_ATTR_NOISE_CALIBRATION_LOSS_CONSTANT,
    &g_RSFPL_ATTR_NOISE_CALIBRATION_LOSS_TEMPERATURE,
    &g_RSFPL_ATTR_NOISE_CALIBRATION_LOSS_SELECTED_TABLE,
    &g_RSFPL_ATTR_NOISE_CALIBRATION_LOSS_DELETE_TABLE,
    &g_RSFPL_ATTR_NOISE_CALIBRATION_LOSS_TABLE_LIST,
    &g_RSFPL_ATTR_NOISE_DUT_TYPE,
    &g_RSFPL_ATTR_NOISE_DUT_LO_TYPE,
    &g_RSFPL_ATTR_NOISE_DUT_LO_FREQUENCY,
    &g_RSFPL_ATTR_NOISE_DUT_IMAGE_REJECTION,
    &g_RSFPL_ATTR_NOISE_MEASUREMENT_POINTS,
    &g_RSFPL_ATTR_NOISE_SINGLE_FREQUENCY,
    &g_RSFPL_ATTR_NOISE_SINGLE_FREQUENCY_COUPLING_ENABLED,
    &g_RSFPL_ATTR_NOISE_SINGLE_FREQUENCY_CONTINUOUS_SWEEP,
    &g_RSFPL_ATTR_NOISE_SINGLE_FREQUENCY_SINGLE_SWEEP,
    &g_RSFPL_ATTR_NOISE_FREQUENCY_STEPSIZE,
    &g_RSFPL_ATTR_NOISE_LIST_MEASUREMENT_CONTINUOUS_SWEEP,
    &g_RSFPL_ATTR_NOISE_LIST_MEASUREMENT_SINGLE_SWEEP,
    &g_RSFPL_ATTR_NOISE_FREQUENCY_QUERY_TABLE_DATA_RAW,
    &g_RSFPL_ATTR_HIDDEN_QUERY_NOISE_DATA,
    &g_RSFPL_ATTR_NOISE_ANALYZER_CALIBRATION_MEASUREMENT,
    &g_RSFPL_ATTR_NOISE_ANALYZER_CALIBRATION_DATA_INCLUDED,
    &g_RSFPL_ATTR_NOISE_ANALYZER_AUTO_REFERENCE_LEVEL_ENABLED,
    &g_RSFPL_ATTR_NOISE_ANALYZER_EXPECTED_DUT_GAIN,
    &g_RSFPL_ATTR_NOISE_ANALYZER_SETTLING_TIME,
    &g_RSFPL_ATTR_NOISE_LIMIT_LINE_RESULT_TYPE,
    &g_RSFPL_ATTR_NOISE_DISPLAY_AUTOMATIC_SCALING_ENABLED,
    &g_RSFPL_ATTR_NOISE_DISPLAY_FREQUENCY_TYPE,
    &g_RSFPL_ATTR_NOISE_DISPLAY_X_AXIS_SYMBOLS_ENABLED,
    &g_RSFPL_ATTR_NOISE_DISPLAY_X_AXIS_BOTTOM,
    &g_RSFPL_ATTR_NOISE_DISPLAY_X_AXIS_TOP,
    &g_RSFPL_ATTR_NOISE_LAYOUT_REPLACE_WINDOW,
    &g_RSFPL_ATTR_NOISE_MEASUREMENT_MODE,
    &g_RSFPL_ATTR_NOISE_MEASUREMENT_TYPE_OF_POWER_MEASUREMENT,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_RESULT,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_MEASUREMENT_OUTPUT_MATCH_VSWR,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_MEASUREMENT_OUTPUT_MATCH_RETURN_LOSS,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_MEASUREMENT_ENR_UNCERTAINTY,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_MEASUREMENT_RESISTOR_COLD_UNCERTAINTY,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_MEASUREMENT_RESISTOR_HOT_UNCERTAINTY,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_COMMON_SOURCE_FOR_MEAS_AND_CAL_ENABLED,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_CALIBRATION_OUTPUT_MATCH_VSWR,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_CALIBRATION_OUTPUT_MATCH_RETURN_LOSS,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_CALIBRATION_ENR_UNCERTAINTY,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_CALIBRATION_RESISTOR_COLD_UNCERTAINTY,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_CALIBRATION_RESISTOR_HOT_UNCERTAINTY,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_INPUT_MATCH_VSWR,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_INPUT_MATCH_RETURN_LOSS,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_OUTPUT_MATCH_VSWR,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_OUTPUT_MATCH_RETURN_LOSS,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_USE_MEASUREMENT_VALUES_ENABLED,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_NOISE_FIGURE,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_GAIN,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_DUT_FREQUENCY,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_ANALYZER_GAIN_UNCERTAINTY,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_ANALYZER_NOISE_FIGURE_UNCERTAINTY,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_PREAMP_ENABLED,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_PREAMP_NOISE_FIGURE,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_PREAMP_GAIN,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_PREAMP_VSWR,
    &g_RSFPL_ATTR_NOISE_FIGURE_UNCERTAINTY_PREAMP_RETURN_LOSS,
    &g_RSFPL_ATTR_ANALOG_DEMODULATION_SCALLING_ANGLE_UNIT,
    &g_RSFPL_ATTR_ANALOG_DEMODULATION_UNIT_THD,
    &g_RSFPL_ATTR_ANALOG_DEMODULATION_RF_INPUT_YIG_FILTER,
    &g_RSFPL_ATTR_ADEM_LOAD_CONFIGURATION,
    &g_RSFPL_ATTR_ADEM_SAVE_CONFIGURATION,
    &g_RSFPL_ATTR_ADEM_RESTORE_CONFIGURATIONS,
    &g_RSFPL_ATTR_ADEM_TRIGGER_AM_LEVEL,
    &g_RSFPL_ATTR_ADEM_TRIGGER_RF_LEVEL,
    &g_RSFPL_ATTR_ADEM_TRIGGER_FM_LEVEL,
    &g_RSFPL_ATTR_ADEM_TRIGGER_PM_LEVEL,
    &g_RSFPL_ATTR_ADEM_BANDWIDTH,
    &g_RSFPL_ATTR_ADEM_FILTER_TYPE,
    &g_RSFPL_ATTR_ADEM_MEASUREMENT_TIME,
    &g_RSFPL_ATTR_ADEM_SAMPLE_RATE,
    &g_RSFPL_ATTR_ADEM_RECORD_LENGTH,
    &g_RSFPL_ATTR_ADEM_UNIT_ANGLE,
    &g_RSFPL_ATTR_ADEM_UNIT_THD,
    &g_RSFPL_ATTR_ADEM_SQUELCH_ENABLED,
    &g_RSFPL_ATTR_ADEM_SQUELCH_LEVEL,
    &g_RSFPL_ATTR_ADEM_ZERO_PHASE_REFERENCE_POSITION,
    &g_RSFPL_ATTR_ADEM_ZERO_PHASE_REFERENCE_POSITION_MODE,
    &g_RSFPL_ATTR_ADEM_AF_COUPLING,
    &g_RSFPL_ATTR_ADEM_TIME_DOMAIN_ZOOM_ENABLED,
    &g_RSFPL_ATTR_ADEM_TIME_DOMAIN_ZOOM_START,
    &g_RSFPL_ATTR_ADEM_TIME_DOMAIN_ZOOM_LENGTH_MODE,
    &g_RSFPL_ATTR_ADEM_TIME_DOMAIN_ZOOM_LENGTH,
    &g_RSFPL_ATTR_ADEM_AF_CENTER,
    &g_RSFPL_ATTR_ADEM_AF_SPAN,
    &g_RSFPL_ATTR_ADEM_AF_SPAN_FULL,
    &g_RSFPL_ATTR_ADEM_AF_START,
    &g_RSFPL_ATTR_ADEM_AF_STOP,
    &g_RSFPL_ATTR_ADEM_AF_AUTO_SCALE_ENABLED,
    &g_RSFPL_ATTR_ADEM_RF_SPAN,
    &g_RSFPL_ATTR_ADEM_RF_SPAN_ZOOM,
    &g_RSFPL_ATTR_ADEM_AF_FILTER_ALL_OFF,
    &g_RSFPL_ATTR_ADEM_AF_HIGH_PASS_FILTER_ENABLED,
    &g_RSFPL_ATTR_ADEM_AF_HIGH_PASS_FILTER_TYPE,
    &g_RSFPL_ATTR_ADEM_AF_HIGH_PASS_FILTER_CUTOFF_FREQUENCY,
    &g_RSFPL_ATTR_ADEM_AF_LOW_PASS_FILTER_ENABLED,
    &g_RSFPL_ATTR_ADEM_AF_LOW_PASS_FILTER_CUTOFF_FREQUENCY,
    &g_RSFPL_ATTR_ADEM_AF_LOW_PASS_FILTER_TYPE_RELATIVE,
    &g_RSFPL_ATTR_ADEM_AF_LOW_PASS_FILTER_TYPE_ABSOLUTE,
    &g_RSFPL_ATTR_ADEM_AF_WEIGHTED_FILTER_CCITT_ENABLED,
    &g_RSFPL_ATTR_ADEM_AF_WEIGHTED_FILTER_UNWEIGHTED_CCIR_ENABLED,
    &g_RSFPL_ATTR_ADEM_AF_WEIGHTED_FILTER_WEIGHTED_CCIR_ENABLED,
    &g_RSFPL_ATTR_ADEM_AF_WEIGHTED_A_ENABLED,
    &g_RSFPL_ATTR_ADEM_AF_DEEMPHASIS_FILTER_ENABLED,
    &g_RSFPL_ATTR_ADEM_AF_DEEMPHASIS_FILTER_TYPE,
    &g_RSFPL_ATTR_ADEM_RELATIVE_DEMODULATION_RESULTS_UNIT,
    &g_RSFPL_ATTR_ADEM_AM_DEMODULATION_SET_REFERENCE,
    &g_RSFPL_ATTR_ADEM_AM_RELATIVE_DEMODULATION_ENABLED,
    &g_RSFPL_ATTR_ADEM_AM_RELATIVE_DEMODULATION_RESULT_MODE,
    &g_RSFPL_ATTR_ADEM_AM_RELATIVE_DEMODULATION_REFERENCE_VALUE,
    &g_RSFPL_ATTR_ADEM_FM_DEMODULATION_SET_REFERENCE,
    &g_RSFPL_ATTR_ADEM_FM_RELATIVE_DEMODULATION_ENABLED,
    &g_RSFPL_ATTR_ADEM_FM_RELATIVE_DEMODULATION_RESULT_MODE,
    &g_RSFPL_ATTR_ADEM_FM_RELATIVE_DEMODULATION_REFERENCE_VALUE,
    &g_RSFPL_ATTR_ADEM_PM_DEMODULATION_SET_REFERENCE,
    &g_RSFPL_ATTR_ADEM_PM_RELATIVE_DEMODULATION_ENABLED,
    &g_RSFPL_ATTR_ADEM_PM_RELATIVE_DEMODULATION_RESULT_MODE,
    &g_RSFPL_ATTR_ADEM_PM_RELATIVE_DEMODULATION_REFERENCE_VALUE,
    &g_RSFPL_ATTR_ADEM_LAYOUT_REPLACE_WINDOW,
    &g_RSFPL_ATTR_ADEM_RESULT_MODULATION_FREQUENCY,
    &g_RSFPL_ATTR_ADEM_RESULT_CARRIER_POWER,
    &g_RSFPL_ATTR_ADEM_SELECT_TRACE_FOR_RESULT_SUMMARY,
    &g_RSFPL_ATTR_ADEM_RESULT_THD,
    &g_RSFPL_ATTR_ADEM_RESULT_SINAD,
    &g_RSFPL_ATTR_ADEM_RESULT_CARRIER_OFFSET,
    &g_RSFPL_ATTR_ADEM_TRACE_RESULT_MODULATION_FREQUENCY,
    &g_RSFPL_ATTR_ADEM_TRACE_RESULT_CARRIER_POWER,
    &g_RSFPL_ATTR_ADEM_TRACE_RESULT_DISTORTION,
    &g_RSFPL_ATTR_ANALOG_DEMODULATION_RESULT_RANGE_RESULT_TYPE,
    &g_RSFPL_ATTR_EMI_MEASUREMENT_ENABLED,
    &g_RSFPL_ATTR_EMI_MEASUREMENT_DWELL_TIME,
    &g_RSFPL_ATTR_EMI_MEASUREMENT_MARKER_PEAK_SEARCH,
    &g_RSFPL_ATTR_EMI_MEASUREMENT_MARKER_DETECTOR,
    &g_RSFPL_ATTR_EMI_MEASUREMENT_MARKER_RESULT,
    &g_RSFPL_ATTR_EMI_MEASUREMENT_MARKER_LIMIT_CONDITION,
    &g_RSFPL_ATTR_EMI_MEASUREMENT_MARKER_LIMIT_VERTICAL_DISTANCE,
    &g_RSFPL_ATTR_EMI_MEASUREMENT_DELTA_MARKER_PEAK_SEARCH,
    &g_RSFPL_ATTR_EMI_MEASUREMENT_DELTA_MARKER_DETECTOR,
    &g_RSFPL_ATTR_EMI_MEASUREMENT_DELTA_MARKER_RESULT,
    &g_RSFPL_ATTR_EMI_MEASUREMENT_DELTA_MARKER_LIMIT_CONDITION,
    &g_RSFPL_ATTR_EMI_MEASUREMENT_DELTA_MARKER_LIMIT_VERTICAL_DISTANCE,
    &g_RSFPL_ATTR_EMI_LISN_V_NETWORK_TYPE,
    &g_RSFPL_ATTR_EMI_LISN_V_NETWORK_HIGH_PASS_FILTER,
    &g_RSFPL_ATTR_EMI_LISN_V_NETWORK_PHASE,
    &g_RSFPL_ATTR_VSA_MODE,
    &g_RSFPL_ATTR_VSA_SELECT_RESULT_RANGE,
    &g_RSFPL_ATTR_VSA_RF_INPUT_COUPLING,
    &g_RSFPL_ATTR_VSA_RF_INPUT_YIG_FILTER,
    &g_RSFPL_ATTR_VSA_RF_INPUT_PAD_TYPE,
    &g_RSFPL_ATTR_VSA_OUTPUT_PRESET_REFERENCE_LEVEL,
    &g_RSFPL_ATTR_VSA_OUTPUT_OPIMIZATION_MODE,
    &g_RSFPL_ATTR_VSA_PREAMPLIFIER_COMPENSATION_ENABLED,
    &g_RSFPL_ATTR_VSA_ATTENUATION_ELECTRONIC_ENABLED,
    &g_RSFPL_ATTR_VSA_ATTENUATION_ELECTRONIC,
    &g_RSFPL_ATTR_VSA_SCALLING_QUANTIZE,
    &g_RSFPL_ATTR_VSA_SCALLING_ANGLE_UNIT,
    &g_RSFPL_ATTR_VSA_SCALLING_TIME_UNIT_X,
    &g_RSFPL_ATTR_VSA_SCALLING_TIME_UNIT_Y,
    &g_RSFPL_ATTR_VSA_SCALLING_RANGE_PER_DIVISION,
    &g_RSFPL_ATTR_VSA_SCALLING_X_AXIS_REFERENCE_VALUE,
    &g_RSFPL_ATTR_VSA_RESTORES_FACTORY_SETTINGS,
    &g_RSFPL_ATTR_VSA_LOAD_STANDARD,
    &g_RSFPL_ATTR_VSA_SAVE_STANDARD,
    &g_RSFPL_ATTR_VSA_DELETE_STANDARD,
    &g_RSFPL_ATTR_VSA_CONFIGURATION_COMMENT,
    &g_RSFPL_ATTR_VSA_STANDARD_PRESET,
    &g_RSFPL_ATTR_VSA_MODULATION_TYPE,
    &g_RSFPL_ATTR_VSA_MODULATION_FSK_DEVIATION,
    &g_RSFPL_ATTR_VSA_MODULATION_FSK_DEVIATION_ABSOLUTE,
    &g_RSFPL_ATTR_VSA_MODULATION_FSK_N_STATE,
    &g_RSFPL_ATTR_VSA_MODULATION_APSK_N_STATE,
    &g_RSFPL_ATTR_VSA_MODULATION_ASK_N_STATE,
    &g_RSFPL_ATTR_VSA_MODULATION_MSK_FORMAT,
    &g_RSFPL_ATTR_VSA_MODULATION_PSK_FORMAT,
    &g_RSFPL_ATTR_VSA_MODULATION_PSK_N_STATE,
    &g_RSFPL_ATTR_VSA_MODULATION_QAM_FORMAT,
    &g_RSFPL_ATTR_VSA_MODULATION_QAM_N_STATE,
    &g_RSFPL_ATTR_VSA_MODULATION_QPSK_FORMAT,
    &g_RSFPL_ATTR_VSA_MODULATION_LOAD_USER_DEFINED,
    &g_RSFPL_ATTR_VSA_MODULATION_FILTER_ENABLED,
    &g_RSFPL_ATTR_VSA_MODULATION_FILTER_ALPHA_BT,
    &g_RSFPL_ATTR_VSA_MODULATION_TRANSMIT_FILTER_SELECT,
    &g_RSFPL_ATTR_VSA_MODULATION_TRANSMIT_FILTER_SELECT_USER_DEFINED,
    &g_RSFPL_ATTR_VSA_MODULATION_TRANSMIT_FILTER_OFF,
    &g_RSFPL_ATTR_VSA_MODULATION_TRANSMIT_FILTER_ALPHA_BT,
    &g_RSFPL_ATTR_VSA_MODULATION_MAPPING_CATALOG,
    &g_RSFPL_ATTR_VSA_MODULATION_MAPPING,
    &g_RSFPL_ATTR_VSA_MODULATION_SYMBOL_RATE,
    &g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_BURST_MAX_LENGTH,
    &g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_BURST_MIN_LENGTH,
    &g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_RUN_OUT,
    &g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_RUN_IN,
    &g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_PATTERN_ENABLED,
    &g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_PATTERN_OFFSET_ENABLED,
    &g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_PATTERN_OFFSET,
    &g_RSFPL_ATTR_VSA_SIGNAL_STRUCTURE_TYPE,
    &g_RSFPL_ATTR_VSA_FRAME_FORMAT,
    &g_RSFPL_ATTR_VSA_FRAME_EDIT,
    &g_RSFPL_ATTR_VSA_FRAME_SAVE,
    &g_RSFPL_ATTR_VSA_FRAME_LOAD,
    &g_RSFPL_ATTR_VSA_FRAME_NEXT_BOOSTING,
    &g_RSFPL_ATTR_VSA_FRAME_NEXT_MODULATION,
    &g_RSFPL_ATTR_VSA_FRAME_PREVIOUS_BOOSTING,
    &g_RSFPL_ATTR_VSA_FRAME_PREVIOUS_MODULATION,
    &g_RSFPL_ATTR_VSA_FRAME_DESCRIPTION,
    &g_RSFPL_ATTR_VSA_FRAME_MODE,
    &g_RSFPL_ATTR_VSA_FRAME_MAPPING_CATALOG,
    &g_RSFPL_ATTR_VSA_FRAME_MAPPING,
    &g_RSFPL_ATTR_VSA_FRAME_APSK_N_STATE,
    &g_RSFPL_ATTR_VSA_FRAME_ASK_N_STATE,
    &g_RSFPL_ATTR_VSA_FRAME_PSK_FORMAT,
    &g_RSFPL_ATTR_VSA_FRAME_PSK_N_STATE,
    &g_RSFPL_ATTR_VSA_FRAME_QAM_FORMAT,
    &g_RSFPL_ATTR_VSA_FRAME_QAM_N_STATE,
    &g_RSFPL_ATTR_VSA_FRAME_QPSK_FORMAT,
    &g_RSFPL_ATTR_VSA_FRAME_USER_DEFINED_MODULATION,
    &g_RSFPL_ATTR_VSA_FRAME_PATTERN_ENABLED,
    &g_RSFPL_ATTR_VSA_KNOWN_DATA_ENABLED,
    &g_RSFPL_ATTR_VSA_KNOWN_DATA_SOURCE,
    &g_RSFPL_ATTR_VSA_KNOWN_DATA_LOAD_DATA_FILE,
    &g_RSFPL_ATTR_VSA_KNOWN_DATA_FEEDBACK_AUTO,
    &g_RSFPL_ATTR_VSA_KNOWN_DATA_FEEDBACK_PRBS,
    &g_RSFPL_ATTR_VSA_KNOWN_DATA_PRBS_PATTERN_ENABLED,
    &g_RSFPL_ATTR_VSA_KNOWN_DATA_PRBS_PATTERN_AUTO,
    &g_RSFPL_ATTR_VSA_KNOWN_DATA_PRBS_POLYNOMIAL_AUTO,
    &g_RSFPL_ATTR_VSA_KNOWN_DATA_PRBS_POLYNOMIAL_ORDER,
    &g_RSFPL_ATTR_VSA_KNOWN_DATA_PRBS_TYPE,
    &g_RSFPL_ATTR_VSA_SIGNAL_CAPTURE_SAMPLE_RATE,
    &g_RSFPL_ATTR_VSA_SIGNAL_CAPTURE_RECORD_LENGTH_AUTO,
    &g_RSFPL_ATTR_VSA_SIGNAL_CAPTURE_RECORD_LENGTH,
    &g_RSFPL_ATTR_VSA_SIGNAL_CAPTURE_RECORD_LENGTH_SYMBOLS,
    &g_RSFPL_ATTR_QUERY_SIGNAL_CAPTURE_IQ_BANDWIDTH,
    &g_RSFPL_ATTR_VSA_DEMODULATION_NORMALIZE_EVM_TO,
    &g_RSFPL_ATTR_VSA_DEMODULATION_OFFSET_EVM_ENABLED,
    &g_RSFPL_ATTR_VSA_DEMODULATION_ESTIMATION_POINTS_ENABLED,
    &g_RSFPL_ATTR_VSA_DEMODULATION_ESTIMATION_POINTS,
    &g_RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_ENABLED,
    &g_RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_FILTER_LENGTH,
    &g_RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_MODE,
    &g_RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_FILE_FORMAT,
    &g_RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_LOAD,
    &g_RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_SAVE,
    &g_RSFPL_ATTR_VSA_DEMODULATION_EQUALIZER_RESET,
    &g_RSFPL_ATTR_VSA_DEMODULATION_FINE_SYNC_MODE,
    &g_RSFPL_ATTR_VSA_DEMODULATION_FINE_SYNC_AUTO,
    &g_RSFPL_ATTR_VSA_DEMODULATION_FINE_SYNC_SER_LEVEL,
    &g_RSFPL_ATTR_VSA_DEMODULATION_FINE_SYNC_RESULT,
    &g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_AMPLITUDE_DROOP_ENABLED,
    &g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_FSK,
    &g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_TRANSMIT_CHANNEL,
    &g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_DEVIATION_ERROR,
    &g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_IQ_IMBALANCE,
    &g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_IQ_OFFSET,
    &g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_IQ_SKEW,
    &g_RSFPL_ATTR_VSA_DEMODULATION_COMPENSATE_SYMBOL_CLOCK_ERROR,
    &g_RSFPL_ATTR_VSA_DEMODULATION_OPTIMIZATION,
    &g_RSFPL_ATTR_VSA_DEMODULATION_COARSE_SYNCHRONIZATION_ENABLED,
    &g_RSFPL_ATTR_VSA_DEMODULATION_COARSE_SYNCHRONIZATION,
    &g_RSFPL_ATTR_VSA_MEASUREMENT_FILTER_AUTO,
    &g_RSFPL_ATTR_VSA_MEASUREMENT_FILTER_ALPHA_BT,
    &g_RSFPL_ATTR_VSA_MEASUREMENT_FILTER_OFF,
    &g_RSFPL_ATTR_VSA_MEASUREMENT_FILTER_NAME,
    &g_RSFPL_ATTR_VSA_MEASUREMENT_FILTER_USER,
    &g_RSFPL_ATTR_VSA_EVALUATION_RANGE_ENABLED,
    &g_RSFPL_ATTR_VSA_EVALUATION_RANGE,
    &g_RSFPL_ATTR_VSA_BURST_SEARCH_ENABLED,
    &g_RSFPL_ATTR_VSA_BURST_SEARCH_AUTO,
    &g_RSFPL_ATTR_VSA_BURST_SEARCH_CONFIGURE_AUTO,
    &g_RSFPL_ATTR_VSA_BURST_SEARCH_MIN_GAP_LENGTH,
    &g_RSFPL_ATTR_VSA_BURST_SEARCH_MEASURING,
    &g_RSFPL_ATTR_VSA_BURST_SEARCH_TOLERANCE,
    &g_RSFPL_ATTR_VSA_PATTERN_SEARCH_ENABLED,
    &g_RSFPL_ATTR_VSA_PATTERN_SEARCH_IQ_CORRELATION_THRESHOLD,
    &g_RSFPL_ATTR_VSA_PATTERN_SEARCH_AUTO,
    &g_RSFPL_ATTR_VSA_PATTERN_SEARCH_IQ_CORRELATION_LEVEL,
    &g_RSFPL_ATTR_VSA_PATTERN_SEARCH_SYNC_MODE,
    &g_RSFPL_ATTR_VSA_PATTERN_SEARCH_SELECT_FILE,
    &g_RSFPL_ATTR_VSA_PATTERN_NAME,
    &g_RSFPL_ATTR_VSA_PATTERN_COMMENT,
    &g_RSFPL_ATTR_VSA_PATTERN_COPY,
    &g_RSFPL_ATTR_VSA_PATTERN_DELETE,
    &g_RSFPL_ATTR_VSA_PATTERN_ADD,
    &g_RSFPL_ATTR_VSA_PATTERN_REMOVE,
    &g_RSFPL_ATTR_VSA_PATTERN_DATA,
    &g_RSFPL_ATTR_VSA_PATTERN_N_STATE,
    &g_RSFPL_ATTR_VSA_PATTERN_DESCRIPTION,
    &g_RSFPL_ATTR_VSA_RESULT_RANGE_RESULT_LENGTH,
    &g_RSFPL_ATTR_VSA_RESULT_RANGE_ACCORDING_TO_FRAME_STRUCTURE_FILE,
    &g_RSFPL_ATTR_VSA_RESULT_RANGE_RESULT_TYPE,
    &g_RSFPL_ATTR_VSA_RESULT_RANGE_TYPE_TRANSFORMATION,
    &g_RSFPL_ATTR_VSA_RESULT_RANGE_OVERSAMPLING,
    &g_RSFPL_ATTR_VSA_RESULT_RANGE_INDIVIDUAL_RESULTS,
    &g_RSFPL_ATTR_VSA_RESULT_RANGE_PPS_MODE,
    &g_RSFPL_ATTR_VSA_RESULT_RANGE_PPS,
    &g_RSFPL_ATTR_VSA_RESULT_RANGE_ALIGNMENT,
    &g_RSFPL_ATTR_VSA_RESULT_RANGE_ALIGNMENT_OFFSET,
    &g_RSFPL_ATTR_VSA_RESULT_RANGE_REFERENCE,
    &g_RSFPL_ATTR_VSA_RESULT_RANGE_SYMBOL_NUMBER_AT_REFERENCE_START,
    &g_RSFPL_ATTR_VSA_RESULT_RANGE_HIGHLIGHT_SYMBOLS,
    &g_RSFPL_ATTR_VSA_WINDOW_PRESET,
    &g_RSFPL_ATTR_VSA_WINDOW_ADD_EVALUATION,
    &g_RSFPL_ATTR_VSA_WINDOW_FEED,
    &g_RSFPL_ATTR_VSA_WINDOW_MEASUREMENT_DIRTY,
    &g_RSFPL_ATTR_VSA_MEASUREMENT_REFRESH,
    &g_RSFPL_ATTR_VSA_MEASUREMENT_START_SYMBOL,
    &g_RSFPL_ATTR_VSA_MEASUREMENT_START_SAMPLES,
    &g_RSFPL_ATTR_VSA_RESULTS_CURRENT_BER,
    &g_RSFPL_ATTR_VSA_RESULTS_BURST_LENGTH,
    &g_RSFPL_ATTR_VSA_TRACE_START,
    &g_RSFPL_ATTR_VSA_TRACE_STOP,
    &g_RSFPL_ATTR_VSA_DSP_MARKER_TO_START_OF_SELECTED_RESULT_RANGE,
    &g_RSFPL_ATTR_VSA_DSP_DELTA_MARKER_TO_START_OF_SELECTED_RESULT_RANGE,
    &g_RSFPL_ATTR_VSA_DSP_CAPTURE_NUMBER_OF_BURSTS,
    &g_RSFPL_ATTR_VSA_DSP_CAPTURE_NUMBER_OF_PATTERNS,
    &g_RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_BURST_LENGTH,
    &g_RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_BURST_PRESENT,
    &g_RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_BURST_START,
    &g_RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_PATTERN_CONFIDENCE,
    &g_RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_PATTERN_CORRECT,
    &g_RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_PATTERN_PRESENT,
    &g_RSFPL_ATTR_VSA_DSP_CURRENT_RANGE_PATTERN_START,
    &g_RSFPL_ATTR_VSA_TRACE_EVALUATION,
    &g_RSFPL_ATTR_VSA_TRACE_SYMBOL_SELECTION,
    &g_RSFPL_ATTR_VSA_DELTAMARKER_ABSOLUTE_PEAK,
    &g_RSFPL_ATTR_VSA_MARKER_ABSOLUTE_PEAK,
    &g_RSFPL_ATTR_VSA_DISPLAY_LINES_ENABLED,
    &g_RSFPL_ATTR_VSA_DISPLAY_LINES_HORIZONTAL_LINE,
    &g_RSFPL_ATTR_VSA_DISPLAY_LINE_RELATIVE_HORIZONTAL_LINE_ENABLED,
    &g_RSFPL_ATTR_VSA_DISPLAY_LINE_RELATIVE_HORIZONTAL_LINE,
    &g_RSFPL_ATTR_VSA_DISPLAY_LINE_ABSOLUTE_VERTICAL_LINE_ENABLED,
    &g_RSFPL_ATTR_VSA_DISPLAY_LINE_ABSOLUTE_VERTICAL_LINE,
    &g_RSFPL_ATTR_VSA_DISPLAY_LINE_RELATIVE_VERTICAL_LINE_ENABLED,
    &g_RSFPL_ATTR_VSA_DISPLAY_LINE_RELATIVE_VERTICAL_LINE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_DEFAULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_CURRENT_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_CURRENT_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_CURRENT_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_MEAN_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_MEAN_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_MEAN_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_CURRENT_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_CURRENT_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_CURRENT_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_MEAN_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_MEAN_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_MEAN_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_PEAK_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_PEAK_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_PEAK_PEAK_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_CURRENT_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_CURRENT_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_CURRENT_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_MEAN_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_MEAN_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_MEAN_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_PEAK_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_PEAK_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_EVM_RMS_PEAK_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_CURRENT_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_CURRENT_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_CURRENT_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_MEAN_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_MEAN_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_MEAN_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_PEAK_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_PEAK_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_DEVIATION_PEAK_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_CURRENT_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_CURRENT_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_CURRENT_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_MEAN_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_MEAN_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_MEAN_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_PEAK_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_PEAK_PEAK_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_PEAK_PEAK_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_CURRENT_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_CURRENT_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_RMS_CURRENT_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_MEAN_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_MEAN_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_RMS_MEAN_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_PEAK_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_FREQUENCY_ERROR_RMS_PEAK_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_CARRIER_FREQUENCY_ERROR_RMS_PEAK_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_CURRENT_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_CURRENT_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_CURRENT_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_MEAN_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_MEAN_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_MEAN_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_PEAK_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_PEAK_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_PEAK_PEAK_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_CURRENT_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_CURRENT_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_CURRENT_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_MEAN_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_MEAN_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_MEAN_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_PEAK_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_PEAK_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_MAGNITUDE_ERROR_RMS_PEAK_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_CURRENT_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_CURRENT_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_CURRENT_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_MEAN_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_MEAN_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_MEAN_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_PEAK_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_PEAK_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_IQ_OFFSET_PEAK_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_CURRENT_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_CURRENT_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_CURRENT_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_MEAN_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_MEAN_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_MEAN_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_PEAK_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_PEAK_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_PEAK_PEAK_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_CURRENT_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_CURRENT_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_CURRENT_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_MEAN_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_MEAN_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_MEAN_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_PEAK_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_PEAK_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_PHASE_ERROR_RMS_PEAK_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_CURRENT_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_CURRENT_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_CURRENT_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_MEAN_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_MEAN_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_MEAN_RESULT,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_PEAK_ENABLED,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_PEAK_VALUE,
    &g_RSFPL_ATTR_VSA_MACC_LIMIT_RHO_PEAK_RESULT,
    &g_RSFPL_ATTR_PHASE_NOISE_MODE,
    &g_RSFPL_ATTR_PHASE_NOISE_INITIATE_REFERENCE_MEASUREMENT,
    &g_RSFPL_ATTR_PHASE_NOISE_FINISH_HALF_DECADE,
    &g_RSFPL_ATTR_PHASE_NOISE_NOMINAL_LEVEL,
    &g_RSFPL_ATTR_PHASE_NOISE_VERIFY_FREQUENCY_ENABLED,
    &g_RSFPL_ATTR_PHASE_NOISE_FREQUENCY_RELATIVE_TOLERANCE,
    &g_RSFPL_ATTR_PHASE_NOISE_FREQUENCY_ABSOLUTE_TOLERANCE,
    &g_RSFPL_ATTR_PHASE_NOISE_VERIFY_LEVEL_ENABLED,
    &g_RSFPL_ATTR_PHASE_NOISE_LEVEL_TOLERANCE,
    &g_RSFPL_ATTR_PHASE_NOISE_ON_VERIFY_FAILED,
    &g_RSFPL_ATTR_PHASE_NOISE_FREQUENCY_TRACKING_ENABLED,
    &g_RSFPL_ATTR_PHASE_NOISE_LEVEL_TRACKING_ENABLED,
    &g_RSFPL_ATTR_PHASE_NOISE_REJECT_AM_ENABLED,
    &g_RSFPL_ATTR_PHASE_NOISE_MAX_FREQ_DRIFT,
    &g_RSFPL_ATTR_PHASE_NOISE_DIGITAL_PLL_ENABLED,
    &g_RSFPL_ATTR_PHASE_NOISE_DECIMATION_ENABLED,
    &g_RSFPL_ATTR_PHASE_NOISE_SWEEP_FORWARD_ENABLED,
    &g_RSFPL_ATTR_PHASE_NOISE_SELECT_PRESET,
    &g_RSFPL_ATTR_PHASE_NOISE_GLOBAL_RBW,
    &g_RSFPL_ATTR_PHASE_NOISE_GLOBAL_AVERAGE_COUNT,
    &g_RSFPL_ATTR_PHASE_NOISE_MULTIPLIER_ENABLED,
    &g_RSFPL_ATTR_PHASE_NOISE_MULTIPLIER,
    &g_RSFPL_ATTR_PHASE_NOISE_GLOBAL_SWEEP_MODE,
    &g_RSFPL_ATTR_PHASE_NOISE_HALF_DECADE_RBW,
    &g_RSFPL_ATTR_PHASE_NOISE_HALF_DECADE_SWEEP_MODE,
    &g_RSFPL_ATTR_PHASE_NOISE_HALF_DECADE_AVERAGE_COUNT,
    &g_RSFPL_ATTR_PHASE_NOISE_HALF_DECADE_WINDOW_TYPE,
    &g_RSFPL_ATTR_PHASE_NOISE_TRACE_X_AXIS_SCOPE,
    &g_RSFPL_ATTR_PHASE_NOISE_TRACE_X_AXIS_START,
    &g_RSFPL_ATTR_PHASE_NOISE_TRACE_X_AXIS_STOP,
    &g_RSFPL_ATTR_PHASE_NOISE_TRACE_X_AXIS_HALF_DECADE,
    &g_RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_SCALING,
    &g_RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_RANGE,
    &g_RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_BOTTOM,
    &g_RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_AUTO_SCALE_ENABLED,
    &g_RSFPL_ATTR_PHASE_NOISE_TRACE_SPUR_REMOVAL_ENABLED,
    &g_RSFPL_ATTR_PHASE_NOISE_TRACE_SMOOTHING_METHOD,
    &g_RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_AUTO_SCALE_ONCE,
    &g_RSFPL_ATTR_PHASE_NOISE_TRACE_Y_AXIS_TOP,
    &g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_TYPE,
    &g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_SELECTED_TRACES,
    &g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_SELECTED_TRACE,
    &g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_NOISE_FLOOR,
    &g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_CHECK_RESULT,
    &g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_SEGMENT_CORNER_FREQUENCY,
    &g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_SEGMENT_LEFT_SLOPE,
    &g_RSFPL_ATTR_PHASE_NOISE_LIMIT_LINE_COPY_TO_USER_LIMIT_LINE,
    &g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_RANGE_START,
    &g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_RANGE_END,
    &g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_ENABLED,
    &g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_START,
    &g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_END,
    &g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_TRACE,
    &g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_DISABLE,
    &g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_INTEGRATED_PHASE_NOISE,
    &g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_RESIDUAL_FM,
    &g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_RESIDUAL_RMS_JITTER,
    &g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_RESIDUAL_PM,
    &g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_INTEGRATED_PHASE_NOISE,
    &g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_RESIDUAL_FM,
    &g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_RESIDUAL_RMS_JITTER,
    &g_RSFPL_ATTR_PHASE_NOISE_RESIDUAL_NOISE_USER_RANGE_RESIDUAL_PM,
    &g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_ON_ALL_DECADE_EDGES_ENABLED,
    &g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_DISABLE_ALL_MARKERS,
    &g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_DECADE_EDGE_ENABLED,
    &g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_MARKER_ENABLED,
    &g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_CUSTOM_MARKER_FREQUENCY,
    &g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_DECADE_VALUES,
    &g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_DECADE_FREQUENCIES,
    &g_RSFPL_ATTR_PHASE_NOISE_SPOT_NOISE_MARKER_VALUE,
    &g_RSFPL_ATTR_PHASE_NOISE_SPUR_REMOVAL_ENABLED,
    &g_RSFPL_ATTR_PHASE_NOISE_SPUR_THRESHOLD,
    &g_RSFPL_ATTR_PHASE_NOISE_SPUR_LIST_RESULTS,
    &g_RSFPL_ATTR_PHASE_NOISE_SPUR_LIST_DISCRETE_JITTER,
    &g_RSFPL_ATTR_PHASE_NOISE_SPUR_LIST_RANDOM_JITTER,
    &g_RSFPL_ATTR_PHASE_NOISE_TRACE_MEASURED_FREQUENCY,
    &g_RSFPL_ATTR_PHASE_NOISE_TRACE_MEASURED_LEVEL,
    &g_RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_START,
    &g_RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_STOP,
    &g_RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_SAMPLING_RATE,
    &g_RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_AVERAGES,
    &g_RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_FREQUENCY_DRIFT,
    &g_RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_LEVEL_DRIFT,
    &g_RSFPL_ATTR_PHASE_NOISE_SWEEP_RESULT_LIST_MAX_DRIFT,
    &g_RSFPL_ATTR_DATA_FILE_NAME_COMMENT,
    &g_RSFPL_ATTR_DATA_FILE_NAME,
    &g_RSFPL_ATTR_DATA_DECIMAL_SEPARATOR,
    &g_RSFPL_ATTR_DATA_X_VALUE_DISTRIBUTION,
    &g_RSFPL_ATTR_DATA_SELECTED_STORAGE_DEVICE,
    &g_RSFPL_ATTR_DATA_SELECTED_DIRECTORY,
    &g_RSFPL_ATTR_DATA_DELETE,
    &g_RSFPL_ATTR_DATA_CREATE_DIRECTORY,
    &g_RSFPL_ATTR_DATA_DELETE_DIRECTORY,
    &g_RSFPL_ATTR_DATA_NETWORK_UNUSED_DRIVES,
    &g_RSFPL_ATTR_DATA_NETWORK_USED_DRIVES,
    &g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_DEFAULT,
    &g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_ALL,
    &g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_NONE,
    &g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_HW_SETTINGS_ENABLED,
    &g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_LIMIT_LINES_ENABLED,
    &g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_SPECTROGRAM_DATA_ENABLED,
    &g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_TRACE_DATA_ENABLED,
    &g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_TRANSDUCER_FACTORS_ENABLED,
    &g_RSFPL_ATTR_ITEMS_TO_STORE_INSTRUMENT_SOURCE_CALIBRATION_DATA,
    &g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_DEFAULT,
    &g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_ALL,
    &g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_NONE,
    &g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_HW_SETTINGS_ENABLED,
    &g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_LIMIT_LINES_ENABLED,
    &g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_SPECTROGRAM_DATA_ENABLED,
    &g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_TRACE_DATA_ENABLED,
    &g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_TRANSDUCER_FACTORS_ENABLED,
    &g_RSFPL_ATTR_ITEMS_TO_STORE_CHANNEL_SOURCE_CALIBRATION_DATA,
    &g_RSFPL_ATTR_DATA_INSTRUMENT_SETTINGS_MODE,
    &g_RSFPL_ATTR_DATA_INSTRUMENT_SETTINGS_DELETE_ALL,
    &g_RSFPL_ATTR_DATA_INSTRUMENT_SETTINGS_RECALL_MODE,
    &g_RSFPL_ATTR_DATA_INSTRUMENT_SETTINGS_SAVE_NEXT,
    &g_RSFPL_ATTR_HCOPY_ABORT,
    &g_RSFPL_ATTR_HCOPY_MODE,
    &g_RSFPL_ATTR_HCOPY_PRINT,
    &g_RSFPL_ATTR_HCOPY_PRINT_NEXT,
    &g_RSFPL_ATTR_HCOPY_CONTENT_TYPE,
    &g_RSFPL_ATTR_HCOPY_COMMENT,
    &g_RSFPL_ATTR_HCOPY_LOGO_ENABLED,
    &g_RSFPL_ATTR_HCOPY_PAGE_COUNT_ENABLED,
    &g_RSFPL_ATTR_HCOPY_DATE_AND_TIME_ENABLED,
    &g_RSFPL_ATTR_HCOPY_DESTINATION,
    &g_RSFPL_ATTR_HCOPY_SELECTED_PRINTER,
    &g_RSFPL_ATTR_HCOPY_FILE_FORMAT,
    &g_RSFPL_ATTR_HCOPY_FIRST_PRINTER,
    &g_RSFPL_ATTR_HCOPY_NEXT_PRINTER,
    &g_RSFPL_ATTR_HCOPY_PAGE_ORIENTATION,
    &g_RSFPL_ATTR_HCOPY_WINDOWS_PER_PAGE,
    &g_RSFPL_ATTR_HCOPY_PAGE_SCALE_TO_FIT_ENABLED,
    &g_RSFPL_ATTR_HCOPY_PAGE_MARGIN_UNIT,
    &g_RSFPL_ATTR_HCOPY_PAGE_MARGIN_BOTTOM,
    &g_RSFPL_ATTR_HCOPY_PAGE_MARGIN_LEFT,
    &g_RSFPL_ATTR_HCOPY_PAGE_MARGIN_RIGHT,
    &g_RSFPL_ATTR_HCOPY_PAGE_MARGIN_TOP,
    &g_RSFPL_ATTR_HCOPY_COLOR_PRINTING_ENABLED,
    &g_RSFPL_ATTR_DATA_RESULTS_HEADER_ENABLED,
    &g_RSFPL_ATTR_DATA_RESULTS_FILE_FORMAT,
    &g_RSFPL_ATTR_DATA_RESULTS_INCLUDED_DATA_EXPORT,
    &g_RSFPL_ATTR_DATA_RESULTS_INCLUDED_DATA_IMPORT,
    &g_RSFPL_ATTR_DATA_RESULTS_EXPORT_MARKER_PEAK_LIST_SPURIOUS,
    &g_RSFPL_ATTR_DATA_RESULTS_EXPORT_SPURIOUS_EMISSION_LIST,
    &g_RSFPL_ATTR_DATA_RESULTS_EXPORT_MARKER_PEAK_LIST,
    &g_RSFPL_ATTR_DATA_RESULTS_EXPORT_SPECTROGRAM_DATA,
    &g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_PAGE_FORMAT,
    &g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_PRINTER_FRIENDLY_COLORS_ENABLED,
    &g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_INCLUDE_DATE,
    &g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_INCLUDE_PAGE_COUNT,
    &g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_RAW_DATA_STORAGE,
    &g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_TITLE_PAGE_LINE_TITLE,
    &g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_TITLE_PAGE_LINE_VALUE,
    &g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_TITLE_PAGE_LINE_VISIBILITY,
    &g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_TITLE_PAGE_LOGO,
    &g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_TITLE_PAGE_LOGO_VISIBILITY,
    &g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_SELECTED_ITEMS,
    &g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_CATALOGUE,
    &g_RSFPL_ATTR_HIDDEN_TEST_REPORT_TEMPLATE_SAVE,
    &g_RSFPL_ATTR_HIDDEN_TEST_REPORT_TEMPLATE_LOAD,
    &g_RSFPL_ATTR_HIDDEN_TEST_REPORT_TEMPLATE_DELETE,
    &g_RSFPL_ATTR_TEST_REPORT_RESTORE_DEFAULTS,
    &g_RSFPL_ATTR_TEST_REPORT_NEW,
    &g_RSFPL_ATTR_TEST_REPORT_APPEND,
    &g_RSFPL_ATTR_TEST_REPORT_INCLUDE_USER_DEFINED_INFORMATION,
    &g_RSFPL_ATTR_TEST_REPORT_TEMPLATE_INCLUDE_TITLE_PAGE,
    &g_RSFPL_ATTR_TEST_REPORT_TITLE,
    &g_RSFPL_ATTR_TEST_REPORT_DESCRIPTION,
    &g_RSFPL_ATTR_TEST_REPORT_ITEM_LIST,
    &g_RSFPL_ATTR_HIDDEN_TEST_REPORT_REMOVE_SET,
    &g_RSFPL_ATTR_TEST_REPORT_REMOVE_ALL_SETS,
    &g_RSFPL_ATTR_TRANSDUCER_FACTOR_CATALOG,
    &g_RSFPL_ATTR_SELECTED_TRANSDUCER_FACTOR,
    &g_RSFPL_ATTR_TRANSDUCER_FACTOR_SCALING,
    &g_RSFPL_ATTR_TRANSDUCER_FACTOR_UNIT,
    &g_RSFPL_ATTR_TRANSDUCER_FACTOR_COMMENT,
    &g_RSFPL_ATTR_TRANSDUCER_FACTOR_ENABLED,
    &g_RSFPL_ATTR_TRANSDUCER_FACTOR_REF_LEVEL_AUTO_ADJUST_ENABLED,
    &g_RSFPL_ATTR_TRANSDUCER_FACTOR_IMPORT,
    &g_RSFPL_ATTR_DELETE_TRANSDUCER_FACTOR,
    &g_RSFPL_ATTR_GENERAL_REFERENCE_OSCILLATOR_SOURCE,
    &g_RSFPL_ATTR_GENERAL_REFERENCE_OSCILLATOR_OUTPUT_100_MHZ_ENABLED,
    &g_RSFPL_ATTR_GENERAL_SELF_TEST,
    &g_RSFPL_ATTR_GENERAL_REMOTE_LOGGING_ENABLED,
    &g_RSFPL_ATTR_GENERAL_DISPLAY_LANGUAGE,
    &g_RSFPL_ATTR_GENERAL_RESET_REVISION_TO_FACTORY_DEFAULT,
    &g_RSFPL_ATTR_GENERAL_RESET_IDN_QUERY_TO_FACTORY_DEFAULT,
    &g_RSFPL_ATTR_GENERAL_GET_IDN_STRING_FACTORY,
    &g_RSFPL_ATTR_GENERAL_IDN_QUERY_STRING,
    &g_RSFPL_ATTR_GENERAL_LOCAL_LOCKOUT_ENABLED,
    &g_RSFPL_ATTR_GENERAL_LXI_INFO,
    &g_RSFPL_ATTR_GENERAL_LXI_LAN_RESET,
    &g_RSFPL_ATTR_GENERAL_LXI_INSTRUMENT_DESCRIPTION,
    &g_RSFPL_ATTR_GENERAL_LXI_PASSWORD,
    &g_RSFPL_ATTR_GENERAL_DISPLAY_UPDATE_ENABLED,
    &g_RSFPL_ATTR_GENERAL_DISPLAY_LOCK_ENABLED,
    &g_RSFPL_ATTR_GENERAL_DISPLAY_ERROR_ENABLED,
    &g_RSFPL_ATTR_GENERAL_SYSTEM_DATE,
    &g_RSFPL_ATTR_GENERAL_SYSTEM_TIME,
    &g_RSFPL_ATTR_SYST_ERR,
    &g_RSFPL_ATTR_CALIBRATE,
    &g_RSFPL_ATTR_CALIBRATE_ALL,
    &g_RSFPL_ATTR_CALIBRATION_RESULT,
    &g_RSFPL_ATTR_CALIBRATION_SIGNAL_FREQUENCY,
    &g_RSFPL_ATTR_CALIBRATION_SIGNAL_BANDWIDTH,
    &g_RSFPL_ATTR_CALIBRATION_INPUT_SOURCE,
    &g_RSFPL_ATTR_CALIBRATION_SIGNAL_FREQUENCY_43_MHZ_PLUS,
    &g_RSFPL_ATTR_CALIBRATION_SIGNAL_PEAK_DISTANCE,
    &g_RSFPL_ATTR_CALIBRATION_SIGNAL_FREQUENCY_7_GHZ_PLUS,
    &g_RSFPL_ATTR_CALIBRATION_SIGNAL_WIDEBAND_FREQUENCY,
    &g_RSFPL_ATTR_FRONTEND_TEMPERATURE,
    &g_RSFPL_ATTR_SERVICE_STEST_RESULTS,
    &g_RSFPL_ATTR_RECALL_CALIBRATION,
    &g_RSFPL_ATTR_SAVE_CALIBRATION,
    &g_RSFPL_ATTR_CALIBRATION_SAVE_FILE_PATH,
    &g_RSFPL_ATTR_SERVICE_FUNCTION,
    &g_RSFPL_ATTR_SERVICE_FUNCTION_LAST_RESULT,
    &g_RSFPL_ATTR_SERVICE_FUNCTION_DELETE_LAST_RESULT,
    &g_RSFPL_ATTR_SERVICE_FUNCTION_RESULT_FILE_NAME,
    &g_RSFPL_ATTR_SERVICE_SYSTEM_INFORMATION_FILE_PATH,
    &g_RSFPL_ATTR_SERVICE_FUNCTION_RESET_PASSWORD,
    &g_RSFPL_ATTR_SERVICE_FUNCTION_PASSWORD,
    &g_RSFPL_ATTR_SYSTEM_BIOS_INFO,
    &g_RSFPL_ATTR_SYSTEM_HW_INFO,
    &g_RSFPL_ATTR_SYSTEM_VERSION_INFO,
    &g_RSFPL_ATTR_SYSTEM_BATTERY_LEVEL,
    &g_RSFPL_ATTR_STATUS_PRESET,
    &g_RSFPL_ATTR_SYSTEM_CLEAR_ERRORS,
    &g_RSFPL_ATTR_SYSTEM_ERROR_LIST,
    &g_RSFPL_ATTR_SYSTEM_CLEAR_REMOTE_ERRORS_TABLE,
    &g_RSFPL_ATTR_ID_QUERY_RESPONSE,
    &g_RSFPL_ATTR_SYSTEM_PRESET,
    &g_RSFPL_ATTR_PRESET_CHANNEL,
    &g_RSFPL_ATTR_GENERAL_REBOOT,
    &g_RSFPL_ATTR_GENERAL_SHUTDOWN
  };
